Framework 8.0 Genesys Administrator Help

Copyright © 2010 Genesys Telecommunications Laboratories, Inc. All rights reserved.
fr_genadmin-help_03-2010_v8.0.301.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

Genesys Administrator Overview

Genesys Administrator is a Web-based user interface that provides provisioning, monitoring, and deployment of Genesys solutions.

Note: Genesys Administrator is designed to work at a minimum screen resolution of 1024x768. However, Genesys recommends that you set your monitor to a higher resolution. If you are working in 1024x768 mode, ensure that you maximize all browser windows so you can see all that is displayed on the screen.


Genesys Administrator Interface: Overview

This section contains the following information:

  • A description of the layout of the Genesys Administrator interface and its elements.

  • How to customize the interface for your personal preferences.

  • A list of controls, with their icons, used in the Genesys Administrator interface.

  • A list of icons used for

  • A list of the keyboard shortcuts available in Genesys Administrator.

  • A description of the Search functionality, which enables you to search for any object in your Genesys configuration.

Note: The Genesys Administrator interface displays only those objects and options for which the logged-in user has Role privileges and object permissions.


Interface Description: Overview

The Genesys Administrator interface is a graphical user interface (GUI) for Genesys software.

Interface Layout

The Genesys Administrator interface is laid out as shown in the following diagram. For detailed descriptions about each of these areas and what each contains, click in an area.

The Tasks Panel appears only for some items.


Interface: Header

Header

The Genesys Administrator header contains the following:

  • On the left:

    • Four tabs, each corresponding to a major functional module—Monitoring, Provisioning, Deployment, and Operations.

    • Breadcrumbs—Located directly beneath the tabs. This interface navigation path (hence the term breadcrumbs) shows the tab/menu selections that brought you to the currently active part of the interface. You can also select any entry in this path to go directly to that part of the interface. The breadcrumbs can be hidden (see Setting User Preferences) to enlarge your Genesys Administrator working area.

  • On the right:

    • Tenant Selector drop-down list—This list appears only in multi-tenant configuration environments. Use this list to select the objects that are used by all Tenants in the environment (Resources), or only those belonging to a specific Tenant.

    • New Window—Starts another instance of Genesys Administrator in a new browser window.

    • Log Out

      • Click this button to exit all instances of Genesys Administrator running on this computer.

      • Move the mouse over the text to view the user name (First and Last Name) of the user currently logged in to Genesys Administrator; the name of the Genesys Administrator (or Configuration Manager) Application object through which you are logging in to Configuration Server, as registered in the Configuration Database; and the host and port on which Configuration Server is running.

    • —Enables you to set User Preferences.

    • —Enables you to access context-sensitive Help (this Help file). Select About from the menu to view a list of all components that make up Genesys Administrator.


Interface: Navigation Panel

Navigation Panel

The Navigation panel contains a list of predefined views that apply to the functional area selected in the top-level menu. Each View contains predefined commands, object types, or other items relevant to the top-level tab and View.

  • Click a View name to see its contents. Only one View can be open at a time in a single Genesys Administrator window.

To open or close the Navigation panel, use the double-arrow window control located in the top-right corner of the panel.

The following diagram shows how the Navigation panel may appear for the Provisioning tab.


Interface: Details Panel

Details Panel

The Details panel displays information corresponding to the tab you selected in the header and the item you selected in the Navigation panel. Most user interaction occurs in this panel, and its contents change as you interact with it.

Note: In some cases, when working with an object that is a part of the initially selected object, a smaller Details panel will appear inset into the main panel, complete with its own toolbar and other controls. This subpanel applies specifically to the secondary object, and will disappear when you return to working with the initial object.

This section describes the basic tasks and features of the Details panel:

  • A toolbar is located at the top of each Details panel. The content of the toolbar varies and is specific to the contents of the Details panel.

  • Information in most screens will be automatically refreshed at some interval. To manually refresh the contents of the Details panel, use one of the following controls, each of which is available depending on the content of the panel:

    • Refresh at the bottom of the Details panel or in the toolbar.

    • Reload in the toolbar.

Notes:

    • Information in some screens, such as the Dashboard and list of Active Alarms, can be automatically refreshed at a time interval that you define in User Preferences. See Setting User Preferences.

    • The Refresh button of your browser will not update the contents of the Details panel.

  • If the a list of items exceeds 200 items, the list is split into "pages" as it is displayed in the Details panel. Scroll through these pages using Pagination control at the bottom of the Details panel, as follows:

    • Use the arrow buttons to scroll back and forth between pages, or go to the start or the end of the list.

    • Enter a specific page number.

  • If the Details panel contains a list of items, you can perform the following actions:

    To do this:

    Do this:

    Select an item

    Click the item.

    Select multiple items

    Hold down Shift or Ctrl, and select each item.

    Open the properties of an object

    Double-click the item.

    View system information about an item

    Click the arrow to the left of the item name.

    Sort the items.

    Click the header of the column which you want to sort.

    OR

    Click the arrow next to the column name and select Sort Ascending or Sort Descending.

    Show or hide columns.

    Click the arrow next to the column name, select Columns, and select/clear the check boxes for the columns as required. Columns that are checked are displayed; those that are unchecked are hidden.

    Filter the entries in the list to refine the list further.

    Enter appropriate search criteria in the Filter boxes at the top of each column, and click Enter or Magnifying Glass.

    Search for objects in your configuration.

    Click [image] in the upper-right corner of the Details panel and enter appropriate search criteria.

    This action can be carried out only if the items listed in the Details panel are objects.

    Navigate to Business Units and Sites.

    See the Customized Hierarchy section of this Help file.

  • If the Details panel contains the Configuration tab of an object, the Details panel may also contain the following elements:

    • Links to each section of the Configuration tab. These links appear only if the Configuration tab contains (or may contain, depending on selections made in the first section) more than one section. They provide a quick way to navigate to (and open, if necessary) the sections of the Configuration tab.

    • beside a field name, to indicate that you must provide a value for this field. In addition to the Configuration tab, this symbol is used throughout the Genesys Administrator interface to indicate information or input that is required.


Interface: Tasks Panel

Tasks Panel

The Tasks panel appears on the right side of some Details panels. The list of tasks that appears in the Tasks panel depends on the content of the Details panel. This list provides links that invoke provisioning and management tasks associated with the objects listed in the Details panel.

The Tasks panel is available only for those objects for which Tasks are defined. If tasks are defined for an object or object type, open or close the Tasks panel using the double-arrow window control located in the top-right corner of the panel.

You can set a user preference to have the Tasks panel open automatically when you access the Details panel to which it is linked, or you must open it manually every time.

The following diagram shows the Tasks panel for Applications.

Tasks Panel for Applications


Monitoring Tab

The Monitoring tab enables you to monitor the overall operations and specific elements of your contact center. For more information, see the Monitoring Your Environment section of this Help file.

Deployment Prerequisites

For Genesys Administrator to monitor runtime statuses of deployed elements, Management Layer components must be deployed, and Genesys Administrator must be configured with connections to a Database Access Point for the Log Database and to the Solution Control Server. For detailed instructions, see the Framework 8.0 Deployment Guide.

For Genesys Administrator to monitor solution-specific operations, the respective solutions must be deployed and Genesys Administrator configured to access the solution. Refer to the solution-specific Deployment Guide for details.


Provisioning Tab

The Provisioning tab enables you to configure the objects in your configuration and to perform other tasks to provision your system. For detailed instructions, see the Provisioning Your Environment section of this Help file.


Deployment Tab

This tab enables you to select and deploy different versions of Genesys applications throughout your system. For detailed instructions, see the Deploying Your Environment section of this Help file.


Operations Tab

The Operations tab enables you to set up the operations in your contact center and to perform other tasks relating to its operation. For detailed instructions, see the Operating your Contact Center section of this Help file.


Setting User Preferences

Genesys Administrator allows you to customize the interface to suit your personal preferences. These preferences take effect each time that you, or anyone using your login credentials, logs in to Genesys Administrator from any browser.

Note: For these preferences to be stored, you must have the appropriate permissions and Role privileges to change your own Users configuration object.

To set User Preferences:

  1. On the right-hand side of the Genesys Administrator header, click [image].

  2. On the General tab of the Preferences dialog box, define your preferences as required:

    • In the Startup page field, select the view that you want to display when you first log in, as defined by selections in the main tabs and the Navigation panel. For example, if you use Genesys Administrator most often to configure applications, you can choose to display the list of applications (Provisioning tab > Environment > Applications) when you log in. The drop-down box contains all possible views currently defined in Genesys Administrator, represented by their navigation paths (breadcrumbs). The default is MONITORING: Environment: Dashboard (the Monitoring Dashboard).

    • In the Expand tasks panel automatically field, select the check box to have the Tasks panel expand automatically if there are tasks associated with the objects currently in view. If you prefer to expand the Tasks panel yourself, that is, only when you want to, clear the check box. The default is selected, so the Tasks panel expands automatically. Hiding the Tasks panel automatically provides a little more working area, but requires that you must explicitly expand the panel to view the tasks associated with the object type.

    • In the Show breadcrumbs field, select the check box to have the breadcrumbs appear in the Header. If you prefer to hide the breadcrumbs, clear the check box. The default is selected, so the breadcrumbs are displayed. Hiding the breadcrumbs provides a little more working area, but how you navigated to where you now may not be clear.

  3. On the Monitoring/Environment tab, select the check box if you want to automatically refresh certain displays (such as the Dashboard and the list of active alarms), and enter a time interval (in seconds) in the Refresh Rate field. Valid values are 5 to 600 seconds. To disable the automatic refresh, clear the checkbox. The default is selected, with an interval of 20 seconds.

Note: You can also refresh the display at any time by clicking Refresh or Reload.

  4. On the Provisioning tab, select the check box if you want to show hidden options on the Options tab. The default is cleared

  5. If you want to change your password, do so on the Password tab. Your User name, First and Last name, and Email address are displayed to remind you of the account for which you are changing the password.

Note: If you are using an external authentication system, you cannot change your password in Genesys Administrator.

  6. Click Save to save your preferences. You may have to log in again for your changes to take effect.


Interface Controls

Many functions in Genesys Administrator are accessible through buttons and similar controls in the interface.

Many controls are located in the toolbar, displayed at the top of the Details panel. Some controls appear at the bottom of the Details panel, while others are located within the body of the Details panel itself. Some controls are also available in context menus.

The controls that are actually available at any given time depend on the actions that you can perform in the Details panel.

Most controls are accompanied by a word or two indicating their use or intention. The following is a list of controls without any such textual help:

Search (with parameter entry on Configuration tab) | Browse | Displays a list of all objects registered with the Configuration Database that are of the type corresponding to that required for this parameter.
 | Filter | Applies filter criteria to a list.
Move up one level | Folder | Moves up one level in the file structure or to the root folder (in the drop-down menu next to the icon).
 | Help | Opens this Help file.
Refresh | Refresh | Refreshes the screen display.
Search (with search bar) | Search | Searches for an item by its name. The type of item depends on what is displayed in the Details panel.
 | Search for objects | Toggles the display of the Object Search controls in lists of objects.
Select | Select | Selects the object highlighted in the accompanying drop down list.
Uninstall | User Preferences | Enables you to set User Preferences.


Context Menus

Context menus appear when you right-click in a list of items in the Details panel. What actually appears depends on the folder or object on which you right-click.

For example, this is the context menu for Provisioning > Environment > Applications:


Keyboard shortcuts

The following keyboard shortcuts are available in Genesys Administrator:

Alt + m | Monitoring tab
Alt + r | Provisioning tab
Alt + l | Deployment tab
Alt + o | Operations tab


Searching for Objects

You can search for one or more specific objects in Genesys Administrator. Start the search from any of the following locations:

  • Go to Provisioning > Search > Find. Here, you specify up to three criteria: the object's Name, Type, and State.

  • Go to Provisioning > [Category] > [Object Type], and click [image] in the top right corner of the Details panel. Here, you can search only for objects of the Type specified by [Object Type].

In both cases, depending on the type of object, a new section Expanded will appear beneath the search criteria boxes. In this section, you can specify more precise search criteria.

Regardless of where you initiate the search, a list of objects in your configuration environment (if any) that meet the specified criteria is displayed. If required, you can filter the list to further refine it. Then, you can click an object in the list to open its properties in a new dialog box, in which you can modify that object or create more objects.

Warning: The Environment > Search section is always available under the Provisioning tab, and cannot be hidden. Furthermore, the Search facility ignores any restrictions placed by Roles, meaning that a user can view any object regardless of what Roles they have been assigned. Therefore, in addition to Roles, it is imperative that you also use permissions to prevent a user seeing objects for which they have no Role privileges.

Searching for an Object

To search for an object:

  1. Do one of the following:

    • To search for any object, go to Provisioning > Search > Find.

    • To search for an object of a particular type, go to Provisioning > [Category] > [Object Type], and click [image].

  2. Enter the search criteria, taking note of the following:

    • The search is case-insensitive.

    • In text boxes (such as Name), you need to enter only the first few characters of the required text. For example, to search for the Configuration Server object named confserv, enter conf. The search results will list all objects with names starting with "Conf" and "conf", including confserv.

    • Wildcards such as ! and * are not supported.

    • Once you select the object type, you may see an Advanced section directly beneath the main criteria entry boxes. Open this section and enter additional criteria as required.

  3. Click Search.

Note: You can perform only one search at a time. The results of one search clears the results and filter criteria of the previous search.

  4. If required, you can further refine the list with the filter controls at the top of some of the columns in the list.

Clearing the Search Results

To clear the results of this search, do one of the following:

  • Click Clear. This button clears the search criteria and the results, but not the filter criteria.

  • Perform another search. The results of one search clears the results of the previous search.


Configuration Environments: Overview

There are two types of configuration environments:

  • Enterprise, also referred to as single-tenant

  • Hierarchical Multi-Tenant, previously known as multi-tenant

The object model depends on the type of Genesys environment you have. Your Genesys environment is determined by your Configuration Server's operation mode, which you set by applying either enterprise or multi-tenant installation scripts when you create the Configuration Database. The layout and interface of Genesys Administrator is the same for both object models.

This Help file identifies all environment-specific differences in interface and object descriptions. When you see no environment-specific notations, the text applies to both environments.

Enterprise Environment

The enterprise (single-tenant) configuration environment serves the needs of a single company that has its own infrastructure and equipment, which it uses to provide customer service and for its own needs. See Enterprise Object Model.

Hierarchical Multi-Tenant Environment

The hierarchical multi-tenant configuration environment serves the needs of a company—typically, a service provider—that makes its telephony equipment available to other companies. Any one of these companies can, in turn, provide their equipment to other companies. This configuration environment also serves the needs of every company in the hierarchy. See Hierarchical Multi-Tenant Object Model.


Enterprise Object Model

In an enterprise environment, all objects in the Configuration Database are accessible through Genesys Administrator. All objects are categorized by their purpose and type, and these objects cannot be categorized in any other way.


Hierarchical Multi-Tenant Object Model

In a hierarchical multi-tenant environment, Genesys Administrator arranges the objects in the Configuration Database into categories corresponding to the businesses (called Tenants) to which they belong or are allocated:

  • The Environment category, also called the Environment Tenant, contains the resources that your service provider manages.

It contains folders for registration of the entities that provide the technical foundation for setting up the CTI services, such as switching offices, data network hosts, and CTI applications. These folders contain resources that may be shared by some or all of the Tenants.

  • The Tenants category contains all the folders necessary to support resource allocation and configuration data entry for a single Tenant. Each Tenant has its own group of folders and resources, and can be designated as a parent of any number of other Tenants (called child Tenants), and can itself be the child Tenant of another Tenant (called a parent Tenant). In essence, all Tenants have a parent Tenant, except the root parent—the Environment Tenant.

The hierarchical multi-tenant model is displayed in Genesys Administrator using a tree-like structure, with each child Tenant contained in its parent Tenant's folder.

This hierarchical multi-tenant model can best be explained using the following diagram:

In this diagram, tenants 1 and 2 are child Tenants of the Environment Tenant, also called the root Tenant. Tenant 2 is also the parent of child Tenants 3 and 4. The root Tenant has no parent Tenant, and sits at the top of the hierarchy.

In any multi-tenant environment, when you run Genesys Administrator for the first time after the Configuration Database initialization, you can only view the Environment folder of the configuration. When you register a new Tenant in the Configuration Database, the Configuration Layer automatically creates all the folders necessary to support resource allocation and configuration data entry for this Tenant.

In a hierarchical multi-tenant environment, at any given time, Genesys Administrator displays only those objects from the Configuration Database that are relevant to either the environment owner or to a particular Tenant within that environment. All objects are categorized by their purpose and type; they are filtered by the Tenant to which they belong.

To view the objects belonging to a different Tenant:

  • Select the appropriate Tenant from the drop-down list on the Genesys Administrator header.

The entire Genesys environment is represented by a single Environment object. It contains both common properties and the properties of all solutions deployed by the environment owner. Properties of this object are accessible in the Tenants category in the Environment view.

Note: If you have migrated from an earlier release of Genesys Administrator, or converted from an earlier release of Genesys Framework, both of which only supported one layer of multi-tenancy beneath the Environment, all tenants have been automatically converted to hierarchical multi-tenant tenants with the Environment tenant as their Parent tenant.

You can add additional Tenant definitions as required, at any level under the Environment object. For example, you might assign a Tenant (or group of Tenants) to some objects to indicate that those objects are intended to serve the needs of those Tenants. For details, see Tenant Property.


User Access: Overview

Controlling User Access: Overview

After a user has logged in to Genesys Administrator, his or her ability to view or modify the configuration environment is controlled by two mechanisms:

  • Object permissions

  • Roles

For complete information about these mechanisms, refer to the Genesys 8.0 Security Deployment Guide.


Object Permissions

Object permissions controls what kind of access you have to the object as a whole. It does not differentiate between parts of, and functions within, the object. Whatever permissions you have for the object applies to all part of the object. For example, if you are granted Change permission for an object, you can modify any aspect of that object.

In Genesys Administrator, Users and Access Groups granted any level of permissions to an object appear on the Permission tab of that object.

For more information about permissions, refer to the Genesys 8.0 Security Deployment Guide.


Roles

Roles define what you can do in a given application. In Genesys Administrator, roles and their privileges are controlled by the use of Role objects, which are assigned to Users (including Agents) and Access Groups. Roles are Application-specific, and must be defined for each Application that supports them.

For example, assume that you are assigned a Role which grants you the privilege to access Users accounts in Genesys Administrator, and that no other Roles are assigned to you. When you log in, only the Accounts > Users section is displayed under the Provisioning tab. All other sections are hidden.

For more information about Roles, refer to the Genesys 8.0 Security Deployment Guide.

Warning: The Environment > Search section is always available under the Provisioning tab, and cannot be hidden. Furthermore, the Search facility ignores any restrictions placed by Roles, meaning that a user can view any object regardless of what Roles they have been assigned. Therefore, in addition to Roles, it is imperative that you also use the permissions functionality to prevent a user seeing objects for which they have no Role privileges.


Deploying Your Environment: Overview

Genesys Administrator enables you to deploy Genesys Installation Packages (IPs) on any host in your network. IPs ready for deployment by Genesys Administrator are stored in Installation Package Repositories.

Deployment is carried out in three steps:

  1. Set up the target Host to enable remote deployment.

  2. Import the Installation Package into an Installation Packages Repository by using the Installation Packages Import Wizard provided by Genesys Administrator. This Wizard is capable of importing multiple versions of the same component into the Installation Packages Repository.

Note: If the IP that you want to deploy already appears in the Installation Packages Repository list, you do not have to import it again. Go straight to step 3.

  3. Install the IP by using the IP Deployment Wizard.


Deploying: Required Permissions

Required Permissions

The minimum permissions required to perform a task in Genesys Administrator depends on the task.

Note: You must also be granted appropriate Role privileges to perform specific tasks on an object or group of objects.

To access an IP Repository, you must have the following system permissions for the folder that is, or will be, designated as an IP Repository:

  • Read—To view what IPs are already in the Repository.

  • Write—To import IPs into that Repository.

To deploy an IP, you must have the following system permissions on the Host to which you are deploying the IP:

  • Write—To copy the necessary files onto that Host

  • Execute—To run the IP on that Host


Prerequisites for Remote Deployment

Before you deploy an IP to any Host on your network, you must install the latest version of Local Control Agent (LCA) on the target Host. This also installs and configures the Genesys Deployment Agent .

When you install LCA, the port that will be used by the Genesys Deployment Agent is configured as follows:

  • If you are installing LCA on UNIX, you are prompted to specify a port number.

  • If you are installing LCA on Windows, the port number is automatically set to 5000.

If required, you can change the port value (configuration option port in the section rdm) at any time in the Advanced View (Annex) section of the Options tab of the target Host object.


IP Repositories: Overview

Installation Package Repositories: Overview

Installation Package Repositories are shared folders in your network in which Installation Packages (IPs) are stored. When you install Genesys Administrator, a preconfigured repository (called Genesys Administrator Built-in) is created on the web server and becomes the default repository. You can also create your own repositories to help you organize your IPs.

You can also manage what repositories are currently in use without deleting the ones that you are not using. Do this by mounting those that you want to use, and unmounting those you do not. The mounting functionality does not create or delete a repository; it only shows or hides the repository in the list of repositories in Genesys Administrator. You can also use this functionality with repositories that have not been used for a while, or those that were used with previous versions of Genesys Administrator.

You can also view the properties of an IP Repository, and set it as the default.


Creating IP Repositories

You can create your own repositories to help you organize your IPs.

Note: Before you create an Installation Package Repository, a shared folder (with read and write permissions) must be created on the network server on which IPs will be stored.

To create an Installation Package Repository:

  1. Go to Deployment > Repository Management > Repositories IP List.

  2. Click [image].

  3. In the Create Repository dialog box:

    1. Type the network path of the shared folder and the name of the new Repository. The path must be in the following format:

\\serverName\path\sharedFolder\Repository_name

    2. If you want to give the Repository a working name different than the file name, enter a name for the new repository.

    3. (Optional) Enter a brief description.

    4. Click Create.

The new repository folder is created in the shared folder, and appears in the list of Installation Package Repositories as either its filename, or if specified, the name you entered in Step 3b.


Mounting IP Repositories

Mounting an IP Repository enables an IP Repository to be displayed in the IP Repository list in Genesys Administrator. It allows you to use repositories stored in other locations, repositories used in older versions of Genesys Administrator, and older repositories that have not been used for a while. You can also use it with unmount to control what repositories are displayed and, therefore, used.

To mount an Installation Package Repository:

  1. Go to Deployment > Repository Management > Repositories IP List.

  2. Click [image].

  3. In the Mount Repository dialog box:

    1. In the Root text box, do one of the following:

      1. Type in (or use the Browse button to select) the root folder of the Installation Package Repository.

      2. Use the Browse button to select the repository.xml file of the Installation Package Repository.

In either case, the path must be entered in the following format:

\\servername\path\sharedFolder\Repository_name

    2. Enter an Alias name for the Installation Package Repository.

    3. Click Mount.


Unmounting IP Repositories

Unmounting an IP Repository removes the IP Repository from the IP Repository list in Genesys Administrator. Unmounting it does not remove it from your file system, it only hides it from display. You can use it with mount to control what repositories are displayed and, therefore, used.

To unmount an Installation Package Repository:

  1. Go to Deployment > Repository Management > Repositories IP List.

  2. Select the repository to be unmounted.

  3. Click [image].


Viewing Properties of IP Repositories

Viewing Properties of Installation Package Repositories

To view the properties of a Repository:

  1. Go to Deployment > Repository Management > Repositories IP List.

  2. Right-click on a repository.

  3. Click Properties in the context menu.


Setting the Default IP Repository

The default IP Repository is the IP Repository that Genesys Administrator displays by default. The built-in repository is the default when Genesys Administrator is first installed.

To set an IP Repository as the default:

  1. Go to Deployment > Repository Management > Repositories IP List.

  2. Right-click on the repository to be set as the default.

  3. Click Set as default in the context menu.


Importing Installation Packages

Note: If the IP that you want to deploy already appears in the IP list for an Installation Packages Repository, you can skip this step and start installing the IP.

Importing IPs into the Repository

To import the Installation Package (IP) for the component that you are deploying into the Repository, use the Installation Packages Import Wizard as follows:

  1. Go to Deployment > Repository > Installation Packages. A list of all IPs in the default Repository appears in the Details panel.

  2. From the Repository drop-down list, select the Installation Package Repository into which you want to import the IP.

  3. Click Import and follow the instructions in the Installation Packages Import Wizard, clicking Next to proceed to the next step in the Wizard.

  4. When you have completed the steps, click Finish. The new IP is added to the list and to the Repository.

Removing IPs from the Repository

To remove an IP from the Repository, do the following:

  1. Go to Deployment > Repository > Installation Packages. All IPs in the default Repository are listed in the Details panel.

  2. From the Repository drop-down list, select the Installation Package Repository from which you want to remove the IP.

  3. Select the IP that you want to remove from the Repository.

  4. Click Remove. The IP is removed from the list and from the repository.


Installing Applications

To install an Installation Package (IP):

  1. Go to Deployment > Repository > Installation Packages. A list of all IPs in the default Installation Packages Repository appears in the Details panel.

  2. If necessary, select from the Repository drop-down list the Installation Package Repository containing the IP that you want to install.

  3. Select the IP that you want to install.

  4. In the Tasks panel, select Install package from the Installation section.

  5. Follow the steps in the IP Deployment Wizard.

Notes:

  • The Wizard provides a default name for the Application object to be installed. You can leave it as is, select a more appropriate name but one for which an existing object does not exist, or use the name of an existing object. In the first two cases, the Wizard will create a new object; in the third case, it will use the existing object.

  • The IP Deployment Wizard displays a list of all configured Hosts running the same Operating System as the IP to be deployed, but allows you to select only those on which the Genesys Deployment Agent is configured and started.

  • The IP Deployment Wizard enables you to create and configure additional Application Ports for the Application being installed. The default port cannot be renamed or removed, nor can a new port be named default.


Provisioning Your Environment: Overview

Configuration Database objects, also called configuration objects, contain the data that Genesys applications and solutions require to operate in a particular environment. These objects are all contained in the Configuration Database.

The object structure presented in Genesys Administrator is identical for both Genesys configuration environments (enterprise and multi-tenant). You can store your objects in the default hierarchy, or create your own customized hierarchy to create one that better reflects your operations.

This section contains the following:

  • Required permissions for provisioning.

  • Provisioning aids to help you more efficiently provision and update objects in your environment.

  • Properties common to some or all objects.

  • A description of the core object types used by Genesys applications and solutions, and information to help you create and work with objects of these types.

  • A description of the object types used by the following solutions, and how to create and work with them.

    • Interactive Workspace (Desktop)

    • Outbound Contact

    • Routing/eServices

    • Voice Platform

Unless specifically stated, this section of the Help file presents the provisioning process on a per-instance case. In other words, one instance of one object is created and provisioned. Then, the whole process is described again for another instance of one object.

Naming Conventions

Because most objects in the Configuration Database mirror physical objects in your contact center (for example, switches, agents, and installed applications), this Help file uses an initial capital letter for Configuration Database objects. For example, the word switch appears in lowercase when it refers to a physical switch in your contact center, but it is capitalized when it refers to the configuration object that mirrors your physical switch. Similarly, the word application appears in lowercase when it refers to a physical installation in your contact center, but it is capitalized when it refers to the configuration object that mirrors the installed program.


Object Hierarchy

In Genesys Administrator, objects are stored in folders, usually with one object type per folder.

By default, Genesys Administrator provides one predefined folder for each type of object. Conceptually, the default hierarchy consists of a Root folder containing all the predefined folders. This simple hierarchy can be used with an unlimited number of objects. However, as the number of object increases, you may find it easier to create your own customized hierarchy.

Customized Hierarchy

To help you better manage your configuration environment, you can manually create a hierarchy with unlimited levels of subfolders by manually creating any combination of the following:

  • Subfolders within the predefined folders—A predefined folder determines the type of objects you can create in subfolders. You cannot create a new subfolder if a subfolder with the same name exists at a lower hierarchical layer.

  • Business Units/Sites —Business Units and Sites can contain objects of different types, grouped into type-specific folders within the Business Unit or Sites. These folders can then, in turn, contain subfolders if necessary.

A customized hierarchy is intended to:

  • Increase the usability of GUI applications, making it easier for you to see and manage a number of smaller groups instead of one larger group.

  • Simplify the process of assigning access permissions for a group of objects.

Manipulating objects—adding, modifying, deleting, moving—in the hierarchy is done in exactly the same way as without any hierarchy, by following the instructions in this Help file. There are only two things that you must remember:

  • You must first navigate through the hierarchy to the folder in which the object will reside. The folder may or may not itself reside in a Business Unit or Site

  • All objects in Business Units and Site reside in folders; both a folder and its contained objects must be of the same type. Therefore, when adding or moving an object to a Business Unit or Site, the corresponding folder must exist. If it does not exist, create it. Then put the object in the folder.

Folders/Subfolders vs Business Units/Sites

The main difference between folders and Business Units/Sites is that:

  • Within a folder, you can create only objects of the type that match the folder type (for example, Users).

  • Within a Business Unit or Site, you can create folders of various types containing corresponding objects and, thus, organize objects of these types into one entity.

Navigating the Object Hierarchy

Whether you use the simple default hierarchy, or create your own, Genesys Administrator displays a navigation path (another set of breadcrumbs) showing where the displayed objects reside in your hierarchy. This path appears with all lists of objects, and is located directly above the first row of the list (in the first diagram below, it is circled in blue).

You can click any element of this path to go quickly to that element. To add or access an object in this hierarchy, you click the elements in the path to set the path to where the object is, or will be, stored. The contents of the selected element are listed directly beneath the path.

For example, refer to the following diagram. It shows all configured script objects and folders containing more script objects, in the predefined folder Scripts.

In a customized hierarchy, the navigation is more complex. In addition to the predefined folder containing objects of that type (as shown above), the drop-down list in the navigation path contains a list of all Business Units and Sites in that folder that contain folders for that object type (the folders may be empty, but they are configured as folders of that object type).

Example

In the following diagram, you are working with Scripts objects, so only Business Units, Sites, Script objects and Script-type folders are displayed. The drop-down list displays all Business Units and Sites containing Script-type objects, and Script-type folders available at that level of the hierarchy In this case, the Root level). So when you select bu1/ScriptsFolder, the only Script-type objects in the ScriptsFolder Script-type folder of Business Unit bu1 are a Script DA#11 and another Script-type folder newfolder.

In general, the following guidelines apply:

  • If you select a folder of type <object type> that is not contained in a folder of type <Business Unit> or <Site>, a list of all configured objects of that type will be displayed.

  • If you select a folder contained in a folder of type <Business Unit> or <Site>, a list of configured objects of the type selected in the Navigation panel and that are contained in that Business Unit or Site will be displayed.


Provisioning: Required Permissions

Required Permissions

The minimum permissions required to perform a task in Genesys Administrator depend on the task. For provisioning, the tasks are: creating, modifying, monitoring, and deleting an object, and starting or stopping Applications and Solutions.

Permissions are set on the Permissions tab of the object. Application permissions can also be defined on the Permissions tab of Application Templates.

Note: You must also be granted appropriate Role privileges to perform specific tasks on an object or group of objects.

Creating an Object

To create an object under a particular folder, you must have Create permission for that folder.

The person who creates an object receives Full Control permissions for that object. Other accounts have the same access permissions for a newly created object as they do for the folder in which the object is created.

Modifying an Object

To modify a particular object, you must have Change permission for that object.

Monitoring an Object

To monitor a particular object, you must have Read permission for that object.

Deleting an Object

To delete a particular object, you must have Delete permission for that object.

Starting and Stopping an Application or Solution

To start a particular Application or Solution object in normal operating mode, you must have Read and Execute permissions for that object.


Provisioning Aids: Overview

Genesys Administrator provides the following procedures and other aids to make maintaining your environment easier and more efficient:

  • Provisioning large quantities of like objects

  • Updating multiple objects simultaneously

  • Moving objects between folders

Many of these shortcuts use Wizards, which guide you through the process from start to finish.

In addition, some Genesys Administrator Wizards, such as the Import Tenants Wizard and the DID Bulk Operations Wizard, provision objects based on information that you provide in a .csv file. The format of the data in this file must meet the standard .CSV format.


Provisioning Large Quantities of Objects

Unless specifically stated, this Help file presents the provisioning process on a per-instance case. In other words, one object is created and provisioned. Then, the whole process is described again for another object.

Genesys Administrator provides several ways to help speed up the process of provisioning multiple objects of the same type, especially when the number of objects to be created or configured is very large:

  • Create Range of <object type> in the Create section of the slide-out Tasks panel —Use this Wizard to create a number of Agent Login, DNs, and IVR Port objects.

  • Copy Object from Other Location and Distribute Objects to Other Tenants in the Copy Object section of the slide-out Tasks panel —These enable you to copy objects in or between Tenants. Select Copy Object from Other Location to create a copy of an object in the current folder, or copy an object from another Tenant. Select Distribute Objects to Other Tenants to create a copy of an object in the current folder or copy it to another Tenant.

  • Save and New — After configuring an object, pressing this button saves your changes to the current object, and then opens a new dialog box or screen in which you can immediately create and configure another object of the same type. In effect, this button combines the functionality of the Save or Save and Close buttons and the New button.

In addition to those listed above, there are similar Wizards specific to particular object types that help speed up provisioning. They are noted and described in the relevant sections of this Help file.


Updating Multiple Objects Simultaneously

If you have similar changes to make to multiple objects, sometimes called a bulk update, Genesys Administrator provides a number of wizards to help you do this. The wizards are available in the Multi Update section of the Tasks panel. The properties that you can update, and therefore the corresponding Wizards that are available, will differ depending on the properties that can be updated for the object type associated with the Tasks panel. However, the wizards are similar in most cases.

To update multiple objects simultaneously:

  1. Navigate to the folder containing all, or a majority of, the objects for which you want to update a given property.

  2. Select the objects that you want to update from the opened folder.

  3. Open the Tasks panel,

  4. In the Multi Update section, select the Manage <property> wizard corresponding to the property that you want to update.

  5. Follow the steps of the Wizard, noting the following:

  • You can modify the list of objects to which the changes will be applied by using the Add and Remove buttons in the object list in the Wizard. As mentioned in step 1, if you start in the folder containing the majority of objects to be updated, you can still add additional ones within the Wizard itself.

  • You can also choose which objects in that list will be updated or not updated by selecting them or not selecting them in the list in the Wizard.


Moving Objects Between Folders

If you have an object that, for some reason, needs to be moved to another folder, Genesys Administrator provides cut-and-paste functionality.

To move an object to another folder:

  1. Navigate to the folder containing the object that is to be moved.

  2. Right-click on the object.

  3. Select Cut from the context-sensitive menu.

  4. Navigate to the folder where the object is to be relocated.

  5. Right-click in the Details panel of the new folder.

  6. Select Paste from the context-sensitive menu.

  7. Click Yes in the confirmation dialog.


CSV File Format

Some Genesys Administrator Wizards, such as the Import Tenants Wizard and the DID Bulk Operations Wizard, provision objects based on information that you provide in a Comma Separated Values (CSV) file. The data in this file must be formatted as described in this topic.

The CSV file can be created when the data is exported from a database or spreadsheet, or can be manually created in any text editor. The file contains rows (called records) of data. Each record must be provided in the following format:

"<field>"[,"<field>",...]

Each record must be formatted as follows:

  • Each record is one line terminated by a line feed or a carriage return and line feed pair; however, line-breaks can be embedded.

  • Fields are separated by commas. For example:

"DataItem1","DataItem2","DataItem3"

  • Leading and trailing spaces or tabs adjacent to commas are ignored, unless those spaces and tabs are enclosed in double-quotes. For example:

"DataItem1" ,"DataItem2"

is the same as

"DataItem1","DataItem2"

  • Fields with embedded commas must be enclosed within double-quote characters.

  • Fields with embedded double-quote characters must be enclosed within double-quote characters, and each of the embedded double-quote characters must be represented by a pair of double-quote characters.

  • Fields with leading or trailing spaces must be enclosed within double-quote characters. (See comment about leading and trailing spaces above.)

  • Fields may always be enclosed within double-quote characters, whether necessary or not. For example:

"DataItem1","DataItem2"

is the same as

DataItem1,DataItem2

However, Genesys recommends that you use double quotes for all data items to ensure that all information is captured correctly during the import.

  • The first record may contain column names in each of the fields.


Assigning Security Certificates: Overview

Genesys supports the optional use of the Transport Layer Security (TLS) protocol to secure data exchange between Genesys components. The TLS protocol is implemented using security certificates, which must be configured in the Host objects and the Application objects representing these components.

Note: Before configuring secure data exchange, make sure that certificates are installed on the host computers on which the Genesys components run, and that the certificate information is available to you.

Security certificates are assigned at the Host level, and optionally at the Application and Port levels. The Host certificate is used by Applications and Ports by default, unless the Applications and Ports specify their own certificates. In this case, those specific certificates override the default Host certificate.

Assigning a security certificate to a Host

To assign a security certificate to a Host:

  1. Open the Properties of the applicable Host.

  2. On the Configuration tab, open the Network Security section.

  3. Enter the certificate information. This certificate will also be used by default for all Applications and Ports, unless another certificate is specified.

Assigning a security certificate to an Application

To assign a security certificate to an Application:

  1. Open the Properties of the applicable Application.

  2. On the Configuration tab, open the Network Security section.

  3. Do one of the following:

    • To assign the default Host certificate, select Host in the Certificate Source drop-down list.

    • To assign another certificate, select Application. Enter the certificate information in the Certificate tab.

Assigning a security certificate to a Port

To assign a security certificate to a Port of an application:

  1. Open the Properties of the applicable Application.

  2. On the Configuration tab, open the Server Info section.

  3. Select the applicable Port in the Listening Ports list and click [image] .

  4. Enter the certificate information in the Certificate tab.

  5. Click OK.

For more information about deploying TLS, refer to the Genesys 8.0 Security Deployment Guide.


Network Security Section/Tab

The properties of the security certificate used by a Host, Application, or Port appear in the Network Security section of the Configuration tab of the Host or Application, or in the Network Security tab of the Port properties. If you want to use a different certificate, refer to Assigning Security Certificates Overview for instructions on assigning the new certificate.


Security Certificate Properties

Properties of Security Certificates

Security certificates have the following properties:

Certificate | The security certificate value. In Windows, select the certificate value from the list of installed certificates. In UNIX, enter the full path to the <serial_#>_<host_name>_cert.pem file.
Description | An optional description of the security certificate.
Certificate Key | The full path to the <serial_#>_<host_name>_priv_key.pem file of the security certificate key. This field is used only if Genesys Security is deployed on UNIX; otherwise this field is empty.
Trusted CA | The full path to the ca_cert.pem file of the CA that issued the default security certificate. This field is used only if Genesys Security is deployed on UNIX; otherwise this field is empty.

Refer to the Genesys 8.0 Security Deployment Guide for more information about deploying Genesys TLS Security.


Advanced Tab

This tab appears for all Port certificates, and displays information about the security certificate used by the Application or Port.

Refer to the Genesys 8.0 Security Deployment Guide for more information about security certificates.


Common Properties: Overview

Common Object Properties: Overview

All objects have the following configuration properties and elements:

  • Name property

  • Tenant property—Appears only for those objects that belong to a Tenant or that can be assigned by the environment owner to serve the needs of one or more Tenants.

  • State property

  • Options tab

  • Permissions tab

  • Dependencies tab


Name Property

Names uniquely identify objects within a certain range. Therefore, the name, which can be up to 255 characters, is a required parameter for most types of objects. The exceptions are:

  • DNs and Agent Logins—Their unique numbers and codes identify them within a Switch.

  • IVR ports—Their unique port numbers identify them within an IVR.

The way you name objects in your environment is important. Consistent and sensible naming conventions make your configuration environment easier to understand and faster to browse, leading to a more maintainable and usable configuration.

Note: Although Genesys Administrator supports the full character set in object names, the use of certain characters can cause problems in the behavior of other Genesys applications. Therefore, avoid spaces, dashes, periods, or special characters in object names. Consider using underscores where you might normally use spaces or dashes.

The names you set for some types of objects must match the names of the entities that those objects represent elsewhere in an environment. For example, the names of Hosts must match the names given to the computers they represent in the data network environment.


Tenant Property

The Tenant property identifies the Tenant to which the object belongs. Some objects, such as applications of specific types, might have the Tenant field formatted so that several tenants can be assigned to them. This indicates that the object is intended to serve multiple Tenants.

For details about using the Tenant property for a particular object, see solution-specific documentation.


State Property

The State property appears on the Configuration tab of every object. There are two possible settings:

  • Enabled—Indicates that the entity represented by an object is in regular operating condition and can be used without any restrictions.

  • Disabled—Indicates that the entity represented by an object is being used in a non-production environment. Customer interactions cannot be directed to this target, even if operating information indicates that this object is available.

Disabling a folder or an object that is a parent to other objects also disables all objects within the folder or all child objects of that parent object.

For example:

  • Disabling a Switch disables all DNs and Agent Logins defined within this Switch.

  • Disabling an Agent Group folder disables all Agent Groups configured within this folder.

However, if you disable a group of objects (for example, an Agent Group), the individual members of this group (in this example, Agents) remain enabled.


Options Tab: Overview

The Options tab displays configuration options and any associated metadata for the object.

This section describes how to use the Options tab to:

  • View configuration options.

  • Modify (add, change, delete) configuration options.

  • Import/export configuration options to/from a file.

Warning! If additional information items with values longer than 256 characters are attached to the configuration data, they might result in longer startup and processing times. They also might affect performance of the real-time parts of your system.

Note: If no value is explicitly set for an option, the default value of that option is used internally by the system.


Options Tab: Viewing Configuration Options: Overview

Viewing Configuration Options: Overview

The Options tab displays configuration options and any associated metadata for the object.

This section describes:

  • The layout of configuration options on the Options tab and how to customize that layout.

  • How to customize (search) the list of options so that only those options that are of interest appear in the list.

Note: If no value is explicitly set for an option, the default value of that option is used internally by the system.


Options Tab: Viewing Configuration Options: Layout

Layout of Configuration Options on the Options Tab

Configuration options are listed in rows, normally grouped into sections that relate to specific aspects of the application’s functionality. By default, each section is fully expanded to show all options in that section. You can specify how the information about the option is displayed by altering the layout.

Basic Layout

Details about each option are contained in the following columns:

  • Section—The name of the section in which this option is contained

  • Option—The name of the option as it is stored by the object

  • Value—The value of the option

When there is metadata associated with the object, the Options tab also includes:

  • Name—For each option for which there is metadata, this column provides the name of the option in printable, plain-language text (that is, with no underscores, dashes, or other technical syntax).

  • A red star to the left of the option's Name if the option is mandatory.

  • A small triangle icon to the left of the option's Name. When you click the icon, the row expands to provide a brief description of the option, its default and valid values, and when changes to this option take effect (immediately or after restart).

Altering the Information Layout

You can specify which of these columns appear, and how the information they contain is sorted, as follows:

  1. Select an object, and open its Options tab.

  2. Select the down arrow that appears when you move the mouse over a column header. This opens a menu with the following options:

    • Sort Ascending—Sorts the options in ascending order based on the selected field. Any current grouping (by section) is preserved.

    • Sort Descending—Sorts the options in descending order based on the selected field. Any current grouping (by section) is preserved.

    • Columns—Select the columns that you want displayed on the tab. Checked columns are displayed; unchecked columns are not displayed.

    • Group by this Field—Groups the options by the selected column. By default, the options are grouped by the Section column.

    • Show in Groups—Displays the options in groups as selected by default or by the Group by this Field option.


Options Tab: Customizing (Searching) the List of Configuration Options

Customizing (Searching) the List of Configuration Options

The Options tab contains two devices with which you can refine the list of configuration options: a View selector, and a Filter bar. Depending on what is available to an object and its options, these two controls enable you to display only those options in which you are interested.

View Selector

The View selector is the drop-down list located in the top-right corner of the Options tab, to the right of the toolbar. From this drop-down list, you can select categories of configuration options that you want to view. The list contains the following views:

  • Advanced View (Options)—Displays all configuration options stored in the object, except for those stored in its Annex. This choice is available only for Application and Application Template objects.

  • Advanced View (Annex)—Displays all flexible configuration options stored in the Annex of the object.

  • Mandatory Options—Displays all options that must be configured for this type of Application. This choice is available in the View selector only if the Application Template for the Application contains at least one configuration option that is marked as mandatory.

  • Show options in groups—If the metadata contains groups of configuration options, the list expands to display the group names. This choice is available only when metadata is available for this object.

  • Hide option groups—If the metadata contains groups of configuration options, the list hides the group names. This choice is available only when metadata is available for this object.

  • <One or more group names defined in the metadata>—Displays all options in the selected group. This choice is available only when metadata is available for this object and when you have selected Show options in groups.

Notes:

  • Options can be added and deleted only in the Advanced View (Options) and Advanced View (Annex) views.

  • The list of options that is displayed by selecting from the View selector can be further refined by using the Filter bar.

Filter Bar

The Filter bar is located at the top of the Options tab, below the toolbar. You can use this bar to filter the list of options or search for specific options, by specifying appropriate criteria for one or more columns in the list.


Advanced View (Options)

The Advanced View (Options) viewing option is available only for Application and Application Template objects. When you select this view, the Options tab displays a list of all configuration options provided for the particular object. If you have used an Application Template to register a new Application object, all application-specific options that are defined in the Template appear on the Options tab of the newly created Application object.

In this view, you can:

  • Change the default values to reflect the values of the specific environment.

  • Enable option synchronization between primary and backup servers in a redundant configuration.

  • Modify (create, change, or delete) the contents of the Options tab for a particular object.

Warning! If additional information items with values longer than 256 characters are attached to the configuration data, they might result in longer startup and processing times. They also might affect performance of the real-time parts of your system.


Advanced View (Annex)

The Advanced View (Annex) viewing option is available for all objects, including applications. The Annex is an additional data structure that you can use to introduce additional information properties quickly for any object. For information about when and how to add and change information in the Annex, refer to the deployment or configuration sections of application-specific manuals.

Although it is possible to use the Annex to store any kind of additional information about configuration objects, Genesys recommends that you use Annex options only as directed in application-specific manuals.

Warning! If additional information items with values longer than 256 characters are attached to the configuration data, they might result in longer startup and processing times. They also might affect performance of the real-time parts of the system.


Options Tab: Modifying Configuration Options: Overview

Modifying Configuration Options: Overview

On the Options tab, you can:

  • Add a new option to a new section or to an existing section.

  • Change the value of an existing option.

  • Delete an option or an entire section.

Warning! If additional information items with values longer than 256 characters are attached to the configuration data, they might result in longer startup and processing times in the Configuration Layer. They also might affect performance of the real-time parts of your system.

Notes:

  • If no value is explicitly set for an option, the default value of that option is used internally by the system.

  • Genesys Administrator verifies the validity of data that is entered in the Options tab only if there is metadata for that option. In other words, you can enter only a value that is of the same type, and is in the list or range of valid values, specified by the metadata. However, a valid value may or may not be an appropriate (logically correct) value in a given situation. In this regard, Genesys Administrator does not verify the logical correctness of data that is entered in the Options tab. Any integrity checking is done by the Application that refers to the options as it runs.


Options Tab: Adding Configuration Options

Adding New Configuration Options

On the Options tab, you can:

  • Create a new section and add an option in it.

  • Add a new option in an existing section.

Notes:

  • Options can be added only in the Advanced View (Options) and Advanced View (Annex) views.

  • If you are adding an option for which there is metadata, the option value is validated.

  • If an option is selected in the list when you click or select New, the dialog box will have the Section name prefilled with the name of the section containing the selected option (or the option selected first, if more than one option is selected).

  • When modifying option values and if there is metadata for the option, a drop-down list (for a finite set of valid values as defined in the metadata) or edit box appears by which you enter the new value. If there is no metadata for the option, the only editing control is an edit box in which you enter the new value.

Creating a New Section and Adding an Option in It

To add an option in a new section:

  1. Select an object, and click the Options tab.

  2. Click [image] in the toolbar, or right-click in the list and select New from the menu.

  3. Enter the section name, option name, and option value.

  4. Click OK to save the new section and option.

Adding a New Option in an Existing Section

To add an option to an existing section:

  1. Select an object, and click the Options tab.

  2. Select an option in the section.

  3. Click [image] in the toolbar, or right-click in the list and select New from the menu.

  4. Correct the section name if required, and enter an option name and option value.

  5. Click OK to save the option.


Options Tab: Changing Configuration Options

Changing the Value of a Configuration Option

On the Options tab, you can change the value of an existing option.

Notes:

  • If you are changing the value of an option for which there is metadata, the option value is validated.

  • When modifying option values and if there is metadata for the option, a drop-down list (for a finite set of valid values as defined in the metadata) or edit box appears by which you enter the new value. If there is no metadata for the option, the only editing control is an edit box in which you enter the new value.

To change the value of an option:

  1. Select an object, and click the Options tab.

  2. Double-click the option name or attribute to be modified.

  3. Enter the changes and press Enter or Tab to move between text boxes. A small red triangle will appear in the changed cells to indicate unsaved changes.

  4. When you are finished making the changes for this object, right-click in the object list and select Refresh from the shortcut menu to save the changes and remove the red triangles from the list.


Options Tab: Deleting Configuration Options

Deleting Configuration Options

On the Options tab, you can:

  • Delete an option.

  • Delete a section.

Notes:

  • Options can be deleted only in the Advanced View (Options) and Advanced View (Annex) views.

  • Options described by metadata cannot be deleted.

  • Mandatory options cannot be deleted.

Deleting an Option

To delete an option:

  1. Select an object, and click the Options tab.

  2. Select the option to be deleted.

  3. Click [image] in the toolbar, or right-click in the list and select Delete from the menu.

  4. Click Yes in the confirmation dialog box to confirm the deletion.

Deleting a Section

To delete a section:

  1. Select an object, and click the Options tab.

  2. Select the section to be deleted.

  3. Follow the instructions in Deleting an Option to delete all options in that section. When the last remaining option in a section has been deleted, the section is also deleted.


Options Tab: Importing/Exporting Configuration Options: Overview

Importing and Exporting Configuration Options: Overview

On the Options tab, you can:

  • Import configuration options from a local file.

  • Export configuration options to a local file.

Genesys Administrator supports two file formats for the local file:

  • CFG/CONF format

  • XML format


Options Tab: Importing Configuration Options

Importing Configuration Options

You can import configuration options from a local file of either the CFG/CONF or XML format.

You can import configuration options only when you are in the Advanced View (Options) or Advanced View (Annex) view on the Options tab. If you are importing options from a .cfg or .conf file, the data will be imported into the storage area (Options or Annex) corresponding to the view open on the Options tab. If you are importing from an .xml file, Genesys Administrator recognizes the format as being specific to the Options or Annex area and imports the data into the corresponding area.

To import configuration options from a local file:

  1. On the Options tab of the object for which you are importing options, ensure that you are in the Advanced View (Options) or Advanced View (Annex) view.

Note: If you are importing options from a .cfg or .conf file, you must be in the view corresponding to the storage location (Options or Annex) into which you want to import the options.

  2. Click Import in the toolbar.

  3. In the Upload dialog box, select the file from which you want to import the options, and click OK.

  4. Select whether to replace existing options with the new options or to add the new options. Click OK.


Options Tab: Exporting Configuration Options

Exporting Configuration Options

You can export configuration options to a local file of either the CFG/CONF or XML format.

You can export configuration options only when you are in the Advanced View (Options) or Advanced View (Annex) view on the Options tab.

To export configuration options to a local file:

  1. On the Options tab of the object for which you are exporting options, ensure that you are in the Advanced View (Options) or Advanced View (Annex) view corresponding to the storage location of the options to be exported.

Note: If you are exporting to an .xml file, the XML schema used will be that corresponding to the location of the exported options.

  2. Click [image] in the toolbar.

  3. In the Download dialog box, select the file format for the export file, and click OK.

  4. Select whether to view or save the file.

  5. If you choose to save the file, specify where the export file will be stored, and click OK to start the download.


Options Tab: CFG/CONF File Format

CFG/CONF File Format

The CFG/CONF file format is a plain-text format. The CFG format is for use on Microsoft Windows systems, and the CONF format on UNIX systems.

Both formats support only the import and export of string options. Other types of configuration options are ignored and not imported or exported.

Syntax

The syntax of the .cfg and .conf files is identical. Each section and option appears on a separate line, with section names in square brackets. Each section is followed by a list of options in that section, with the appropriate values.

[section_name1]
option-name1=option_value2
...
option_nameN=option_valueN

[section_name2]
option-nameN+1=option_valueN+1
...

Example

The following excerpt from a configuration file illustrates the correct syntax in a .cfg or .conf file.

[confserv]
port=2520
management-port=2521
server=dbserver
encryption=false
encoding=utf-8

[log]
verbose=standard
all=stderr

[hca]
schema=none


Options Tab: XML File Format

XML File Format

The XML file format is defined by XSD schemas. It differs for configuration options in an object's Options storage [Advanced View (Options) view] and Annex storage [Advanced View (Annex) view].

This topic provides the following information for these .xml files:

  • Options storage—Schema and Example

  • Annex storage—Schema and Example

Options Storage

Schema

?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
elementFormDefault="qualified"
attributeFormDefault="unqualified">

<xs:complexType name="kv_pair_type">
<xs:attribute name="key" type="xs:string"/>
</xs:complexType>

<xs:complexType name="int_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:attribute name="value" type="xs:integer"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:complexType name="str_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:attribute name="value" type="xs:string"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:complexType name="bin_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:attribute name="value" type="xs:hexBinary"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:complexType name="list_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:choice minOccurs="0" maxOccurs="unbounded">
<xs:element name="list_pair" type="list_pair_type"/>
<xs:element name="int_pair" type="int_pair_type"/>
<xs:element name="str_pair" type="str_pair_type"/>
<xs:element name="bin_pair" type="bin_pair_type"/>
</xs:choice>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:element name="options">
<xs:annotation>
<xs:documentation>Content of Annex tab</xs:documentation>
</xs:annotation>
<xs:complexType>
<xs:sequence>
<xs:element name="list_pair" type="list_pair_type"/>
</xs:sequence>
</xs:complexType>
</xs:element>

</xs:schema>

Example

<options>
<list_pair key="startup">
<str_pair key="service " value="enabled" />
<str_pair key="application-confmaxsize" value="20" />
</list_pair>
<list_pair key=" policy" />
<list_pair key=" prerequisite">
<str_pair key="id" value="test" />
</list_pair>
</options >

Annex Storage

Schema

<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
elementFormDefault="qualified"
attributeFormDefault="unqualified">

<xs:complexType name="kv_pair_type">
<xs:attribute name="key" type="xs:string"/>
</xs:complexType>

<xs:complexType name="int_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:attribute name="value" type="xs:integer"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:complexType name="str_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:attribute name="value" type="xs:string"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:complexType name="bin_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:attribute name="value" type="xs:hexBinary"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:complexType name="list_pair_type">
<xs:complexContent>
<xs:extension base="kv_pair_type">
<xs:choice minOccurs="0" maxOccurs="unbounded">
<xs:element name="list_pair" type="list_pair_type"/>
<xs:element name="int_pair" type="int_pair_type"/>
<xs:element name="str_pair" type="str_pair_type"/>
<xs:element name="bin_pair" type="bin_pair_type"/>
</xs:choice>
</xs:extension>
</xs:complexContent>
</xs:complexType>

<xs:element name="userProperties">
<xs:annotation>
<xs:documentation>Content of Annex tab</xs:documentation>
</xs:annotation>
<xs:complexType>
<xs:sequence>
<xs:element name="list_pair" type="list_pair_type"/>
</xs:sequence>
</xs:complexType>
</xs:element>

</xs:schema>

Example

<userProperties>
<list_pair key="gvp.general">
<str_pair key="service-type" value="conference" />
<str_pair key="application-confmaxsize" value="20" />
</list_pair>
<list_pair key="gvp.policy" />
<list_pair key="gvp.service-prerequisite">
<str_pair key="conference-id" value="test" />
</list_pair>
</userProperties>


Permissions Tab: Overview

The Permissions tab displays the Access Groups and Users that have been configured explicitly with permissions for this object.

This section describes the levels of permissions that can be granted.

For instructions about granting, modifying, and removing permissions, refer to the Genesys 8.0 Security Deployment Guide.


Permissions Tab: Permission Levels

Permission Types

The following permissions are available in Genesys Administrator:

Read (R) | You can view details for this object.
Create (C) | You can create objects of this type.
Change (H) | You can change, or modify, this object.
Execute (X) | You can deploy, start, stop, or otherwise activate this object.
Delete (D) | You can delete this object.
Read Permission (E) | You can view access permissions granted for this object.
Change Permission (P) | You can change access permissions granted for this object.


Dependencies Tab

The Dependencies tab displays a list of all objects that are dependent on this object, and by what property they are dependent.

For example, in Genesys Administrator, an Application object AppA, running on Host object HostA, is dependent on HostA. The Dependencies tab HostA shows AppA as a dependent object, with the property being Host.

For all Users and Agents, the Dependencies tab also lists the Roles which they have been assigned.

Click any object in the list to open a new window containing the properties of that dependent object, in which you can modify its properties or create another object of the same type.


Core Object Types: Overview

This section describes the Core Configuration Database object types in Genesys Administrator and how to create and work with them. Use the information in this section with that contained in the documentation specific to your product.

The following Core object types are organized into the following categories on the Navigation panel under the Provisioning tab:

Environment | Switching | Accounts
Alarm Conditions | DN Groups | Users (including Agents)
Scripts | Places | Skills
Application Templates | Place Groups | Agent Groups
Applications | Switching Offices | Access Groups
Hosts | Switches (and Agent Logins, DNs) | Roles
Solutions | IVRs (and IVR Ports) |
Tenants |  |
Time Zones |  |
Business Units/Sites |  |
Table Access Points |  |
Formats |  |
Fields |  |


Access Groups: Overview

Access Groups are groups of Users who need to have the same set of permissions for Configuration Database objects.

In many cases, Genesys Administrator users fall into a small number of categories with similar access needs. A team of agents all performing the same tasks often has identical access needs. Two or three people responsible for maintaining a specific site of the contact center may also have identical access needs. You can greatly simplify access control by adding individuals to Access Groups and then setting permissions for those groups.

This section describes how to perform the following tasks:

  • Creating Access Groups

  • Configuring Access Groups

  • Deleting Access Groups

  • Managing Assignments of Users to Access Groups

  • Viewing Roles assigned to Access Groups

Notes:

  • The "Default" user account is not related to Access Groups and, therefore, does not appear as a member of any Access Group.

  • For detailed instructions about managing Roles assigned to Access Groups, refer to the Genesys 8.0 Security Deployment Guide.


Creating Access Groups

To create an Access Group:

  1. Go to Provisioning > Accounts > Access Groups.

  2. If required, navigate to the folder in which you want to store the new Access Group.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Access Group and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Access Groups.

    • Click Save to continue configuring the Access Group.

    • Click Save and New to save the new Access Group and start creating another one.

After you have created the new Access Group, you can configure it as required, including managing its membership and who has access rights to it.


Configuring Access Groups: Overview

Configure Access Groups on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

  • Users tab

The Dependencies and Role Privileges tabs may contain additional information about a selected Access Group.

To configure an Access Group:

  1. Go to Provisioning > Accounts > Access Groups.

  2. If necessary, navigate to the folder that contains the Access Group that you want to configure.

  3. Open the properties of the Access Group that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Access Groups.

    • Click Save to continue configuring the Access Group.

    • Click Save and New to save the Access Group and start creating another one.


Access Groups: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Access Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Access Group belongs. This value is set automatically, and you cannot change it.


Access Groups: Role Privileges Tab

The Role Privileges tab displays the role privileges assigned to this Access Group. See Viewing Assigned Roles for more information.


Access Groups: Users Tab

The Users tab lists all Users, including Agents, who are members of the Access Group. On this tab, you can:

  • Add a User to the Access Group.

  • Remove a User from the Access Group

  • Configure a User (or Agent) who is a member of the Access Group directly from this tab, instead of having to navigate to that User in the Navigation panel.

You can also create a new User (or Agent) directly from this tab by doing the following:

  1. Open the properties of a User (or Agent) with properties similar to those of the User (or Agent) you want to create.

  2. Click Save and New.

  3. Create and configure the new User (or Agent) as required. The new User (or Agent) can then be added to this or any Access Group.


Deleting Access Groups

When you delete an Access Group, only the Access Group object itself is removed from the Configuration Database. Its member objects—Access Groups and Users objects—are not deleted.

To delete an Access Group:

  1. Go to Provisioning > Accounts > Access Groups.

  2. If necessary, navigate to the folder that contains the Access Group to be deleted.

  3. Select the Access Group to be deleted.

  4. Click Delete.


Managing Assigned Users: Overview

Users, both Agents and non-Agents, can be assigned to Access Groups by first selecting Access Groups and then adding or removing Users to or from those Access Groups. For specific instructions, refer to the following:

  • Adding Users to Access Groups

  • Removing Users from Access Groups

If you prefer, you can achieve the same results by first selecting the Users and then adding or removing them from Access Groups. Refer to Managing Assignments to Access Groups.


Adding Users to Access Groups: Overview

You can add Users, including Agents, to Access Groups in two ways:

  • Use the Access Groups Assignment functionality in the Access Groups Tasks panel. This enables you to add the same set of (one or more) Users to one or more Access Groups in one step. This is the preferred method.

  • Use the Users tab of a selected Access Group's properties. This enables you to add one or more Users, but to that one Access Group only. If you want to add the same Users to another Access Group, you must select the Access Group and then select the Users again to add to it.


Adding Users Using the Tasks Panel

To add Users to one or more Access Groups using the Tasks panel:

  1. Go to Provisioning > Accounts > Access Groups and navigate to the folder containing the Access Groups to which you want to add Users.

  2. Select one or more Access Groups.

  3. Open the Tasks panel, if necessary, and click Add to Groups in the Manage Access Groups section.

  4. Select the Users to be added.

  5. Click OK.

  6. If you are adding to more than one Access Group, or adding more than one User, click Yes to confirm the addition of all selected Users to all selected Access Groups.


Adding Users Using Access Group Properties

To add Users to an Access Group using the Access Group's Properties:

  1. Go to Provisioning > Accounts > Access Groups and navigate to the folder containing the Access Group to which you want to add Users.

  2. Open the properties of the Access Group to which Users will be added.

  3. Open the Users tab.

  4. Click New.

  5. Select the Users to be added.

  6. Click OK.


Removing Users from Access Groups: Overview

You can remove Users, including Agents, from Access Groups in two ways:

  • Use the Access Group Assignment functionality in the Access Groups Tasks panel. This enables you to remove the same set of (one or more) Users from one or more Access Groups in one step. This is the preferred method.

  • Use the Users tab of a selected Access Group's properties. This enables you to remove one or more Users, but from that one Access Group only. If you want to remove the same Users from another Access Group, you must select the Access Group and then select the Users again to remove them from it.

When you remove a User from an Access Group, the User still exists in the Configuration Database and is available to be assigned to another Access Group.

If you want to delete the User completely, in other words, remove it from the Configuration Database, see Deleting Agents or Deleting Users, as appropriate.


Removing Users Using the Tasks Panel

To remove Users from one or more Access Groups:

  1. Go to Provisioning > Accounts > Access Groups and, if necessary, navigate to the folder that contains the Access Groups from which you want to remove Users.

  2. Select one or more Access Groups.

  3. Open the Tasks panel, if necessary, and click Remove from Groups in the Manage Access Groups section.

  4. Select the Users to be removed.

  5. Click OK.

  6. Click Yes to confirm the deletion.


Removing Users Using Access Group Properties

To remove Users from an Access Group using the Access Group's properties:

  1. Go to Provisioning > Accounts > Access Groups and, if necessary, navigate to the folder that contains the Access Group from which you want to remove Users.

  2. Select the Access Group from which the Users will be removed.

  3. Open the Users tab.

  4. Select the Users to be deleted.

  5. Click Delete.

  6. Click Yes to confirm the deletion.


Viewing Assigned Roles

Roles define the role privileges granted to an Access Group, and therefore determine what a given Access Group can do with objects to which they have access permissions. For detailed instructions about managing Roles assigned to Access Groups, refer to the Genesys 8.0 Security Deployment Guide.

Viewing Assigned Roles

To view what Roles are assigned to an Access Group:

  1. Go to Provisioning > Accounts > Access Groups.

  2. If required, navigate to the folder in which the Access Group is stored.

  3. Open the properties of the Access Group.

  4. Select the Dependencies tab.

  5. Sort the Type column, if necessary. Items of type Role are the Roles assigned to this Access Group.

Viewing Role Privileges

To view the role privileges granted to this Access Group:

  1. Go to Provisioning > Accounts > Access Groups.

  2. If required, navigate to the folder in which the Access Group is stored.

  3. Open the properties of the Access Group.

  4. Select the Role Privileges tab.

Click the small triangle next to the name of the privilege to see a more complete description of the privilege and by which Role it was granted.


Agents: Overview

Agents are contact-center personnel who handle customer interactions directly. In the context of the Configuration Database, Agent objects are User objects configured with additional agent-specific information.

Genesys Framework requires that every Agent be registered in the Configuration Database with an appropriate set of privileges. Permissions are set on the Permissions tab.

Note: To run a particular application, an Agent must have Read and Execute permissions for the object that represents this application in the Configuration Database. New Agents created in Genesys Administrator receive the same set of default permissions and access privileges that Configuration Server grants.

This section contains information about working with User objects that are Agents. For information about working with Users that are not Agents, see the Users section of this Help file.

This section how to perform the following tasks:

  • Creating Agents

  • Configuring Agents

  • Deleting Agents

  • Managing Skills assigned to Agents

  • Managing Agent Logins assigned to Agents

  • Managing Access Group assignments

  • Managing Agent Group assignments

  • Viewing Roles assigned to Agents

Note: For detailed instructions about managing Roles assigned to Agents, refer to the Genesys 8.0 Security Deployment Guide.


Creating Agents

To create an Agent:

  1. Go to Provisioning > Accounts > Users.

  2. If required, navigate to the folder in which you want to store the new Agent.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

Note: Be sure to select True in the Agent field and complete or modify the Agent Info section as required.

  6. On the Options tab, enter or modify information as required.

  7. To save the new Agent and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Agents.

    • Click Save to continue configuring the Agent.

    • Click Save and New to save the new Agent and start creating another one.

After you have created the new Agent, you can configure it as required, including managing who has access permissions for it.


Configuring Agents: Overview

Configure Agents on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies, Member Of, and Role Privileges tabs may contain additional information about a selected Agent.

To configure an Agent:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the Agent that you want to configure.

  3. Open the properties of the Agent that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

Note: Be sure that True is selected in the Agent field and that the Agent Info section is completed.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Agents.

    • Click Save to continue configuring the Agent.

    • Click Save and New to save the Agent and start creating another one.


Agents: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has three sections:

  • General

  • Agent Info

  • Cost-Based Routing

General Section

General section properties:

First Name | The first name of this Agent.
Last Name | The last name of this Agent.
Tenant | In a multi-tenant environment, the Tenant to which this Agent belongs. This value is set automatically, and you cannot change it.
Employee ID | A code of up to 64 characters that identifies this Agent within the contact-center staff. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
E-Mail address | The e-mail address of this Agent.
User Name | The name that this Agent must use to log in to the environment. You must specify a value for this property, and that value must be unique within the Configuration Database.
Password | A password no longer than 254 characters that this Agent must use to log in to the environment. You cannot view the existing password.
Re-enter password | Confirmation of the password entered for the Password. Note: Do not cut and paste the value from the Password field. You must retype the password.
External ID | This setting applies only if your environment is using external authentication, either LDAP or RADIUS. This may be the user name in the external authentication system. For LDAP, it may be a whole or partial LDAP URL corresponding to RFC 2255. For more information, refer to the Framework 8.0 External Authentication Reference Manual.
Agent | Set this value to True to indicate that this User is an Agent. The Agent Info section appears. Once you set this flag, you cannot change it.
Application Ranks | A list of the Agent’s ranks with respect to GUI applications.

Agent Info Section

The Agent Info section is displayed only if the User is an Agent.

Agent Info section properties:

Default Place | The Place assigned to this Agent by default. This optional parameter applies to a limited number of configurations, in particular those where a real-time association between a Place and an Agent cannot be established through a telephony login procedure.
Capacity Rule | The name of the Script of Capacity Rule type that defines the ability of this Agent to handle multiple interactions. Refer to Reporting documentation for more information.
Contract | The Cost Contract associated with this Agent. Select a single object of Cost Contract Type from the Objective Tables folder. Refer to the Universal Routing Routing Solutions Guide for more information about Cost-Based Routing.
Skill Levels | A list of the Skills assigned to this Agent. For each Skill, you specify a level, which is a relative measure of the Agent’s proficiency. To assign Skills, refer to Managing Assigned Skills. From this field, you can also create new Skills and configure existing ones.
Agent Logins | A list of the Agent Login codes assigned to this Agent. Within a given Switch, you cannot assign a single Agent Login to more than one Agent simultaneously. To assign Agent Logins, refer to Assigning Agent Logins to Agents.

Cost-Based Routing Section

The Cost-Based Routing section is displayed only if the User is an Agent.

Cost-Based Routing section properties:

Cost Contract | The Cost Contract associated with this Agent.
Site | The Site containing this Cost Contract.


Agents: Member Of Tab

Member Of Tab

The Member Of tab lists:

  • Agent Groups of which this Agent is a member.

  • Access Groups of which this Agent is a member.


Agents: Role Privileges Tab

The Role Privileges tab displays the role privileges assigned to this Agent. See Viewing Assigned Roles for more information.


Password Rules

Passwords used to log in to Genesys Administrator must not exceed 254 characters.

Passwords can contain any combination of the following:

  • Alphanumeric characters, such as A, a, B, b, 1, 2, and so on.

  • Punctuation characters, such as comma (,), period (.), colon (:) and semi-colon (;), and so on.

  • Parentheses (), curly brackets {}, and braces [].

  • Other characters found on a standard keyboard, such as %, &, @, #, and so on.


Application Ranks

Application Rank Properties

Application Ranks allow GUI applications to control which of their functions to make available to the currently logged-in User.

Consult the manuals for the Genesys GUI applications to see if those applications are using Ranks to enable or block certain functions. If a manual does not have any references to Ranks, the related applications do not use Ranks in any way, and you don't need to specify the User’s Ranks with respect to the related application.

Do not confuse Application Ranks with Configuration Database permissions. Applications themselves verify Ranks, which specify what functionality is available to a user with regard to an application. Configuration Server verifies Permissions, which specify a level of access to the objects in the Configuration Database.

Application Rank properties:

Application Type | The type of application a User needs access to. Consult the manuals for a GUI application to see if this application is using Ranks to enable or block certain functions. If a manual does not contain any references to Ranks, this application does not use Ranks, and you don't need to specify the User's Ranks with respect to this application.
Application Rank | The Rank with respect to applications of the specified type.


Agent Logins Properties

Agent Login Properties

Agent Login properties:

Login | The Agent Login code assigned to this Agent. You cannot assign an Agent Login to more than one Agent. To assign Agent Logins, refer to Assigning Agent Logins to Agents.
Switch | The switch in which the Agent Login resides. This is filled in automatically, based on the Agent Login.
Wrap-up Time | Some switches do not support transfer of information about an agent’s post-call work status. However, when this operation is supported, consider specifying the wrap-up time, in seconds, for the Agent Logins that belong to such switches. This specification must match the corresponding switch setting.


Deleting Agents

To delete an Agent from the Configuration Database:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the Agent to be deleted.

  3. Select the Agent to be deleted.

  4. Click [image].


Managing Assigned Skills: Overview

Agents can be associated with a set of Skills. For each Skill, they are also given a Skill level, or level of competency with this skill. You can assign Skills, or remove assigned Skills from Agents, by referring to the following:

  • Assigning Skills to Agents

  • Removing Skills from Agents

From the Agent's Configuration Tab, you can also perform the following tasks:

  • Modify an assigned Skill level.

  • Assign a different Skill.

  • Create a new Skill.


Assigning Skills to Agents: Overview

You can assign Skills to Agents in two ways:

  • Use the Manage Agent Skills functionality in the User's Tasks panel. This enables you to assign the same set of (one or more) Skills to one or more Agents in one step. This is the preferred method.

  • Use the Skill Levels field in a selected Agent's properties. This enables you to assign one or more Skills, but to that one Agent only. If you want to assign the same Skills to another Agent, you must select the Agent and then select the Skills again to assign to it.


Assigning Skills Using the Tasks Panel

To assign Skills to one or more Agents using the Tasks panel:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder containing the Agents to which you want to assign Skills.

  3. Select one or more Agents.

  4. Open the Tasks panel, if necessary, and click Add Skills in the Manage Agent Skills section.

  5. In the Add Skills to Agents dialog box, select the Skills to assign to the Agents by doing the following:

    1. Click in the checkbox to the left of each Skill's name.

    2. In the Level field, select the level of proficiency that the Agents have in this Skill.

  6. When you have selected all of the Skills required, click OK to assign the Skills and close the dialog box.


Assigning Skills Using Agent Properties

To assign Skills to an Agent using the Agent's properties:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the Agent to which the Skills will be assigned.

  3. In the Details panel, click on the name of the Agent to which the Skills are to be assigned.

  4. On the Agent's Configuration tab, expand the Agent Info section. If any Skills have already been assigned to this Agent, they are listed in the Skill Levels field.

  5. Click Add at the top of the Skill Levels list.

  6. In the Skill Level dialog box, click [image].

  7. In the Skill - \Skills\ dialog box.

  8. If necessary, navigate to the folder that contains the Skill to be assigned.

  9. Select a Skill to be assigned to this Agent.

  10. Back in the Skill Level dialog box, specify a Skill Level, a relative measure of the Agent's proficiency, and click OK.

  11. Repeat steps 4 to 9 as necessary until all required Skills are assigned to the Agent.


Removing Skills From Agents: Overview

When you remove a Skill from an Agent, the Skill still exists in the Configuration Database and is available to be assigned to another Agent. If you want to delete the Skill completely, in other words, remove it from the Configuration Database, refer to Deleting Skills.

You can remove assigned Skills from Agents in two ways:

  • Use the Manage Agent Skills functionality in the User's Tasks panel. This enables you to remove the same set of (one or more) Skills from one or more Agents in one step. This is the preferred method.

  • Use the Skill Levels field in the selected Agent's properties. This enables you to remove one or more Skills, but from that one Agent only. If you want to remove the same Skills from another Agent, you must select the Agent and then select the Skills again to remove from it.


Removing Skills Using the Tasks Panel

To remove assigned Skills from one or more Agents using the Tasks panel:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder containing the Agents from which you want to remove Skills.

  3. Select one or more Agents.

  4. Open the Tasks panel, if necessary, and click Remove Skills in the Manage Agent Skills section.

  5. In the Remove Skills from Agents dialog box, select the Skills to be removed from the Agents.

  6. Click OK to remove the selected Skills and close the dialog box.


Removing Skills Using Agent Properties

To remove assigned Skills from an Agents using the Agent's properties:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the Agent from whom you want to remove a Skill.

  3. Open the properties of the Agent from whom you want to remove a Skill.

  4. On the Configuration tab, open the Agent Info section, if necessary.

  5. In the Skill Levels field, select the Skills to be removed.

  6. Click Delete.


Changing Skill Levels

Changing a Skill Level

To modify the Skill level of an assigned Skill directly from the Agent's Configuration tab:

  1. From the Skill Level list in the Agent Info section of an Agent's Configuration Tab, select the Skill level to be changed

  2. Click Edit at the top of the Skill Levels list.

  3. In the Skill Level dialog box, enter the new level.

  4. Click OK.


Assigning a Different Skill

To remove the existing Skill and assign a different Skill in one step, directly from an Agent's Configuration tab:

  1. From the Skill Level list in the Agent Info section of an Agent's Configuration Tab, select the Skill level to be replaced

  2. Click Edit at the top of the Skill Levels list.

  3. In the Skill Level dialog box, click Magnifying Glass Icon, and select the replacement skill from the list of configured Skills.

  4. Enter a level for this Agent with this Skill.

  5. Click OK.


Creating a New Skill

To create a new Skill directly from an Agent's Configuration tab:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to a folder containing an Agent to which the new Skills will be assigned. Any Agent will serve the purpose for creating a new Skill using this shortcut; but for efficiency, it is recommended that you use an Agent to which this new Skill will be assigned.

  3. In the Details panel, click the name of the Agent.

  4. On the Agent's Configuration tab, expand the Agent Info section. Skills already assigned to this Agent are listed in the Skill Levels field.

  5. Select any Skill in the list.

  6. Configure the new Skill in the dialog box that appears.

  7. Click Save as New when finished. The new Skill is now available for assignment to this and other Agents.


Managing Assigned Agent Logins

Agents can have associated Agent Logins. You can assign Agent Logins to, or remove Agent Logins from, Agents by referring to the following:

  • Assigning Agent Logins to Agents

  • Removing Agent Logins from Agent


Managing Assignments to Access Groups

Agents can be assigned to Access Groups in exactly the same manner as non-Agents—by first selecting Agents, and then adding or removing them to or from Access Groups. For specific instructions, refer to the following:

  • Adding Agents to Access Groups

  • Removing Agents from Access Groups

If you prefer, you can achieve the same results by first selecting Access Groups and then adding or removing Agents to or from those Access Groups. Refer to Managing Assigned Users in the Access Groups section of this Help file.


Managing Assignments to Agent Groups: Overview

Agents can be assigned to Agent Groups by first selecting Agents and then adding or removing them to or from Agent Groups. For specific instructions, refer to the following:

  • Adding Agents to Agent Groups

  • Removing Agents from Agent Groups

If you prefer, you can achieve the same results by first selecting Agent Groups and adding or removing Agents to or from those Agent Groups. Refer to Managing Assigned Agents.


Adding Agents to Agent Groups

To add Agents to one or more Agent Groups:

  1. Go to Provisioning > Accounts > Users.

  2. If required, navigate to the folder that contains the Agents which you want to add to one or more Groups.

  3. Select one or more Agents.

  3. Open the Tasks panel, if necessary, and click Add to Agent Groups in the Agent Group Assignment section.

  4. Select the Agent Groups to which the Agents are to be added.

  5. Click OK.


Removing Agents From Agent Groups

To remove Agents from one or more Agent Groups:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder containing the Agents which you want to remove from one or more Agent Groups.

  3. Select one or more Agents.

  3. Open the Tasks panel, if necessary, and click Unassign from Agent Groups in the Agent Group Assignment section.

  4. Select the Agent Groups from which the Agents are to be removed.

  5. Click OK.


Viewing Assigned Roles

Roles define the role privileges granted to an Agent, and therefore determine what a given Agent can do with objects to which they have access permissions. For detailed instructions about managing Roles assigned to Agents, refer to the Genesys 8.0 Security Deployment Guide.

Viewing Assigned Roles

To view what Roles are assigned to an Agent:

  1. Go to Provisioning > Accounts > Users.

  2. If required, navigate to the folder in which the Agent is stored.

  3. Open the properties of the Agent.

  4. Select the Dependencies tab.

  5. Sort the Type column, if necessary. Items of type Role are the Roles assigned to this Agent.

Viewing Role Privileges

To view the role privileges granted to this Agent:

  1. Go to Provisioning > Accounts > Users.

  2. If required, navigate to the folder in which the Agent is stored.

  3. Open the properties of the Agent.

  4. Select the Role Privileges tab.

Click the small triangle next to the name of the privilege to see a more complete description of the privilege and by which Role it was granted.


Agent Groups: Overview

An Agent Group is a logical grouping of Agents. Agent Groups are typically set up to provide particular sets of contact center services.

This section describes how to perform the following tasks:

  • Creating Agent Groups

  • Configuring Agent Groups

  • Deleting Agent Groups

  • Managing Agents Assigned to Agent Groups


Creating Agent Groups

To create an Agent Group:

  1. Go to Provisioning > Accounts > Agent Groups.

  2. If required, navigate to the folder in which you want to store the new Agent Group.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Agent Group and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Agent Groups.

    • Click Save to continue configuring the Agent Group.

    • Click Save and New to save the new Agent Group and start creating another one.

After you have created the new Agent Group, you can configure it as required, including managing who has access permissions for it.


Configuring Agent Groups: Overview

Configure Agent Groups on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

  • Agents tab

Note: The Dependencies tab may contain additional information about a selected Agent Group.

To configure an Agent Group:

  1. Go to Provisioning > Accounts > Agent Groups.

  2. If necessary, navigate to the folder that contains the Agent Group that you want to configure.

  3. Open the properties of the Agent Group that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Agent Groups.

    • Click Save to continue configuring the Agent Group.

    • Click Save and New to save the Agent Group and start creating another one.


Agent Groups: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has three sections:

  • General

  • Advanced

  • Cost-Based Routing

General Section

General section properties:

Name | The name of the Agent Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). You cannot change this value as long as this Agent Group contains at least one User.
Tenant | In a multi-tenant environment, the Tenant to which this Agent Group belongs. This value is set automatically, and you cannot change it.

Advanced Section

Advanced tab properties:

Capacity Table | This field applies only for the Enterprise Routing Solution. It is the Capacity Table associated with this Agent Group. Refer to Enterprise Routing Solution documentation for more information.
Quota Table | This field applies only for the Enterprise Routing Solution. It is the Quota Table associated with this Agent Group. Refer to Enterprise Routing Solution documentation for more information.
Supervisor | The Supervisor associated with this Agent Group. Select a single object from the Users folder.
Origination DNs | A list of DNs from which calls can be routed or diverted to this Agent Group. This list can include DNs of the following types: Routing Point, External Routing Point, Service Number, Routing Queue, ACD Queue, Virtual Queue, or Virtual Routing Point.

Cost-Based Routing Section

Cost-Based Routing section properties:

Cost Contract | The Cost Contract associated with this Agent Group.
Site | The Site containing this Cost Contract.


Agent Groups: Agents Tab

The Agents tab lists Agents who are members of the Agent Group.

On this tab, you can:

  • Add Agents to this Agent Group.

  • Remove Agents from this Agent Group.

  • Configure Agents who are members of this Agent Group.

You can also create a new Agent directly from this tab by doing the following:

  1. Open the properties of an Agent with properties similar to those of the Agent you want to create.

  2. Click Save and New.

  3. Create and configure the new Agent as required.


Deleting Agent Groups

When you delete an Agent Group, only the Agent Group object itself is removed from the Configuration Database. Its member Agent objects are not deleted.

To delete an Agent Group from the Configuration Database:

  1. Go to Provisioning > Accounts > Agent Groups.

  2. If necessary, navigate to the folder that contains the Agent Group to be deleted.

  3. Select the Agent Group to be deleted.

  4. Click Delete.


Managing Assigned Agents: Overview

Agents can be assigned to Agent Groups by selecting Agent Groups and adding Agents to, or removing them from, those Agent Groups. For specific instructions, refer to the following:

  • Adding Agents to Agent Groups

  • Removing Agents from Agent Groups

If you prefer, you can achieve the same results by first selecting the Agents and then adding or removing them from Agent Groups. Refer to Managing Assignments to Agent Groups.


Adding Agents to Agent Groups: Overview

You can add Agents to Agent Groups in two ways:

  • Use the Agent Group Assignment functionality in the Agent Groups Tasks panel. This enables you to add the same set of (one or more) Agents to one or more Agent Groups in one step. This is the preferred method.

  • Use the Agents tab of a selected Agents Group's properties. This enables you to add one or more Agents, but to that one Agent Group only. If you want to add the same Agents to another Agent Group, you must select the Agent Group and then select the Agents again to add to it.


Adding Agents Using the Tasks panel

To add Agents to one or more Agent Groups using the Tasks panel:

  1. Go to Provisioning > Accounts > Agent Groups.

  2. If necessary, navigate to the folder that contains the Agent Groups to which you want to add Agents.

  3. Select one or more Agent Groups.

  4. Open the Tasks panel, if necessary, and click Add to Groups in the Manager Agent Groups section.

  5. Select the Agents to be added.

  6. Click OK.


Adding Agents Using Group Properties

Adding Agents Using Agent Group Properties

To add Agents to an Agent Group using the Agent Group's properties:

  1. Go to Provisioning > Accounts > Agent Groups.

  2. If necessary, navigate to the folder that contains the Agent Groups to which you want to add Agents.

  3. Open the properties of the Agent Group to which the Agents will be added.

  4. Open the Agents tab.

  5. Click New.

  6. Select the Agents to be added.

  7. Click OK.


Removing Agents from Agent Groups: Overview

You can remove Agents from Agent Groups in two ways:

  • Use the Agent Group Assignment functionality in the Agent Groups Tasks panel. This enables you to remove the same set of (one or more) Agents from one or more Agent Groups in one step. This is the preferred method.

  • Use the Agents tab of a selected Agent Group's properties. This enables you to remove one or more Agents, but from that one Agent Group only. If you want to remove the same Agents from another Agent Group, you must select the Agent Group and then select the Agents again to remove them.

When you remove an Agent from an Agent Group, the Agent still exists in the Configuration Database and is available to be assigned to another Agent Group or to have Agent Logins assigned to it. If you want to delete the Agent completely, in other words, remove it from the Configuration Database, see Deleting Agents.


Removing Agents Using the Tasks Panel

To remove Agents from one or more Agent Groups:

  1. Go to Provisioning > Accounts > Agent Groups.

  2. If necessary, navigate to the folder that contains the Agent Groups from which you want to remove Agents.

  3. Select one or more Agent Groups.

  3. Open the Tasks panel, if necessary, and click Remove from Agent Groups in the Manage Agent Groups section.

  4. Select the Agents to be added.

  5. Click OK.


Removing Agents Using Agent Group Properties

To remove Agents from an Agent Group using the Agent Group's properties:

  1. Go to Provisioning > Accounts > Agent Groups.

  2. If necessary, navigate to the folder that contains the Agent Groups from which you want to remove Agents.

  3. Select the properties of the Agent Group from which the Agents will be removed.

  4. Open the Agents tab.

  5. Select the Agents to be deleted.

  6. Click Delete.

  7. Click Yes to confirm the deletion.


Agent Logins: Overview

Agent Logins are unique codes defined within a Switch and assigned to agents. They identify which Agent is working at which Place during a particular working session.

The configuration of Agent Logins in the Configuration Database must match exactly the configuration of those Agent Logins in the switching system. Before adding or deleting a particular Agent Login, make sure that the same change was made in the database of the switching system.

When you specify Agent Logins as objects in a Switch, they are not associated with any particular agents. For information about how to assign Agent Logins to Agents, refer to Assigning Agent Logins to Agents.

This section describes how to perform the following tasks:

  • Creating Agent Logins

  • Configuring Agent Logins

  • Deleting Agent Logins

  • Assigning Agent Logins to Agents

  • Removing Agent Logins from Agents


Creating Agent Logins: Overview

You can create Agent Logins in one of two ways:

  • Create a range of Agent Logins, all with the same properties except the Login Code.

  • Create Agent Logins individually.


Creating a Range of Agent Logins

You can use the Create a Range of Agent Logins Wizard to create a large number of Agent Logins in a sequence.

To create a range of Agent Logins:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to which you want to add the new Agent Logins.

  3. Open the properties of the Switch to which you want to add the new Agent Logins.

  4. Open the Agent Logins tab.

  5. In the Tasks Panel, select Create Range of Agent Logins in the Create section.

  6. Follow the steps in the Wizard, referring to the descriptions of the fields as appropriate.


Creating Agent Logins Individually

To create a single Agent Login:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to which you want to add the new Agent Login.

  3. Open the properties of the Switch to which you want to add the new Agent Login.

  4. Open the Agent Login tab. The Details panel displays a list of Agent Logins already assigned to this Switch.

  5. Click [image].

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. To save the new Agent Login and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Agent Logins.

    • Click Save to continue configuring the Agent Login.

    • Click Save and New to save the new Agent Login and start creating another one.

After you have created the new Agent Login, you can configure it as required, including managing who has access permissions for it.


Configuring Agent Logins: Overview

Configure Agent Logins on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Agent Login.

To configure an Agent Login:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to which the Agent Login that you want to configure is assigned.

  3. Open the properties of the Switch to which the Agent Login that you want to configure is assigned.

  4. Open the Agent Logins tab.

  5. Open the properties of the Agent Login that you want to configure.

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. On the Permissions tab, enter or modify information as required.

  9. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Agent Logins.

    • Click Save to continue configuring the Agent Login.

    • Click Save and New to save the Agent Login and start creating another one.


Agent Logins: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Advanced

General Section

General section properties:

Code | The Agent Login code. You must specify a value for this property, and that value must be unique within the Switch. Once you set the value, you cannot change it.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Agent Login belongs. This value is set automatically, and you cannot change it.
Switch | The Switch to which this Agent Login belongs. This value is set automatically, and you cannot change it.

Advanced Section

You can use this section's properties with a limited number of specific call-processing scenarios or switch-specific settings. For more information about the meaning and use of the Advanced Agent Login properties, refer to T-Server and solution-specific documentation.

Advanced section properties:

Use Override

Indicates whether the override value should be used instead of the Code value for accessing this Agent Login in certain types of routing.

Override

Value to use as the override instead of the Code value for accessing this Agent Login in certain types of routing. You must specify an override value, and it must be unique within the Switch.

Switch-specific Type

An integer that corresponds to a combination of switch-specific settings for this Agent Login. It identifies the device type (for example, Extension, ACD Position, or Trunk) for each switch (PBX) that T-Server supports. It is unique for each switch/DN/T-Server configuration. In essence, it provides a cross-reference for DN Types between T-Server and PBX. You must specify a value for this property, and it must be 1 or greater.

For more information, refer to the Framework 8.0 T-Server Deployment Guide for your particular T-Server.

Password

A security protection key used along with this Agent Login to authenticate a User for contact center activity. You cannot view the existing password.

Note: You can associate one User with multiple password-protected Agent Logins.

Re-enter Password

Confirmation of the password entered in the Password field.


Deleting Agent Logins

When you delete an Agent Login, the Agent Login is removed from the Configuration Database and from any Agent to which it is assigned. If you want to remove only the Agent Login from the Agent to which it is assigned, but leave it still existing in the Configuration Database and available for assignment to another Agent, refer to Removing Agent Logins.

Note: Deleting an Agent Login might affect the configuration of a particular Agent in the contact center. Before deleting an Agent Login, consider using the Search command to identify the Agent to which this Login is assigned.

To delete an Agent Login:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to which the Agent Login that you want to delete is assigned.

  3. Open the properties of the Switch to which the Agent Login that you want to delete is assigned.

  4. Open the Agent Login tab.

  5. Select the Agent Login to be deleted.

  6. Click Delete.


Assigning Agent Logins to Agents

Agent Logins must be created before being assigned to Agents. You cannot create an Agent Login while you are configuring an Agent.

To assign Agent Logins to an Agent:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the Agent to which the Agent Logins will be assigned.

  3. In the Details panel, click the name of the Agent to which one or more Agent Logins are to be assigned.

  4. On the Agent's Configuration tab, expand the Agent Info section. If any Agent Logins have already been assigned to this Agent, they are listed in the Agent Logins field.

  5. Click Add at the bottom of the Agent Logins list.

  6. In the Agent Login Info dialog box, click [image].

  7. If necessary, navigate to the folder that contains the Switch in which the Agent Login was created.

  8. Click the name of the Switch containing the Agent Login to be assigned.

  9. If necessary, navigate to the folder that contains the Agent Logins to be assigned to this Agent.

  10. Click the folder name to display a list of Agent Logins created on this Switch.

  11. Click the name of the Agent Login to be assigned to this Agent.

  12. Back in the Agent Login Info dialog box, enter a Wrap-up Time, and click OK.

  13. Repeat steps 4 to 11 as necessary until all required Agent Logins are assigned to the Agent.


Removing Agent Logins from Agents

When you remove an Agent Login from an Agent, the Agent Login still exists in the Configuration Database and is available to be assigned to another Agent.

If you want to delete the Agent Login completely, in other words, to remove it from the Configuration Database, refer to Deleting Agent Logins.

To remove Agent Logins from an Agent:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder containing the Agent from whom you want to remove Agent Logins.

  3. Open the properties of the Agent from whom you want to remove Agent Logins.

  4. If necessary, on the Configuration tab, open the Agent Info section.

  5. In the Agent Logins field, select the Agent Logins to be removed.

  6. Click Delete.


Alarm Conditions: Overview

Alarm Conditions specify the events that you might want to know about and manage as soon as they occur. Genesys software contains predefined Alarm Conditions, or you can create your own.

This section describes how to perform the following tasks:

  • Creating Alarm Conditions

  • Configuring Alarm Conditions

  • Deleting Alarm Conditions

Alarm Conditions work with the following Scripts:

  • Alarm Detection Scripts, which identify what system variables the Management Layer must monitor to trigger an alarm.

  • Alarm Reaction Scripts, which identify what the Management Layer must do when alarms occur in, or are cleared from, the system. Alarm Reaction Scripts that identify what happens when alarms are cleared are referred to as Alarm Clearance Scripts.

To associate Alarm Detection and Alarm Reaction Scripts with Alarm Conditions, do one of the following:

  • Use the Alarm Condition Wizard. You can start the Wizard by selecting it from the Alarm Condition context menu, or from the Runtime section of the slide-out Tasks panel.

  • Specify them in the Configuration tab of the Alarm Condition.


Predefined Alarm Conditions

Genesys provides the predefined Alarm Conditions listed in the following table. If required, you can further configure these conditions to meet your requirements.

Application Failure | Reports that the specified application has either terminated or stopped responding.
Connection Failure | Reports that the specified connection between any two applications has been lost.
CTI Link Failure | Reports that the connection between the specified T-Server and its switch has been lost.
Host Inaccessible | Reports that the Management Layer cannot contact the Local Control Agent (LCA) on the host where Genesys daemon applications are running. LCA is not started, or it is listening on a port other than the one specified in the configuration. A condition of Host Inaccessible is also referred to as being Down.
Licensing Error | Reports that a licensing error has occurred.
Service Unavailable | Reports that a Genesys component cannot provide service for some internal reasons.
Host Unavailable | Reports that a host where Genesys daemon applications are running is unavailable (turned off).
Host Unreachable | Reports that the Management Layer cannot reach the host where Genesys daemon applications are running (no route to the host).
Unplanned Solution Status Change | Reports that the status of a Solution has changed from Started to Pending, but without any requests to stop the Solution. This may indicate a failure of one of the Solution components.
Message Server Loss of Database Connection | Reports that Message Server has lost connection to the Centralized Log Database.

For more information about predefined Alarm Conditions, see the Framework 8.0 Management Layer User's Guide.


Creating Alarm Conditions: Overview

Creating New Alarm Conditions

To create a new Alarm Condition:

  1. Go to Provisioning > Environment > Alarm Conditions.

  2. If required, navigate to the folder in which you want to store the new Alarm Condition.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Alarm Condition and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Alarm Conditions.

    • Click Save to continue configuring the Alarm Condition.

    • Click Save and New to save the new Alarm Condition and start creating another one.

After you have created the new Alarm Condition, you can configure it as required, including managing who has access permissions for it.


Configuring Alarm Conditions: Overview

Configure Alarm Conditions on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure an Alarm Condition:

  1. Go to Provisioning > Environment > Alarm Conditions.

  2. If necessary, navigate to the folder that contains the Alarm Condition that you want to configure.

  3. Open the properties of the Alarm Condition that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  4. On the Options tab, enter or modify information as required.

  5. On the Permissions tab, enter or modify information as required.

  6. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Alarm Conditions.

    • Click Save to continue configuring the Alarm Condition.

    • Click Save and New to save the Alarm Condition and start creating another one.


Alarm Conditions: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Scripts

General Section

General section properties:

Name

The name of the Alarm Condition. You must specify a value for this property, and that value must be unique within the Configuration Database.

Description

A brief description of the Alarm Condition.

Category

The category of the Alarm Condition: Critical, Major, or Minor. You must specify a value for this property.

Detect Script

The Script that describes the logic applied to detect the alarm.

Clearance Timeout

The amount of time, in seconds, the Alarm Condition is registered in the Log Database, unless another event cancels it or a user clears it. When this timeout expires, the Alarm Condition is unconditionally cleared.

Detect Log Event ID

The identifier of the event that triggers the alarm. You must specify a value for this property.

Detect Selection Mode

The mode for event selection that the Management Layer uses for Alarm Condition analysis. The modes are as follows:

  • Select By Any—The specified event from any application results in an alarm.

  • Select By Application—The specified event from the application specified in the Detect Application field results in an alarm.

  • Select By Application Type—The specified event from the application type specified in the Detect Application Type field results in an alarm.

Detect Application Type

When you set Detect Selection Mode to Select by Application Type, the specified event from an application of this type results in an alarm.

Detect Application

When you set Detect Selection Mode to Select by Application, the specified event from this particular application results in an alarm.

Cancel Log Event ID

The identifier of the event that triggers clearance of the alarm. For alarm clearance, the Management Layer uses the event from the same application(s) as specified for the detect event for this Alarm Condition.

Scripts Section

The section identifies the Alarms Scripts that are associated with this Alarm Condition. These Scripts are created in Solution Control Interface. Refer to the Framework Management Layer User's Guide for more information about these scripts.

Scripts section properties:

Reaction Scripts | A list of Alarm Reaction scripts, which define a particular action when an alarm based on this Alarm Condition is detected. You can specify only Scripts of the Alarm Reaction type.
Clearance Scripts | A list of Alarm Clearance scripts, which define a particular action when an alarm based on this Alarm Condition is cleared. You can specify only Scripts of the Alarm Reaction type.


Deleting Alarm Conditions

To delete an Alarm Condition from the Configuration Database:

  1. Go to Provisioning > Environment > Alarm Conditions.

  2. If necessary, navigate to the folder that contains the Alarm Condition to be deleted.

  3. Select the Alarm Condition to be deleted.

  4. Click Delete.


Alarm Detection Scripts

Alarm Detection Scripts identify what system variables the Management Layer must monitor to trigger an alarm.

Alarm Detection Scripts are Script objects of type Alarm Detection, and are created in the same way as other Scripts. Unlike other scripts, you can then configure the Alarm Detection Script by selecting Script Wizard in the Scripts context menu or in the Runtime section of the Scripts Tasks panel.

The system variables that the Management Layer can monitor (also called advanced alarm detection parameters) include:

  • Host System Variable Threshold—Enables you to specify the value for an irregular change that might occur over a certain interval in either CPU or memory use on a given host.

  • Application System Variable Threshold—Enables you to specify the value for an irregular change that might occur over a certain interval in either an application's CPU or memory use.

  • Local SNMP Variable Threshold—Enables you to specify the value for an irregular change that might occur over a certain interval in any SNMP variable retrieved from the Genesys MIB file.

  • Remote SNMP Variable Threshold—Enables you to specify the value for an irregular change that might occur over a certain interval in any SNMP variable retrieved from a non-Genesys MIB file.

Warning! The SNMP-related alarm detection capabilities require that you have a Genesys SNMP license for Solution Control Server.

Note: The Rising Threshold, which triggers an alarm when crossed only if the value is rising, must be a higher number than the Falling Threshold, which clears the alarm when crossed only if the value is falling. For example, if the Rising Threshold is 300, the Falling Threshold must be less than 300.


Alarm Reaction Scripts

Alarm Reaction Scripts identify what the Management Layer must do when alarms occur in, or are cleared from, the system. They are Script objects of type Alarm Reaction, and are created in the same way as other Scripts. Unlike other scripts, you can then configure the Alarm Reaction Script by selecting Script Wizard in the Scripts context menu or in the Runtime section of the Scripts Tasks panel.

The Management Layer supports the following types of Alarm Reaction Scripts:

  • Shutdown of a specified application.

  • Startup of a specified application.

  • Restart of the application that reported the alarm.

  • Startup of a specified solution.

  • Sending an e-mail message with information about the alarm to specified Internet addresses. You can customize the e-mail with specific details about the alarm.

  • Switchover of operations from the application that reported the alarm to its backup application, for applications running in primary mode, backup mode, or regardless of the mode.

  • Sending an SNMP trap with detailed information about the alarm to a general-purpose network management system.

  • Execution of an operating system command.

Note: For a description of the OS commands you can specify in an Alarm Reaction Script, refer to the Framework Management Layer User's Guide.

  • Changing a configuration option value for the specified application or for the application that reported the alarm.


Testing Alarm Conditions

To verify the configuration of an Alarm Condition:

  1. Go to the Provisioning > Environment > Alarm Conditions.

  2. If necessary, navigate to the folder that contains the Alarm Condition to be tested.

  3. Do one of the following:

    • Select the Alarm Condition to be tested. Then open the Tasks panel, if necessary, and in the Runtime section, click Test Alarm.

    • Right-click the Alarm Condition to be tested, and from the context menu, select [image].

  4. Click Yes to confirm that the specified Alarm Condition should be tested.

  5. If prompted, browse for the Application for which a test Alarm should be generated. Click OK.

  6. Go to the Active Alarms view and check that the Alarm for this Alarm Condition has been generated.


Application Templates: Overview

An Application Template is the model you use for registering a new application in the Configuration Database. An Application Template describes the set of options that applies to an application of a particular type and version. Starting with release 8.0, templates can also be associated with metadata —extended information about possible configuration option values and other related information.

Before installing a new Genesys application, an Application Template must be available for that application. You can import the generic Application Template that is supplied with every Genesys application, or you can create a new Application Template.

This section describes how to perform the following tasks:

  • Importing Application Templates

  • Creating new Application Templates

  • Importing metadata into Application Templates

  • Configuring Application Templates

  • Deleting Application Templates

When upgrading previously installed releases of Genesys applications, you must register new Application Templates for the new releases if the Release Notes indicate that these releases contain new configuration options that are essential for your environment.


Acquiring Application Templates: Overview

Before installing a new Genesys application, a corresponding Application Template for that application must exist. You can acquire a template in one of two ways:

  • Import a generic template from the Genesys product CD.

  • Create a custom template.


Importing an Application Template

Genesys provides generic templates for all Genesys applications. You can find the .apd files for Application Templates, which come with every version of Genesys software, in the Templates folder on a product CD.

To import an Application Template from the .apd file:

  1. Go to Provisioning > Environment > Application Templates.

  2. If required, navigate to the folder in which you want to store the new Application Template.

  3. Open the Tasks panel, if necessary, and click Import Application Template.

  4. Click [image].

  5. In the file-selector dialog box, do the following:

    1. If necessary, navigate to where the template is stored.

    2. Select the appropriate .apd file.

    3. Click Open.

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. If the Templates folder also contains a metadata file, import that metadata into the Application Template.

  9. To save the new Application Template and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Application Templates.

    • Click Save to continue configuring the Application Template.

    • Click Save and New to save the new Application Template and start creating another one.

After you have created the Application Template, you can configure it as required, including managing who has access permissions for it.


Creating an Application Template

To create a custom Application Template:

  1. Go to Provisioning > Environment > Application Templates.

  2. If required, navigate to the folder in which you want to store the new Application Template.

  3. Click [image] .

  4. On the Configuration tab, enter or modify information as required.

Note: Make sure that the Type and Version match the applications that you want to register with this Template.

  6. On the Options tab, enter or modify information as required.

  7. If the Templates folder also contains a metadata file, import that metadata into the Application Template.

  8. To save the new Application Template and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Application Templates.

    • Click Save to continue configuring the Application Template.

    • Click Save and New to save the new Application Template and start creating another one.

After you have created the Application Template, you can configure it as required, including managing who has access permissions for it.


Application Metadata: Overview

Some Genesys applications come with application metadata. This metadata defines parameters (configuration options), including default and valid values that are applicable to that application and any related Configuration Database objects which will be deployed and managed using Genesys Administrator.

Where metadata is available for a component, the metadata is displayed to the end user in a user-friendly format that includes:

  • A complete list of configuration options for that component that the user can use to configure the Application object.

  • A customized editor for every option in that list, describing the option and its values.

  • Input validation, ensuring that the value entered and its type are valid for the particular option.

The end user, therefore, sees all of the available options for an Application object and can set any options required to configure the object.

Note: Importing the metadata does not change the configuration or behavior of any object created from the Application Template; it only provides the information for the Settings tab, in which you can configure options for the object.

Metadata for an application is located on the same product CD and in the same folder as the Application Template for the corresponding application. The metadata file has the same name as the Application Template filename, but with an extension of .xml. For example, the Application Template file for Message Server 8.0 is called Message_Server_800.apd; the metadata file, stored at the same location, and is called Message_Server_800.xml.

After it is imported, the metadata is stored at the location specified by the Genesys Administrator configuration option metadata_store. By default, the location is <Genesys Administrator installation folder>\resources\metadata, but you can change it if required. Refer to the Framework 8.0 Configuration Options Reference Manual for more details about this option.

Subsequent Installations

When you install Genesys Administrator and import an Application Template and its metadata, all of the metadata is viewable for any Application created from that Application Template. If Genesys Administrator is reinstalled into a different directory, the previously imported metadata is no longer available. If you open the Application Template, instead of metadata you will see an error message. You have to reimport the metadata to use it again.

To avoid this problem, you can:

  • Use the configuration option metadata_store described above. This is the recommended approach.

  • Reinstall Genesys Administrator into the same directory.


Importing Application Metadata

Before using metadata, you must import it into the corresponding Application Template. This enables the metadata to appear on the Options tab of all new and existing Application objects created from that template.

To import the metadata associated with an Application Template object:

  1. In the list of Application Templates, select the application with which you want to associate the metadata.

  2. Click Import Metadata .

  3. Click Add .

  4. In the file-selector dialog box, do the following:

    1. If necessary, navigate to where the template is stored.

    2. Select the appropriate .xml file.

    3. Click Open.

Note: Importing the metadata does not change the configuration or behavior of any object created from the Application Template; it only provides the information for the Settings tab, in which you can configure options for the object.


Configuring Application Templates: Overview

Configure Application Templates on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Application Template.

To configure an Application Template:

  1. Go to Provisioning > Environment > Application Templates.

  2. If necessary, navigate to the folder that contains the Application Template that you want to configure.

  3. Open the properties of the Application Template that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. If the Templates folder also contains a metadata file, import that metadata into the Application Template.

  8. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Application Templates.

    • Click Save to continue configuring the Application Template.

    • Click Save and New to save the Application Template and start creating another one.


Application Templates: Configuration Tab

Note: indicates a mandatory field.

General section properties:

Name | The name of the Application Template. You must specify a value for this property, and that value must be unique within the Configuration Database. Once you set the value, you cannot change it.
Type | The type of application to which the Application Template relates. This value is set automatically, and you cannot change it.
Version | The version of the application to which the Application Template relates. You must specify a value for this property. Once you set the value, you cannot change it. Genesys recommends that you specify the first three digits of the application version.
Metadata | The name of associated metadata file, if any. This value is set automatically, based on the imported metadata.
Metadata Description | The description of associated metadata. This value is set automatically, based on the imported metadata.
Metadata Version | The version of associated metadata. This value is set automatically, based on the imported metadata.


Deleting Application Templates

You cannot delete an Application Template that has any applications associated with it.

To delete an Application Template from the Configuration Database:

  1. Go to Provisioning > Environment > Application Templates.

  2. If necessary, navigate to the folder that contains the Application Template to be deleted.

  3. Select the Application Template to be deleted.

  4. Click Delete.


Applications: Overview

Applications are the various Genesys software programs that serve the contact center. There are two types of applications: graphical user interface (GUI) applications and daemon applications. Most daemon applications are servers to other applications.

You must register each instance of a daemon application separately. Configuration Server does not allow two daemon applications with the same name to be connected at the same time. By contrast, one object in the Configuration Database can represent any number of GUI applications of the same type and configuration parameters.

This section describes how to perform the following tasks:

  • Creating Applications

  • Configuring Applications

  • Starting and stopping Applications

  • Deleting Applications

  • View logs and alarms generated by the Application

In the list of Application objects, active alarms for an Application are indicated by an icon immediately to the left of the object's name.


Applications Status

Application Status

The status of an Application is displayed in the Status column of Genesys Administrator. The Application Status field holds one of eight values:

Stopped

Indicates that an application is installed and configured in the system, but it has not started. In other words, the application either has not been activated or has terminated unexpectedly.

Pending

Indicates one of the following:

  • The application is being activated. Solution Control Server (SCS) has executed the Startup command, but the application has not yet connected to the Local Control Agent (LCA) on its host. This status exists only for the interval between the command to start the application and the LCA report that the application is being connected.

  • The application is being shut down. The application has accepted the Stop command from SCS, but it has not yet disconnected from the LCA on its host. This status exists only for the interval between the instruction to stop the application and its actual termination. Typically, the Pending stage involves some application-specific wrap-up functions, closing of all open connections, termination, and detection of the termination by LCA.

Initializing

Indicates that an application is performing the initialization steps, which involve:

  • Starting the application.

  • Reading configuration data from the Configuration Database.

  • Checking this data for integrity and completeness.

  • Establishing connections with all the resources according to the given configuration data.

At this stage, the application is connected to the LCA running on its host, but it is not ready to provide the service (for example, to accept client connections).

Service Unavailable

Indicates that, although an application is running, it cannot provide the service, for some internal reason.

Started

Assigned from the moment an application is completely initialized; that is, when the application:

  • Has read and checked its configuration.

  • Has established connections with all the required resources.

  • Is ready to provide its service.

  • Is connected to the LCA running on its host.

This status does not necessarily mean that the application is performing its function. To start working, some applications may require additional solution-specific control operations through their user interfaces. For information, refer to solution-specific documentation.

Suspending

Indicates that an application has received a request to shut down gracefully and has stopped accepting new client connections and requests. It is still processing current connections and requests.

Suspended

Indicates that an application has received a request to shut down gracefully, has stopped accepting new client connections, and has finished processing all current connections and requests.

Unknown

Indicates that the Management Layer cannot provide reliable information about the current application status. In other words, SCS is not connected to the LCA on the host where the application is configured to run. This status does not necessarily mean that the application cannot perform its function.

Note: All GUI applications are displayed with a status of Unknown.


Creating Applications: Overview

You can create Applications in two ways:

  • Use the Configuration functionality in the Applications Tasks panel. This guides you through the steps of creating a generic Application object, including specifying an Application template (and importing it if necessary), importing any metadata associated with the template (if desired), and performing some basic configuration. This is the preferred method for creating an Application.

  • Manually, using the New button.

In both cases, additional configuration, such as customizing the object for your Solution, must be done manually.


Creating Applications Using the Tasks Panel

To create an Application:

  1. Go to Provisioning > Environment > Applications.

  2. If required, navigate to the folder in which you want to store the new Application.

  3. Open the Tasks panel, if necessary, and click Create Application in the Create section.

  4. Follow the steps in the Create New Application wizard, clicking Next to move to the next step.

  5. Click Finish to close the Wizard.

After it is registered, you can configure the Application as required, including managing who has access permissions for it.


Creating Applications Manually

Before you create a new Application object manually, you must import or create an Application Template for that version and type of Application. If you have not yet done so, do it now.

To create an Application manually:

  1. Go to Provisioning > Environment > Applications.

  2. If required, navigate to the folder in which you want to store the new Application.

  3. Click New.

  4. In the Browse dialog box, select the Application Template for this application (navigating to the appropriate folder if necessary), and click OK.

If an Application Template for this application is not available, click Cancel and import or create a template. Then restart this procedure to create the new template.

  6. On the Configuration tab, enter or modify information as required.

Note: Most daemon applications are servers to other applications. To specify connection parameters for a daemon application, use the properties in the Server Info section.

  7. On the Options tab, enter or modify information as required.

  8. To save the new Application and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Applications.

    • Click Save to continue configuring the Application.

    • Click Save and New to save the new Application and start creating another one.

After you have registered the Application, you can configure it as required, including managing who has access permissions for it.


Configuring Applications: Overview

Configure Applications on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Notes:

  • The Dependencies tab may contain additional information about a selected Application.

  • The Active Sessions tab appears for Orchestration Server Applications only.

To configure an Application:

  1. Go to Provisioning > Environment > Applications.

  2. If necessary, navigate to the folder that contains the Application that you want to configure.

  3. Open the properties of the Application that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

Note: Most daemon applications are servers to other applications. To specify connection parameters for a daemon application, use the properties in the Server Info section.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Applications.

    • Click Save to continue configuring the Application.

    • Click Save and New to save the Application and start creating another one.


Applications: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has three sections:

  • General

  • Server Info —Applies only to daemon applications, not to GUI applications.

  • Network Security

Note: One or more additional sections may appear, depending on the type of Application you are configuring. Refer to product-specific documentation for information about these additional sections.

General Section

General section properties:

Name | The name of the application. You must specify a value for this property, and that value must be unique within the Configuration Database. Genesys does not recommend that you use symbols (including single and double quotation marks) in application names; doing so may cause applications to malfunction.
Application Template | The Application Template on which this application is based. This value is set automatically when you select the Application Template.
Type | The type of the application. This value is set automatically, based on the selected Application Template.
Version | The version of the application. This value is set automatically, based on the selected Application Template version.
Server | This field is set to True for all daemon applications and False for all GUI applications. It is set automatically, based on the Application Type.
Connections | A list of connections that this application has to other applications.

Server Info Section

This section applies only to daemon applications, not to GUI applications.

Server Info section properties:

Tenants

This property is displayed and has functional meaning only in a multi-tenant environment. The Tenants property specifies a list of Tenants that this application serves.

The information specified in this list does not restrict the access privileges of the daemon applications with respect to the configuration data.

Note: T-Server and High Availability (HA) Proxy applications do not display the Tenant property. A T-Server can serve only one Tenant, which is specified in the T-Server's General properties. An HA Proxy can serve only the same Tenant as the corresponding T-Server, and this Tenant is also specified in the HA Proxy's General properties.

Host

The host computer on which the application is running.

Listening Ports

The ports the clients of this application use to connect to this server.

Note: To support specific HA configurations, more than one server can be registered on the same port within the same host. Otherwise, do not assign the port number to any other server on the same host.

Working Directory (see note)

The full path to the directory where this application is installed. This field is mandatory.

When creating a new Application, Genesys recommends inserting a period (.). The path will be filled in automatically when the new Application is installed and connects to Configuration Server.

Command Line (see note)

The command line that is used to start this application, specifying the name of the application's executable file. This field is mandatory.

When creating a new Application, Genesys recommends inserting a period (.). The command-line will be filled in automatically when the new Application is installed and connects to Configuration Server.

Command Line Arguments (see note)

Additional command-line parameters that are used to start this application.

When creating a new Application, Genesys recommends leaving this field blank. Any arguments will be filled in automatically when the new Application is installed and connects to Configuration Server.

StartUp Timeout

The time interval, in seconds, during which the Management Layer expects this application to start. If the application has been configured with the autostart configuration option set to true, this is also the amount of time that Solution Control Server should wait to start this application after initialization or after a system reboot. This field is mandatory.

ShutDown Timeout

The time interval, in seconds, during which the Management Layer expects this application to shut down. This field is mandatory.

Backup Server

The server that Client applications contact if the connection to the primary server fails. You cannot associate one backup server with more than one primary server. You must use the same Application Template for the backup server that you use for the primary server, and you must associate the servers with the same user account.

Note: When you designate an application as a backup server for another server, the application's Connections, Tenants, and Switch (for T-Server applications) are automatically changed to match the corresponding values for the primary server. As long as this application is associated with the primary server, its Connections are treated as read-only, and they are changed only when you apply changes to the Connections of the primary server.

Redundancy Type

The type of redundancy with which this application is running.

Timeout

The amount of time, in seconds, that the client application waits between reconnection attempts after a connection failure with the server.

Attempts

The number of attempts to reconnect to this server before trying to connect to the backup server. This value must be 1 or higher. This property is used only if you specify a Backup Server for this server.

Note: Setting this parameter to any value other than 1 may not take effect for some types of applications.

Auto-Restart

Indicates whether the Management Layer automatically restarts the application after it shuts down unexpectedly.


Applications: Connections

Configuring Applications: Connections

Connection properties:

Server

The server application that this application connects to as a client when it starts.

ID

The port of the server to which the application connects. If you want to use a secure connection, be sure to select a secure port.

Connection Protocol

The name of the connection control protocol. To set Advanced Disconnect Detection Protocol (ADDP) for a configured connection, specify addp.

Note: Set the ADDP protocol between Local Control Agent and Solution Control Server In the Annex of the Host object.

Local Timeout

This value is required only if you specified addp in Connection Protocol.

The heartbeat polling interval, measured in seconds, on a client side. This indicates how often the client application sends polling signals to the server application. To enable this functionality, specify any integer as the value.

Warning! To avoid false disconnect states that might occur because of delays in the data network, Genesys recommends that you set the ADDP timeouts to values greater than 10 seconds.

Remote Timeout

This value is required only if you specified addp in Connection Protocol.

The heartbeat polling interval measured, in seconds, on a server side. This indicates how often the server application sends polling signals to the client application. To enable this functionality, specify any integer as the value.

Warning! To avoid false disconnect states that might occur because of delays in the data network, Genesys recommends that you set the ADDP timeouts to values greater than 10 seconds.

Trace Mode

The connection trace mode used between a server and its client.

  • Select Trace Is Turned Off if you do not want either the client or the server application to print ADDP-related messages in its log.

  • Select Trace On Client Side if you want the client application to print ADDP-related messages in its log.

  • Select Trace On Server Side if you want the server application to print ADDP-related messages in its log.

  • Select Trace On Both Sides if you want both the client and server applications to print ADDP-related messages in their log.

Transport Parameters

Any text, usually key=value pairs, separated by a semicolon (;).

This property is application-specific. Refer to the documentation for the particular application to determine the appropriate values for this field, if any.

Application Parameters

Any text, usually key=value pairs, separated by a semicolon (;).

This property is application-specific. Refer to the documentation for the particular application to determine the appropriate values for this field, if any.

Proxy Server Parameters

Any text, usually key=value pairs, separated by a semicolon (;).

This property is application-specific. Refer to the documentation for the particular application to determine the appropriate values for this field, if any.


Applications: Listening Ports

Configuring Applications: Listening Ports

Listening ports are communication ports used by the clients of an application to connect to a server.

To support specific high-availability configurations, more than one server can be registered on the same port within the same host. Otherwise, do not assign the port number to any other server on the same host.

The properties of listening ports are configured on three tabs:

  • General

  • Advanced

  • Network Security

General Tab

General tab properties:

ID | The identifier of the port.
Port | The port associated with the specified port ID.
Connection Protocol | The protocol used for the connection: default, SIP, or HTTP.
Description | A brief description of this port.


Active Sessions Tab

The Active Sessions tab contains a list of all active sessions for the selected Orchestration Server application object. In addition to providing information about current sessions, this tab provides the ability to terminate "stuck" sessions.

The sessions list contains four columns:

  • Session ID - the unique identifier for each session

  • Start Time - the time the session started

  • Update Time - the time of the last event for the session

  • Server Name - the server name

You can search or filter the list using the standard Genesys Administrator search and filter tool. You can search on any of the above columns. Note that for the Start Time and Update Time, ranges can be specified in the search.

To terminate a session, right-click the session in the list and select Stop Session(s) from the menu, or select the Stop Session(s) button from the toolbar.


Starting and Stopping Applications: Overview

This section describes how to start and stop Applications, as follows:

  • Start Applications

  • Stop Applications

  • Stop Applications gracefully

Controls for these actions are in two locations:

  • On the toolbar: Start Stop Graceful Stop

  • In the Runtime section of the Tasks panel:

Application Tasks > Runtime

Note: You cannot start or stop an application of the Database Access Point type.


Starting Applications

Warning! Application startup through Genesys Administrator does not necessarily mean that the Application immediately starts performing its function. Applications are components of higher-level structures called Solutions, and most of them function normally only as part of the Solutions to which they belong. Genesys recommends that you activate single Applications only for maintenance purposes or during online upgrades. In normal production mode, always start a complete Solution.

To start an Application:

  1. Go to Provisioning > Environment > Applications.

  2. If necessary, navigate to the folder containing the Applications that you want to start.

  3. Do one of the following:

    • Select the Applications that you want to start, and in the Runtime section of the Tasks panel, click Start applications. This approach can be used to start one or more Applications simultaneously.

    • Open the properties of the Application that you want to start, and click Start. This approach can be used to start only one Application at a time.

    • Right-click on the Application that you want to start, and from the context menu, select Start. This approach can be used to start only one Application at a time.

Genesys Administrator notifies Solution Control Server, which uses Local Control Agent to activate the Application remotely.

Application startup takes some time, depending on:

  • The amount of configuration data the Application must read from the Configuration Database.

  • The amount of time it takes to check data integrity and completeness.

  • The number of network connections the Application must set up to other system resources.

While an Application is being initialized, its status changes from Stopped to Pending. When the Application starts, its status changes from Pending to Started.

In some scenarios, an Application might depend on internal and/or external components to perform their functions. In these cases, the Application status may change as follows:

  1. From Stopped to Pending to Initializing and, possibly, to Service Unavailable.

  2. From either Initializing or Service Unavailable to Started only after all the internal and external components are ready.

Genesys Administrator reports a successful start of an Application only if the Application has reported either Started or Service Unavailable status within the configured timeout period.

Notes:

  • You can start an Application only if its current status is Stopped.

  • You can start an Application only if you have Execute permission for the Application configuration object.

  • If you install an Application as a Windows Service, it will be started as a Windows Service.


Stopping Applications

Warning! Stopping an Application can cause the stoppage of some or all of the running Solutions to which the Application belongs.

When you stop an Application abruptly (ungracefully), the Application immediately stops processing all requests, both new and current. You can stop an Application only if:

  • Its current status is Started, Service Unavailable, Pending, Suspending, or Suspended.

  • You have Execute permission for the Application.

To stop Applications:

  1. Go to Provisioning > Environment > Applications.

  2. If necessary, navigate to the folder containing the Applications that you want to stop.

  3. Do one of the following:

    • Select the Applications that you want to stop, and in the Runtime section of the Tasks panel, click Stop applications. This approach can be used to stop one or more Applications simultaneously.

    • Open the properties of the Application that you want to stop, and click Stop. This approach can be used to stop only one Application at a time.

    • Right-click on the Application that you want to stop, and from the context menu, select Stop. This approach can be used to stop only one Application at a time.

Genesys Administrator notifies Solution Control Server, which uses Local Control Agent to terminate the Application remotely.


Stopping Applications Gracefully

Warning! Stopping an Application can cause the stoppage of some or all of the running Solutions to which the Application belongs.

When you stop an Application gracefully, the Application stops accepting new requests and finishes processing the requests that it currently has in its queue.

You can stop an Application gracefully only if:

  • Its current status is Started, Service Unavailable, or Pending. You cannot stop an Application gracefully if its status is Suspending or Suspended.

  • You have Execute permission for the Application object.

To stop Applications gracefully:

  1. Go to Provisioning > Environment > Applications.

  2. If necessary, navigate to the folder that contains the Applications that you want to stop.

  3. Do one of the following:

    • Select the Applications that you want to stop, and in the Runtime section of the Tasks panel, click Stop applications gracefully. This approach can be used to stop one or more Applications simultaneously.

    • Open the properties of the Application that you want to stop, and click Graceful Stop. This approach can be used to stop only one Application at a time.

    • Right-click on the Application that you want to stop, and from the context menu, select Graceful Stop. This approach can be used to stop only one Application at a time.

Genesys Administrator notifies Solution Control Server, which uses Local Control Agent to terminate the Application remotely.

Support of Graceful Shutdown

If you are not sure if an Application supports graceful shutdown, you can use the configuration option suspending-wait-timeout to configure a timeout. Doing so will ensure that the Application shuts down gracefully if it supports graceful shutdown; otherwise, it will be stopped ungracefully. Refer to the Framework 8.0 Configuration Options Reference Manual for more information about this configuration option.


Deleting Applications

To delete an Application from the Configuration Database:

  1. Go to Provisioning > Environment > Applications.

  2. If necessary, navigate to the folder that contains the Application to be deleted.

  3. Select the Application to be deleted.

  4. Click Delete.


Applications: Logs and Alarms Overview

To view the logs and alarms generated by a specific Application:

  1. Go to Provisioning > Environment > Applications and, if necessary, navigate to the folder containing the Application for which you want to view logs and alarms.

  2. Open the properties of the Application for which you want to view logs and alarms.

  3. Do one or both of the following, as required:

    • Select the Alarms tab to view the alarms generated by this Application, filtering the list as required to view only those alarms which are of interest.

    • Select the Logs tab to view the logs generated by this Application, filtering the list as required to view only those logs which are of interest.

Note: The Framework 8.0 Combined Log Events Help file contains descriptions of Log Events generated by Genesys components. You can download this Help file from the Knowledge Base on the Genesys Technical Support website at: http://genesyslab.com/support/home/index/.


Applications: Alarms Tab

The Alarms tab displays the alarms that have been generated for this application.

Note: This information will be displayed only if the Centralized Logging functionality is available. Refer to the Framework Management Layer User's Guide for more information.

Alarms Tab properties:

! | The severity of the alarm.
<no title> | If this field contains a paper clip icon, this alarm has additional data contained in an attachment.
ID | The ID of the log event that generated this alarm.
Generated | The timestamp indicating when this alarm was generated.
Text | The text of the log event that generated this alarm.
Application | The application for which this alarm is generated.
Host | The Host object on which the application for which this alarm was generated is running.


Applications: Logs Tab

The Logs tab displays log events that have been generated by this application.

Note: Information about logs will be displayed only if Centralized Logging functionality is available. Refer to the Framework Management Layer User's Guide for more information.

Logs Tab properties:

! | The log level.
<no title> | If this field contains a paper clip icon, this log event has additional data contained in an attachment.
ID | The log event ID.
Generated | The timestamp indicating when this log event was generated.
Text | The text of this log event.
Application | The application for which this log event was generated.
Host | The Host object on which this application is running.


Business Units/Sites: Overview

A Business Unit groups configuration objects of various types for business, geographical, and other reasons. You may find permission management more convenient on the Business Unit level than on the individual object level. A Site is a special type of Business Unit used in Cost-Based Routing to build and represent infrastructure cost tables.

This section describes how to perform the following tasks:

  • Creating Business Units/Sites

  • Configuring Business Units/Sites

  • Deleting Business Units/Sites


Creating Business Units/Sites

To create a Business Unit or Site:

  1. Go to Provisioning > Environment > Business Units/Sites.

  2. If required, navigate to where the new Business Unit or Site is to be located.

  3. Click [image].

  4. Enter a unique name in the dialog box

  5. Click OK.

This creates a basic Business Unit or Site. No further configuration is required for a Business Unit, unless you want to change its Name or State. A Site, however, requires more complex configuration to work with Cost-Based Routing. See the configuration instructions that follow.


Configuring Business Units/Sites: Overview

Configure Business Units and Sites on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Site.

To configure a Business Unit or Site:

  1. Go to Provisioning > Environment > Business Units/Sites.

  2. If necessary, navigate to the Business Unit or Site that you want to configure.

  3. Select the Business Unit or Site and click [image] in the toolbar.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Business Units/Sites.

    • Click Save to continue configuring the Business Unit or Site.

    • Click Save and New to save the Business Unit or Site and start creating another one.


Business Units/Sites: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has two sections:

  • General

  • Advanced —Applies only to Sites.

General Section

General section properties:

Name | The name of the Business Unit or Site. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Folder Type | This field is preset to Business Unit or Site, as applicable, and you cannot change it.
Folder Class |

Advanced Section

This section applies only to Sites.

Advanced section properties:

Cost Contract | The cost contract associated with this Site. This cost contract will be used if there is no cost contract associated with an underlying site.
Infrastructure Transfer Costs | A list of Sites to which interactions at this Site can be routed, and the associated transfer costs.


Infrastructure Transfer Costs

Infrastructure Transfer Costs are the costs associated with routing interactions between Sites.

Infrastructure Transfer Cost properties:

Site | The name of a Site to which interactions can be routed.
Transfer Cost | The cost, in Cost Units, to route an interaction to this site.

Refer to the Universal Routing 8.0 Routing Application Configuration Guide for more information about Sites and Cost-Based Routing.


Deleting Business Units/Sites

Before removing a Business Unit or Site, you must first delete all Business Units and Folders that it contains.

To delete a Business Unit or Site from the Configuration Database:

  1. Go to Provisioning > Environment > Business Units/Sites.

  2. If necessary, navigate to the Business Unit or Site that you want to delete.

  3. Select the Business Unit or Site.

  4. Click Delete.


DNs: Overview

DNs are communication devices, uniquely identified by their directory numbers, where customer interactions (for example, telephone calls or e-mails) reside and are handled.

Because most types of DNs represent the actual devices of the telephone system, their specification in the Configuration Database must always correspond to their Switch settings. Remember that Genesys Administrator has no way of verifying this correspondence.

As a general rule, changes made to DN configurations in the Configuration Database must always follow the changes made to DNs within the telephone system, and never the other way around.

This section describes how to perform the following tasks:

  • Creating DNs

  • Configuring DNs

  • Deleting DNs

  • Managing DN Group assignments

  • Managing Routing Strategies loaded on DNs


DNs: Types

Types of DNs

Access Resource | A Switch access resource to be used in a multi-site environment for external routing.
ACD Position | An extension designated for customer interactions only.
ACD Queue | A device in a Switch, typically associated with a number of targets, where customer interactions wait while the control system is looking for an available target.
Call Processing Port | An extension connected to a call-processing equipment port.
Chat | A Chat address.
CoBrowse | A Co-Browse address.
Communication DN | A virtual device that applications use to communicate with each other through the User Event mechanism.
E-mail Address | An e-mail address.
Extension | A regular extension line.
External Routing Point | An ISCC (Inter Server Call Control) resource dedicated to supporting the external routing and call overflow functions.
Fax | An extension connected to a fax machine.
Mixed | An extension line that can be used as both an Extension and an ACD Position.
Mobile Station | A mobile station.
Modem | An extension connected to data communication equipment.
Music Port | A music source.
Network Destination | A destination number in network routing.
Routing Point | A device in a Switch, not associated with any particular target, where customer interactions wait while a routing application is making routing decisions.
Routing Queue | A telephony device that can be used as both a Routing Point and an ACD Queue.
Service Number | A service number used as a Routing Point in network routing.
Tie Line | A direct communication channel between two Switches of a private telephone network.
Tie Line Group | A group of tie lines forming one route.
Trunk | A communication channel between the public telephone network and a private telephone network.
Trunk Group | A group of trunks forming one route.
Video over IP Port | A video channel.
Virtual Queue | A virtual device, created and maintained by the switch, with activity identical to an ACD Queue.
Virtual Routing Point | A virtual device, created and maintained by the switch, with activity identical to a Routing Point.
Voice Mail | A voice mail channel.
Voice over IP Port | A Voice over IP (VoIP) Port.
Voice over IP Service | A VoIP Service.
Voice Treatment Port | An extension connected to an electronic audio equipment port (for example, IVR).
Workflow | A Workflow resource.


Creating DNs: Overview

You can create DNs in one of two ways:

  • Create a range of DNs, all with the same properties except the DN number.

  • Create DNs individually.


Creating a Range of DNs

You can use the Create a Range of DNs Wizard to create a large number of DNs in a sequence.

To create a range of DNs:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to which you want to add the new DNs.

  3. Open the properties of the Switch to which you want to add the new DNs.

  4. Open the DNs tab.

  5. In the Tasks Panel, select Create Range of DNs in the Create section.

  6. Follow the steps in the Wizard, referring to the descriptions of the fields as appropriate.


Creating DNs Individually

To create a single DN:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to which you want to add the new DN.

  3. Open the properties of the Switch to which you want to add the new DN.

  4. Open the DNs tab.

  5. Click [image].

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. To save the new DN and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of DNs.

    • Click Save to continue configuring the DN.

    • Click Save and New to save the new DN and start creating another one.

After you have created the new DN, you can configure it as required, including managing who has access permissions for it.


Configuring DNs: Overview

Configure DNs on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected DN.

To configure a DN:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to which the DN that you want to configure is associated.

  3. Open the properties of the Switch containing the DN that you want to configure.

  4. Open the DNs tab.

  5. Open the DN that you want to configure.

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. On the Permissions tab, enter or modify information as required.

  9. To save your changes, do one of the following:

    • Click Save and Close to return to the list of DNs.

    • Click Save to continue configuring the DNs.

    • Click Save and New to save the DN and start creating another one.


DNs: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has up to four sections:

  • General

  • Advanced

  • Cost-Based Routing

  • Default DNs

  • Access Numbers —for DNs of type Access Resource only.

Note: The Cost-Based Routing and Default DNs sections apply only for the following DN types:

  • Routing Point

  • External Routing Point

  • Service Number

  • Routing Queue

  • ACD Queue

  • Virtual Queue

  • Virtual Routing Point

General Section

General section properties:

Number

A directory number assigned to this DN within the Switch. You must specify a value for this property, and that value must be unique within the Switch for all DN types except the Destination Label type. Once you set the value, you cannot change it.

Genesys Administrator does not verify the correspondence between the numbers assigned to DNs and the switch's numbering plan defined by the DN Range property of the Switch. If, according to T-Server specifications, such correspondence is important in an environment, make sure that the specified DN Range covers all DN numbers that are defined within the Switch in question.

Type

The type of the DN. Once you set the value, you cannot change it.

If you are creating a new DN and you selected one of the specific DN types in the Navigation panel, this value is set automatically to the value corresponding to the type of DN you selected.

Tenant

In a multi-tenant configuration environment, the Tenant to which this DN Group belongs. This value is set automatically, and you cannot change it.

Switch

The Switch to which this DN belongs. You must specify a value for this property. Once you set the value, you cannot change it.

Association

An entity permanently associated with this DN (for example, an IVR port number, channel name, or access number).

For DNs of External Routing Point type, this number may be required to substitute for the actual DN directory number and may be used when placing calls to this routing point from another Switch.

Register

Indicates whether T-Server must register this DN within the Switch. You must specify a value for this property. From the drop-down menu, select one of the following values:

  • False&emdash;T-Server should never register the DN in question on the Switch, but process it locally.

  • True&emdash;T-Server should always register the DN on the Switch during T-Server startup or reconnection.

  • On-Demand&emdash;T-Server should register the DN only when a T-Server client requests the registration. Consult T-Server documentation for more information.

Warning! The last two values force T-Server to register this DN regardless of the State Enable setting.

Advanced Section

You can use this tab's properties with only a number of specific call-processing scenarios or switch-specific settings. For more information about the meaning and use of the advanced DN properties, refer to documentation for T-Server and call-processing applications.

All of the properties on the Advanced tab are optional. The default values that Genesys preset fit the widest range of configuration needs. Genesys does not recommend changing the defaults unless you are certain that another value is required.

Advanced section properties:

Alias

An alternative name for this DN. You must specify a value for this property if the DN is used as a target in routing instructions. If you specify this value, it must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).

Route Type

The type of routing that applies to this DN. You must specify a value for this property.

Routing Strategy

The Orchestration Routing Strategy (Enhanced Routing Script object) assigned to this DN. This applies only to the following types of DNs: ACD Position, ACD Queue, Call Processing Port, Chat, CoBrowse, E-mail Address, Extension, Routing Point, Routing Queue, Service Number, Video over IP Port, Virtual Routing Point, Voice Mail, Voice over IP Port, Voice over IP Server, Voice Treatment Port, and Workflow. For all other types of DNs, this field is not active.

Group

The group of DNs associated with this DN to be used in number translation.

Use Override

Indicates whether the override value should be used instead of the number or name value for accessing this DN in certain types of routing. The substitution only takes effect if you specify both the override value and select the check box.

Override

Value to use as the override instead of the number or name value for accessing this DN in certain types of routing. You must specify an override value, and it must be unique within the Switch.

DN Login ID

The login identifier used to activate this DN. Some types of switching systems require that the login code used to activate a particular DN be permanently associated with this DN. In that case, the Login ID may be applicable to the following types of DNs: ACD Position, Extension, Voice Treatment Port, Voice Mail, or Mixed.

Resource Type

This property is only displayed for DNs of the Access Resource type. Possible values are dnis or cof-in, which identify this Access Resource as a DNIS Label or a Call Overflow (COF) inbound queue respectively. Leaving this property empty identifies this Access Resource as an External Routing Point. For more information, refer to the Framework 8.0 T-Server Deployment Guide for your particular T-Server.

Switch-specific Type

An integer that corresponds to a combination of switch-specific settings for this DN. It identifies the device type (for example, Extension, ACD Position, or Trunk) for each switch (PBX) that T-Server supports. It is unique for each switch/DN/T-Server configuration. In essence, it provides a cross-reference for DN Types between T-Server and PBX. You must specify a value for this property, and it must be 1 or greater.

For more information, refer to the Framework 8.0 T-Server Deployment Guide for your particular T-Server.

Trunks

The number of trunks associated with this DN. It applies only if the Type property has a Network Destination value.

Contract

The cost contract with which this DN is associated. These fields appear only for the following DN types:

  • Routing Point

  • External Routing Point

  • Service Number

  • Routing Queue

  • ACD Queue

  • Virtual Queue

  • Virtual Routing Point

Cost-Based Routing Section

The Cost-Based Routing section is displayed only if the User is an Agent.

Cost-Based Routing section properties:

Cost Contract | The Cost Contract associated with this DN.
Site | The Site containing this Cost Contract.

Default DNs Section

This section displays a list of DNs to which calls can be routed or diverted by default from this DN.

Access Numbers Section

In a multi-site configuration, this section displays a list of DNs that provide access to other switches for external routing.


Deleting DNs

When you delete a DN, it is removed from the Configuration Database and from any DN Group of which it is a member.

If you want to remove only the DN from a DN Group of which it is a member, but leave it still existing in the Configuration Database and available for assignment to another DN Group, refer to Removing DNs From DN Groups.

To delete a DN from the Configuration Database:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch with the DN to be deleted.

  3. Open the properties of the Switch that contains the DN to be deleted.

  4. Open the DNs tab, and if necessary, navigate to the folder that contains the DN to be deleted.

  5. Select the DN to be deleted.

  6. Click Delete.


Managing Assignments to DN Groups

DNs can be assigned to DN Groups. To add DNs to, or remove DNs from, DN Groups, refer to the following:

  • Adding DNs to DN Groups

  • Removing DNs from DN Groups


Managing Loaded Routing Strategies: Overview

You can load and unload Routing Strategies from DNs in the following ways:

  • To load strategies, use the Load Strategy Wizard by selecting Load Strategy from the Script Management section of the slide-out Tasks panel of a DNs tab.

  • To load or unload strategies on or from a single DN, use the Routing Strategy field in the DN properties.

If you prefer, you can also use the DNs tab in the properties of any Script object of type Enhanced Routing to load or unload strategies on or from multiple DNs.


Using the DNs Tasks Panel to Load Routing Strategies

To load Routing Strategies from one or more DNs using the slide-out Tasks panel:

  1. Go to Provisioning > Switching > Switches and navigate to the folder containing the Switch that contains the DNs on which you want to load Routing Strategies.

  2. Open the properties of the Switch containing the DNs on which you want to load Routing Strategies.

  3. Open the DNs tab.

  4. Select one or more DNs on which you want to load Routing Strategies.

  5. Open the slide-out Tasks panel, if it is not already open.

  6. Select Load Strategy in the Script Management section of the Tasks panel.

  7. Follow the instructions in the Wizard to load Routing Strategies on the selected DNs.

Note: Make sure that you select Overwrite existing strategies.

  8. Click Finish to return to the list of DNs.

Note: You can also do this same procedure from the DNs tab of a DN Group.


Using DN Properties to Load or Unload Routing Strategies

To load or unload a Routing Strategy on or from a single DN using the properties of the DN:

  1. Go to Provisioning > Switching > Switches and navigate to the folder containing the Switch that contains the DN on or from which you want to load or unload a Routing Strategy.

  2. Open the properties of the Switch containing the DN on or from which you want to load or unload a Routing Strategy.

  3. Open the DNs tab.

  4. Open the properties of the DN on or from which you want to load or unload a Routing Strategy.

  5. In the Routing Strategy field of the Advanced section of the Configuration tab, do one of the following:

    • To unload the Routing Strategy, click [image].

    • To load a Routing Strategy, click [image] and use the browse dialog box to select the Routing Strategy.

  6. Click Save and Close to return to the list of DNs.


DN Groups: Overview

DN Groups are logical groupings of DNs. You can use Groups of DNs in network-level routing algorithms and in some types of statistics. To determine if you need to set up DN Groups, refer to your solution-specific documentation.

When you are specifying a DN Group, remember that the DNs in each DN Group must have the same telephony event model.

Note: Although a DN Group can contain DNs that belong to a number of different Switches, you can receive correct statistical information about this DN Group only if the reporting applications connect to the servers associated with those Switches

This section describes how to perform the following tasks:

  • Creating DN Groups

  • Configuring DN Groups

  • Deleting DN Groups

  • Adding DNs to DN Groups

  • Removing DNs from DN Groups

  • Load and unload Routing Strategies on and from DN Groups


Creating DN Groups

To create a DN Group:

  1. Go to Provisioning > Switching > DN Groups.

  2. If required, navigate to the folder in which you want to store the new DN Group.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new DN Group and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of DN Groups.

    • Click Save to continue configuring the DN Group.

    • Click Save and New to save the new DN Group and start creating another one.

After you have created the new DN Group, you can configure it as required, including managing who has access permissions for it.


Configuring DN Groups: Overview

Configure DN Groups on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

  • DNs tab

To configure a DN Group:

  1. Go to Provisioning > Switching > DN Groups.

  2. If necessary, navigate to the folder that contains the DN Group that you want to configure.

  3. Open the properties of the DN Group that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of DN Groups.

    • Click Save to continue configuring the DN Group.

    • Click Save and New to save the DN Group and start creating another one.


DN Groups: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has two sections:

  • General

  • Advanced

General Section

General section properties:

Name | The name of the DN Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). You cannot change this value as long as this DN Group contains at least one DN.
Group Type | The type of the DN Group. Once you set the value, you cannot change it.
Tenant | In a multi-tenant environment, the Tenant to which this DN Group belongs. Once you set the value, you cannot change it.

Advanced Section

Advanced section properties:

Capacity Table | This field applies only for the Enterprise Routing Solution. It is the Capacity Table associated with this DN Group. Refer to Enterprise Routing Solution documentation for more information.
Quota Table | This field applies only for the Enterprise Routing Solution. It is the Quota Table associated with this DN Group. Refer to Enterprise Routing Solution documentation for more information.
Origination DNs | A list of DNs from which calls can be routed or diverted to this Group. This list can include DNs of the following types: Routing Point, External Routing Point, Service Number, Routing Queue, ACD Queue, Virtual Queue, or Virtual Routing Point.


DN Groups: Types

Types of DN Groups

DN Group types and types of DNs that you can include in a group:

DN Group Type | Compatible DN Types
ACD Queues | ACD Queue, Routing Queue, and Virtual Queue
Network Ports | Network Destination
Routing Points | Routing Point, External Routing Point, Routing Queue, and Virtual Queue
Service Numbers | Service Number
Single Ports | Extension, ACD Position, Call Processing Port, Music Port, Communication DN, E-mail Address, Modem, Fax, Chat, CoBrowse, Voice over IP Port, Video over IP Port, Voice Treatment Port, and Voice Mail


DN Groups: DNs Tab

The DNs tab lists all of the DNs that are a member of the DN Group. From this tab, you can:

  • Add DNs to this DN Group.

  • Remove DNs from this DN Group.

  • Configure existing DNs.

  • Create new DNs.

  • Load and unload Routing Strategies.

Creating a New DN

To create a new DN directly from this tab:

  1. Open the properties of a DN with properties similar to those of the DN you want to create.

  2. Click Save and New.

  3. Create and configure the new DN as required. The new DN can then be added to this and other DN Groups.


DNs: Properties

DN Properties

DN properties:

Switch

The Switch to which this DN belongs. You must specify a value for this property. Once you set the value, you cannot change it.

Type

The type of this DN. You must specify a value for this property. Once you set the value, you cannot change it.

Number

A directory number assigned to this DN within the Switch. You must specify a value for this property, and that value must be unique within the Switch for all DN types except the Destination Label type. Once you set the value, you cannot change it.

Genesys Administrator does not verify the correspondence between the numbers assigned to DNs and the switch's numbering plan defined by the DN Range property of the Switch. If, according to T-Server specifications, such correspondence is important in an environment, make sure that the specified DN Range covers all DN numbers that are defined within the Switch in question.


Deleting DN Groups

When you delete a DN Group, only the DN Group object itself is removed from the Configuration Database. Its member DN objects are not deleted.

To delete a DN Group from the Configuration Database:

  1. Go to Provisioning > Switching > DN Groups.

  2. If necessary, navigate to the folder that contains the DN Group to be deleted.

  3. Select the DN Group to be deleted.

  4. Click Delete.


Adding DNs to DN Groups

To add DNs to DN Groups:

  1. Go to Provisioning > Switching > DN Groups and, if necessary, navigate to the folder containing the DN Group to which you want to add the DNs.

  2. Open the properties of the DN Group to which DNs are to be assigned.

  3. Open the DNs tab.

  4. Click New.

  5. If necessary, navigate to the folder that contains the Switch with which the DNs that are to be assigned are associated.

  6. Select the Switch with which the DNs to be added are associated.

  7. If necessary, navigate to the folder that contains the DNs that are to be assigned.

Note: At this point, the Browse dialog box contains only existing DNs whose Types are compatible with that of the DN Group.

  8. Select the DNs to add to the Group.

  9. Click OK.


Removing DNs from a DN Group

Removing DNs From DN Groups

When you remove a DN from a DN Group, the DN still exists in the Configuration Database, and is available to be added to another DN Group. If you want to delete the DN completely, to remove it from the Configuration Database, refer to Deleting DNs.

To remove a DN from a DN Group:

  1. Go to Provisioning > Switching > DN Groups and, if necessary, navigate to the folder that contains the DN Group from which you want to remove DNs.

  2. Open the properties of the DN Group from which you want to remove DNs.

  3. Select the DNs tab.

  4. Select the DNs to remove.

  5. Click Delete.


Managing Loaded Routing Strategies

Routing Strategies can be loaded on, and unloaded from, DN Groups, using one of the following methods:

  • Use the Script Management functionality in the DN Groups Tasks panel. This procedure does not allow you to unload Routing Strategies. To unload them, you must use the second method, described next.

  • Use the DN Group Management functionality in the Tasks panel accompanying the DNs tab in the properties of the Orchestration Script or any script of type Enhanced Routing. This allows you to load or unload multiple strategies on or from multiple DN Groups.

Using the Script Management Functionality

To load Routing Strategies using the Script Management functionality in the DN Groups Tasks panel:

  1. Go to Provisioning > Switching > DN Groups and navigate to the folder containing the DN Groups on which you want to load Routing Strategies.

  2. Select one or more DN Groups on which you want to load Routing Strategies.

  3. Open the slide-out Tasks panel, if it is not already open.

  4. Select Load Strategy in the Script Management section of the Tasks panel.

  5. Follow the instructions in the Wizard to load Routing Strategies on the selected DNs.

  6. Click Finish to return to the list of DNs.


Fields: Overview

Fields are single pieces of data within more complex data structures (for example, database records). Use Fields to define characteristics of data in Formats.

Note: You cannot delete a Field if it is associated with at least one Format.

This section describes how to perform the following tasks:

  • Creating Fields

  • Configuring Fields

  • Deleting Fields

Refer to Outbound Contact documentation for more information.


Creating Fields

To create a Field:

  1. Go to Provisioning tab > Environment > Fields.

  2. If required, navigate to the folder in which you want to store the new Field.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Field and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Fields.

    • Click Save to continue configuring the Field.

    • Click Save and New to save the new Field and start creating another one.

After you have created the new Field, you can configure it as required, including managing who has access permissions for it.


Configuring Fields: Overview

Configure Fields on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Field.

To configure a Field object:

  1. Go to Provisioning > Environment > Fields.

  2. If necessary, navigate to the folder that contains the Field that you want to configure.

  3. Open the properties of the Field that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Fields.

    • Click Save to continue configuring the Field.

    • Click Save and New to save the Field and start creating another one.


Fields: Configuration Tab

Configuration Tab

Configuration tab properties:

Name

The name of the Field up to 12 characters. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it.

If you use a particular Field object to describe a field in a database table, the object's name must correspond to the name of the field in the database table.

Tenant

In a multi-tenant configuration environment, the Tenant to which this Field belongs. Once you set the value, you cannot change it.

Data Type

The type of data stored in this Field that corresponds to the data type that the relational database management systems support. You must specify a value for this property. Once you set the value, you cannot change it.

Description

A brief description of the Field.

Length

The length of the Field in the database. Once you set the value, you cannot change it.

Field Type

Application-specific type of information to be stored in this Field. You must specify a value for this property. Once you set the value, you cannot change it.

Default Value

The default value of the Field.

Primary Key

Indicates whether the field is used as a primary key in a database table. Once you set the value, you cannot change it.

Unique

Indicates whether the value specified in this field must be unique within the table that includes this Field. Once you set the value, you cannot change it.

Nullable

Indicates whether the field can be set to NULL. Once you set the value, you cannot change it.


Field Types

Agent

A field containing a login ID of the last agent who handled an outbound call associated with this record.

ANI

A field containing an Automatic Number Identification.

Application

A field containing a Genesys application. An Application is: any of the executable programs that are installed and configured during a Framework installation, and which has a particular function within Framework.

Examples: Configuration Server, Solution Control Server (SCS), Message Server, Local Control Agent (LCA).

Call Time

A field containing the time of the actual dialing attempt.

Campaign

A field containing the campaign with which this record is associated.

Chain

A field containing the special ID of records that should be linked in a chain. Each record that is associated with one customer account, for example, has the same chain ID.

Contact Info

A field containing a destination telephone number.

Contact Info Type

A field containing the type of telephone number, such as home or work.

Country Code

A field containing the country code.

Dialing Result

A field containing the result of a dialed call.

E-mail Subject

A field containing the text in the subject line of an e-mail interaction.

E-mail Template ID

A field containing the template ID of an email interaction.

From

A field containing the time a record is scheduled for dialing.

Group

A field containing the name of a configuration object that groups person objects.

Info Digits

A field containing the Information Indicator-Digits, which indicate the originating line type of the caller.

LATA

A field containing the number of the Local Access and Transport Area.

Media Reference

A field containing the Configuration Server API reference to media body to be sent in case of treatment.

NPA

A field containing the number of the Numbering Plan Area.

NPA-NXX

A field containing the number of the Numbering Plan Area with an identifier of the specific telephone company central office serving that number.

Number in Chain

A field containing the priority assigned to a given record in the chain. The smallest number is processed first.

Number of Attempts

A field containing the number of attempts. (It does not include redialing attempts in the event of errors.)

Record ID

A field containing the unique ID number for the current record.

Record Status

A field containing the status of the record.

Record Type

A field containing the type of record.

Scheduled Time

A field containing the time of a scheduled personal callback or a rescheduled call (from a treatment).

State Code

A field containing State or International code, for example, a U.S. or Canadian postal code such as CA for California.

Switch ID

A field containing a configuration database object that represents a physical or virtual switch.

Time Zone

A field containing the time zone offset of the record.

To

A field containing the time the dialing attempts should conclude.

Treatments History

A field containing the record of treatments that have been applied to a customer.

User-Defined Field

A user-defined field.


Deleting Fields

You can delete a Field only if there is no Filter associated with it.

To delete a Field from the Configuration Database:

  1. Go to Provisioning tab > Environment > Fields.

  2. If necessary, navigate to the folder that contains the Field to be deleted.

  3. Select the Field to be deleted.

  4. Click Delete.


Formats: Overview

Use Formats to specify Fields that form a data structure (for example, a database table).

Note: You cannot delete a Format that is associated with at least one Table Access or Filter.

This section describes how to perform the following tasks:

  • Creating Formats

  • Configuring Formats

  • Deleting Formats


Creating Formats

To create a Format:

  1. Go to Provisioning tab > Environment > Formats.

  2. If required, navigate to the folder in which you want to store the new Format.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Format and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Formats.

    • Click Save to continue configuring the Format.

    • Click Save and New to save the new Format and start creating another one.

After you have created the new Format, you can configure it as required, including managing who has access permissions for it.


Configuring Formats: Overview

Configure Formats on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Format.

To configure a Format object:

  1. Go to Provisioning > Environment > Formats.

  2. If necessary, navigate to the folder that contains the Format that you want to configure.

  3. Open the properties of the Format that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Formats.

    • Click Save to continue configuring the Format.

    • Click Save and New to save the Format and start creating another one.


Formats: Configuration Tab

Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Format, up to 255 characters. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it.
Description | A brief description of the Format.
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Format. Once you set the value, you cannot change it.


Deleting Formats

You can delete a Format only if there is no Table Access or Filter associated with it.

To delete a Format from the Configuration Database:

  1. Go to Provisioning tab > Environment > Formats.

  2. If necessary, navigate to the folder that contains the Format to be deleted.

  3. Select the Format to be deleted.

  4. Click Delete.


Hosts: Overview

Hosts are the computers that run the various server applications in the environment.

Register only those hosts on which you will install and run Genesys servers or third-party servers that you configure in the Configuration Database.

This section describes how to perform the following tasks:

  • Creating Hosts

  • Configuring Hosts

  • Deleting Hosts

  • View logs and alarms generated by the Host

In the list of Host objects, active alarms for Applications running on that Host are indicated by an icon immediately to the left of the object's name.


Host Status

The Status of a Host is displayed in the Status column of Genesys Administrator. The Host Status field holds one of five values:

Up

Indicates that Solution Control Server (SCS) has successfully connected to Local Control Agent (LCA) running on the given host and that it, therefore, can control and monitor all applications located on this host.

Unavailable

Indicates that SCS cannot connect to LCA running on the given host, or that it has lost a previously established connection because the host is not started or has failed.

Unreachable

Indicates that SCS cannot connect to LCA running on the given host, or that it has lost a previously established connection because of a network connectivity problem between SCS and the host. Specifically, there is no route to the host.

Down

Indicates that SCS cannot connect to LCA running on the given host, or that it has lost a previously established connection. A status of Down (or Host Inaccessible) indicates one of the following:

  • LCA has not started on the given host, has terminated, or has stopped responding.

  • LCA is not configured correctly in the Configuration Database.

If you cannot identify a problem, refer to the Management Layer Troubleshooter in Framework 8.0 Solution Control Interface Help for assistance.

Unknown

Indicates one of two situations:

  • In a Distributed SCS configuration, the SCS to which Genesys Administrator is connected cannot connect to, or has lost a previously established connection with, another distributed SCS that is assigned to the given host.

  • Genesys Administrator cannot connect to, or has lost its connection with, SCS on the given host. In this case, Genesys Administrator will show all hosts with a Unknown status.


Creating Hosts

To create a Host:

  1. Go to Provisioning tab > Environment > Hosts.

  2. If required, navigate to the folder in which you want to store the new Host.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Host and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Hosts.

    • Click Save to continue configuring the Host.

    • Click Save and New to save the new Host and start creating another one.

After you have created the new Host, you can configure it as required, including managing who has access permissions for it.


Configuring Hosts: Overview

Configure Hosts on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Host.

To configure a Host object:

  1. Go to Provisioning > Environment > Hosts.

  2. If necessary, navigate to the folder that contains the Host that you want to configure.

  3. Open the Host that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Hosts.

    • Click Save to continue configuring the Host.

    • Click Save and New to save the Host and start creating another one.


Hosts: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Network Security

General Section

General section properties:

Name

The name of the host. You must specify a value for this property, and that value must be unique within the Configuration Database. Because applications use this host name to establish connections with the servers running on this host, make sure that the name exactly matches the name of this host in the data network configuration.

You cannot change this host name if any server applications are assigned to this host.

IP Address

The IP address of the host. This value must be unique within the Configuration Database. Because applications may be using the specified IP address to establish connections with the servers running on this host, make sure that the value that you enter exactly matches the IP address of this host in the data network configuration.

OS Type

The type of the operating system of this host. You must specify a value for this property.

OS Version

The version of the operating system.

LCA Port

The port number on which Local Control Agent (LCA) for this host is running. The LCA port must be set to a value of 2000 or greater. When the LCA port is specified as less than 2000, LCA starts on port number 4999 (the default value).

Note: Do not change the value of the LCA port if any application has already connected to LCA or if Solution Control Server (SCS) has already started to control LCA.

Solution Control Server

The SCS that monitors and controls this host. This property is valid only if you enable distributed SCS functionality. See the Management Layer User's Guide for details.

To configure the Advanced Disconnect Detection Protocol (ADDP) protocol between the LCA of a given host and SCS, use the Options tab of the Host object, and set the configuration in the Annex.

If you are using the Management Layer for application failure management, set up ADDP parameters for the host as described.

  1. Open the Options tab of the Host and select Advanced View (Annex) from the drop-down list.

  2. Create a section called addp.

  3. In the addp section, specify the following configuration options:

Option Name

Option Value

Option Description

addp-timeout

Any integer

Sets the ADDP timeout in seconds. If one application in the connection does not receive messages from the other application in the connection within this interval, the first application sends a polling message. If the first application does not receive a response to the polling message within this time interval, it interprets the lack of response as a loss of connection.

The recommended setting for this option is 3 seconds for a LAN connection or 10 seconds for a WAN connection.

addp-trace

local

LCA prints ADDP-related messages into its log.

Note: You configure ADDP between servers by using the Application's Connections tab.


Deleting Hosts

You can delete a Host only if there are no server applications currently assigned to it.

To delete a Host from the Configuration Database:

  1. Go to Provisioning tab > Environment > Hosts.

  2. If necessary, navigate to the folder that contains the Host to be deleted.

  3. Select the Host to be deleted.

  4. Click Delete.


Hosts: Logs and Alarms Overview

To view the logs and alarms generated on a specific Host:

  1. Go to Provisioning > Environment > Hosts and, if necessary, navigate to the folder that contains the Hosts for which you want to view logs and alarms.

  2. Select the name of the Host for which you want to view logs and alarms.

  3. Do one or both of the following, as required:

    • Select the Alarms tab to view the alarms generated by this Host, filtering the list as required to view only those alarms which are of interest.

    • Select the Logs tab to view the logs generated by this Hosts, filtering the list as required to view only those logs which are of interest.

Note: The Framework 8.0 Combined Log Events Help file contains descriptions of Log Events generated by Genesys components. You can download this Help file from the Knowledge Base on the Genesys Technical Support website at: http://genesyslab.com/support/home/index/.


Hosts: Alarms Tab

The Alarms tab displays the alarms that have been generated on this host. For more information about alarms, refer to the Management Layer User's Guide.

Alarms Tab properties:

! | The severity of the alarm.
<no title> | If this field contains a paper clip icon, this alarm has additional data contained in an attachment.
ID | The alarm ID.
Generated | The timestamp indicating when the alarm was generated.
Text | The text of the alarm.
Application | The application for which this alarm was generated.
Host | The Host object on which the application is running.


Hosts: Logs Tab

The Logs tab displays the logs that have been generated on this host. For more information about the logs, refer to Framework Combined Log Events Help. For information about the Centralized Log system, refer to the Management Layer User's Guide.

Log Tab properties:

! | The log level.
<no title> | If this field contains a paper clip icon, this log events has additional data contained in an attachment.
ID | The log ID.
Generated | The timestamp indicating when the log was generated.
Text | The text of the log.
Application | The application for which this log was generated.
Host | The Host object on which the application is running.


IVR Ports: Overview

IVR (Interactive Voice Response) Ports are telephony objects uniquely identified by the numbers within IVRs at which telephone calls may reside and be handled.

When you register a new IVR in the Configuration Database, an IVR Ports folder under this IVR is automatically created. An IVR Port can, therefore, be created only when the associated IVR is created.

This section describes how to perform the following tasks:

  • Creating IVR Ports

  • Configuring IVR Ports

  • Deleting IVR Ports


Creating IVR Ports: Overview

You can create IVR Ports in one of two ways:

  • Create a range of IVR Ports, all with the same properties except the ID.

  • Create IVR Ports individually.

In either case, you can create IVR Ports only after you have created the IVR with which these Ports are associated.


Creating a Range of IVR Ports

You can use the Create a Range of IVR Ports Wizard to create a large number of IVR Ports in a sequence.

To create a range of IVR Ports:

  1. Go to Provisioning > Switching > IVRs.

  2. If necessary, navigate to the folder in which the associated IVR is stored.

  3. Open the properties of the IVR to which you want to add the new IVR Ports.

  4. Open the IVR Ports tab.

  5. In the Tasks Panel, select Create Range of IVR Ports in the Create section.

  6. Follow the steps in the Wizard, referring to the descriptions of the fields as appropriate.


Creating IVR Ports Individually

You can create IVR Ports only after you have created the IVR with which these Ports are associated.

To create a single IVR Port:

  1. Go to Provisioning > Switching > IVRs.

  2. If necessary, navigate to the folder in which the associated IVR is stored.

  3. Open the properties of the IVR with which the IVR Port is associated.

  4. Open the IVR Ports tab.

  5. Click New.

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. To save the new IVR Port and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of IVR Ports.

    • Click Save to continue configuring the IVR Port.

    • Click Save and New to save the new IVR Port and start creating another one.

After you have created the new IVR Port, you can configure it as required, including managing who has access permissions for it.


Configuring IVR Ports: Overview

Configure IVR Ports on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure an IVR Port:

  1. Go to Provisioning > Switching > IVRs.

  2. If necessary, navigate to the folder in which the associated IVR is stored.

  3. Open the properties of the IVR with which the IVR Port is associated.

  4. Open the IVR Ports tab.

  5. Open the properties of the IVR Port that you want to configure.

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. On the Permissions tab, enter or modify information as required.

  9. To save your changes, do one of the following:

    • Click Save and Close to return to the list of IVR Ports.

    • Click Save to continue configuring the IVR Port.

    • Click Save and New to save the IVR Port and start creating another one.


IVR Ports: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Port Number | The number associated with a channel on an IVR. You must specify a value for this property, and that value can be equal to zero or any positive integer. It must be unique within the IVR with which it is associated.
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this IVR Port. Once you set the value, you cannot change it. This value is set automatically to the name of the Tenant to which the IVR belongs.
IVR | The IVR to which this IVR Port belongs. This value is automatically set, and you cannot change it.
Description | A brief description of this IVR Port.
Associated DN | The DN associated with this IVR Port.


Deleting IVR Ports

Warning! When you delete an IVR Port, this might affect some objects in the configuration. To see associations between an IVR Port and other objects, use the Search tool.

To delete an IVR Port from the Configuration Database:

  1. Go to Provisioning > Switching > IVRs.

  2. If necessary, navigate to the folder in which the associated IVR is stored.

  3. Open the properties of the IVR with which the IVR Port is associated.

  4. Open the IVR Ports tab.

  5. Select the IVR Port that you want to delete.

  6. Click Delete.

  7. Click Yes to confirm the deletion.


IVRs: Overview

IVRs (Interactive Voice Responses) are telephony objects consisting of IVR Ports; they are controlled through IVR interface drivers.

When you register a new IVR in the Configuration Database, an IVR Ports folder is automatically created under this IVR.

IVR Ports are telephony objects uniquely identified by the numbers within IVRs at which telephone calls may reside and be handled.

This section describes how to perform the following tasks:

  • Creating IVRs

  • Configuring IVRs

  • Deleting IVRs


Creating IVRs

To create an IVR:

  1. Go to Provisioning > Switching > IVRs.

  2. If required, navigate to the folder in which you want to store the new IVR.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new IVR and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of IVRs.

    • Click Save to continue configuring the IVR.

    • Click Save and New to save the new IVR and start creating another one.

After you have created the new IVR, you can configure it as required, including managing its IVR Ports and who has access permissions for the IVR.


Configuring IVRs: Overview

Configure IVRs on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

  • IVR Ports tab

To configure an IVR:

  1. Go to Provisioning > Switching > IVRs.

  2. If necessary, navigate to the folder that contains the IVR that you want to configure.

  3. Open the IVR.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, assign access permissions as required.

  7. On the IVR Ports tab, define the IVR Ports associated with this IVR.

  8. To save your changes, do one of the following:

    • Click Save and Close to return to the list of IVRs.

    • Click Save to continue configuring the IVR.

    • Click Save and New to save the IVR and start creating another one.


IVRs: Configuration Tab

Note: indicates a mandatory field.

General section properties:

Name | The name of the IVR. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this IVR. This value is set automatically, and you cannot change it.
Description | A brief description of the IVR.
Type | The type of this IVR. You must specify a value for this property.
Version | The version of the IVR. You must specify a value for this property.
IVR Server | The name of the Application of the IVR Interface Server type that serves this IVR.


IVRs: IVR Ports Tab

IVR Ports are configured as separate objects. They can be created and configured only after the associated IVR has been created.

You can perform the following operations on IVR Ports:

  • Create IVR Ports

  • Configure existing IVR Ports

  • Delete IVR Ports


Deleting IVRs

Warning! When you delete an IVR, this also deletes all IVR Ports specified within the IVR. Their deletion might in turn cause modifications in other objects.

To delete an IVR from the Configuration Database:

  1. Go to Provisioning > Switching > IVRs.

  2. If necessary, navigate to the folder in which the IVR is stored.

  3. Select the IVR that you want to delete.

  4. Click Delete.

  5. Click Yes to confirm the deletion.


Places: Overview

A Place is a location that has one or more DNs operated by a single agent.

You configure Places and assign individual DNs to them in order to monitor performance and availability of Agents, Agent Groups, and Place Groups and to provide this information to call-processing applications.

A typical Agent Place consists of two DNs: one DN that an Agent uses to take customer calls, and one DN that the Agent uses to make consultation calls and transfers.

If you are using the multimedia options of the Genesys products, Places may need to be equipped with DNs of other types, such as E-mail Address.

This section describes how to perform the following tasks:

  • Creating Places

  • Configuring Places

  • Deleting Places

  • Managing Place Group assignments


Creating Places

To create a Place object:

  1. Go to Provisioning > Switching > Places.

  2. If required, navigate to the folder in which you want to store the new Place.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Place and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Places.

    • Click Save to continue configuring the Place.

    • Click Save and New to save the new Place and start creating another one.

After you have created the new Place, you can configure it as required, including managing who has access rights to it.


Configuring Places: Overview

Configure Places on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Notes:

  • Make sure that the configuration of Places in the Configuration Database always matches the actual wiring arrangements in the contact center.

  • The Dependencies tab may contain additional information about a selected Place.

To configure a Place:

  1. Go to Provisioning > Switching > Places.

  2. If necessary, navigate to the folder that contains the Place that you want to configure.

  3. Open the properties of the Place that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Places.

    • Click Save to continue configuring the Place.

    • Click Save and New to save the Place and start creating another one.


Places: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Cost Based Routing —Used only if you are implementing Cost-Based Routing.

General Section

General section properties:

Name | The name of this Place. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant environment, the Tenant to which this Place belongs. This value is set automatically, and you cannot change it.
DNs | A list of DNs making up this Place.

Cost-Based Routing Section

Cost Based Routing section properties:

Capacity Rule | The Capacity Rule Script associated with this Place.
Cost Contract | The Cost Contract associated with this Place.
Site | The Site with which the Capacity Rule and/or Cost Contract is associated. If the Capacity Rule or Cost Contract are associated with a Site, this field will be set to that Site.


Deleting Places

When you delete a Place, it is removed from the Configuration Database and from any Place Group of which it is a member.

If you want to remove the Place from a Place Group of which it is a member, but leave it in the Configuration Database and available for membership in another Place Group, refer to Removing from Place Groups.

To delete a Place from the Configuration Database:

  1. Go to Provisioning > Switching > Places.

  2. If necessary, navigate to the folder that contains containing the Place to be deleted.

  3. Select the Places to be deleted.

  4. Click Delete.


Managing Assignments to Place Groups

Places can be assigned to Place Groups.

To add Places to, or remove Places from, Place Groups, refer to the following:

  • Adding Places to Place Groups

  • Removing Places from Place Groups


Place Groups: Overview

Place Groups are logical groupings of Places. You can group Places if, according to the call-processing algorithms, the calls must be distributed among a set of Places under the control of applications instead of through the ACD mechanisms of the Switch.

As an example, consider a call-parking service: A Routing application transfers a call to a port that is assigned to a call-parking Place Group; then, while the call is parked, the application attaches information about the treatment to be applied to it.

This section describes how to perform the following tasks:

  • Creating Place Groups

  • Configuring Place Groups

  • Deleting Place Groups

  • Adding Places to Place Groups

  • Removing Places from Place Groups


Creating Place Groups

To create a Place Group object:

  1. Go to Provisioning > Switching > Place Groups.

  2. If required, navigate to the folder in which you want to store the new Place Group.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Place Group and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Place Groups.

    • Click Save to continue configuring the Place Group.

    • Click Save and New to save the new Place Group and start creating another one.

After you have created the new Place Group, you can configure it as required, including managing who has access permissions for it.


Configuring Place Groups: Overview

Configure Place Groups on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

  • Places tab

Note: The Dependencies tab may contain additional information about a selected Place Group.

To configure a Place Group:

  1. Go to Provisioning > Switching > Place Groups.

  2. if necessary, navigate to the folder that contains the Place Group that you want to configure.

  3. Open the Place Group that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Place Groups.

    • Click Save to continue configuring the Place Group.

    • Click Save and New to save the Place Group and start creating another one.


Place Groups: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has three sections:

  • General

  • Advanced

  • Cost-Based Routing

General Section

General section properties:

Name | The name of the Place Group. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). You cannot change this value as long as this Place Group contains at least one Place.
Tenant | In a multi-tenant environment, the Tenant to which this Place Group belongs. This value is set automatically, and you cannot change it.

Advanced Section

Advanced section properties:

Capacity Table | This field applies only to the Enterprise Routing Solution. It is the Capacity Table associated with this Place Group. Refer to Enterprise Routing Solution documentation for more information.
Quota Table | This field applies only to the Enterprise Routing Solution. It is the Quota Table associated with this Place Group. Refer to Enterprise Routing Solution documentation for more information.
Origination DNs | A list of DNs from which calls can be routed or diverted to this Place Group. You can include DNs of the following types into this list: Routing Point, External Routing Point, Service Number, Routing Queue, ACD Queue, Virtual Queue, or Virtual Routing Point.

Cost-Based Routing Section

Cost-Based Routing section properties:

Cost Contract | The Cost Contract associated with this Place Group.
Site | The Site containing this Cost Contract.


Place Groups: Places Tab

The Places tab lists Places contained in the Place Group. On this tab, you can:

  • Add Places to this Place Group.

  • Remove Places from this Place Group.

  • Configure Places contained in this Place Group.

You can also create new Places directly from this tab by doing the following:

  1. Click on the name of a Place with properties similar to that of the Place you want to create.

  2. Click Save and New.

  3. Create and configure the new Place as required. The new Place can then be added to this and other Place Groups.


Deleting Place Groups

When you delete a Place Group, only the Place Group object itself is removed from the Configuration Database. Its member Place objects are not deleted.

To delete a Place Group from the Configuration Database:

  1. Go to Provisioning tab > Switching > Place Groups.

  2. If necessary, navigate to the folder that contains the Place Groups to be deleted.

  3. Select the Place Group to be deleted.

  4. Click Delete.


Adding Places to Place Groups: Overview

You can add Places to Place Groups in two ways:

  • Use the Manage Place Groups functionality in the Place Groups Tasks panel. This enables you to add the same set of (one or more) Places to one or more Places Groups in one step. This is the preferred method.

  • Use the Places tab of a selected Place Group's properties. This enables you to add one or more Places, but to that one Place Group only. If you want to add the same Places to another Place Group, you must select the Place Group and then select the Places again to add to it.


Adding Places Using the Tasks panel

To add Places to one or more Place Groups using the Tasks panel:

  1. Go to Provisioning > Switching > Place Groups.

  2. If necessary, navigate to the folder containing the Place Groups to which you want to add Agents.

  3. Select one or more Place Groups.

  4. Open the Tasks panel, if necessary, and click Add to Groups in the Manage Place Groups section.

  5. In the Add Places to Groups dialog box, select the Places to be added, holding down the SHIFT or CTRL key to select multiple Places.

  6. Click OK.


Adding Places Using the Places Tab

To add Places to a Place Group using the Places tab of the Place Group:

  1. Go to Provisioning > Switching > Place Groups.

  2. If necessary, navigate to the folder containing the Place Groups to which you want to add Places.

  3. Select the Place Group to which the Place will be added.

  4. Open the Places tab.

  5. Click New.

  6. Select the Places to be added, holding down the SHIFT or CTRL key to select multiple places.

  7. Click OK.


Removing Places from Place Groups: Overview

You can remove Places from Place Groups in two ways:

  • Use the Manage Place Groups functionality in the Place Groups Tasks panel. This enables you to remove the same set of (one or more) Places from one or more Place Groups in one step. This is the preferred method.

  • Use the Places tab of a selected Place Group's properties. This enables you to remove one or more Places, but from that one Place Group only. If you want to remove the same Places from another Place Group, you must select the Place Group and then select the Places again to remove from it.

When you remove a Place from a Place Group, the Place still exists in the Configuration Database and is available to be assigned to another Place Group.

If you want to delete the Place completely, in other words, remove it from the Configuration Database, see Deleting Places.


Removing Places Using the Tasks Panel

To remove Places from one or more Place Groups:

  1. Go to Provisioning > Switching > Agent Groups.

  2. If necessary, navigate to the folder that contains the Place Groups from which you want to remove Places.

  3. Select one or more Place Groups.

  4. Open the Tasks panel, if necessary, and click Remove from Groups in the Manage Place Groups section.

  5. In the Delete Places from Groups dialog box, select the Places to be removed, holding down the SHIFT or CTRL key as necessary.

  6. Click OK.


Removing Places Using the Places Tab

To remove Places from a Place Group using the Places tab of the Place Group:

  1. Go to Provisioning > Switching > Place Groups.

  2. If necessary, navigate to the folder that contains the Place Groups from which you want to remove Places.

  3. Open the properties of the Place Group from which the Places will be removed.

  4. Select the Places tab.

  5. Select the Places to be deleted, holding down the SHIFT or CTRL key as necessary to select multiple Places.

  6. Click Delete.

  7. Click Yes to confirm the deletion.


Roles: Overview

Role objects define the task-level privileges that can be granted to Users and Access Groups as role privileges. They define what tasks, if any, a user (an individual User or member of an Access Group) can or can not perform on an object to which that user has corresponding permissions.

The tasks that can be performed by a user with appropriate permissions and privileges are predefined by each product. You then combine these privileges into Roles, which are granted to Users and Access Groups.

For more information and detailed instructions for working with Roles, refer to the Genesys 8.0 Security Deployment Guide.


Scripts: Overview

Scripts identify processing scenarios or treatments that can be applied to customer interactions.

Scripts can be created, configured, and viewed at more than one location in Genesys Administrator, as follows:

  • Provisioning > Environment > Scripts—Scripts of all types.

  • Provisioning > [Solution name] > Scripts—Scripts of types particular to the specified Solution.

Note that although Genesys Administrator limits the type of Scripts that can be accessed by the selection in the Navigation panel, it does not do the same with any folders that contain any scripts. In other words, as you navigate around looking for Scripts of a given type, the search results may include empty folders. This is not an error; it means the folder does contain one or more Scripts, but not of the type for which you are looking.

This section describes how to perform the following tasks:

  • Creating Scripts

  • Configuring Scripts

  • Deleting Scripts

Note: These three tasks can be used for all Scripts except for those of type Enhanced Routing. For instructions on working with Enhanced Routing scripts, see the Orchestration section of this Help file.

  • Copying Scripts between Tenants—This applies also to Enhanced Routing Scripts

Note: Depending on the application type, a scenario or treatment itself might be part of the Script object, in which case it is listed in the Annex of the Script object. Special GUI applications—not Genesys Administrator—create such Script objects. Because these Applications use their own formats for data storage, viewing the contents of a Script’s Annex through Genesys Administrator might not be of help. For more information about this subject, refer to the Application-specific documentation that discusses the creation and execution of relevant Scripts objects.

For more information about scripts, refer to the Framework Management Layer User's Guide, or to the documentation specific to your product.


Creating Scripts

To create a Script object:

  1. Go to Provisioning > Environment > Scripts, or Provisioning > [Solution Name] > Scripts, if applicable.

  2. If required, navigate to the folder in which you want to store the new Script.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Script and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Scripts.

    • Click Save to continue configuring the Script.

    • Click Save and New to save the new Script and start creating another one.

After you have created the new Script, you can configure it, including managing who has access permissions for it.


Configuring Scripts: Overview

Configure Scripts on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Script.

To configure a Script:

  1. Go to Provisioning > Environment > Scripts, or Provisioning > [Solution Name] > Scripts if applicable.

  2. If necessary, navigate to the folder that contains the Script that you want to configure.

  3. Open the properties of the Script that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Scripts.

    • Click Save to continue configuring the Script.

    • Click Save and New to save the Script and start creating another one.


Scripts: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Script. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant environment, the Tenant to which this Tenant belongs. This value is set automatically, and you cannot change it.
Script Type | The type of the Script. You must specify a type. Once you set the type, you cannot change it.


Deleting Scripts

When you delete a Script, it is removed from the Configuration Database and from the Alarm Condition with which it is associated.

To delete a Script:

  1. Go to Provisioning > Environment > Scripts, or Provisioning > [Solution Name] > Scripts if applicable.

  2. If necessary, navigate to the folder that contains the Script to be deleted.

  3. Select the Script to be deleted.

  4. Click Delete.


Copying Scripts Between Tenants

Scripts are unique within a Tenant, but can be copied from one Tenant to other Tenants. Genesys Administrator provides a wizard to help you do this.

To copy one or more Scripts to one or more Tenants:

  1. From the list of Scripts, select the Scripts that you want to copy.

  2. In the Tasks panel, select Distribute Objects to Other Tenants in the Copy Object section.

  3. Follow the instructions in the wizard.


Skills: Overview

Skills are qualities or abilities that Agents possess and that affect the placement of each Agent in a contact center hierarchy. Common Skills include abilities in different languages, particular categories of product knowledge, or ability in particular types of sales.

This section describes how to perform the following tasks:

  • Creating Skills

  • Configuring Skills

  • Deleting Skills

  • Managing Assignments of Skills to Agents


Creating Skills

To create a Skills object:

  1. Go to Provisioning > Accounts > Skills.

  2. If required, navigate to the folder in which you want to store the new Skill.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Skill and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Skills.

    • Click Save to continue configuring the Skill.

    • Click Save and New to save the new Skill and start creating another one.

After you have created the new Skill, you can configure it as required, including managing who has access permissions for it.


Configuring Skills: Overview

Configure Skills on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Skill.

To configure a Skill:

  1. Go to Provisioning > Accounts > Skills.

  2. If necessary, navigate to the folder that contains the Skill that you want to configure.

  3. Open the properties of the Skill that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Skills.

    • Click Save to continue configuring the Skill.

    • Click Save and New to save the Skill and start creating another one.


Skills: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Skill. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant environment, the Tenant to which this Skill belongs. This value is set automatically, and you cannot change it.


Deleting Skills

When you delete a Skill, it is removed from the Configuration Database and from any Agent to which it is assigned. If you want to remove only the Skill from an Agent to which it is assigned, but leave it in the Configuration Database and available for assignment to another Agent, refer to Removing Skills from Agents.

To delete a Skill from the Configuration Database:

  1. Go to Provisioning > Accounts > Skills.

  2. If necessary, navigate to the folder that contains the Skills to be deleted.

  3. Select the Skills to be deleted.

  4. Click Delete.


Managing Assignments to Agents

Managing Skills Assignments to Agents

Agents can be associated with a set of Skills. For each Skill, the Agent is also given a Skill level, or level of competency with this skill. You can assign Skills, or remove assigned Skills from Agents, by referring to the following:

  • Assigning Skills to Agents

  • Removing Skills from Agents


Solutions: Overview

Solutions are sets of applications that accomplish particular business tasks in contact centers.

This section describes how to perform the following tasks:

  • Creating Solutions

  • Configuring Solutions

  • Starting and stopping Solutions

  • Deleting Solutions

In the list of Solution objects, active alarms for any Applications that are part of that Solution are indicated by an icon immediately to the left of the Solution's name.


Solution Status

The status of a Solution is displayed in the Status column of Genesys Administrator. The Solution Status field holds one of three values:

Stopped

Indicates that one or more of the solution’s mandatory components do not have Started status; therefore, the solution cannot perform its function. Stopped status can indicate that a solution either has not been activated, or has failed because one of its mandatory components is unavailable.

Started

Indicates that a solution is ready to perform its major function; that is, all mandatory solution components have reported Started status.

This status does not necessarily mean that the solution is actually performing its function. To start working, some solutions might require additional solution-specific control operations through their user interfaces. For information, refer to solution-specific documentation.

Unknown

Indicates that the Management Layer cannot provide reliable information about the solution status. This status does not necessarily mean that the solution is unable to perform its function.


Creating Solutions: Overview

Note: Before creating a Solution, you must create the Applications which will be a part of the Solution.

You can create Solutions in two ways:

  • Import a Solution template, and configure it appropriately. Solution templates are provided by Genesys products, and are distributed with the corresponding software on the product CDs or DVDs.

  • Manually create it and configuring it for your Solution.


Creating Solutions From a Template

Solution templates are available on the corresponding product CDs or DVDs.

To create an Solution using a Solution Template::

  1. Go to Provisioning > Environment > Applications.

  2. If required, navigate to the folder in which you want to store the new Application.

  3. Open the Tasks panel, if necessary, and click Upload Solution in the Create section.

  4. Click Add and select the template file (with an extension of .sd) to import the template.

  5. Click Upload.

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. On the Permissions tab, enter or modify information as required.

  9. To save the new Solution and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Solutions.

    • Click Save to continue configuring the Solution.

    • Click Save and New to save the new Solution and start creating another one.


Creating Solutions Manually

Note: Before creating a Solution, you must create the Applications which will be a part of the Solution.

To manually create a Solution object:

  1. Go to Provisioning > Environment > Solutions.

  2. If required, navigate to the folder in which you want to store the new Solution.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Solution and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Solutions.

    • Click Save to continue configuring the Solution.

    • Click Save and New to save the new Solution and start creating another one.

After you have created the new Solution, you can configure it as required, including managing who has access permissions for it.


Configuring Solutions: Overview

Configure Solutions on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure a Solution:

  1. Go to Provisioning > Environment > Solutions.

  2. If necessary, navigate to the folder that contains the Solution that you want to configure.

  3. Open the properties of the Solution that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Solutions.

    • Click Save to continue configuring the Solution.

    • Click Save and New to save the Solution and start creating another one.


Solutions: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has three sections:

  • General

  • Components Definition

  • Components

General Section

General section properties:

Name

The name of the solution. You must specify a value for this property, and that value must be unique within the Configuration Database.

Assigned Tenant

In a multi-tenant environment, the Tenant to which this solution is assigned.

Solution Type

The type of the solution. You must specify a value for this property. Once you set the value, you cannot change it. This value is automatically set, based on the type of the imported solution.

Note: A solution of type Default Solution Type or Framework cannot be started and stopped with Solution Control Interface unless they have been created using a solution wizard. See Framework Management Layer User's Guide for more information.

Solution Control Server

The name of the Solution Control Server that controls this solution.

Version

The version of the solution. You must specify a value for this property.

Components Definition Section

This section identifies the Application objects that are part of this solution.

Note: The same Solution Control Server must control all solutions that use the same solution component.

Components Definition section properties:

Application Type | The type of application used as a solution component.
Application Version | The version of the application used as a solution component.
Startup Priority | The default position of the solution component in the component startup sequence within the solution.
Optional | Specifies whether this solution component is optional.

Components Section

This section identifies applications that are part of this solution.

Note: The same Solution Control Server must control all solutions that use the same solution component.

Components section properties:

Startup Priority | The default position of this solution component in the component startup sequence within the solution. This value is set automatically, based on the Startup Priority in the Components Definition section, and you cannot change it.
Application | The name of the application that is a component of this solution.
Optional | Specifies whether this solution component is optional. This value is set automatically, based on the Optional setting in the Components Definition section, and you cannot change it.


Starting and Stopping Solutions: Overview

This section describes how to do the following:

  • Start Solutions

  • Stop Solutions

  • Stop Solutions gracefully

Controls for these actions are in two locations:

  • On the toolbar: Start Stop Graceful Stop

  • In the Tasks panel:

Solutions Tasks > Runtime


Starting Solutions

You can start a Solution of type Default Solution Type or Framework from Genesys Administrator only if the Solution was created using a Solution Wizard.

To start a Solution:

  1. Go to Provisioning > Environment > Solutions.

  2. If necessary, navigate to the folder that contains the Solutions that you want to start.

  3. Do one of the following:

    • Select the Solutions that you want to start, and in the Runtime section of the Tasks panel, click Start solutions. This approach can be used to start one or more Solutions simultaneously.

    • Open the properties of the Solution that you want to start, and click Start. This approach starts only one Solution at a time.

Genesys Administrator sends the Startup command for each Solution to Solution Control Server (SCS). SCS starts Solutions in the order in which it reads their configuration from Configuration Server and processes each Startup command as it would for a Solution that was started individually.

Note: Complete Solution startup can take some time. The amount of time varies, depending on the number and location of Solution components and the time required to initialize each component.

SCS checks the status of all the Solution's mandatory components that are configured to be controlled by the Management Layer.

Genesys Administrator reports the successful start of a Solution after all these components have reported a status of Started within the configured timeout. When the Solution starts, its status changes from Stopped to Started.

Notes:

  • You can start a Solution only if you have Execute permission for the Solution configuration object in the Configuration Layer.

  • Because a number of Solutions can share the same applications, some Solution components may have a status of Started before you start the Solution.

  • In redundant configurations, both primary and backup Solution components start simultaneously; they are assigned runtime redundancy modes according to their configuration.


Stopping Solutions

You can stop a Solution of type Default Solution Type or Framework from Genesys Administrator only if the Solution was created using a Solution Wizard.

When you stop a Solution ungracefully, the Solution stops abruptly, and all of its composite applications immediately stop processing, both new and current.

You can stop a Solution in this way only if you have Execute permission for the Solution object.

To stop a Solution:

  1. Go to Provisioning > Environment > Solutions.

  2. If necessary, navigate to the folder that contains the Solutions that you want to stop.

  3. Do one of the following:

    • Select the Solutions that you want to stop, and in the Runtime section of the Tasks panel, click Stop solutions. This approach can be used to stop one or more Solutions simultaneously..

    • Open the properties of the Solution that you want to stop, and click Stop. This approach stops only one Solution at a time.

Genesys Administrator sends the Stop command for each Solution to SCS, which uses Local Control Agents (LCA) to deactivate the Solution components in reverse order from the component startup. (The component-startup order is defined in the Solution configuration object.)

Notes:

  • Because a number of Solutions can share the same applications, some Solution components may continue to have a status of Started after you stop the Solution, whether gracefully or ungracefully.

  • In redundant configurations, both primary and backup Solution components stop simultaneously.


Stopping Solutions Gracefully

You can stop a Solution of type Default Solution Type or Framework from Genesys Administrator only if the Solution was created using a Solution Wizard.

When you stop a Solution gracefully, all of the Applications making up the Solution stop accepting new requests and finish processing those requests that each currently has in its queue.

You can stop a Solution gracefully only if you have Execute permission for the Solution object.

To stop a Solution gracefully:

  1. Go to Provisioning > Environment > Solution.

  2. If necessary, navigate to the folder that contains the Solutions that you want to stop.

  3. Do one of the following:

    • Select the Solutions that you want to stop, and in the Runtime section of the Tasks panel, click Stop solutions gracefully. This approach can be used to stop one or more Solutions simultaneously.

    • Open the properties of the Solution that you want to stop, and click Graceful Stop. This approach can be used to stop only one Solution at a time.

Genesys Administrator sends the Stop command for each Solution to Solution Control Server (SCS). SCS uses Local Control Agents (LCA) to deactivate the Solution components in the reverse order from the component-startup order. (The component-startup order is defined in the Solution configuration object.)

Notes:

  • Because a number of Solutions can share the same Applications, some Solution components may continue to have a status of Started after you stop the Solution, whether gracefully or ungracefully.

  • In redundant configurations, both primary and backup Solution components stop simultaneously.


Deleting Solutions

To delete a Solution from the Configuration Database:

  1. Go to Provisioning > Environment > Solutions.

  2. If necessary, navigate to the folder that contains the Solution to be deleted.

  3. Select the Solution to be deleted.

  4. Click Delete.


Switches: Overview

A Switch is an aggregate of telephony resources within a Switching Office.

Most enterprise-level configurations have a one-to-one match between the Switches and the Switching Offices. However, there may be instances when it is desirable to partition the office into more than one Switch or to create a more efficient and secure numbering plan. In that case, you must define a Switch within a Switching Office.

This section describes how to perform the following tasks:

  • Creating Switches

  • Configuring Switches

  • Deleting Switches

  • Managing DNs associated with a Switch

  • Managing Agent Logins associated with a Switch


Creating Switches

To create the telephony resources of a Switch, you first must create and configure the Switch. Then, for each Switch, you can add associated elements, such as Agent Logins and DNs.

To create a Switch object:

  1. Go to Provisioning > Switching > Switches.

  2. If required, navigate to the folder in which you want to store the new Switch.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Switch and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Switches.

    • Click Save to continue configuring the Switch.

    • Click Save and New to save the new Switch and start creating another one.

After you have created the new Switch, you can configure it as required, including managing who has access permissions for it, and adding DNs and Agent Logins.


Configuring Switches: Overview

Configure Switches on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

  • DNs tab

  • Agent Login tab

Note: The Dependencies tab may contain additional information about a selected Switch.

To configure a Switch:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch that you want to configure.

  3. Open the Switch that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. Configure DNs and Agent Logins as required.

  8. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Switches.

    • Click Save to continue configuring the Switch.

    • Click Save and New to save the Switch and start creating another one.


Switches: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Access Codes

General Section

General section properties:

Name | The name of the Switch. You must specify a value for this property, and that value must be unique within this Switching Office (in either an enterprise or a multi-tenant environment) or within this Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant environment, the Tenant to which you allocate this Switch. This value is set automatically, and you cannot change it.
Switching Office | The Switching Office to which this Switch belongs. You must specify a value for this property. Once you set the value, you cannot change it.
Switch Type | The type of Switching Office to which this Switch belongs. This value is set automatically.
T-Server | The T-Server Application object through which the telephony objects of this Switch are controlled. Once you establish the association, it cannot be broken as long as the specified T-Server has at least one client application.
DN Range | The internal numbering plan of the Switch. Use a hyphen to specify a range of numbers, and use commas to specify a series of stand-alone numbers or ranges—for example, 1100-1179, 1190-1195, 1199. Although this parameter is optional, it may be important for T-Server operation with certain types of Switches.

Access Codes Section

This section displays a list of Access Codes that are used to place, route, or transfer calls from this Switch to other Switches in a multi-site installation.

Switch Access Codes are codes used by other Switches. Default Access Codes are codes used by this Switch.


Access Codes

Switch Access Codes

Note: indicates a mandatory field.

Properties of Access Codes:

Switch

The Switch to which you assign this Access Code.

Access Code

The prefix used to reach DNs of the Switch specified in the Switch property when placing or transferring calls from DNs of the Switch to the object for which you are configuring. You must specify a value for this property.

You must specify an Access Code in full accordance with the numbering plan of the contact center telephone network, and you must make any changes to the Access Codes only after the corresponding changes have been made to the telephone network.

Target Type

The type of target within the Switch for which you are specifying all routing parameters.

Note: The combination of values for the first three properties—Switch, Code, and Target Type—defines the uniqueness of the Switch Access Codes. You may specify multiple Access Codes with the same code to the same Switch, provided that they have different target types.

Route Type

The type of routing for the target specified in the Target Type for this Switch.

DN Source

An informational source that specifies the origination point in routing instructions.

Destination Source

An informational source that specifies the destination in routing instructions.

Location Source

An informational source that specifies the location in routing instructions.

DNIS Source

An informational source that specifies the DNIS in routing instructions.

Reason Source

An informational source that specifies the reasons in routing instructions.

Extension Source

An informational source that specifies the extensions in routing instructions.


Switches: DNs Tab

The DNs tab lists all of the DNs associated with a Switch. From this tab, you can:

  • Create a new DN.

  • Configure an existing DN.

  • Delete a DN.

  • Load and unload Routing Strategies.

Warning! When you delete a DN from a Switch, it is removed from the Configuration Database and from any DN Group of which it is a member. If you want to remove the DN from only a DN Group of which it is member, but leave it in the Configuration Database and available for assignment to other DN Groups, refer to Removing DNs From DN Groups.


Switches: Agent Login Tab

Switches: Agent Logins Tab

The Agent Logins tab lists all of the Agent Logins associated with a Switch. From this tab, you can:

  • Create a new Agent Login.

  • Configure an existing Agent Login.

  • Delete an Agent Login.

Warning! When you delete an Agent Login from a Switch, it is removed from the Configuration Database and from any Agent to which it is assigned. If you want to remove the Agent Login from only an Agent to which it is assigned, but leave it in the Configuration Database and available for assignment to other Agents, refer to Removing Agent Logins From Agents.


Deleting Switches

To delete a Switch from the Configuration Database:

  1. Go to Provisioning > Switching > Switches.

  2. If necessary, navigate to the folder that contains the Switch to be deleted.

  3. Select the Switch to be deleted.

  4. Click Delete.


Switching Offices: Overview

Switching Offices are the actual telephone switches that provide telephone service to contact centers.

You must register a Switching Office before you configure a Switch with DNs and Agent Logins.

This section describes how to perform the following tasks:

  • Creating Switching Offices

  • Configuring Switching Offices

  • Deleting Switching Offices


Creating Switching Offices

To create a Switching Office object:

  1. Go to Provisioning > Switching > Switching Offices.

  2. If required, navigate to the folder in which you want to store the new Switching Office.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Switching Office and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Switching Offices.

    • Click Save to continue configuring the Switching Office.

    • Click Save and New to save the new Switching Office and start creating another one.

After you have created the new Switching Office, you can configure it as required, including managing who has access permissions for it.


Configuring Switching Offices: Overview

Configure Switching Offices on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Switching Office.

To configure a Switching Office object:

  1. Go to Provisioning > Switching > Switching Offices.

  2. If necessary, navigate to the folder that contains the Switching Office that you want to configure.

  3. Open the Switching Office that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Switching Offices.

    • Click Save to continue configuring the Switching Office.

    • Click Save and New to save the Switching Office and start creating another one.


Switching Offices: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Switching Office. You must specify a value for this property, and that value must be unique within the Configuration Database.
Switch Type | The type of the Switching Office. You must specify a type. Once you set the type, you cannot change it.


Deleting Switching Offices

You cannot delete a Switching Office if it has at least one Switch associated with it.

To delete a Switching Office from the Configuration Database:

  1. Go to Provisioning > Switching > Switching Offices.

  2. If necessary, navigate to the folder that contains the Switching Office to be deleted.

  3. Select the Switching Office to be deleted.

  4. Click Delete.


Table Access Points: Overview

Table Access Points describe database tables of a specified Format and explain how to access these tables through Database Access Points.

Note: You cannot delete a Table Access Point while it is associated with at least one Calling List.

This section describes how to perform the following tasks:

  • Creating Table Access Points

  • Configuring Table Access Points

  • Deleting Table Access Points


Creating Table Access Points

To create a Table Access Point:

  1. Go to Provisioning > Environment > Table Access Points.

  2. If required, navigate to the folder in which you want to store the new Table Access Point.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Table Access Point and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Table Access Points.

    • Click Save to continue configuring the Table Access Point.

    • Click Save and New to save the new Table Access Point and start creating another one.

After you have created the new Table Access Point, you can configure it, including managing who has access permissions for it.


Configuring Tables Access Points: Overview

Configuring Table Access Points: Overview

Configure Table Access Points on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Table Access Point.

To configure a Table Access Point:

  1. Go to Provisioning > Environment > Table Access Points.

  2. If necessary, navigate to the folder that contains the Table Access Point that you want to configure.

  3. Open the properties of the Table Access Point that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Table Access Points.

    • Click Save to continue configuring the Table Access Point.

    • Click Save and New to save the Table Access Point and start creating another one.


Table Access Points: Configuration Tab

Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name

The name of this Table Access Point. It can contain up to 254 characters. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).

Tenant

In a multi-tenant configuration environment, the Tenant to which you allocate this Table Access Point. This value is set automatically, and you cannot change it.

Table Type

The type of Table Access Point in the database. You must specify a value for this property. Once you set the value, you cannot change it.

Description

A brief description.

DB Access Point

The Database Access Point through which to access the Table. You must specify a value for this property. The Database Access Point must serve the Tenant to which this Table Access Point belongs.

Format

The Format of this Table. You must specify a value for this property for all Table types except Log Table. Once you set the value, you cannot change it.

Database Table

The name of this table as specified in the database. You must specify a value for this property. The name length depends on the DBMS type. Genesys recommends that you do not exceed the following vendor-defined limitations:

  • 18 characters—for DB2 and Informix databases

  • 128 characters—for Microsoft SQL databases

  • 30 characters—for Oracle and Sybase databases

Update Timeout

The number of seconds an application waits before updating the table data in application memory. This value is required only if you set Cachable to true.

Cacheable

Indicates whether the Table Access Point data is mirrored in application memory.


Table Access Point Types

ANI | An Automatic Number Identification table.
Calling List | A calling list table.
Country Code | A country code table.
Customer Defined Table | A user-defined table.
Do Not Call List | In Outbound, a list of customers who request not to be called is known as a Do Not Call (DNC) list. The DNC data in a Do Not Call list file includes the customer's phone number or a customer ID.
E-mail Contact List | In Outbound, a list of customers who are to be contacted.
Info Digits | An Information Indicator–Digits table.
LATA | A Local Access and Transport Area table.
Log Table | A log table.
NPA | A Numbering Plan Area table.
NPA-NXX | A table of a Numbering Plan Area with an identifier of the specific telephone company central office that serves that number.
State Code | A State or International code, for example, a U.S. or Canadian postal code, such as CA for California.


Deleting Table Access Points

To delete a Table Access Point from the Configuration Database:

  1. Go to Provisioning > Environment > Table Access Points.

  2. If necessary, navigate to the folder that contains the Table Access Point to be deleted.

  3. Select the Table Access Point to be deleted.

  4. Click Delete.


Tenants: Overview

Tenants are businesses whose customer interactions are enabled or enhanced through services offered by a third party, typically a telecommunications service provider. From an architectural standpoint, however, most of the hardware and software that Tenants use to enable or enhance those interactions belong to the service provider.

From a functional standpoint, each Tenant in a hierarchical multi-tenant environment is a contact center (single or multi-site) completely equipped to process customer interactions. In a hierarchical multi-tenant environment, at any given time, Genesys Administrator displays only those hardware and software resources belonging to a particular Tenant within that environment.

This section describes how to perform the following tasks:

  • Creating Tenant objects

  • Configuring Tenant objects

  • Deleting Tenant objects

  • Viewing and modifying the structure of a hierarchical multi-tenant configuration

Allocation of Resources

Some of these hardware and software resources are allocated to each Tenant separately (for example, the telephony extensions and queues of a switching system).

Other resources are shared by the Tenants; these resources process customer interactions for some or all of the Tenants simultaneously (for example, the control and signaling devices of a switching system, and service control points of the public telephone network).

The configuration objects that describe both types of resources are allocated to Tenants accordingly.


Creating Tenants: Overview

You can create Tenants manually, one Tenant at a time; or import multiple Tenants into the Configuration Database using a source file that you create. These imported Tenants have a basic configuration, and you then can customize their configuration as required.


Manually Creating Tenants

Manually Creating New Tenants

To create a new Tenant object:

  1. Go to Provisioning > Environment > Tenants.

  2. Navigate to, and select the parent Tenant.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Tenant and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Tenants.

    • Click Save to continue configuring the Tenant.

    • Click Save and New to save the new Tenant and start creating another one.

After you have created the new Tenant, you can configure it, including managing who has access permissions for it.


Importing Tenants

Note: Only members of the Super Administrators Access Group can use the Import Tenants Wizard.

You can import any number of Tenants into the Configuration Database using the Import Tenants Wizard. First you create a source CSV file containing the names of the new Tenants and their parent Tenants, if applicable. Then, import the new tenants using the Wizard.

Create the Source File

The source file must be formatted in the standard CSV format. The file specifies the name of the new Tenant and, if applicable, the name of its parent Tenant. The file consists of one record for each new tenant, in the following format:

"<Tenant name>"[,"<Name of parent Tenant>"]

The Tenant name is mandatory. The name of the parent Tenant is optional; if the Parent Tenant is not specified, it is assumed to be the Environment Tenant.

In addition:

  • The new Tenants can be listed in any order; Genesys Administrator will create all new Tenants based on their dependencies.

  • Any specified parent tenant must either already exist in the Configuration Database, or is to be created as part of the same source file (see the previous note).

  • The new Tenants need not be contiguous within the hierarchical structure. Each new tenant can be located in any part of the structure.

Example

The following sample .csv file can be used by the Import Tenants Wizard:

"Tenant4","Tenant1"
"Tenant5","Tenant4"
"Tenant6","Tenant4"
"Tenant7"
"Tenant8","Tenant7"

This example inserts the new tenants (Tenant4, Tenant5, Tenant6, Tenant7, and Tenant8) into an existing hierarchy as follows:

  • Tenant4 is created as a child of Tenant1, which already exists in the hierarchy.

  • Tenant7 is created as a child of the Environment Tenant.

  • Tenant5 and Tenant6 are created as children of Tenant4.

  • Tenant8 is created as a child of Tenant7.

Run the Import Tenants Wizard

To start the Import Tenants Wizard and import the new tenants, do the following:

  1. Go to Provisioning > Environment > Tenants.

  2. Select Import Tenants from the Create section of the slide-out Tasks panel.

  3. Select the CSV file that you created.

  4. Follow the instructions in the Import Tenants Wizard.

If there is an error in the CSV file, or if an error occurs while the Wizard is processing the file, the Wizard will terminate without importing any Tenants.

The new Tenants are created with only a name and, if applicable, a parent Tenant. After you have imported them, you can configure them individually, including managing who has access permissions for them.


Configuring Tenants: Overview

Configure Tenants on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

  • Policies

  • Enforcements

Note: The Dependencies tab may contain additional information about a selected Tenant.

To configure a Tenant object:

  1. Go to Provisioning > Environment > Tenants.

  2. Open the Tenant that you want to configure.

  3. On the Configuration tab, enter or modify information as required.

  4. On the Options tab, enter or modify information as required.

  5. On the Permissions tab, enter or modify information as required.

  6. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Tenants.

    • Click Save to continue configuring the Tenant.

    • Click Save and New to save the Tenant and start creating another one.


Tenants: Configuration Tab

Note: indicates a mandatory field.

General section properties:

Name

The name of the Tenant. You must specify a value for this property, and that value must be unique within the Configuration Database.

DBID

A unique identifier for the Tenant in the Database. This value is assigned by the system, and you cannot change it.

Parent Tenant

The parent Tenant of this Tenant. By default, the parent Tenant is the Tenant in which you are creating the new Tenant. If you change this field, the new Tenant will be created as a new child Tenant under the specified parent Tenant.

To subsequently change the parent Tenant, refer to Modifying the Hierarchical Multi-Tenant Structure.

Chargeable Number

The account number to which activities for this Tenant are charged, for cost-tracking purposes.

Password

A password that must be used to access this Tenant.

Re-enter password

A confirmation of the password.

Default Capacity Rule

The name of the Script of Capacity Rule type that defines the ability of this Tenant to handle multiple interactions. For more information, refer to Reporting documentation.

Default Contract

The default cost contract applied to resources of this Tenant. For more information, refer to the Routing Solutions chapter of the Universal Routing 8.0 Routing Application Configuration Guide.


Tenants: GVP Policies Tab

The GVP Policies tab is used to apply a set of rules (or policies) to Tenants that determine the way in which calls are processed in a session. Policy parameters, such as usage-limits or permissions, are configured on the Options tab for each tenant, child tenant, or application.

GVP Policies tab properties:

Name | The name of this Policy.
Value | The parameter value or rule that is applied by this Policy.

For more information about Policies, refer to the Genesys Voice Platform 8.1 Deployment Guide.


Tenants: Enforcements Tab

Tenants: GVP Policy Enforcements Tab

The GVP Policy Enforcements tab is used to define enforcement policies on child Tenants.

GVP Policy Enforcements tab properties:

Name | The name of the Policy.
Value | The parameter value or rule that is applied by this Policy.

For more information about how Policies are enforced, refer to the Genesys Voice Platform 8.1 Deployment Guide.


Deleting Tenants

Note: When you delete a Tenant from the Configuration Database, all of its child Tenants are also deleted, and recursively, all of their child Tenants.

To delete a Tenant from the Configuration Database:

  1. Go to Provisioning > Environment > Tenants.

  2. If necessary, navigate to the folder that contains the Tenant to be deleted.

  3. Select the Tenant to be deleted.

  4. Click Delete.

  5. To confirm the deletion of the Tenant and all its child Tenants, enter the Code number shown in the Code text box.

  6. Click OK.


Hierarchical Multi-Tenant Structure: Overview

The structure of a hierarchical can contain an unlimited number of levels. This configuration environment serves the needs of every company in the hierarchy, and can best be explained using the following diagram

:

In this diagram, Tenants 1 and 2 are child Tenants of the Environment Tenant, also called the root Tenant. Tenant 2 is also the parent Tenant of child Tenants 3 and 4. The root Tenant has no parent Tenant, and is at the top of the hierarchy.

In any multi-tenant environment, when you run Genesys Administrator for the first time after the Configuration Database initialization, you can only view the Environment Tenant. When you register a new Tenant in the Configuration Database, the Configuration Layer automatically creates all the folders necessary to support resource allocation and configuration data entry for this Tenant.

Refer to the Genesys 8.0 Security Deployment Guide for information about how permissions are inherited in a hierarchical multi-tenant structure.


Viewing the Hierarchical Multi-Tenant Structure

In Genesys Administrator, the list of Tenants is displayed in a tree structure. To navigate to a child Tenant, you expand its parent tenant. To open the properties of any tenant, double-click on its name.

Normally, the Tenants that are visible depends on what Tenant is selected in the Tenant Selector. When set to Environment, the User is able to see all Tenants. If another Tenant is selected. the User can view only that Tenant and any existing child Tenants.

If the User is filtering a list of Tenants by Tenant name, all Tenants matching the filter or search criteria are displayed, as are their parent Tenants up to the root level.

If the User is using the Search facility, all Tenants to which he or she has access are displayed. If the User does not have access to the Environment (root)Tenant, it will not be displayed.


Modifying the Hierarchical Multi-Tenant Structure

To rearrange Tenants between parent Tenants in the structure, do one of the following:

  • Drag and drop one or more Tenants to another Tenant - this latter Tenant becomes the new parent of the moved Tenants. Any children of the moved Tenants are moved with their parent Tenant.

  • Modify the Parent Tenant field on the Configuration tab of the Tenant which you want to move.


Time Zones: Overview

Time Zones are predefined objects that provide Genesys applications with information about international time zones.

When you first open the list of Time Zone objects, you will see a list of international time zones. To see the properties of a Time Zone, click on the small triangle to the left of its name.

This section describes how to perform the following tasks:

  • Creating Time Zones

  • Configuring Time Zones

  • Deleting Time Zones


International Time Zones

Genesys Administrator includes the following international time zones:

Abbreviation | Time Zone
ACT | Australia Central Time
AET | Australia Eastern Time
AGT | Argentina Standard Time
AtlST | Atlantic Standard Time
ART | (Arabic) Egypt Standard Time
AST | Alaska Standard Time
BET | Brazil Eastern Time
BST | Bangladesh Standard Time
CAT | Central Africa Time
CNT | Canada Newfoundland Time
CST | Central Standard Time
CTT | China Taiwan Time
EAT | Eastern Africa Time
ECT | European Central Time
EET | Eastern European Time
EST | Eastern Standard Time
GMT | Greenwich Mean Time
HST | Hawaii Standard Time
IET | Indiana Eastern Standard
IST | India Standard Time
JST | Japan Standard Time
KST | Korea Standard Time
MET | Middle East Time
MIT | Midway Islands Time
MST | Mountain Standard Time
NET | Near East Time
NST | New Zealand Standard Time
PLT | Pakistan Lahore Time
PNT | Phoenix Standard Time
PRT | Puerto Rico and US Virgin Islands Time
PST | Pacific Standard Time
SST | Solomon Standard Time
VST | Vietnam Standard Time


Creating Time Zones

To create a Time Zone:

  1. Go to Provisioning > Environment > Time Zones.

  2. If required, navigate to the folder in which you want to store the new Time Zone.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save the new Time Zone and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Time Zones.

    • Click Save to continue configuring the Time Zone.

    • Click Save and New to save the new Time Zone and start creating another one.

After you have created the new Time Zone, you can configure it as required, including managing who has access permissions for it.


Configuring Time Zones: Overview

Configure Time Zones on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Time Zone.

To configure a Time Zone:

  1. Go to Provisioning > Environment > Time Zones.

  2. If necessary, navigate to the folder that contains the Time Zone that you want to configure.

  3. Open the properties of the Time Zone that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Time Zones.

    • Click Save to continue configuring the Time Zone.

    • Click Save and New to save the Time Zone and start creating another one.


Time Zones: Configuration Tab

Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has two or three sections:

  • General

  • For time zones that use Daylight Saving Time, one of the following:

    • Current Year or Fixed Date (local)

    • Daylight Saving Time definition

  • Specific Time Zone In

General Section

General section properties:

Name

The name of the Time Zone. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).

Tenant

In a multi-tenant configuration environment, the Tenant to which you allocate this Time Zone. This value is set automatically, and you cannot change it.

Description

A brief description of the Time Zone.

Time Zone

The Time Zone relative to Greenwich mean time.

Daylight Saving Time

Indicates whether daylight saving time (DST) is used.

DST Select

If Daylight Saving Time is checked, select one of the following to define when DST and ends:

  • Current Year or Fixed Date (local)—DST begins and ends on a specific date and time. This setting covers only one year, and must be reset every year.

  • Daylight Saving Time definition (GMT)—DST begins and ends on a specific month/day/time. These settings are carried forward over many years, until changed or DST is no longer used.

Current Year or Fixed Date (local) Section

This section appears only if both of the following selections are made in the General section:

  • Daylight Saving Time is checked

  • DST Select is set to Current Year or Fixed Date (local)

Current Year or Fixed Date (local) section properties:

Start Date | The date at which DST begins. Use the [image] to select the date, or enter the date in the format dd/mm/yyyy.
Start Time | The time at which DST begins. Use the drop-down list, or enter the time in the format hh:mm AM/PM.
End Date | The date at which DST ends. Use the [image] to select the date, or enter the date in the format dd/mm/yyyy.
End Time | Time at which DST ends. Use the drop-down list, or enter the time in the format hh:mm AM/PM.

Daylight Saving Time Definition Section

This section appears only if both of the following selections are made in the General section:

  • Daylight Saving Time is checked

  • DST Select is set to Daylight Saving Time definition (GMT)

Daylight Saving Time definition section properties:

Note: Not Observed indicates that this field is not used for determining the start and end of DST.

Start Year | The year that DST started to be observed or will start to be observed. If DST is currently in use, you can also select Not Observed.
Start Month | The month in which DST starts.
Start Week | The week of the month in which DST starts.
Start Day of Week | The day of the week on which DST starts.
Start Day of Month | The day of the month on which DST starts.
Start Time | The time of day at which DST starts.
End Year | The year that DST is to be discontinued. If there are no plans to discontinue DST, select Not Observed.
End Month | The month in which DST ends.
End Week | The week of the month in which DST ends.
End Day of Week | The day of the week on which DST ends.
End Day of Month | The day of the month on which DST ends.
End Time | The time of day at which DST starts.

Specific Time Zone In Section

Specific Time Zone In properties:

Name Netscape | The name of the Time Zone used in the Netscape browser. You must specify a value for this property.
Name Microsoft Explorer | The name of the Time Zone used in the Microsoft Internet Explorer browser. You must specify a value for this property.


Deleting Time Zones

To delete a Time Zone from the Configuration Database:

  1. Go to Provisioning > Environment > Time Zones.

  2. If necessary, navigate to the folder that contains the Time Zone to be deleted.

  3. In the list of Time Zones, select the Time Zone to be deleted.

  4. Click Delete.


Users: Overview

Users are the contact center personnel, including Agents, who need access to Genesys applications. Agents are Users who handle customer interactions directly.

Genesys Framework requires that every User who needs such access be registered in the Configuration Database with an appropriate set of permissions.

Note: To run a particular application, a User must have Read and Execute permissions for the object that represents this application in the Configuration Database. New Users created in Genesys Administrator receive the same set of default permissions and access privileges that Configuration Server grants.

This section contains information about working with User objects who are not Agents. For information about working with Agents, see the Agents section of this Help file.

This section how to perform the following tasks:

  • Creating Users

  • Configuring Users

  • Deleting Users

  • Managing assignments to Access Groups

  • Viewing Roles assigned to Users

Note: For detailed instructions about managing Roles assigned to Users, refer to the Genesys 8.0 Security Deployment Guide.


Creating Users

To create a User:

  1. Go to Provisioning > Accounts > Users.

  2. If required, navigate to the folder in which you want to store the new User.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save the new User and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Users.

    • Click Save to continue configuring the User.

    • Click Save and New to save the new User and start creating another one.

After you have created the new User, you can configure it as required, including managing who has access permissions for it.


Configuring Users: Overview

This section contains information about configuring a User who is not an Agent. For information about configuring an Agent, see Configuring Agents.

Configure Users on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies, Member Of, and Role Privileges tabs may contain additional information about a selected User.

To configure a User:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the User that you want to configure.

  3. Open the properties of the User that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Users.

    • Click Save to continue configuring the User.

    • Click Save and New to save the User and start creating another one.


Users: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has three sections:

  • General

  • Agent Info—This section appears only for Agents.

  • Cost Based Routing—This section appears only for Agents.

General Section

General section properties:

First Name | The first name of this User.
Last Name | The last name of this User.
Tenant | In a multi-tenant environment, the Tenant to which this User belongs. This value is set automatically, and you cannot change it.
Employee ID | A code of up to 64 characters that identifies this User within the contact center staff. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
E-Mail address | The e-mail address of this User.
User Name | The name that this User should use to log in to the environment. You must specify a value for this property, and that value must be unique within the Configuration Database.
Password | A password no longer than 254 characters that this User must use to log in to the environment. You cannot view the existing password.
Re-enter password | Confirmation of the password entered for the Password. Note: Do not cut-and-paste the value from the Password field. You must retype the password.
External ID | This setting applies only if your environment is using external authentication, either LDAP or RADIUS. This may be the user name in the external authentication system. For LDAP, it maybe a whole or partial LDAP URL corresponding to RFC 2255. For more information, refer to the Framework 8.0 External Authentication Reference Manual.
Agent | Indicates whether this User is an Agent. If you select True, the Agent Info section appears. Once you set this flag, you cannot change it.
Application Ranks | A list of the User’s ranks with respect to GUI applications.


Users: Member Of Tab

Member Of Tab

The Member Of tab lists:

  • Access Groups of which this User is a member.

  • Roles which have been assigned to this User.


Users: Role Privileges Tab

The Role Privileges tab displays the role privileges assigned to this User. See Viewing Assigned Roles for more information.


Deleting Users

To delete a User from the Configuration Database:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the User to be deleted.

  3. In the list of Users, select the User to be deleted.

  4. Click Delete.


Managing Assignments to Access Groups: Overview

Users, both Agents and non-Agents, can be assigned to Access Groups by first selecting Users and then adding or removing them to or from Access Groups. For specific instructions, refer to the following:

  • Adding Users to Access Groups

  • Removing Users from Access Groups

If you prefer, you can achieve the same results by first selecting Access Groups and then adding or removing Agents to or from those Access Groups. Refer to Managing Assigned Users in the Access Groups section in this Help file.


Adding Users to Access Groups

To add Users, both Agent and non-Agents, to one or more Access Groups:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder that contains the Users that you want to add to one or more Access Groups.

  3. Select one or more Users.

  4. Open the Tasks panel, if necessary, and click Assign Access Groups in the Access Group Assignment section.

  5. Select the Access Groups to which the Users are to be added.

  6. Click OK.


Removing Users From Access Groups

To remove Users, both Agent and non-Agents, from one or more Access Groups:

  1. Go to Provisioning > Accounts > Users.

  2. If necessary, navigate to the folder containing the Users which you want to remove from one or more Access Groups.

  3. Select one or more Users.

  4. Open the Tasks panel, if necessary, and click Unassign from Access Groups in the Access Group Assignment section.

  5. Select the Access Groups from which the Users are to be removed.

  6. Click OK.


Viewing Assigned Roles

Roles define the role privileges granted to a User, and therefore determine what a given User can do with objects for which they have appropriate access permissions. For detailed instructions about managing Roles assigned to Users, refer to the Genesys 8.0 Security Deployment Guide.

Viewing Assigned Roles

To view what Roles are assigned to a User:

  1. Go to Provisioning > Accounts > Users.

  2. If required, navigate to the folder in which the User is stored.

  3. Open the properties of the User.

  4. Select the Dependencies tab.

  5. Sort the Type column, if necessary. Those items of type Role are the Roles assigned to this User.

Viewing Role Privileges

To view the role privileges granted to this User:

  1. Go to Provisioning > Accounts > Users.

  2. If required, navigate to the folder in which the User is stored.

  3. Open the properties of the User.

  4. Select the Role Privileges tab.

Click the small triangle next to the name of the privilege to see a more complete description of the privilege and by which Role it was granted.


Routing/eServices Object Types: Overview

This section describes the Routing/eServices Configuration Database object types in Genesys Administrator and how to create and work with them. Use the information in this section with that contained in the documentation specific to your product.

The following Routing/eServices object types are accessible from the Navigation panel under the Provisioning tab:

  • Business Attributes

  • Objective Tables

  • Voice Prompts

  • Statistical Tables (including Cost Contracts)

  • Statistical Days (including Day Contracts)

  • Transactions

  • Routing/eServices Scripts

  • Orchestration/Routing Strategies


Business Attributes: Overview

Business Attributes are objects that serve as containers of a particular type for Attribute Value objects. Instances of this object are available enumerations (classifications), such as Media Type, Service Type, and others.

This section describes how to perform the following tasks:

  • Creating Business Attributes

  • Configuring Business Attributes

  • Deleting Business Attributes

For more information about Business Attributes, refer to the following documents:

  • Universal Routing Business Process User's Guide

  • Universal Routing Reference Manual

  • Multimedia User's Guide


Creating Business Attributes

To create a Business Attribute object:

  1. Go to Provisioning > Routing/eServices > Business Attributes.

  2. If required, navigate to the folder in which you want to store the new Business Attribute.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Business Attribute and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Business Attributes.

    • Click Save to continue configuring the Business Attribute.

    • Click Save and New to save the new Business Attribute and start creating another one.

After you have created the new Business Attribute, you can configure it, including managing who has access permissions for it.


Configuring Business Attributes: Overview

Configure Business Attributes on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure a Business Attribute:

  1. Go to Provisioning > Routing/eServices > Business Attributes.

  2. If necessary, navigate to the folder that contains the Business Attribute that you want to configure.

  3. Open the properties of the Business Attribute that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Business Attributes.

    • Click Save to continue configuring the Business Attribute.

    • Click Save and New to save the Business Attribute and start creating another one.


Business Attributes: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Business Attribute. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Attribute Value belongs. This value is set automatically, and you cannot change it.
Business Attribute Type | The type of the Business Attribute. You must specify a value for this property. Once you set the value, you cannot change it.


Deleting Business Attributes

When you delete a Business Attribute, it is removed from the Configuration Database.

To delete a Business Attribute:

  1. Go to Provisioning > Routing/eServices > Business Attributes.

  2. If necessary, navigate to the folder that contains the Business Attribute to be deleted.

  3. Select the Business Attribute to be deleted.

  4. Click Delete.


Cost Contracts: Overview

Cost Contracts Tables: Overview

Cost Contracts are a special type of Objective Table, and contain the information required for calculating the cost of an interaction to be routed. Cost Contracts contain Objective Records, each of which is associated with an IT Contract.

This section describes how to perform the following tasks:

  • Creating Cost Contracts

  • Configuring Cost Contracts

  • Deleting Cost Contracts

For information about working with Objective Tables that are not Cost Contracts, see the Objective Tables section of this Help file.

Refer to the Universal Routing 8.0 Routing Application Configuration Guide for more information about Cost Contracts.


Creating Cost Contracts

To create a Cost Contract object:

  1. Go to Provisioning > Routing/eServices > Objective Tables.

  2. If required, navigate to the folder in which you want to store the new Cost Contract.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Cost Contract and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Cost Contracts.

    • Click Save to continue configuring the Cost Contract.

    • Click Save and New to save the new Cost Contract and start creating another one.

After you have created the new Cost Contract, you configure it, including managing who has access permissions for it.


Configuring Cost Contracts: Overview

Configure Cost Contracts on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Cost Contract.

To configure a Cost Contract:

  1. Go to Provisioning > Routing/eServices > Objective Tables.

  2. If necessary, navigate to the folder that contains the Cost Contract that you want to configure.

  3. Open the properties of the Cost Contract that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Cost Contracts.

    • Click Save to continue configuring the Cost Contract.

    • Click Save and New to save the Cost Contract and start creating another one.


Cost Contracts: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab for a Cost Contract has two sections:

  • General

  • Advanced

General Section

General section properties:

Name | The name of the Cost Contract. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Cost Contract. This value is set automatically, and you cannot change it.
Type | Set to Cost Contract.
Objective Records | A list of records in this Cost Contract and their properties.

Advanced Section

Advanced section properties:

Total Prepaid Cost | The prepaid contract cost, for Volume Rate Contracts only.
Time Zone | The Time Zone for this Cost Contract and the Interaction Types specified in the General tab.
Contract Start Time | The date on which to start the Cost Contract.
Contract End Time | The date on which to end the Cost Contract.


Objective Records for Cost Contracts: Properties

Properties of Objective Records:

Media Type | The range of Attribute Values for this field is defined within Media Type Business Attribute.
Service Type | The range of Attribute Values for this field is defined within Service Type Business Attribute.
Customer Segment | The range of Attribute Values for this field is defined within Customer Segment Business Attribute.
Objective Goal | The Service Objective Goal defined for this Record.
Objective Delta | The Service Objective Delta defined for this Record. Defines the step for Service Objective Goal deviation.
IT Contract | The IT Contract associated with this Objective Record.


Deleting Cost Contracts

To delete a Cost Contract from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Objective Tables.

  2. If necessary, navigate to the folder that contains the Cost Contract to be deleted.

  3. Select the Cost Contract to be deleted.

  4. Click Delete.


Day Contracts: Overview

A Day Contract is a special type of Statistical Day. If you are using Cost-Based Routing, a Day Contract is a Statistical Day that also includes base rates, and penalties for processing a volume over or below the expected workload. Day Contracts apply only to Volume Rate IT Contracts. Day Contracts allow the base rate to vary to accommodate volume fluctuations that may occur on different days of the week, weekends, and exception days such as holidays.

This section describes how to perform the following tasks:

  • Creating Day Contracts

  • Configuring Day Contracts

  • Deleting Day Contracts

For information about working with Statistical Days that are not Day Contracts, see the Statistical Days section of this Help file.

Refer to the Universal Routing Routing Application Configuration Guide for more information about Day Contracts.


Creating Day Contracts

To create a Day Contract object:

  1. Go to Provisioning > Routing/eServices > Statistical Days.

  2. If required, navigate to the folder in which you want to store the new Day Contract.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Day Contract and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Day Contracts.

    • Click Save to continue configuring the Day Contract.

    • Click Save and New to save the new Day Contract and start creating another one.

After you have created the new Day Contract, you can configure it, including managing who has access permissions for it.


Configuring Day Contracts: Overview

Note: This topic describes how to configure a Day Contract. For instructions on configuring a Statistical Day, see the Statistical Days section of this Help file.

Configure Day Contracts on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Day Contract.

To configure a Day Contract:

  1. Go to Provisioning > Routing/eServices > Statistical Days.

  2. If necessary, navigate to the folder that contains the Day Contract that you want to configure.

  3. Open the properties of the Day Contract that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Day Contracts.

    • Click Save to continue configuring the Day Contract.

    • Click Save and New to save the Day Contract and start creating another one.


Day Contracts: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Advanced

General Section

General section properties:

Name | The name of the Statistical Day. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Statistical Day belongs. This value is set automatically, and you cannot change it.
Type | Select Day Contract.
Day Type Day of Week, Day of Year, Month, Date | These fields identify the calendar days to which the statistical values of the Statistical Day apply.

Advanced Section

Advanced tab properties:

Start Time | Start time of the Business Day. The value must be a number expressed in hours, minutes, and seconds from 00:00:00 AM/PM.
End Time | End time of the Business Day. The value must be a number expressed in hours, minutes, and seconds from 00:00:00 AM/PM. If the value is less than Business Day Start, it is implied that the Business Day ends the next calender day.
Interval Length | The number of minutes in the Volume Period.
Forecast Allowance (%) | The percentage of the forecasted volume of routed interactions for this Volume Period that can be over- or underestimated without incurring a penalty. This allowance applies throughout the whole day, including intervals. The value must be a positive value.
Forecasted Penalty (%) | The percentage of the forecasted volume of routed interactions for this Volume Period that must be achieved to avoid a penalty for forecasting too high.
Over (%) | The percentage of the forecasted volume of routed interactions for this Volume Period that cannot be exceeded to avoid a penalty for forecasting too low.
Flat Rate | Check if a Flat Rate is to be applied during this Volume Period.
Flat Rate Value | If Flat Rate is checked, the Flat Rate to be applied during this Volume Period.
Volume Period | A list of intervals during the day that are associated with Cost-Based Routing values. For each interval, specify the forecast volume and base rate for that interval, and any penalties for variations from the forecast. The first interval is numbered 1 and is always counted from the Business Day Start.


Deleting Day Contracts

To delete a Day Contract from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Statistic Days.

  2. If necessary, navigate to the folder that contains the Day Contract to be deleted.

  3. Select the Day Contract to be deleted.

  4. Click Delete.


Objective Tables: Overview

Objective Tables are collections of Objective Records that define the correspondence between interaction attributes (such as Media type, Service type, and Customer segment) and service objectives.

If you are using Cost-Based Routing, use a Cost Contract. A Cost Contract is a special type of Objective Table, and contains the information required for calculating the cost of an interaction to be routed. Cost Contracts contain Objective Records, each of which is associated with an IT Contract. For information about working with Cost Contracts, see the Cost Contracts section of this Help file.

This section describes how to perform the following tasks for Objective Tables that are not Cost Contracts:

  • Creating Objective Tables

  • Configuring Objective Tables

  • Deleting Objective Tables

Refer to the Universal Routing Routing Application Configuration Guide for more information about Objective Tables.


Creating Objective Tables

To create an Objective Table object:

  1. Go to Provisioning > Routing/eServices > Objective Tables.

  2. If required, navigate to the folder in which you want to store the new Objective Table.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Objective Table and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Objective Tables.

    • Click Save to continue configuring the Objective Table.

    • Click Save and New to save the new Objective Table and start creating another one.

After you have created the new Objective Table, you can configure it, including managing who has access permissions for it.


Configuring Objective Tables: Overview

Configure Objective Tables on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure an Objective Table:

  1. Go to Provisioning > Routing/eServices > Objective Tables.

  2. If necessary, navigate to the folder that contains the Objective Table that you want to configure.

  3. Open the properties of the Objective Table that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Objective Tables.

    • Click Save to continue configuring the Objective Table.

    • Click Save and New to save the Objective Table and start creating another one.


Objective Tables: Configuration Tab

Note: indicates a mandatory field.

General section properties:

Name | The name of the Objective Table. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which you allocate this Objective Table. This value is set automatically, and you cannot change it.
Type | Select default to create an Objective Table that is not a Cost Contract.
Objective Records | A list of records in this Objective Table and their properties.


Objective Records of Objective Tables: Properties

Objective Records for Objective Tables: Properties

Properties of Objective Records:

Media Type | The range of Attribute Values for this field is defined within Media Type Business Attribute.
Service Type | The range of Attribute Values for this field is defined within Service Type Business Attribute.
Customer Segment | The range of Attribute Values for this field is defined within Customer Segment Business Attribute.
Objective Goal | The Service Objective Goal defined for this Record.
Objective Delta | The Service Objective Delta defined for this Record. Defines the step for Service Objective Goal deviation.


Deleting Objective Tables

To delete an Objective Table from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Objective Tables.

  2. If necessary, navigate to the folder that contains the Objective Table to be deleted.

  3. Select the Objective Table to be deleted.

  4. Click Delete.


Orchestration / Routing Strategies: Overview

The Orchestration solution uses scripts of type Enhanced Routing, which are referred to as Routing Strategies. Each Routing Strategy is loaded on, or associated with, single or multiple DNs.

Routing Strategies of type Enhanced Routing can be configured in Genesys Administrator at Provisioning > Routing/eServices > Orchestration as well as at Provisioning > Routing/eServices > Scripts.

This section describes how to perform the following tasks:

  • Creating Routing Strategies

  • Configuring Routing Strategies

  • Deleting Routing Strategies

  • Loading and unloading Routing Strategies

For more information about Orchestration Routing Strategies, refer to the Genesys 8.0 SCXML Samples document, and to Orchestration Server-specific documentation.


Creating Routing Strategies

Note: An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

To create a Routing Strategy:

  1. Go to Provisioning > Routing/eServices > Orchestration.

  2. If required, navigate to the folder in which you want to store the new Routing Strategy.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Routing Strategy and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Routing Strategies.

    • Click Save to continue configuring the Routing Strategy.

    • Click Save and New to save the new Routing Strategy and start creating another one.

After you have created the new Routing Strategy, you can configure it, including managing who has access permissions for it.


Configuring Routing Strategies: Overview

Note: An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

Configure Routing Strategies on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Routing Strategy.

To configure a Routing Strategy:

  1. Go to Provisioning > Routing/eServices > Orchestration.

  2. If necessary, navigate to the folder containing the Routing Strategy that you want to configure.

  3. Open the properties of the Routing Strategy that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To verify the URI that was entered on the Configuration tab, click Check URI in the toolbar. The result of this check will appear in a message box.

  8. On the DNs tab, enter or modify information as required.

  9. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Routing Strategies.

    • Click Save to continue configuring the Routing Strategy.

    • Click Save and New to save the Routing Strategy and start creating another one.


Routing Strategies: Configuration Tab

Notes:

  • An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

  • indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Parameters

General Section

General section properties:

Name | The name of the Routing Strategy. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant environment, the Tenant to which this Routing Strategy belongs. This value is set automatically, and you cannot change it.
Script Type | The type of script. For Orchestration, this must be set to Enhanced Routing.
URI | The Universal Resource Identifier for this Routing Strategy.

Parameters Section

Parameters section properties:

Parameters

A list of parameters associated with this Routing Strategy. Each parameter is unique to the situation, so refer to your product-specific documentation for guidance.


Routing Strategies: DNs Tab

Note: An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

The DNs tab contains a list of all DNs associated with the selected routing strategy. All DNs upon which the strategy is loaded appear in the list.

This tab also provides the ability to load Routing Strategies on, and unload Routing Strategies from, DNs and DN groups.


Deleting Routing Strategies

Note: An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

To delete a Routing Strategy from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Orchestration.

  2. If necessary, navigate to the folder that contains the Routing Strategy to be deleted.

  3. Select the Orchestration script.

  4. Click Delete.


Managing Routing Strategies: Overview

Note: An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

Routing Strategies are loaded on, or assigned to, DNs or entire DN groups.

This section describes how to perform the following tasks:

  • Loading a Routing Strategy

  • Unloading a Routing Strategy


Loading Routing Strategies

Note: An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

Routing Strategies can be loaded on DNs or DN Groups.

Loading on DNs

To load a Routing Strategy on one or more DNs:

  1. Open the DNs tab of the Routing Strategy object.

  2. Click [image].

  3. Follow the directions in the Wizard to load the strategy on a single DN or multiple DNs.

If you prefer, you can also load Routing Strategies on DNs using the DNs Tasks panel or DN properties.

Loading on DN Groups

To load a Routing Strategy on one or more DN Groups:

  1. Open the DNs tab of the Routing Strategy object.

  2. On the Tasks panel, click Assign DN Groups in the DN Group Management section.

  3. Follow the directions in the Wizard to load the strategy on the selected DN Groups.

If you prefer, you can also load Routing Strategies on DN Groups using the Script Management functionality in the DN Groups Tasks panel


Unloading Routing Strategies

Note: An Orchestration Routing Strategy is a Script object of type Enhanced Routing.

Routing Strategies can be unloaded from DNs or DN Groups.

Unloading from DNs

To unload a Routing Strategy from one or more DNs:

  1. Open the DNs tab of the Routing Strategy object.

  2. Click [image].

  3. Follow the directions in the Wizard to unload the strategy from a single DN or multiple DNs.

If you prefer, you can also unload a Routing Strategy from a single DN using DN Properties.

Unloading from DN Groups

To unload a Routing Strategy from one or more DN Groups:

  1. Open the DNs tab of the Routing Strategy object.

  2. Click Unassign DN Groups in the DN Group Management section of the Tasks Panel.

  3. Follow the directions in the Wizard to load the strategy on DN Groups.


Routing/eServices Scripts

Routing/eServices Scripts: Overview

Scripts identify processing scenarios or treatments that can be applied to customer interactions. Routing/eServices scripts are scripts that are specific to the Routing/eServices Solution, and must be one of the types listed below.

Generally, working with scripts is the same for all types of scripts. The only exception is Orchestration scripts, which are Scripts of type Enhanced Routing. Working with these scripts is described in detail in the Orchestration section of this help file.

For Scripts other than Orchestration Scripts, you can work with Routing/eServices Scripts in Genesys Administrator at Provisioning > Routing/eServices > Scripts or at Provisioning > Environment > Scripts. Use the generic instructions to perform the following tasks:

  • Creating Routing/eServices scripts

  • Configuring Routing/eServices scripts

  • Deleting Routing/eServices scripts

Note: The Dependencies tab may contain additional information about a selected Routing/eServices Script.

Script Types

The following types of scripts apply to Routing/eServices:

  • Business Process

  • Capacity Rule

  • Enhanced Routing—When part of the Orchestration solution, this type is configured differently than other types of Scripts.

  • Interaction Queue

  • Interaction Queue View

  • Interaction Submitter

  • Interaction Work Bin

  • Schedule

  • Simple Routing


Statistical Tables: Overview

Statistical Tables are groups of Statistical Days that represent statistically modeled performances of Agent Groups over a calendar period of up to one year. Call-processing applications can use Statistical Tables to provide load balancing between Agent Groups when the real-time statistics for those groups are unavailable.

This section describes how to perform the following tasks:

  • Creating Statistical Tables

  • Configuring Statistical Tables

  • Deleting Statistical Tables


Creating Statistical Tables

To create a Statistical Table object:

  1. Go to Provisioning > Routing/eServices > Statistical Tables.

  2. If required, navigate to the folder in which you want to store the new Statistical Table.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Statistical Table and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Statistical Tables.

    • Click Save to continue configuring the Statistical Table.

    • Click Save and New to save the new Statistical Table and start creating another one.

After you have created the new Statistical Table, you can configure it, including managing who has access permissions for it.


Configuring Statistical Tables: Overview

Configure Statistical Tables on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Statistical Table.

To configure a Statistical Table:

  1. Go to Provisioning > Routing/eServices > Statistical Tables.

  2. If necessary, navigate to the folder that contains the Statistical Table that you want to configure.

  3. Open the properties of the Statistical Table that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Statistical Tables.

    • Click Save to continue configuring the Statistical Table.

    • Click Save and New to save the Statistical Table and start creating another one.


Statistical Tables: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name

The name of the Statistical Table. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).

Tenant

In a multi-tenant configuration environment, the Tenant to which this Statistical Table belongs. This value is set automatically, and you cannot change it.

Type

The type of Statistical Table. Once you set the value, you cannot change it. The five types of Statistical Tables are:

  • Capacity Table: The call-processing applications compare the values specified in the Statistical Days Intervals list.

  • Quota Table: The call-processing applications compare the Minimum, Maximum, and Target values specified in the Statistical Days.

  • Special Day Table: The call-processing applications can identify certain days (for example, holidays).

  • Variable Rate Contract Table: The call processing applications calculate the interaction cost based on forecasted volume, and a rate for that volume.

  • Volume Contract Table: The call processing applications calculate the interaction cost based on a predefined call cost or agent cost.


Deleting Statistical Tables

To delete a Statistical Table from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Statistical Tables.

  2. If necessary, navigate to the folder that contains the Statistical Table to be deleted.

  3. Select the Statistical Table to be deleted.

  4. Click Delete.


Statistical Days: Overview

Statistical Days

A Statistical Day is a numerically expressed workload that a particular Agent Group is expected to handle during a particular business day.

If you are using Cost-Based Routing, use a Day Contract. A Day Contract is a Statistical Day that also includes base rates and penalties for processing a volume over or below the expected workload. For information about working with Day Contracts, see the Day Contracts section of this Help file.

This section describes how to perform the following tasks for Statistical Days that are not Cost Contracts:

  • Creating Statistical Days

  • Configuring Statistical Days

  • Deleting Statistical Days

Refer to the Universal Routing 8.0 Routing Application Configuration Guide for more information about Statistical Days.


Creating Statistical Days

To create a Statistical Day object:

  1. Go to Provisioning > Routing/eServices > Statistical Days.

  2. If required, navigate to the folder in which you want to store the new Statistical Day.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save the new Statistical Day and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Statistical Days.

    • Click Save to continue configuring the Statistical Day.

    • Click Save and New to save the new Statistical Day and start creating another one.

After you have created the new Statistical Day, you can configure it, including managing who has access permissions for it.


Configuring Statistical Days: Overview

Note: This topic describes how to configure a Statistical Day. For instructions on configuring a Day Contract, see the Day Contracts section of this Help file.

Configure Statistical Tables on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

Note: The Dependencies tab may contain additional information about a selected Statistical Day.

To configure a Statistical Day:

  1. Go to Provisioning > Routing/eServices > Statistical Days.

  2. If necessary, navigate to the folder that contains the Statistical Day that you want to configure.

  3. Open the properties of the Statistical Day that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Statistical Days.

    • Click Save to continue configuring the Statistical Day.

    • Click Save and New to save the Statistical Day and start creating another one.


Statistical Days: Configuration Tab

Note: indicates a mandatory field.

The Configuration tab has two sections:

  • General

  • Statistic

General Section

General section properties:

Name | The name of the Statistical Day. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Statistical Day belongs. This value is set automatically, and you cannot change it.
Type | Select Default to create a Statistical Day that is not a Day Contract.
Day Type Day of Week, Day of Year, Month, Date | These fields identify the calendar days to which the statistical values of the Statistical Day apply.

Statistic Section

Note: Do not set any properties in this section when a Statistical Day object is configured for use in a Statistical Table of the Special Day Table type.

Statistic section properties:

Start Time

Start time of the Business Day. The value must be a positive number expressed in hours, minutes, and seconds from 00:00:00 AM/PM.

End Time

End time of the Business Day. The value must be a positive number expressed in hours, minutes, and seconds from 00:00:00 AM/PM.

Warning: Do not configure a Business Day that spans midnight as a single day, because it may be misinterpreted by the Routing Solution. If your Business Day starts on one day and ends on the next, you must configure it as two days, as follows:

  • The first Business Day starting at the overall start time and ending at 11:59 PM of that day; and

  • The second Business Day starting at starting at 00:00 AM of the next calendar day and ending at the overall end time.

Example: Assume you wish to track activity from Monday at 8:00 PM to Tuesday at 2:00 AM. You must explicitly create two Business Days, as follows:

  • The first Business Day on Monday, starting at 8:00 PM and ending at 11:59 PM; and

  • The second Business Day on Tuesday, starting at 00:00 AM and ending at 2:00 AM.

Min Value

A statistical value that represents the minimum expected workload for the whole day.

Max Value

A statistical value that represents the maximum expected workload for the whole day. This value cannot be less than the setting for Min Value.

Target Value

A statistical value that represents the target workload for the whole day. The Target Value cannot be less than the setting for the Statistical Values Min or greater than the setting for the Statistical Values Max. This property is reserved for future use.

Intervals

A list of statistical intervals.


Statistical Intervals

Use a Statistical Interval to associate each Statistical Interval with certain Statistical Values.

For each interval, specify values representing the expected load during that interval. The value must be numeric and unique within the statistical field.

When you are configuring a Statistical Day object for use in a Statistical Table of the Capacity Table type, specify:

  • Statistical Value 1—A number of agents.

  • Statistical Value 2—An average handling time.

When you are configuring a Statistical Day object for use in a Statistical Table of the Quota Table type, specify:

  • Statistical Value 1—A statistical value that represents the minimum expected workload for the interval.

  • Statistical Value 2—A statistical value that represents the target workload for the interval. This value cannot be less than the setting for the Statistical Value 1 or greater than the setting for the Statistical Value 3.

  • Statistical Value 3—A statistical value that represents the maximum expected workload for the interval. This value cannot be less than the setting for the Statistical Value 1.


Deleting Statistical Days

To delete a Statistical Day from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Statistical Days.

  2. If necessary, navigate to the folder that contains the Statistical Day to be deleted.

  3. Select the Statistical Day to be deleted.

  4. Click Delete.


Transactions: Overview

Transactions define how applications calculate customer-defined statistics.

This section describes how to perform the following tasks:

  • Creating Transactions

  • Configuring Transactions

  • Deleting Transactions

For more information about specifications and use of Transactions, consult the Universal Routing documentation.


Creating Transactions

To create a Transaction object:

  1. Go to Provisioning > Routing/eServices > Transactions.

  2. If required, navigate to the folder in which you want to store the new Transaction.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Transaction and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Transactions.

    • Click Save to continue configuring the Transaction.

    • Click Save and New to save the new Transaction and start creating another one.

After you have created the new Transaction, you can configure it, including managing who has access permissions for it.


Configuring Transactions: Overview

Configure Transactions on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure a Transaction:

  1. Go to Provisioning > Routing/eServices > Transactions.

  2. If necessary, navigate to the folder that contains the Transaction that you want to configure.

  3. Open the properties of the Transaction that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Transactions.

    • Click Save to continue configuring the Transaction.

    • Click Save and New to save the Transaction and start creating another one.


Transactions: Configuration Tab

Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Transaction. You must specify a value for this property, and that value must be unique. A combination of the name and type specified in the Type property determines the uniqueness within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant configuration environment, the Tenant to which this Transaction belongs. This value is set automatically, and you cannot change it.
Type | The type of this Transaction. You must specify a value for this property. Once you set the value, you cannot change it.
Alias | An alternative name for this Transaction. If you specify this value, it must be unique within the object type specified in the Type property for the given contact center.
Recording Period | A time period, in minutes, indicating how often to report the current status of the Transaction or to record it in the database.
Format | An application-specific format or script that defines how the Transaction is processed.


Deleting Transactions

To delete a Transaction from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Transactions.

  2. If necessary, navigate to the folder that contains the Transaction to be deleted.

  3. Select the Transaction to be deleted.

  4. Click Delete.


Voice Prompts: Overview

Voice Prompts are call treatment objects that may include a set of actions to be applied to a called party.

This section describes how to perform the following tasks:

  • Creating Voice Prompts

  • Configuring Voice Prompts

  • Deleting Voice Prompts


Creating Voice Prompts

To create a Voice Prompt object:

  1. Go to Provisioning > Routing/eServices > Voice Prompts.

  2. If required, navigate to the folder in which you want to store the new Voice Prompt.

  3. Click [image].

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Voice Prompt and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Voice Prompts.

    • Click Save to continue configuring the Voice Prompt.

    • Click Save and New to save the new Voice Prompt and start creating another one.

After you have created the new Voice Prompt, you can configure it, including managing who has access permissions for it.


Configuring Voice Prompts: Overview

Configure Voice Prompts on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure a Voice Prompt:

  1. Go to Provisioning > Routing/eServices > Voice Prompts.

  2. If necessary, navigate to the folder that contains the Voice Prompt that you want to configure.

  3. Open the properties of the Voice Prompt that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. On the Permissions tab, enter or modify information as required.

  7. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Voice Prompts.

    • Click Save to continue configuring the Voice Prompt.

    • Click Save and New to save the Voice Prompt and start creating another one.


Voice Prompts: Configuration Tab

Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The name of the Voice Prompt. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment). Once you set the value, you cannot change it. If the Voice Prompt is used for a parked-call treatment, this value must correspond to the voice prompt identifier that the switch provides.
Tenant | In a multi-tenant configuration environment, the Tenant to which this Voice Prompt belongs. This value is set automatically, and you cannot change it.
Switch | The Switch to which this Voice Prompt belongs. Once you set the value, you cannot change it.
Script | A unique identifier of the Script for this Voice Prompt.
Description | A brief description of the Voice Prompt. For Text-to-Speech synthesis, a parking platform or a switch can use this property to generate the Voice Prompt.


Deleting Voice Prompts

To delete a Voice Prompt from the Configuration Database:

  1. Go to Provisioning > Routing/eServices > Voice Prompts.

  2. If necessary, navigate to the folder that contains the Voice Prompt to be deleted.

  3. Select the Voice Prompt to be deleted.

  4. Click Delete.


Desktop Object Types: Overview

This section describes the Desktop Configuration Database object types in Genesys Administrator and how to create and work with them. Use the information in this section with that contained in the documentation specific to your product.

The following Desktop object types are accessible from the Navigation panel under the Provisioning tab:

  • Action Codes

  • Desktop Scripts


Action Codes: Overview

Action coding enables agents to report the business results of customer interactions, as well as to explain the reasons for certain operations.

After you select an appropriate code from a menu of predefined Action Codes, the code is passed along with its related request. The code then returns with the event which indicates that the request has been successfully processed. Eventually, the code is stored in the reporting database.

You can supplement each Action Code with a number of Subcodes that more precisely characterize the reasons for a certain action.

This section describes how to perform the following tasks:

  • Creating Action Codes

  • Configuring Action Codes

  • Deleting Action Codes


Action Code Types

The following are types of Action Codes:

Busy Off | Selected and sent when an agent cancels the Make Busy function.
Busy On | Selected and sent when an agent activates the Make Busy function.
Conference | Selected and sent when an agent initiates a conference.
Forward Off | Selected and sent when an agent cancels the Call Forwarding function.
Forward On | Selected and sent when an agent activates the Call Forwarding function.
Inbound Call | Selected and sent when an agent releases an inbound call.
Internal Call | Selected and sent when an agent releases an internal call.
Login | Selected and sent when the agent logs in.
Logout | Selected and sent when the agent logs out.
Not Ready | Selected and sent when the agent’s status changes to Not Ready.
Outbound Call | Selected and sent when an agent releases an outbound call.
Ready | Selected and sent when the agent’s status changes to Ready.
Transfer | Selected and sent when an agent initiates a transfer.


Creating Action Codes

To create an Action Code:

  1. Go to Provisioning > Desktop > Action Codes.

  2. If required, navigate to the folder in which you want to store the new Action Code.

  3. Click New.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save the new Action Code and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Action Codes.

    • Click Save to continue configuring the Action Code.

    • Click Save and New to save the new Action Code and start creating another one.

After you have created the new Action Code, you can configure it as required, including managing who has access permissions for it.


Configuring Action Codes: Overview

Configure Agents on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure an Action Code:

  1. Go to Provisioning > Desktop > Action Codes.

  2. If necessary, navigate to the folder that contains the Action Code that you want to configure.

  3. Open the properties of the Action Code that you want to configure.

  4. On the Configuration tab, enter or modify information as required.

  5. On the Options tab, enter or modify information as required.

  6. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Action Codes.

    • Click Save to continue configuring the Action Code.

    • Click Save and New to save the Action Code and start creating another one.


Action Codes: Configuration Tab

Note: indicates a mandatory field.

Configuration tab properties:

Name | The Name of this Action Code. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant environment, the Tenant to which this Action Code belongs. This value is set automatically, and you cannot change it.
Type | The Action Code Type. You must specify a value for this property. Once you set the value, you cannot change it.
Code | The Action Code. You must specify a value for this property, and that value must be unique within the Action Code type specified in the Type property.
Subcodes | A list of Subcodes defined within the Action Code.


Subcodes

Note: indicates a mandatory field.

Subcode properties:

Name | The name of the Subcode. You must specify a value for this property, and that value must be unique within the Action Code. Once you set the value, you cannot change it.
Code | The Subcode value. You must specify a value for this property, and that value must be unique within the Action Code. Once you set the value, you cannot change it.


Deleting Action Codes

To delete an Action Code from the Configuration Database:

  1. Go to Provisioning > Desktop > Action Codes.

  2. If necessary, navigate to the folder that contains the Action Code to be deleted.

  3. Select the Action Code.

  4. Click [image].


Desktop Scripts

Desktop Scripts: Overview

Scripts identify processing scenarios or treatments that can be applied to customer interactions. Desktop scripts are scripts that apply to Desktop Solution, and must be of the Supervisor Data type.

Generally, working with Desktop Scripts is that same as working with most other Scripts. You can work with Desktop Scripts in Genesys Administrator at Provisioning > Desktop > Scripts or at Provisioning > Environment > Scripts. Use the generic instructions to perform the following tasks:

  • Creating Desktop scripts

  • Configuring Desktop scripts

  • Deleting Desktop scripts

Note: The Dependencies tab may contain additional information about a selected Desktop Script.


Voice Platform Objects: Overview

This section describes the Voice Platform Solution Configuration Database object types in Genesys Administrator, and how to create and work with them. Use the information in this section with that contained in the documentation specific to your product.

The following Voice Platform object types are accessible from the Navigation panel under the Provisioning tab:

  • DID Groups

  • IVR Profiles

  • Resource Groups


DID Groups: Overview

Direct Inward Dialing (DID) Groups are used to organize DID numbers or a range of DID numbers into groups to enable ease of management when associating them with IVR Profiles, and when modifying or deleting them. DID Groups can be created within individual tenants at any level in the hierarchy, but once created, they cannot be moved or re-assigned.

This section describes how to perform the following tasks:

  • Creating new DID Groups.

  • Modifying DID Groups

  • Deleting DID Groups.

You can also add, move, or delete multiple DID Groups or DIDs at the same time by using the Bulk Operations Wizard in the Task Pane of the DID Groups panel.

The DID Groups panel includes the two columns:
  • Group Name displays the names of the existing DID Groups. The list can be filtered by entering the criteria into the Filter field.
  • IVR Profile displays the name of the IVR Profile that is associated with the DID Group. The list can be filtered by entering the criteria into the Filter field.


Creating DID Groups

To create a DID Group:

  1. Go to Provisioning tab > Voice Platform > DID Groups.

  2. Select New.

  3. In the Name field, enter the name of the DID Group.

  4. In the IVR Profile field, click [image] to browse to the IVR Profile that you want to associate with this DID Group.

  5. In the DIDs field, click Add.

Note: DIDs and IVR Profiles are optional in DID Groups. You can create an empty DID Group to act as a placeholder until you are ready to populate it.

  6. In the DID dialog box, enter the DID or a range of DIDs.

You can add a single number, a range of numbers (two numbers separated by a dash [-]), or a number prefix (a number followed by an asterisk [*]).

  7. In the DID Group Property panel, click Save to save this DID Group and return to the list of DID Groups, or click Save & New to create another DID Group.

For more information about DID Groups, see the Genesys Voice Platform 8.1 User's Guide.


Modifying DID Groups

To modify an existing DID Group:

  1. Go to Provisioning tab > Voice Platform > DID Groups.

  2. Click once to highlight a DID Group in the Group Name column.

  3. Click Edit.

The Property panel is displayed.

Note: Alternatively, you can double-click a DID Group in the Group Name column to open the Property panel.

  4. To change the IVR Profile that is currently associated with this DID Group, click [image] to browse to the new IVR Profile.

  5. Modify the Direct Inward Dialing (DID) numbers in the DID Group in one of three ways:

    • Add a DID:

      1. Click Add.

      2. When the dialog appears, enter the new DID or range of DID.

    • Modify a DID:

    1. Select the DID Group you want to modify.

    2. Click Edit.

    3. When the DID dialog appears, enter the new DID or range of DID.

    • Remove a DID:

      1. Select the DID you want to remove.

      2. Click Remove.

  6. Click Save to save the changes.

For more information about DID Groups, see the Genesys Voice Platform 8.1 User's Guide.


Deleting DID Groups

To delete an existing DID Group:

  1. Go to Provisioning > Voice Platform > DID Groups.

  2. Select one or more DID Groups that you want to delete.

  3. Click Remove.

  4. To confirm deletion, click Yes.

For more information about DID Groups, see the Genesys Voice Platform 8.1 User's Guide.


Using the DID Bulk Operations Wizard

To use the DID Bulk Operations Wizard to add, move, or delete multiple DID Groups or DIDs at the same time, you must first create a source CSV file with the required information. Then, run the Wizard.

Create the Source File

The text file includes one to three columns (the DID Group and Tenant columns are optional) enabling you to upload a flat list of DIDs only. If the DID Group column is omitted, by default, the DIDs are assigned to the DID Group that was selected when the wizard was launched. If the Tenant column is omitted, by default, DIDs are associated to the current Tenant. If the uploaded text file includes all three columns, it must be in CSV format with the columns in the following order:

    • DID

    • DID Group

    • Tenant

The DID can be a single number, a range of numbers, or a DID prefix, such as:

    • "<DID>","<DID group name>","<Tenant name>"

    • "<DID start>-<DID end>","<DID Group Name>","<Tenant name>"

    • "<DID prefix>*","<DID Group name>","<Tenant name>"

Use the DID Bulk Operations Wizard

To add, move, or delete multiple DID Groups or DIDs at the same time using the DID Bulk Operations Wizard:

  1. In the Tasks panel, click Launch DID Bulk Operations Wizard in the DID Group section.

  2. Click Next.

  3. Select Add, Move, or Delete.

  4. To select a file, click Browse.

  5. In the Choose File dialog box, navigate to the CSV file containing the DID Group data.

  6. Click Open.

  7. If your CSV file contains column headings, click the checkbox to enable it, then click Next.

  8. To confirm the changes, click Finish.

For more information about DID Groups, see the Genesys Voice Platform 8.1 User's Guide.


IVR Profiles: Overview

IVR Profiles are voice (VoiceXML), call control (CCXML), announcement, or conference applications that specify the unique service information required as this application executes within the Genesys Voice Platform. Each IVR Profile contains prerequisites, parameters, and policies for each type of service.

This section describes how to perform the following tasks:

  • Creating IVR Profiles

  • Configuring IVR Profiles

  • Deleting IVR Profiles

In addition, you can monitor IVR Profiles through the reports accessible on the Tasks panel.


Creating IVR Profiles

To create an IVR Profile:

  1. Go to Provisioning tab > Voice Platform > IVR Profile.

  2. If required, navigate to the folder in which you want to store the new IVR Profile by clicking on the folder name.

  3. Click New to create an IVR Profile manually, or [image] to create an IVR Profile with the wizard.

  4. Configure manually, or with the wizard as required.


Configuring IVR Profiles: Overview

To configure an IVR Profile:

  1. Go to Provisioning tab > Voice Platform > IVR Profiles.

  2. If necessary, navigate to the folder that contains the IVR Profile that you want to configure.

  3. Select the name of the IVR Profile you want to configure.

  4. Configure the IVR Profile manually, or with the IVR Profile Wizard.


Configuring IVR Profiles Manually

To configure an IVR Profile manually:

  1. On the Configuration tab, enter the following parameters:

    • Name

    • Display Name

    • Tenant

    • Description

    • State

  2. To save your changes, do one of the following:

    • Click [image] to return to the list of IVR Profiles.

    • Click Save to continue configuring this IVR Profile.

    • Click Save and New to save the changes to this IVR Profile and start creating a new one.

  3. On the Options tab, do one of the following:

    • Click New, and enter the following parameters:

      • Location

      • Section

      • Name

      • Value

    • From the Use Metadata From drop-down list, select the Resource Manager application for which you want the IVR Profile to collect metadata.

For more information about IVR Profile parameters, see the Genesys Voice Platform 8.1 User's Guide.


Using the IVR Profile Wizard

To configure an IVR Profile with the IVR Profile Wizard:

  1. On the Tasks panel, click [image] or [image] to invoke the IVR Profile Wizard.

  2. Click Next.

  3. Enter the IVR Profile Name.

  4. From the Service Type drop-down list, select the appropriate service type.

  5. Click Next.

  6. Depending on the service type selected, enter the following:

    • For VoiceXML:

      • Initial Page URL

      • Alternate Page URL

      • Default Properties Page URL

Note: To validate the URLs, click View URL. When you click the icon, Internet Explorer will open and fetch the application, and display the VoiceXML.

      • VoiceXML Interpreter

      • Toll Free Number

      • Virtual Reporting Object 1

      • Virtual Reporting Object 2

    • For CCXML:

      • Initial Page URL

      • Virtual Reporting Object 1

      • Virtual Reporting Object 2

    • For Conference:

      • Conference ID

      • Maximum Conference Sizes

      • Virtual Reporting Object 1

      • Virtual Reporting Object 2

    • For Announcement:

      • Play

      • Content-Type

      • Repeat

      • Delay

      • Duration

      • Virtual Reporting Object 1

      • Virtual Reporting Object 2

  7. Click Next.

  8. Enter the Usage Limits.

  9. Click Next.

  10. Depending on the service type selected, choose the IVR Capabilities:

    • For VoiceXML service type,

      • Select Allow Outbound Calls (if required)

      • Select Allow Transfers (if required)

      • Select the method of Gateway Selection.

    • For CCXML service type,

      • Select Allow Conferences (if required)

      • Select Allow Outbound Calls (if required)

      • Select Allow Transfers (if required)

      • Select Allow VoiceXML Dialogs (if required)

      • Select the Gateway

  11. Click Next.

  12. For VoiceXML service type only,

    • Select Require CTI Parameters (if required)

    • Select Transfer on CTI (if required)

    • Enter the Default Agent

  12. Click Next.

  13. For VoiceXML and CCXML service types, and if allowing for outbound calls and/or transfers:

    • Add the Dialing Rules.

  14. Click Next.

  15. Confirm that the IVR Profile parameters are correct. Click Previous to make any changes.

  16. Click Finish.

Notes:

  • In the Wizard, [image] indicates a mandatory field.

  • Mouse over the text fields to display the field limitations in the tool tip.

For more information about IVR Profile parameters, see the Genesys Voice Platform 8.1 User's Guide.


Deleting IVR Profiles

To delete an IVR Profile from the Configuration Database:

  1. Go to Provisioning tab > Voice Platform > IVR Profile.

  2. If necessary, navigate to the folder that contains the IVR Profile to be deleted.

  3. Select the IVR Profile to be deleted.

  4. Click Delete.

  5. Click Yes to confirm deletion.


Resource Groups: Overview

Resource Groups enable the grouping of resources that provide common services so that they can be managed and assigned by the Resource Manager as a unit. Resource management tasks include:

  • Creating logical groups for a selected Resource Manager.

  • Assigning physical resources to a logical group.

  • Creating Resource Manager connections to assigned physical resources.

This section describes how to perform the following tasks:

  • Creating Resource Groups

  • Configuring Resource Groups

  • Deleting Resource Groups


Creating Resource Groups

To create a Resource Group:

  1. Go to Provisioning tab > Voice Platform > Resource Group.

  2. Click New to invoke the Resource Manager Group Wizard.

  3. Click Next.

  4. Configure the Resource Group as required.


Configuring Resource Groups: Overview

Configuring Resource Group: Overview

To configure a Resource Group:

  1. Go to Provisioning > Voice Platform > Resource Group.

  2. Click [image] to invoke the Resource Manager Group Wizard.

  3. Click Next.

  4. Continue configuring using the wizard as required.


Using the Resource Groups Wizard

Using the Resource Group Wizard

To configure a logical resource group by using the wizard:

  1. Select the Resource Manager that you want to manage the new resource group.

Note: If you are selecting a Resource Manager instance that is configured for High Availability (HA), you must select both Resource Manager instances.

  2. Click Next.

  3. In the Group Name field, enter the name of the group.

  4. From the Group Type drop-down list, select the appropriate group type from the following:

    • Media Control Platform

    • Call Control Platform

    • Gateway

    • CTI Connector

  5. Click Next.

  6. (Optional) Select the child tenants to which the resource group will be assigned.

  7. Depending on the group type selected, add the following group properties:

    • For Media Control Platform:

      • Monitoring Method

      • Load Balancing Scheme

      • Geo-location

      • Maximum Conference Size

      • Maximum Conference Count

    • For Call Control Platform:

      • Monitoring Method

      • Load Balancing Scheme

    • For Gateway:

      • Monitoring Method

      • Load Balancing Scheme

      • CTI Usage

    • For CTI Connector:

      • Monitoring Method

      • Load Balancing Scheme

  8. Click Next.

  9. Select the required resources (components) based on the selected group type. For each resource assigned:

    • Verify that the IP Address is correct.

    • Select or type the SIP Port from the drop-down list.

    • Select or type the SIPS Port from the drop-down list (not available for Gateway group type).

    • Enter the maximum number of concurrent ports allowed (optional).If not specified, the Resource Manager assumes an unlimited port usage.

    • Select the redundancy type (optional). If omitted, the default is Active.

  10. Click Next.

  11. Confirm that the logical group parameters are correct. Click Previous to make any changes.

  12. Click Finish.

Notes:

  • In the Wizard, [image] indicates a mandatory field.

  • Mouse over the text fields to display the field limitations in the tool tip.

For more information about logical group parameters, see the Genesys Voice Platform 8.1 User's Guide.


Deleting Resource Groups

Deleting Resource Group

To delete a Resource Group from the Configuration Database:

  1. Go to Provisioning tab > Voice Platform > Resource Group

  2. Select the Resource Group to be deleted.

  3. Click Delete.

  4. Click Yes to confirm deletion.


Outbound Contact Objects: Overview

Outbound Contact Object Types: Overview

This section describes the Outbound Contact Configuration Database object types in Genesys Administrator and how to create and work with them. Use the information in this section with that contained in the Outbound Contact documentation.

The following Outbound Contact object types are accessible from the Navigation panel under the Provisioning tab:

  • Campaigns

  • Calling Lists

  • Calling Lists Advanced

  • Treatments

  • Table Access Points

  • Formats

  • Fields

  • Filters

  • Request Log

  • Do Not Call List

  • Dialogic Boards


Calling Lists: Overview

Calling lists are database tables with records that store a collection of phone numbers and other customer and business-related data. Calling lists are created in Genesys Administrator, and inherit their structure from the assigned format. See "Format Object" in the Outbound Contact 8.0 Deployment Guide. See additional information about Calling Lists in the Outbound Contact 8.0 Reference Manual.

A Calling List must contain Genesys mandatory fields, such as contact_info and contact_info_type, and can also contain user-defined, custom fields. The Campaign name, for example, is stored in a user-defined field, which is specified by the campaign_name_field option. A user-defined field may also serve as a customer identifier for Do Not Call requests, as an alternative to the DNC restriction on a customer's phone number.

An unlimited number of Calling Lists can be added to one Campaign, and a Calling List can be added to or deleted from a running Dialing Session for a Campaign. A Campaign can be assigned to multiple Campaign groups.

This section describes how to perform the following tasks:

  • Creating a Calling List

  • Configuring a Calling List

  • Deleting a Calling List

Note: Import and export Calling List operations are accomplished through the Operations tab in Genesys Administrator.


Creating Calling Lists / Calling Lists Advanced

To create a Calling Lists / Calling Lists Advanced object:

  1. Go to Provisioning > Outbound Contact > Calling Lists or Calling Lists Advanced, as appropriate.

  2. If necessary, navigate to the folder in which you want to store the new Calling List / Calling List Advanced.

  3. Click [image].

  4. Configure the Calling List / Calling List Advanced.

  5. To save the new Calling List / Calling List Advanced and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Calling Lists / Calling Lists Advanced.

    • Click Save to continue configuring the Calling List / Calling List Advanced.

    • Click Save and New to save the new Calling List / Calling List Advanced and start creating another one.


Configuring Calling Lists / Calling Lists Advanced: Overview

To configure a Calling Lists / Calling Lists Advanced object:

  1. Go to Provisioning > Outbound Contact > Calling Lists or Calling Lists Advanced, as appropriate.

  2. Navigate to the folder that contains the Calling List / Calling List Advanced that you want to configure.

  3. Enter or modify information in the following tabs, as required:

    • Configuration tab for Calling Lists or Calling Lists Advanced, as appropriate.

    • Campaigns tab

    • Format tab —not required for Calling Lists Advanced

    • Treatments tab

    • Options tab

    • Permissions tab

  3. To save changes to this Calling List / Calling List Advanced and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Calling Lists / Calling Lists Advanced.

    • Click Save to continue configuring the Calling List / Calling List Advanced.

    • Click Save and New to save the Calling List / Calling Lists Advanced and start creating another one.


Calling Lists: Configuration Tab

Note: indicates a mandatory field.

In this tab, specify all details of database access and formatting. You also specify record selection using SQL queries for the Calling List. (No restrictions are imposed on this SQL expression.)

The Configuration Tab has three sections:

  • General

  • Database

  • Query

General Section

General section properties:

Name | The name of the Calling List. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Description | A brief description of the Calling List.
Tenant | In a multi-tenant environment, the name of the Tenant to which this Calling List belongs. This value is set automatically, and you cannot change it.
Calling Time From | Not used at the list level at this time. The default is [8:00:00 AM].
Calling Time Until | Not used at the list level at this time. The default is 10:00:00 PM.
Max Attempts | The maximum number of attempts to call a single record in this Calling List during one Campaign. You cannot set this value to zero. The default is 10.
Script | The Script Property defines the Script Object, which contains all of the attributes that are required by Agent Scripting. For more information, see the section, “Attaching Script Information to OCS User Events and Telephony Events,” in the Outbound Contact 8.0 Reference Manual.
Format | The Format for the Calling List.
State | Enabled or Disabled.

Database

Use this section to identify the database properties for the Calling List..

Data Base section properties:

Table Name

The name of the table in the database.

Data Access Point

The Database Access Point through which the table is accessed.

DB Server

The name of the DB Server associated with the database.

SQL Server

The name of the SQL Server used for running the SQL query.

Type

The type of database.

DB Name

The name of the database in which the table exists.

Login

The login name for the database.

Password

The password for the database.

Case Conversion

Case conversion method for key names of key-value lists coming from DB Server. This value specifies whether and how a client application converts the field names of a database table when it received data from DB Server. If you select upper, field names are converted to uppercase; if you select lower, field names are converted to lowercase; and if you select any, field names are not converted. This value corresponds to the dbcase option in a configuration file.

Note: This setting does not affect the values of key-value lists coming from DB Server. That is, actual data is presented exactly as it appears in the database tables.

Warning! Use the default value (any) unless directed to do otherwise by Genesys Technical Support.

Query

Use this section to define SQL queries to select records from a table in the database.

Data Base section properties:

SELECT FROM | The table name from which to select records for the Calling List.
WHERE | The SQL query to identify the records. You can use the Dialing Filter Builder to create the expression.
ORDER BY | The order the records identified, based on the query. You can use the Dialing Filter Builder to specify the order.


Calling Lists / Calling Lists Advanced: Campaigns Tab

This tab lists any configured Campaigns that use this calling list.

  • To configure additional Campaigns to associate with this calling list, click New. This opens a dialog box for creating a Campaign, as described for any Campaign object.


Calling Lists: Format Tab

This tab lists the Fields associated with the Calling List. It appears only when creating a new Calling List using the Calling Lists item, rather than using the Calling Lists Advanced item.

If you selected a Format on the Configuration tab, this tab is populated with the Fields associated with the Format. If you did not select a Format, you create the Format manually by adding the fields to this tab.

The buttons available for provisioning Fields includes:

  • Add: Click this button to configure additional Fields to define the Format for this Calling List. This opens a dialog box for creating a Field, as described for any Field. (After you add a Field, click OK to save it and close the dialog box.)

Note: Each format must include the mandatory fields.

  • Edit: Select a Field and click this button to edit an existing Field. (After you edit a Field, click OK to save it and close the dialog box.)

  • Remove: Select a Field and click this button to remove the Field for this Calling List.


Calling Lists / Calling Lists Advanced: Treatments Tab

This tab lists the Treatments associated with the Calling List / Calling List Advanced. The buttons available for provisioning Treatments include:

  • Add:

    1. Click this button to configure a Treatment for this Calling List/ Calling List Advanced.

    2. In the Browse dialog box, do one of the following:

      • Click New. This opens a window for creating a Treatment, as described for any Treatment.

      • Select an existing Treatment by selecting one listed in the dialog box or browsing to it using the folder icon.

    3. After adding/saving the Treatment, click OK in the Browse dialog box.

  • Edit: Select a Treatment and click this button to edit an existing Treatment. (After you edit a Treatment, click Save and Close to save it and close the dialog box.)

  • Remove: Select a Treatment and click this button to remove the Treatment for this Calling List/ Calling List Advanced.


Deleting Calling Lists / Calling Lists Advanced

To delete a Calling List / Calling List Advanced from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Calling Lists or Calling Lists Advanced, as appropriate.

  2. If necessary, navigate to the folder that contains the Calling List / Calling Lists Advanced to be deleted.

  3. Select the Calling List / Calling Lists Advanced to be deleted.

  4. Click Delete.

  5. Click Yes to confirm the deletion.


Calling Lists Advanced: Overview

Calling Lists Advanced are Calling Lists that are configured differently. They use a special configuration method in which you specify database parameters, database access, and the Format object name through the Table Access object, and also record selection through Filter object. All other aspects of the Calling List are the same.

Note: The fields contained in the Format are not visible from the Calling Lists Advanced method. To view the format fields, go to the Calling Lists object.

This section describes how to perform the following tasks:

  • Creating a Calling List Advanced

  • Configuring a Calling List Advanced

  • Deleting a Calling List Advanced


Configuration Tab: Calling Lists Advanced

Note: indicates a mandatory field.

In this tab, specify database access, format, and record selection through the Table Access object and Filter objects.

Configuration tab properties:

Name | The name of the Calling List.
Tenant | In a multi-tenant environment, the name of the Tenant to which this Calling List belongs. This value is set automatically, and you cannot change it.
Description | A brief description of the Calling List.
Table Access | The Table Access object to which the Calling List refers, that defines the format of the Calling List and identifies the DB Access Point used to access the calling list table.
Log Table Access | Not used at this time.
Filter | The dialing filter to be applied to this Calling List, that defines which call records within the calling list table will be dialed by the campaign.
Calling Time From | Not used at the list level at this time. The default is 8:00:00 AM.
Calling Time Until | Not used at the list level at this time. The default is 10:00:00 PM.
Script | The Script Property defines the Script Object, which contains all of the attributes that are required by Agent Scripting. For more information, see the section, “Attaching Script Information to OCS User Events and Telephony Events,” in the Outbound Contact 8.0 Reference Manual.
Max Attempts | The maximum number of attempts to call a single record in this Calling List during one campaign. You cannot set this value to zero. The default is 10.
State | Enabled or Disabled.


Campaigns Overview

A Campaign is a flexible master plan that organizes Calling Lists and Agent Groups (or Place Groups) for dialing calls and handling call results. A Campaign can be assigned to multiple Campaign Groups. See additional information in the Outbound Contact 8.0 Deployment Guide.

This section describes how to perform the following tasks:

  • Creating a Campaign

  • Configuring a Campaign

  • Deleting a Campaign


Creating Campaigns

To create a Campaign object:

  1. Go to Provisioning > Outbound Contact > Campaigns.

  2. If necessary, navigate to the folder in which you want to store the new Campaign.

  3. Click [image].

  4. Configure the Campaign.

  5. To save the new Campaign and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Campaigns.

    • Click Save to continue configuring the Campaign.

    • Click Save and New to save the new Campaign and start creating another one.

After you have created the new Campaign, configure it as required, including managing who has access rights to it.


Configuring Campaigns: Overview

To configure a Campaign and Campaign Groups:

  1. Go to Provisioning > Outbound Contact > Campaigns and navigate to the folder that contains the Campaign that you want to configure.

  2. Enter or modify information in the following tabs, as required:

    • Configuration tab

    • Campaign Groups tab

Note: This tab is only accessible for a saved Campaign.

    • Options tab

    • Permissions tab

  3. To save changes to the Campaign and register them in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Campaigns.

    • Click Save to continue configuring the Campaign.

    • Click Save and New to save the new Campaign and start creating another one.


Campaigns: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has two sections:

  • General

  • Calling Lists

General Section

General section properties:

Name | The name of the Campaign. You must specify a value for this property, and that value must be unique within the Configuration Database (in an enterprise environment) or within the Tenant (in a multi-tenant environment).
Tenant | In a multi-tenant environment, the Tenant to which this Campaign belongs. This value is set automatically, and you cannot change it.
Script | Defines the Script object that contains all of the attributes that are required by Agent Scripting.
Description | A brief description of the Campaign.
State | Enabled or Disabled.

Calling Lists Section

In the Calling Lists section, do the following:

  1. Click Add.

  2. In the Calling List info dialog box, click the Browse button to select the Calling List from the list of configured Calling Lists.

  3. Specify the weight for this Calling List for the Share value.

  4. If the Calling List is Active, select the True check box.

  5. Click OK to close the dialog box.

  6. Repeat Steps 1 to 5 to add other Calling Lists.


Campaigns: Campaign Groups Tab

Note: This tab is only accessible from a saved Campaign.

The Campaign Groups tab lists all of the Campaign Groups associated with a Campaign. From this tab, you can:

  • Create a new Campaign Group.

  • Configure an existing Campaign Group.

  • Delete a Campaign Group.


Weighted Calling Lists

Weighting Calling Lists

A Campaign can have multiple calling lists. Weight percentages, specified in the Share column for the Calling List listed in the Campaign object, are used for calculations when a Campaign has more than one list.

Each list can be assigned a weight as a percentage. The lowest value for a weight is 0, which should be used only if you want to deactivate a list. In a Campaign with multiple Calling Lists, the weight given to a list represents the ratio of records that will be retrieved from a Calling List for a Campaign.

For example, imagine that a Campaign consists of three lists and that each list is assigned a weight: List A is given a weight of 10, List B a weight of 20, and List C a weight of 30. A fraction is created for each list, with the weight of the list as the numerator and the sum of all weights as the denominator. The number of records that will be retrieved from a list is calculated by multiplying the fraction (as described above) by the total number of records that will be retrieved from the calling lists to OCS's buffer. This example is illustrated below:

Description | List A | List B | List C | Totals
Total number of records that will be retrieved from the Calling Lists to OCS's buffer (multiply the number of logged-in agents by the maximum buffer size) |  |  |  | 10 agents x 6 (6 is the default maximum buffer size) = 60
Weights assigned and the sum of all weights | 10 | 20 | 30 | sum = 60
Percentage (based on the fraction of list weight over the sum of all weights) | (10/60) = 1/6 | (20/60) = 1/3 | (30/60) = 1/2 |
Total number of the records that will be retrieved, multiplied by the percentage (based on the fraction of list weight over the sum of all weights) | 1/6 X 60 = 10 | 1/3 x 60 = 20 | 1/2 x 60 = 30 |
Result (the number of records that will be retrieved from the Calling Lists to OCS's buffer for each list) | 10 | 20 | 30 | 60

Flexible List Weights

The weights that you assign to a Calling List are all flexible list weights. Flexible refers to the process in which OCS assigns a zero value to an empty Calling List and adjusts the value(s) of the remaining Calling Lists.

During the Campaign, OCS continues requesting records from the empty list, which allows the user to add records to a Calling List during a Campaign. If additional records are added to a previously empty Calling List, the Calling List returns to its previously assigned weight until all records are processed, at which time OCS assigns a zero value to the Calling List. Flexible list weights keep Campaigns from slowing down, by maintaining consistency in record processing.

Note: If a Calling List with a relatively low weight has a better success rate, it may run out of records faster than another Calling List with a higher weight but a lower success rate.


Deleting Campaigns

To delete a Campaign from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Campaigns, and if necessary, navigate to the folder that contains the Campaign to be deleted.

  2. Select the Campaign to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.


Campaign Groups: Overview

Campaign Groups are structures for organizing and managing an automated process of making outbound calls to the destinations specified in Calling Lists.

This section describes how to perform the following tasks:

  • Creating a Campaign Group

  • Configuring a Campaign Group

  • Deleting a Campaign Group


Creating Campaign Groups

Note: The Campaign for which you want to create the Campaign Group must already exist.

To create a Campaign Group:

  1. Go to Provisioning > Outbound Contact > Campaigns.

  2. If necessary, navigate to the folder that contains the Campaign in which you want to create a Campaign Group.

  3. Select the Campaign in which you want to create a Campaign Group.

  4. Open the Campaign Groups tab.

  5. Click [image].

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. To save the new Campaign Group and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Campaign Groups.

    • Click Save to continue configuring the Campaign Group.

    • Click Save and New to save the new Campaign Group and start creating another one.

After you have created the new Campaign Group, you can configure it as required, including managing who has access permissions for it.


Configuring Campaign Groups: Overview

Configure Campaign Groups on the following tabs:

  • Configuration tab

  • Options tab

  • Permissions tab

To configure a Campaign Group:

  1. Go to Provisioning > Outbound Contact > Campaigns.

  2. If necessary, navigate to the folder that contains the Campaign associated with the Campaign Group that you want to configure.

  3. Select the Campaign associated with the Campaign Group that you want to configure.

  4. Open the Campaign Groups tab.

  5. Select the Campaign Group that you want to configure.

  6. On the Configuration tab, enter or modify information as required.

  7. On the Options tab, enter or modify information as required.

  8. On the Permissions tab, enter or modify information as required.

  9. To save your changes, do one of the following:

    • Click Save and Close to return to the list of Campaign Groups.

    • Click Save to continue configuring the Campaign Group.

    • Click Save and New to save the Campaign Group and start creating another one.


Provisioning Your Environment > Outbound Contact Object Types > Campaign Groups > Configuring

Campaign Groups: Configuration Tab

Note: indicates a mandatory field.

The Configuration Tab has four sections:

  • General

  • Advanced

  • Connections

  • Agent Assignment

General Section

General section properties:

Name | The name of the Campaign Group, in the format [Campaign@AgentGroup] or [Campaign@PlaceGroup]. This value is set automatically, based on the content of the fields Campaign and Group.
Tenant | In a multi-tenant environment, the Tenant to which this Campaign Group belongs. This value is set automatically, and you cannot change it.
Campaign | The name of the Campaign associated with this Campaign Group. This value is set automatically, and you cannot change it. This value forms part of the field Name.
Group Type | The type of Campaign Group, Agent or Place.
Group | The name of a group assigned to this campaign. This value forms part of the field Name.
Description | A brief description of the Campaign Group.
State | Enabled or disabled.

Advanced Section

Advanced Section properties:

Dial Mode | The name of the Dialing Mode for this Campaign Group.
Voice Transfer Destination | Identifies where calls are to be delivered for handling. Note: In addition to the Voice Transfer Destination DN, any ACD Queue, Virtual Queue, Routing Point, or Service Number DN that may be part of a call flow involving this group of agents or places must be specified as an Origination DN in the Advanced section of the Agent Group or Place Group objects in Genesys Administrator. OCS needs to monitor these DNs to identify “foreign” inbound or outbound calls that are delivered to agents but were not issued by OCS on behalf of the Campaign Group, or if the ACD Queue DN is configured as an “overflow” DN.
Operation Mode | Leave at the default value (Manual).
Optimization Method | A method to optimize directly dialing algorithms in the predictive dialing modes. The methods include: Agent Busy Factor, Average Waiting Time, and Overdial Rate.
Optimization Method Value | The value for the Optimization method.
Maximum Queue Size | The number of records to keep in the dialer’s queue. It is an internal counter that is used when OCS performs with Power GVP or Push Preview modes. OCS tries to always keep the dialer’s buffer full with the specified Maximum Queue Size.
IVR Profile | The IVR Profile DBID that is specified in the GVP EMPS IVR Profile. The OCS ivr-profile-name option uses the value specified in this field.
Interaction Queue | A configuration object that is created in the Scripts section in Genesys Administrator > Provisioning > Routing/eServices by Interaction Routing Designer when developing a Business Process to process outbound Preview mode interactions.
TrunkGroupDN | Required only if you are using Outbound Contact in an Outbound VoIP environment. If specified, OCS uses this DN as the DN on behalf of which outbound and engaging calls originate.
Script | The Script object that contains all of the attributes that are required by Agent Scripting.
Minimum Record Buffer Size | The minimum record buffer size that acts as a multiplier, along with the optimal record buffer size, for the number of agents that are available for a campaign.
Optimal Record Buffer Size | The optimal record buffer size that acts as a multiplier, along with the minimum record buffer size, for the number of agents that are available for a campaign.
Number of Channels | Identifies the maximum number of channels (or ports), that a Campaign Group can use to place calls. This max number is used in: Progressive, Predictive, Progressive with seizing, Predictive with seizing, and Progressive GVP dialing modes.

Connections

In the Connections section, add all connections to all server needed (except T-Server or SIP Server) to run this Campaign Group.

    1. Under the Server section, click Add.

    2. In this Application page, select a server from those configured or configure a new one.

    3. Click OK.

    4. Repeat Steps 1-3 to add all other servers.

Agent Assignment

Agent Assignment section properties:

Agent Assignment

Controls the ability of the Campaign Group to be used in agent reassignment.

A value of true (along with setting the others parameters specified in this section) enables Campaign Groups to be used in agent reassignment and calls are distributed by Universal Routing Server (URS).

The value of false is used for Campaign Groups that have calls distributed by the switch and not distributed by URS.

This parameter sets the value for the agent-assignment option.

Agent Assignment Priority

Defines the priority of the Campaign Group when determining agent reassignment. As the value increases, the priority for the specified Campaign Group also increases. Sets the value for the agent-assignment-priority option.

Minimum Number of Agents

Defines the minimum number of agents in the Campaign Group when determining agent reassignment.Sets the value for the agent-assignment-min-num option.

Maximum Number of Agents

Defines the maximum number of agents in the Campaign Group when determining agent reassignment.Sets the value for the agent-assignment-max-num option.

Inbound Agent Assignment Priority

Defines the priority of inbound call activities. It is used when determining agent reassignment. As the value increases, the priority for the specified agent also increases. Sets the value for the inbound-agent-assignment-priority option.

Minimum Number of Inbound Agents

Defines the minimum number of agents to perform inbound call activities. It is used when determining agent reassignment. Sets the value for the inbound-agent-assignment-min-num option.


Deleting Campaign Groups

To delete a Campaign Group from the Configuration Database, and from the Campaign with which it is associated:

  1. Go to Provisioning tab > Outbound Contact > Campaigns, and if necessary, navigate to the folder where the Campaign containing the Campaign Group to be deleted is located.

  2. Select the Campaign containing the Campaign Group to be deleted.

  3. Select the Campaign Groups tab.

  4. Select the Campaign Group to be deleted

  5. Click Delete.

  6. Click Yes to confirm the deletion.


Dialogic Boards: Overview

If you intend to use CPD Server, you must first set up the Dialogic Boards. Genesys Administrator puts the information about installed Dialogic boards and resources in Configuration Server.

This section describes how to perform the following tasks:

  • Creating a Dialogic Board structure

  • Deleting a Dialogic Board structure


Creating Dialog Boards

Creating a Dialogic Boards Structure

To create a Dialogic Board structure:

  1. Go to Provisioning > Outbound Contact > Dialogic Boards.

  2. If necessary, navigate to the folder in which you want to store the new Dialogic Board switch.

  3. Click [image].

  4. Specify the following parameters:

    • Folder Name: The name of the folder that will contain the Dialogic Boards(s) logical structure. In a CPD Server configuration, this name will be referenced in the location option value.

Note: If the Dialogic Boards folder exists with the specified name, you must remove it and create it from scratch. You cannot restructure an existing folder.

    • Board Type: The Dialogic Board type.

    • Line Type: The line type for the Dialogic Board.

    • Index for digital board: Starting number for the digital logical boards in the created structure. For example, if the index is 3, the first digital logical board is named dtiB3. When you create a multiple Dialogic Board structure, change the value from the default. However, for HMP, the default value of 1 should not be changed.

    • Index for voice board: Starting number for the logical voice boards in the created structure. For example, if the index is 13, the first voice logical board is named dxxxB13. When you create a multiple Dialogic Board structure, change the value from the default. However, for HMP, the default value of 1 should not be changed.

    • Number of HMP channels: (For an HMP Board type only) The number of HMP signaling ports/channels for the board.

    • DN prefix: The prefix for the DNs associated with the digital channels.

    • DN starting number: The DN number to start numbering the DNs.

  5. To save the new Dialogic Board structure and register in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Dialogic Board structures.

    • Click Save to continue configuring the Dialogic Board structure.

    • Click Save and New to save the new Dialogic Board structure and start creating another one.

When you save the Dialogic Board configuration, Genesys Administrator automatically creates the board's structure within the folder you named in Step 4.

Note: If you have a configuration that requires multiple Dialogic Boards, you must create each board one-by-one under the same folder specified in Step 4. In this case, you must properly specify the digital and voice board indexes (to create the proper sequence of logical board names) and the DN starting numbers. For more information about creating/configuring Dialogic Boards, see the Outbound Contact 8.0 Deployment Guide.

For more information on configuring Dialogic Boards, see the Outbound Contact 8.0 Deployment Guide.


Deleting Dialogic Boards

To delete a Dialogic Board structure from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Dialogic Boards, and if necessary, navigate to the folder that contains the Dialogic Board structure to be deleted.

  2. Select the Dialogic Board folder and subfolders to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.


Do Not Call List Overview

Do Not Call Lists: Overview

A list of customers who request not to be called is known as a Do Not Call List. This data is stored in a Do Not Call List file, using either the customer's phone number or customer ID.

This section describes how to perform the following tasks:

  • Creating a Do Not Call List

  • Configuring a Do Not Call List

  • Importing a Do Not Call List File

  • Deleting a Do Not Call List

For more information about the Do Not Call functionality, see the Outbound Contact 8.0 Deployment Guide.


Creating Do Not Call List

Creating Do Not Call Lists

To create a Do Not Call List:

  1. Go to Provisioning > Outbound Contact and select Do Not Call List.

  2. Configure the Do Not Call List.

  3. To save the Do Not Call List and register it in the Configuration Database, click Save.


Configuring Do Not Call List

Configuring Do Not Call Lists

To configure a Do Not Call List:

  1. On the Configuration tab, enter or modify information as required.

  2. On the Options tab, enter or modify information as required.

  3. On the Permissions tab, enter or modify information as required.

Configuring the Configuration tab:

  1. In the General section, specify the following:

    • Name: (Automatically populated) The name of the Do Not Call List, gsw_donotcall_list.

    • Description: (Optional) A brief description of the Do Not Call List.

  2. In Database section, specify the following:

    • Database Table: The name of the table in the database.

    • DB Access Point: (Required) The Database Access Point through which the table is accessed.

    • DB Server: (Required) The name of the DB Server associated with the database.

    • SQL Server: (Required) The name of the SQL Server used for running the SQL query.

    • Type:(Required) The type of database. Available types include MSSQL, Informix, DB2, Oracle, and Sybase.

    • DB Name:(Required) The name of the database in which the table exists.

    • Login: The login name for the database.

    • Password: The password for the database.

    • Case conversion: Case conversion method for key names of key-value lists coming from DB Server. This value specifies whether and how a client application converts the field names of a database table when it received data from DB Server. If you select upper, field names are converted to uppercase; if you select lower, field names are converted to lowercase; and if you select any, field names are not converted. This value corresponds to the dbcase option in a configuration file.

Note: This setting does not affect the values of key-value lists coming from DB Server. That is, actual data is presented exactly as it appears in the database tables.

Warning! Use the default value (any) unless directed to do otherwise by Genesys Technical Support.


Importing Do Not Call List Files: Overview

Genesys Administrator can process Do Not Call lists that are formatted as plain text (flat) files, with columns of data separated by commas (comma-separated values), and rows separated by the end of a line.

It also recognizes the following types of Do Not Call lists: the Full List file and the Change List file. Both file types adhere to lists distributed by the U.S. Federal Trade Commission (FTC).

When importing a Do Not Call list, Genesys Administrator attempts to find a database table configured by the Table Access object with the name gsw_donotcall_list and the type Log Table. When it successfully finds and opens such a table, Genesys Administrator inserts or updates data from the text file into it.

The steps to complete the information in the Wizard include:

  1. Selecting data file and type.

  2. Assigning names to data columns.

  3. Specifying data import options.


Selecting the Data File and Type

  1. Go to Provisioning > Outbound Contact > Do not call List.

  2. Under the Tasks panel > 'Do Not Call' Tasks, select Import 'Do Not Call' file. The Import 'Do Not Call' file dialog box displays.

  3. In the 'Select data file and type' step, click the browse button.

  4. In the Add and choose...dialog box, click Add, navigate to the location of the file, and click Open to add the file to the dialog box. The file is added under the "View selected Do Not Call file to import" section in the "Select data file and type" step.

  5. Select either Full List or Change List for the file type, and click Next.

Full List

Genesys Administrator will form the SQL INSERT statement for each row of the text field. Character values will be inserted into single quotation marks automatically.

For example, this row from the text file:

14155551212,Customer_ID,101

will be processed as:

INSERT INTO <tablename> (phone, customer_id, tenant_dbid) VALUES ('14155551212','CustomerID1',101)

Change List

Genesys Administrator will form the SQL INSERT statement for each row coded A (for Add), or form the SQL DELETE statement for each row coded D (for Delete).

For example, this row from the text file:

1415551215,Customer_ID1,101,A

will be processed as:

INSERT INTO <table name> (phone, customer_id, tenant_dbid) VALUES (‘14155551212’,’Customer_ID1’,101)

This row from the text file:

14155551212,Customer_ID1,101,D

will be processed as:

DELETE FROM <table name> WHERE phone = '14155551212' AND customer_id='Customer_ID1' AND tenant_dbid=101


Assigning Names to Data Columns

The data grid in the middle of this dialog box shows the first 10 rows (or fewer, if the file is smaller) from the original text file selected in Select the Data File and Type. Each column that is separated by a comma in the file becomes a separate column of the grid.

  1. Click anywhere on the grid column to select it.

  2. In the column selected, use the drop-down list to map the highlighted column to an appropriate column name in the Do Not Call List table.

  3. A special entry in the drop-down list named Transaction Type becomes available when the type of the selected list is Change List. This entry allows you to specify a column in the data file which contains the operation code required for the given column (A – add, D – delete).

  4. Click Next.


Specifying Data Import Options

Make the selections in this step based on your configuration.

  1. If you are importing a Full List file and you want to empty the contents of the table, select Empty database table before importing. Select one of these options:

    • Delete external 'Do Not Call' entries only—Enables you to delete only external Do Not Call entries (by means of DELETE FROM <table name> WHERE is_internal IS NULL OR is_internal <> 1 SQL statement).

    • Delete all 'Do Not Call' entries—Allows you to clear the table (by means of DELETE FROM <table name> SQL statement).

  2. If the timestamp field is empty in the file that you are importing, select one of the following options under If 'time_stamp' field is empty, then:

    • Set it to current time—Allows you to populate this column with the current timestamp (for example, if timestamp data is not selected or the timestamp data in the file is missing). Current time is represented in UTC.

    • Leave it empty—Allows you to leave the timestamp field empty.

  3. Select the Do table modifications in Transaction check box if you want Genesys Administrator to perform all the operations in one transaction in the Do Not Call table. Genesys Administrator executes BEGIN TRANSACTION before any other statement and COMMIT TRANSACTION after these statements. If an error occurs while processing the operation with the database (for example, if an attempt is made to insert a character value into an integer value column), the ROLLBACK TRANSACTION statement will be executed automatically.

Clear the check box if you want Genesys Administrator to send each statement individually, without the transaction. If an error occurs while processing the operation, a rollback statement is not executed.

  4. Click Finish.

After all tables are processed, Genesys Administrator prepares a report, showing a summary of the operations performed for the tenant, including its name, and status..


Deleting Do Not Call Lists

To delete a Do Not Call List from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Do Not Call List.

  2. If necessary, navigate to the folder that contains the Do Not Call List to be deleted.

  3. Select the Do Not Call Calling List to be deleted.

  4. Click Delete.

  5. Click Yes to confirm the deletion.


Fields Overview

The Field object defines a field in a Calling List database table. Fields are single pieces of data (for example, a phone number) within a record.

There are two types of fields in a Calling List:

  • Genesys mandatory fields—These fields must exist in all Calling List tables.

  • User-defined fields—These custom fields contain business-related data.

This section describes how to perform the following tasks:

  • Creating a Field

  • Configuring a Field

  • Deleting a Field


Creating Fields

To create a Field object:

  1. Go to Provisioning > Outbound Contact > Fields.

  2. If necessary, navigate to the folder in which you want to store the new Field.

  3. Click [image].

  4. Configure the Field object.

  5. To save the new Field and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Fields.

    • Click Save to continue configuring the Field.

    • Click Save and New to save the new Field and start creating another one.

After you have created the new Field, configure it as required, including managing who has access rights to it.


Configuring Fields

To configure a Field object:

  1. On the Configuration tab, specify the following:

    • Name: (Required) The name of the Field.

    • Tenant: (Automatically populated) The name of the tenant, if applicable.

    • Data Type: (Required) The data type for the data stored in this field.

    • Description:(Optional) A brief description of the Field.

    • Length: (Required for char and varchar data types only) The length of the Field in the database.

    • Field Type:(Required) Outbound business-specific information for this Field.

    • Default Value: (Optional) The default value for the field. All formats that include the field use this default value. The value should be consistent with the data type of the field. For example, if the data type is integer, the default value should be an integer value only. When Genesys Administrator imports records from an ASCII file in which a field is missing or has no value, Genesys Administrator populates the field with this default value—if the checkbox nullable is not checked. If the field is nullable, Genesys Administrator accepts a blank value.

    • Primary Key: (Optional) The check box indicates whether the field is a primary key in a database table. In Outbound Contact, the only primary key fields are chain_id and chain_n.

    • Unique: (Optional) The check box indicates whether the field value is unique within the table.

    • Nullable: (Optional) The checkbox indicates whether the field value can be set to NULL.

    • State: (Required) Enabled or disabled.

  2. On the Options tab, enter or modify information as required.

  3. On the Permissions tab, enter or modify information as required.

  4. To save changes to this Field and register them in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Fields.

    • Click Save to continue configuring the Field.

    • Click Save and New to save the new Field and start creating another one.


Deleting Fields

To delete a Field from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Fields, and if necessary, navigate to the folder that contains the Field to be deleted.

  2. Select the Field to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.

Note: Only Fields that are not used in a Format (that is, with no dependencies) can be deleted.


Filters Overview

A Dialing Filter restricts Calling Lists so that only certain numbers are dialed during a Campaign.

Note: Creating Dialing Filters requires using Enumeration values in place of text values for some mandatory fields. An Enumeration value is a numeric representation of a Genesys mandatory field value. For more information about Enumeration values, see "Genesys Enumeration Tables" in the Outbound Contact 8.0 Reference Manual.

This section describes how to perform the following tasks:

  • Creating a Dialing Filter

  • Configuring a Dialing Filter

  • Deleting a Dialing Filter


Creating Filters

To create a Filter object:

  1. Go to Provisioning > Outbound Contact > Filters.

  2. If necessary, navigate to the folder in which you want to store the new Filter.

  3. Click [image].

  4. Configure the Filter object.

  5. To save the new Filter and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Filters.

    • Click Save to continue configuring the Filter.

    • Click Save and New to save the new Filter and start creating another one.

After you have created the new Filter, configure it as required, including managing who has access rights to it.


Configuring Filters

To configure a Field object:

  1. On the Configuration tab, specify the following:

    • Name: (Required) The name of the Filter.

    • Tenant: (Automatically populated) The name of the tenant, if applicable.

    • Description: (Optional) A brief description of the Filter.

    • Format: (Required)The format to which this filter is applied. Once it is specified, it cannot be changed. You assign a Filter object to a Calling List object with the same format.

    • WHERE: (Required) A SQL statement that defines the restricting conditions for the records to be dialed by a Dialing Session for a Campaign. You can use the Dialing Filter Wizard to create the expression.

    • ORDER BY: (Required) The sort order of the records that meet the restrictions by the SQL statement in the WHERE text box. You can use the Dialing Filter Wizard to specify the order.

    • State: (Required) Enabled or disabled.

  2. On the Options tab, enter or modify information as required.

  3. On the Permissions tab, enter or modify information as required.

  4. To save changes to this Filter and register them in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Filter.

    • Click Save to continue configuring the Filter.

    • Click Save and New to save the new Filter and start creating another one.


Dialing Filter Wizard

To build an SQL statement and specify the order using the Dialing Filter Wizard:

  1. Under the Tasks panel, click Dialing Filter Wizard.

  2. In the Edit filter dialog box, select the Standard mode tab or the Expert mode tab to define the filter.

  3. If you selected the Standard mode tab, do the following:

    • Select a Field name from drop-down list, which identifies all of the fields included in this Calling List.

    • Select an operation from the Op drop-down list (=, <, >, !=, <=, >=, and LIKE).

    • Specify a value.

    • Click Add. The criteria appears under the Criteria section. The Add button is replaced with And, Or, and Delete buttons.

    • If desired, create another criteria equation and click the And or the Or button, depending on your filter needs. (You can also change any of criteria already entered by selecting a criteria, and in the upper fields where it displays, change any of the values.) Then, click Update to update the expression. (Use the Delete button to delete a criteria equation.)

    • If you want to specify an order, click Order by and in the Edit order dialog box do the following:

      • Select a field name from the left column and click either ASC or DESC, depending on whether you want an ascending or descending order for the associated field. The field name appears in the right column with the order designation appended to it.

      • You can remove one or all fields from the right column by clicking < or << respectively.

      • Click OK when you are finished setting the order.

Note: In the Standard mode, time/date fields display in local time and date format.

  4. If you selected the Expert mode tab, do the following:

    • Create the criteria manually, using syntax similar to what is provided in the Standard mode tab.

    • Specify the order, if desired.

    • Select the Preliminary syntax check option to verify that the syntax for your criteria and order are correct. This check box controls whether or not the SQL statements that you enter are parsed (that is, whether the syntax is checked) before passing the statement to Genesys Administrator. The parser is capable of tracking simple syntax errors in SQL code—for example, "contact_info LIKE '415%'"—but the parser may interpret complex SQL code as a syntax error. Therefore, if you are creating complex SQL code in the Expert mode, make sure that the Preliminary syntax check box is cleared, which is the default setting.

Notes:

    • When switching from the Standard mode tab to the Expert mode tab, Genesys Administrator generates SQL expression for the field values set in Standard tab and displays it, so that it could be used as a template for extended SQL expression or customized as required.

    • Complex statements created with the Expert mode tab require Enumeration values in place of text values. For more information about Enumeration values, see "Genesys Enumeration Tables" in the Outbound Contact 8.0 Reference Manual.

    • In this mode, time/date fields display in a sequence number format. A sequence number represents Coordinated Universal Time (UTC), which is calculated based on the current time zone. If you use Expert mode, Genesys recommends that you first use Standard mode to select the field and adjust the time/date values, and then go to Expert mode to display the sequence number that represents the time and date in UTC format.

  5. Click OK to save the expression and close the Wizard. The expression and order are entered into the WHERE and ORDER BY fields on the Configuration tab.

Note: If you used the Export mode tab and the syntax is incorrect, a warning box appears informing you of the error. Click OK in the warning box to return to the Export mode tab and correct the error.

If you want to delete the filter criteria, click Clear, which removes all items from the Criteria and Order by sections.

Notes:

  • Dialing filters are created, saved and stored in the Filter folder in the Provisioning tab.

  • Viewing filters are created and saved in the associated Calling List in Operations > Calling Lists. They are stored in Provisioning > Calling Lists > the associated Calling List > Options tab > OCManager section in the criteria and order by options.


Deleting Filters

To delete a Filter from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Filter, and if necessary, navigate to the folder that contains the Filter to be deleted.

  2. Select the Filter to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.


Formats Overview

A Format is a user-customized template for Calling Lists. It is created in Genesys Administrator and consists of Fields that form a data structure (for example, a database table); each Field has properties that describe its characteristics. A calling List must contain Genesys mandatory fields and can also contain user-defined custom Fields. See additional information in the Outbound Contact 8.0 Deployment Guide.

  • Mandatory Fields are necessary in order to process records properly. They identify each customer and the status of each customer record. Genesys mandatory fields are described in the Identifying Mandatory Fields in Formats topic. See additional information in the Outbound Contact 8.0 Deployment Guide.

  • Custom/user-defined Fields, typically containing business-related data, can be created and added to a Format in Genesys Administrator. Custom fields define customer information that will be available to the agent during a call. See "Field Object" in the Outbound Contact 8.0 Deployment Guide about how to send customer data to an agent.

After custom/user-defined fields are added, the Format is finished and is ready to be used to create Calling Lists. A Calling List must be created from a Format, and inherits mandatory and custom fields from the assigned format. Each Calling List can have only one corresponding Format.

When database records are imported into a Calling List, data fills the mandatory and custom fields, conforming to properties established in the finished Format.

This section describes how to perform the following tasks:

  • Creating a Format

  • Configuring a Format

  • Deleting a Format


Mandatory Fields in Formats

The following mandatory fields are required in all Calling List Formats. This list is sorted alphabetically by field name. Default values for these fields are defined in the Fields objects during configuration.

Field Name | Data Type | Description
agent_id | varchar(32) | Login identifier of the agent who handled the record.
app_id | integer | Empty, not used at this time.
attempt | integer | Number of attempts made to reach the customer.
call_result | integer | Final outcome of the record processing. See the Call Results table in the Defined Constants chapter of the Outbound Contact 8.0 Reference Manual.
call_time | integer | Latest date and time at which the record was processed (dialed), in UTC format.
campaign_id | integer | Configuration DBID of the Outbound Dialing Campaign, as a part of which the record has been processed.
chain_id | integer | Unique identification number of the chain to which the record belongs.
chain_n | integer | Unique identification number of the record within the chain.
contact_info | varchar(128) | Customer’s contact information; phone number in the voice campaign.
contact_info_type | integer | Type of the contact information; phone type in the voice campaign. See the Phone Types table in the Defined Constants chapter of the Outbound Contact 8.0 Reference Manual.
daily_from | integer | Earliest time of the day at which a customer can be contacted (seconds since midnight).
daily_till | integer | Latest time of the day at which a customer can be contacted (seconds since midnight).
dial_sched_time | integer | Date and time for which the processing of the record has been scheduled or rescheduled, in UTC format (seconds since midnight 01/01/1970).
email_subject | varchar(255) | Empty, not used at this time.
email_template_id | integer | Empty, not used at this time.
group_id | integer | Empty, not used at this time.
media_ref | integer | Empty, not used at this time.
record_id | integer | Unique identification number of a calling record.
record_status | integer | Current status of the record. See the Record Types table in the Defined Constants chapter of the Outbound Contact 8.0 Reference Manual.
record_type | integer | Type of the record. See the Record Types table in the Defined Constants chapter of the Outbound Contact 8.0 Reference Manual.
switch_id | integer | DBID of the Switch where the agent who handled the record had logged in.
treatments | varchar(255) | Treatments application history. For more information, see the “Treatments” chapter in the Outbound Contact 8.0 Deployment Guide.
tz_dbid | integer | Configuration DBID of the Time Zone object associated with the calling record.


Creating Formats

To create a Format object:

  1. Go to Provisioning > Outbound Contact > Formats.

  2. If necessary, navigate to the folder in which you want to store the new Format.

  3. Click [image].

Note: You can also create a new format by copying an existing format using Copy From Existing Format in the Tasks panel.

  4. Configure the Format object.

  5. To save the new Format and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Formats.

    • Click Save to continue configuring the Format.

    • Click Save and New to save the new Format and start creating another one.

After you have created the new Format, configure it as required, including managing who has access rights to it.

Copying From an Existing Format

  1. On the Tasks panel, click Copy From Existing Format in the Configuration section.

  2. In the Browse window, browse to the Format you want to copy and click OK.

  3. Specify the name description, and state for this Format.

  4. To save the new Format and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Formats.

    • Click Save to continue configuring the Format.

    • Click Save and New to save the new Format and start creating another one.


Configuring Formats

To configure a Format object:

  1. On the Configuration tab, specify the following:

    • Name: (Required) The name of the Format.

    • Description: (Optional) A brief description of the Format.

    • Tenant: (Automatically populated) The name of the tenant, if applicable.

    • State: (Required) Enabled or disabled.

  2. On the Options tab, enter or modify information as required.

  3. On the Permissions tab, enter or modify information as required.

  4. To save changes to this Format and register them in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Formats.

    • Click Save to continue configuring the Format.

    • Click Save and New to save the new Format and start creating another one.


Deleting Formats

To delete a Format from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Formats, and if necessary, navigate to the folder that contains the Format to be deleted.

  2. Select the Format to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.


Request Log Overview

The Request Log table, gsw_request_log, stores outbound dialing activity for reporting, auditing, and other purposes. Genesys Administrator checks the configuration of this log table every time it starts. If the gsw_request_log Table Access Point object is configured, but the actual table does not exist in the database, Genesys Administrator creates the table.

Outbound Contact Server opens the gsw_request_log table for a particular tenant when the dialing session for the first Campaign/Campaign group for this tenant is loaded.

This section describes how to perform the following tasks:

  • Creating a Request Log

  • Configuring a Request Log

  • Deleting a Request Log

Note: Record History logging provides you with additional reporting options for Calling Lists. This logging process does not use database access to write logs; instead it uses flat (text) files that the customer defines. Flat files enable you to turn logging on or off for different Calling Lists. For more information for Record History logging, see the Outbound Contact 8.0 Deployment Guide.


Creating Request Log

To create a Request Log:

  1. Go to Provisioning > Outbound Contact and select Request Log.

  2. Configure the Request Log

  3. To save the Request Log and register it in the Configuration Database, click Save.

Note: You can also create the Table Access Point object for the gsw_request_log table manually under the tenant that contains the Campaign information. This Table Access Point object must be of a Log table table type and have the name gsw_request_log. It must also contain a reference to a valid database access point. The actual name of the database table is user-defined.


Configuring Request Log

To configure a Request Log

  1. On the Configuration tab, enter or modify information as required.

  2. On the Options tab, enter or modify information as required.

  3. On the Permissions tab, enter or modify information as required.

Configuring the Configuration tab:

  1. In the General section, specify the following:

    • Name: (Automatically populated) The name of the Request Log, gsw_request_log.

    • Description: (Optional) A brief description of the Request Log.

  2. In Database section, specify the following:

    • Database Table: The name of the table in the database.

    • DB Access Point: The Database Access Point through which the table is accessed.

    • DB Server: (Required) The name of the DB Server associated with the database.

    • SQL Server: The name of the SQL Server used for running the SQL query.

    • Type:The type of database. Available types include MSSQL, Informix, DB2, Oracle, and Sybase.

    • DB Name:The name of the database in which the table exists.

    • Login:The login name for the database.

    • Password:The password for the database.

    • Case conversion: Case conversion method for key names of key-value lists coming from DB Server. This value specifies whether and how a client application converts the field names of a database table when it received data from DB Server. If you select upper, field names are converted to uppercase; if you select lower, field names are converted to lowercase; and if you select any, field names are not converted. This value corresponds to the dbcase option in a configuration file.

Note: This setting does not affect the values of key-value lists coming from DB Server. That is, actual data is presented exactly as it appears in the database tables.

Warning! Use the default value (any) unless directed to do otherwise by Genesys Technical Support.


Deleting Request Log

To delete a Request Log from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Request Log.

  2. Select the Request Log to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.


Table Access Points Overview

A Table Access Point object defines the relationship among Calling List(s), Formats, and the database. This object points to a database table of a specified Format by providing a Database Access Point.

This section describes how to perform the following tasks:

  • Creating a Table Access Point

  • Configuring a Table Access Point

  • Deleting a Table Access Point

Note: You specify this object when configuring the Calling List using the Calling List Advanced object in Genesys Administrator > Provisioning > Outbound Contact.


Creating Table Access Points

To create a Table Access Point object:

  1. Go to Provisioning > Outbound Contact > Table Access Points.

  2. If necessary, navigate to the folder in which you want to store the new Table Access Point.

  3. Click [image].

  4. Configure the Table Access Point object.

  5. To save the new Table Access Point and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Table Access Points.

    • Click Save to continue configuring the Table Access Points.

    • Click Save and New to save the new Table Access Points and start creating another one.

After you have created the new Table Access Point, configure it as required, including managing who has access rights to it.


Configuring Table Access Points

To configure a Table Access Point object:

  1. On the Configuration tab, specify the following:

    • Name: (Required) The name of the Table Access Point.

    • Tenant: (Automatically populated) The name of the tenant, if applicable.

    • Table Type (Required): Specifies the type of Table Access in the database.

    • Description: (Optional) A brief description of the Table Access Point.

    • DB Access Point: (Required) The Database Access Point through which the table is accessed.

    • Format: (Required) The name of the Format to be applied to the table.

    • Database Table: (Required) The name of the table in the database.

    • Update Timeout: (Required, if Cachable option is selected) The timeout between updates of the table data in application memory.

    • Cachable: (Optional) When the check box is selected, it Indicates that the table data shell will be mirrored in application memory.

    • State: (Required) Enabled or disabled.

  2. On the Options tab, enter or modify information as required.

  3. On the Permissions tab, enter or modify information as required.

  4. To save this Table Access Point and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Table Access Points.

    • Click Save to continue configuring the Table Access Point.

    • Click Save and New to save the new Table Access Point and start creating another one.


Deleting Table Access Points

To delete a Table Access Point from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Table Access Points, and if necessary, navigate to the folder that contains the Table Access Point to be deleted.

  2. Select the Table Access Point to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.


Treatments Overview

A Treatment defines what OCS should do with a call that does not reach the intended party. For example, the Treatment could instruct OCS to redial a number that returns a Busy call result.

Treatment objects are assigned to Calling List objects. If no Treatments are assigned to a call result, OCS changes the record status to Updated.

You can add or remove Treatments from a Calling List object while a Dialing Session for a Campaign is running. However, once a Treatment is in progress, it cannot be interrupted. Changes made to that Treatment are applied to the next record that receives the call result that prompts the Treatment.

This section describes how to perform the following tasks:

  • Creating a Treatment

  • Configuring a Treatment

  • Deleting a Treatment


Creating Treatments

To create a Treatment object:

  1. Go to Provisioning > Outbound Contact > Treatments.

  2. If necessary, navigate to the folder in which you want to store the new Treatment.

  3. Click [image].

  4. Configure the Treatment object.

  5. To save the new Treatment and register it in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Treatments.

    • Click Save to continue configuring the Treatment.

    • Click Save and New to save the new Treatment and start creating another one.

After you have created the new Treatment, configure it as required, including managing who has access rights to it.


Configuring Treatments

To configure a Treatment object

  1. On the Configuration tab, enter or modify information as required.

  2. On the Options tab, enter or modify information as required.

  3. On the Permissions tab, enter or modify information as required.

  4. To save the changes to this Treatment and register them in the Configuration Database, do one of the following:

    • Click Save and Close to return to the list of Treatments.

    • Click Save to continue configuring the Treatment.

    • Click Save and New to save the new Treatment and start creating another one.

Configuring the Configuration tab:

  1. In the General section, specify the following:

    • Name: (Required) The name of the Treatment.

    • Description: (Optional) A brief description of the Treatment.

    • Call Result: (Required) The call result associated with this Treatment

    • Apply to Record: (Required) The action to apply to a Calling List record, based on the call result.

    • Apply to Call: (Optional) An alternate way to handle a call when a dialing attempt is answered or reaches an answering machine or a fax machine.

    • Dest DN: (Required, if Apply to Call is specified) The DN to which the call will be connected or transferred. If Apply to Call is specified but the destination DN is not, OCS ignores the Treatment.

    • Number in sequence: (Required) The order in which this treatment is applied in a Treatment sequence. If it is a stand-alone treatment, specify a value of 1.

  2. In the Redial section, specify the following:

    • Cycle Attempt:(Required with value of greater than 0, when Apply to Record is set to Next in chain, Next in chain after, and Next in chain at specified date, or Redial) The maximum number of consecutive attempts to execute the Treatment on the record.

    • Interval: (Required when Apply to Record is set to Next in chain, Next in chain after, Redial, or Retry in) A time interval, in minutes, that OCS waits between the first dialing attempt and the first Treatment attempt.

    • Increment: (Required when Apply to Record set to Next in chain, Next in chain after, Retry in, or Redial) The number of minutes added to the previous redial time interval.

    • Date: (Required when Apply to Record set to Next in chain at specified date, or Retry at specified date) The date when another Treatment attempt will be performed.

    • Time: (Required when Apply to Record set to Next in chain at specified date, or Retry at specified date) The time of day that another Treatment attempt will be performed.

    • Range: Reserved for future use.


Deleting Treatments

To delete a Treatment from the Configuration Database:

  1. Go to Provisioning tab > Outbound Contact > Treatments, and if necessary, navigate to the folder that contains the Treatment to be deleted.

  2. Select the Treatment to be deleted.

  3. Click Delete.

  4. Click Yes to confirm the deletion.


Operating Your Contact Center: Overview

This section contains information about setting up and operating Genesys solutions in your contact center. For the Outbound Contact Solution, this section includes how to set up and operate Dialing Sessions and Calling Lists using Genesys Administrator.


Operating: Required Permissions

Required Permissions

The minimum permissions required to perform a task in Genesys Administrator depend on the task.

Note: You must also be granted appropriate Role privileges to perform specific tasks on an object or group of objects.

To operate your environment, you must have the following permissions:

  • Read—To view the details about objects and the system in general

  • Execute—To start, stop, or otherwise change the status of an object

Permissions are set on the Permissions tab of the object. Application permissions can also be defined in object templates.


Outbound Contact Operations: Overview

This section describes how to manage the operations of your Outbound Contact Solution. Use the information in this section with that contained in the Outbound Contact documentation.

The following Outbound Contact operations are accessible from the Navigation panel under the Operations tab:

  • Dialing Sessions

  • Calling Lists

This section also includes a list of Outbound Contact Server Error Codes.


Dialing Session Operation Overview

Dialing Sessions Operation: Overview

On the Operations tab, you load and start dialing sessions for a Campaign Group that you previously configured on the Provisioning tab.

To prepare for running a campaign:

  1. Populate Calling Lists with records.

  2. Become familiar with time zones, weights, and treatments.

  • Time Zones: designate the time range in which calls will be made by Outbound Contact Server. Most global time zones are loaded from scripts during installation. If records fall in a time zone that is not included, create a custom time zone in Genesys Administrator or Configuration Manager.

    • Weights: assign the percentage of the Campaign's total calls to be dialed from each Calling List.

    • Treatments: list settings that tell Outbound Contact Server how to respond to an unsuccessful call type, such as machine answer or no answer. For example, a treatment could be established to tell OCS to dial a number three times at defined intervals, interrupting the attempts if the call result is either a successful connection to the right party or an unsuccessful connection. Multiple treatments applied to the same unsuccessful call type are called sequences.

  3. Set the dialing mode, and an optimized parameter and its target value.

This section describes how to do the following:

  • Select a dialing session for a Campaign Group and set the associated parameters.

  • Load and start a dialing session.

  • Configure campaign sequencing.


Selecting a Dialing Session and Parameters

  1. On the Navigation panel, select Dialing Sessions.

  2. On the Details panel, from the Campaign ID drop-down list, select a Campaign that has a configured Campaign Group.

Note: You will receive an error if you select a Campaign that does not have a configured Campaign Group. To configure a Campaign Group, go to Provisioning tab > Outbound Contact > Campaigns, select the Campaign, and then configure a Campaign Group.

  3. When the Outbound Server connection box displays, select OCS if more than one is listed in the drop-down list, and then click Connect. The associated Outbound Contact Server for the Campaign appears in the Outbound Contact Server field.

Under the Dialing Session section, the Campaign Group configured for this Campaign appears, along with the following:

  • Status: This includes the following:

    • Active: The Campaign is active and loaded into memory.

    • Not Loaded: The Campaign is not loaded.

    • Running: The Campaign is loaded and started.

    • Unloading: The Campaign is being unloaded. This status temporarily displays after you click the Unload or Force Unload button.

  • Voice Transfer Destination.

  • Optimization parameter.

  • Target parameter.

  4. On the Optimization tab (the lower portion of your window), select the following:

    • Dialing mode

    • Optimized parameter

    • Target value (Use the Target value slider to select the value of the Optimization parameter that you selected. The numeric value that you select appears in the text box to the right of the slider.)

Note: The values specified in this tab only apply when starting a Dialing Session outside of a sequence. For a sequence, these parameters are specified within the Sequence Item dialog box.

  5. On the Priorities tab, specify the Priority and N Records for each record type listed.

    • Priority: The priority for this record type. A value of 1 is the highest priority; 0 (zero) means do not dial. The recommended priority values are 0, 1, 2, or 3.

    • N Records: The number of records of this type to fetch from the buffer for dialing. A valid value is any positive number or 0. 0 (zero) means do not dial.

  6. If desired, configure a campaign sequence. that can contain any existing Campaign configured for the same Agent or Place Group.

Note: Select the Calling List tab to view the Calling List(s) associated with the Dialing Session. Double-click on a Calling List to see more details. For more information about these details, see Calling Lists.

Optimization Parameters

An optimization parameter determines how to run the Campaign. It is used only with Dialing Sessions for Campaigns running in Predictive dialing mode. There are three values for the optimization parameters: Agent Busy Factor, Overdial Rate, and Average Waiting Time.

  • Agent Busy Factor: Choose this parameter when your primary concern is to maximize agent resources by maintaining a high busy rate. As the agent busy factor increases, the number of abandoned calls rises.

It is important to note that Outbound Contact uses a group-pacing algorithm. Pacing is automatically adjusted when there are calls in queue, and works best when agents in the group have similar skill levels. Set this value as a percentage.

  • Overdial Rate: Choose this parameter to limit the number of abandoned calls. Reduce the number to minimize the number of abandoned calls. Set this value as a percentage.

  • Average Waiting Time: Choose this parameter when you want to base the dialing rate on the current average waiting time, which optimizes the wait time between calls. This parameter is for contact center managers who need to increase the Agent Busy Factor. Set this value in seconds.

Notes:

  • The Campaign must be loaded in order to set the optimized parameters.

  • You can make changes to Optimization parameters when a Dialing Session is running. Select the running Dialing Session, make the changes to the parameters on the Optimization tab, and then click Update.


Loading and Starting a Dialing Session

Note: You can start a Dialing Session on its own or as part of a campaign sequence.

  1. Select the Dialing Session for a Campaign Group.

  2. On the toolbar, click Load.

  3. On the Optimization tab, do the following:

    • Select a dialing mode from the drop-down list.

    • If applicable for the dialing mode (that is, the text box is active), select an Optimization parameter from the drop-down list.

    • Specify the Target value for this Dialing Session by moving the slider or entering a value in the text box.

  4. If you want to run a Campaign Sequence, create one, as described in Creating a Sequence.

  5. On the toolbar, click Start.

Note: You can change the Optimization parameters setting after you start a Dialing Session. After changing the settings, click Update. Any changes take effect immediately.

Stopping a Dialing Session

  • To stop a running dialing session, click Stop and Unload on the toolbar.

Notes:

  • If you start a campaign sequence with a particular Dialing Session and you want to stop that Dialing Session, you can only do so through the campaign sequence.

  • When a Dialing Session is stopped, OCS stops dialing, and records that are waiting to be dialed remain in the buffer.

  • If the campaign does not stop after the value specified in the force_unload_timeout option expires, the Unload button becomes the Force Unload button. You can either click that button to force the unloading of the Dialing Session or do nothing and button will automatically change to Load when the unloading is completed..

Unloading a Dialing Session

  • To unload a dialing session, Unload (or Force Unload) on the toolbar.

Note: A Dialing Session must be stopped before it can be unloaded.


Campaign Sequence

Campaign Sequencing Overview

Outbound Contact includes a campaign sequence, which enables you to assign several Campaigns to run in a sequence, and which provides automatic assignments of agents between the Campaigns. In a campaign sequence, you can also set predefined thresholds for campaigns and set the Dialing mode, the Optimization method, and the Target value.

A campaign sequence is created with one or more Campaigns that are associated with the selected Agent Group or Place Group. The campaign sequence begins after the Campaign settings are saved, and after you load and start the sequence.

The minimum settings for each Campaign within a campaign sequence must include the Dialing mode, the Optimization method, and the Target value.

This section describes how to do the following:

  • Create a sequence.

  • Load a sequence.

  • Modify a sequence.

Rules for Sequences

The following rules apply to sequences:

  1. An Agent Group or a Place Group can have only one campaign sequence associated with it.

  2. OCS does not allow you to load any Campaigns that are part of an active sequence. If you attempt to load a Campaign that is associated with an active sequence, without unloading the associated sequence, you will receive an error message.

    To remove a Campaign from a sequence, the campaign sequence should not be loaded. In Genesys Administrator, select the Dialing Session and then select the Sequence tab. Under Settings, select the Campaign that you want to remove from the sequence and click Delete. The process of removing a Campaign from a sequence does not affect the campaign; it just means that the Campaign is no longer attached to the sequence.

  3. You cannot add or remove a Campaign if a campaign sequence is active.


Creating a Sequence

Outbound Contact includes a campaign sequence, which enables you to assign several Campaigns to run in a sequence, and which provides automatic assignments of agents between the Campaigns. In a campaign sequence, you can also set predefined thresholds for Campaigns, and set the Dialing mode, the Optimization method, and Target value.

A campaign sequence is created with one or more campaigns that are associated with a selected Agent Group or Place Group. The order of the campaigns on the campaign sequence panel is the order in which the campaigns will run.

To create a sequence for a Dialing Session:

  1. From the Dialing Session list, select a Dialing Session and an Outbound Contact Server.

  2. On the Sequence tab, click Add.

  3. In the Sequence item dialog box, click the Browse to the right of the Campaign text box to select the first campaign in your sequence from the list of campaigns.

Note: The only campaigns listed in the Campaigns dialog box are those configured with Campaign Groups and also configured with the same Agent or Place Group associated with the selected Dialing Session.

  4. Specify the other parameters associated with this sequence item, as described in Setting Thresholds.

  5. Click OK. The sequence item now listed in the Sequence tab.

  6. Click Add again and repeat Steps 2 through 5 to add the next sequence item. The Sequence tab lists this campaign as the second item in the sequence.

  7. Repeat Steps 2 through 5 to complete the sequence list.

  8. In the Description field, enter a descriptive name for your campaign sequence that reflects the purpose of the sequence.

  9. In the Start Time fields, specify the day and time to automatically start the sequence.

  10. Click Apply to save all values.

To create a sequence for another Dialing Session, repeat Steps 1 through 8.

Sequence Tab Options

The buttons in the Sequence tab are as follows:

Button | Description
Arrows | Changes the order of the Campaign sequence items. Select a campaign in the sequence and use the arrows to move the campaign up or down in the sequence.
Add | Opens Sequence Item dialog box to add a sequence item.
Edit | Opens Sequence Item dialog box to edit the selected sequence item.
Delete | Deletes the selected sequence item.
Reload | Cancels any unsaved changes and loads the last saved sequence.
Clear | Clears the sequence of all items and values.
Apply | Applies/saves the sequence.
Load | Loads the sequence.
Start | Starts the sequence.


Setting Thresholds

For each campaign in a sequence, you can set thresholds that indicate when you want a campaign to stop (begin unloading). The thresholds for each campaign are set individually. A campaign can be stopped using one of these three fields:

  • Stop at contacts: stops a campaign after a predefined number of contacts is reached. A contact represents a call with the call result Answer.

  • Stop at dials: stops a campaign after a predefined number of dialed calls is reached.

  • Stop at time: stops a campaign at a set time.

Notes:

  • You can update the following thresholds even after a campaign sequence is loaded and started: Stop at contacts, Stop at dials, Stop at time, and Sleep before start (min).

  • You can also leave them empty or specify a value of 0, which means that OCS will run each campaign in the defined order, until all records are updated.

  • The campaign stops when any of the three thresholds are met.

The following minimum settings (described in the table below) are necessary in order for each campaign in a sequence to run effectively: Dialing mode, Optimization method, and Target value.

The fields in the Sequence Item dialog box are as follows:

Campaign

Specifies the Campaign included in the sequence.

Stop at contacts

Specifies the total number of successful contacts that should be reached before the Campaign unloads. A successful contact represents a call with the call result Answer.

Stop at dials

Specifies the total number of dialed records that should be reached before unloading the Campaign. Dials represent any call result (for example, a Busy call result or an Answering Machine result is considered a dialed call).

Stop at time

Adjusts the time and date to the time when you want to unload the Campaign. Click the calendar icon to select the date and the drop-down list to the right of the calendar to select the time.

Sleep before start (min)

Specifies the time, in minutes, between Campaigns—that is, when one Campaign unloads and the next loads. For example, enter 60 into this field if you want a 60-minute pause between the time when one Campaign unloads and the next loads. Enter the number 0 if you want one Campaign to load immediately after the other Campaign unloads.

Dialing mode

Sets the Dialing mode for the Campaign. The values are as follows:

  • Power GVP

  • Predictive

  • Predictive with seizing

  • Preview

  • Progressive GVP

  • Progressive

  • Progressive with seizing

  • Push Preview

For more information about dialing modes, see the Outbound Contact 8.0 Deployment Guide.

Optimization parameter

Sets the Optimization parameter for the Campaign. The values for this option include: Agent Busy Factor, Average Waiting Time, and Overdial Rate. For a description of these values, see the Outbound Contact 8.0 Deployment Guide.

Target value

Use the Target value slider to select the Target value of the Optimization parameter that you select. The numeric value that you select appears in the text box to the right of the slider.


Loading and Starting a Sequence

After you have created a campaign sequence and set the thresholds for each campaign, you can load the sequence.

To load a Campaign Sequence:

  1. Go to Operations > Outbound Contact > Dialing Sessions, and select a campaign from the Campaign ID drop-down list.

  2. From the Outbound Server connection box, select OCS if more than one is listed in the drop-down list, and then click Connect.

Note: You will receive an error if you select a Campaign that does not have a configured Campaign Group. To configure a Campaign Group, go to Provisioning tab > Outbound Contact > Campaigns, select the Campaign, and then configure a Campaign Group.

  3. Select a Dialing Session from the list in the upper section.

  4. In the lower section of the Details panel, select the Sequence tab.

  5. In the Actions section of the Sequence tab, click Load.

  6. In the same section, click Start.

After starting a campaign sequence, you can view the status of the sequence in the Status field. Status values include: Not Loaded, Active (meaning loaded), Running (meaning started), Waiting for unload, Unloading, Not active, Unknown.


Modifying a Sequence

Changes can be made to an active Campaign (loaded, running, or stopped) and are dynamically updated. In an active Campaign sequence, you can modify the following for any Campaign sequence item from the Sequence Item dialog box:

  • Dialing mode

  • Optimization parameter

  • Target value

  • Stop at contacts

  • Stop at dials

  • Stop at time

  • Sleep before start (min)

Note: You cannot add or remove a Campaign from a sequence when a campaign sequence is active.

To change one of these values:

  1. On the Sequence tab, select the Campaign sequence item and click Edit.

  2. Change the values of any of the thresholds listed above.

  3. Click OK to close the dialog box.

OCS notifies all of the connected Genesys Administrators about any changes.

In the Actions section of the Sequence tab, you can view the status of a campaign sequence in the Status field.


Dialing Modes

Outbound Contact has many dialing modes which are listed in the table below.

You can switch between Progressive and Predictive dialing modes at any time, and change the optimized parameter. Changing the dialing mode and optimized parameter in Genesys Administrator is temporary. It lasts only until the Campaign is stopped or the setting is changed. To change from Predictive or Progressive Dialing mode to Preview Dialing mode, the Campaign must be stopped and restarted.

A Preview Only license limits the use of OCS to this one dialing mode. When a user licensed for Preview Only selects a different dialing mode and attempts to start a Campaign, Genesys Administrator displays a message to alert the user. A full license is required in order to run Campaigns in all dialing modes.

Note: The Campaign needs to be loaded in order to change the dialing mode and optimized parameter.

The dialing mode is used in conjunction with the values in the Optimization parameters and Optimization Target value fields.

Dialing Mode | Description
Predictive | Dials calls from a calling list and predicts agent availability. Recommended for high-volume, low-value Campaigns.
Progressive | Dials calls from a calling list only when an agent is available. Recommended for low-volume, high-value Campaigns.
Preview | Dials calls from a calling list only when an agent previews a calling list record and manually requests a call to be dialed. Recommended for low-volume, high-value applications, where individual ownership of accounts is the highest priority.
Progressive with seizing | Used only with the Active Switching Matrix mode. Calls are dialed automatically, similarly to Predictive mode.
Predictive with seizing | Used only with the Active Switching Matrix mode. Calls are dialed automatically, similarly to Predictive mode.
Push Preview | Dials calls that are "pushed" to the agent's desktop using Interaction Server.
Progressive GVP | Dials calls from a Calling List when a GVP port is available. This dialing mode requires SIP Server for placing outbound calls, rather than T-Server, and uses Voice XML applications for call processing.
Power GVP | Dial calls by issuing call requests. For more information, see the Outbound Contact 8.0 Deployment Guide.

To change the dialing mode and other optimization parameters:

  1. Verify that the Dialing Session is loaded, or click Load.

  2. On the Optimization tab, select the appropriate dialing mode from the drop-down list.

  3. Change the values for Optimized parameter and the Target value, if necessary.

  4. Click Update.


Using Calling Lists: Overview

When Calling Lists are configured and assigned to a Campaign, the Calling Lists view enables you to view Calling Lists and perform Calling List and record operations.

Select a Calling List from the Calling List drop-down list to display information about that Calling List.

You can sort the record.

The Calling List view includes the following tabs:

  • Properties

  • Dialing Sessions

Both tabs include a lower section in which you can perform operations on the Calling List records, including importing, exporting, chaining, and so on.

Notes:

  • When importing or exporting Callings Lists, Genesys Administrator recognizes the international three-letter abbreviation that identifies a time zone.

  • For the treatments field in the Calling List, if you insert a new record, the field is automatically populate with the NULL value. Otherwise, when Genesys Administrator updates the chain/record status as Ready, and the type of record is CampaignRescheduled, PersonalRescheduled, CampaignCallback, or PersonalCallback, the value for the treatment field remains the same.


Calling Lists Operation: Properties Tab

The Properties tab contains the following:

Records

Total number of records in the Calling List.

Records in filter

Number of records displayed after applying a dialing and/or viewing filter.

Chains

Total number of chains in the Calling List.

Chains in filter

Number of chains after applying a dialing and/or viewing filter.

Dialing filter

The name of the dialing filter for this Calling List, if the check box is selected and a dialing filter is configured for this Calling List.

Note: To change the assigned dialing filter, go to the Provisioning tab > Outbound Contact > Calling Lists.

Viewing filter

The viewing filter that is user-defined, which specifies the records displayed in the lower section of Details panel and also their order. You can also use the viewing filter to select a group of records to modify or delete.

To define a Viewing Filter:

  1. Click the Ellipsis button to the right of the Viewing filter field.

  2. In the Edit filter dialog box, select the Standard mode tab or the Expert mode tab to define the filter.

  3. If you selected the Standard mode tab, do the following:

    • Select a Field name from drop-down list, which identifies all of the fields included in this Calling List.

    • Select an operation from the Op drop-down list (=, <, >, !=, <=, >=, and LIKE).

    • Specify a value.

    • Click Add. The criteria appears under the Criteria section. The Add button is replaced with And, Or, and Delete buttons.

    • If desired, create another criteria equation and click the And or the Or button, depending on your filter needs. (Use the Delete button to delete a criteria equation.)

    • If you want to specify an order, click Order by and in the Edit order dialog box do the following:

      • Select a field name from the left column and click either ASC or DESC, depending on whether you want an ascending or descending order for the associated field. The field name appears in the right column with the order designation appended to it.

      • You can remove one or all fields from the right column by clicking < or << respectively.

      • Click OK when you are finished setting the order.

Notes:

      • If you had previously saved a viewing filter to a file using the Save As button, you can click Open and load the viewing filter from that file.

      • In the Standard mode, time/date fields display in local time and date format.

  4. If you selected the Expert mode tab, do the following:

    • Create the criteria manually, using syntax similar to what is provided in the Standard mode tab.

    • Specify the order, if desired.

    • Select the Preliminary syntax check option to verify that the syntax for your criteria and order are correct. This check box controls whether or not the SQL statements that you enter are parsed (that is, whether the syntax is checked) before passing the statement to Genesys Administrator. The parser is capable of tracking simple syntax errors in SQL code—for example, "contact_info LIKE '415%'"—but the parser may interpret complex SQL code as a syntax error. Therefore, if you are creating complex SQL code in the Expert mode, make sure that the Preliminary syntax check box is cleared, which is the default setting.

Notes:

    • When switching from the Standard mode tab to the Expert mode tab, Genesys Administrator generates SQL expression for the field values set in Standard tab and displays it, so that it could be used as a template for extended SQL expression or customized as required.

    • Complex statements created with the Expert mode tab require Enumeration values in place of text values. For more information about Enumeration values, see "Genesys Enumeration Tables" in the Outbound Contact 8.0 Reference Manual.

    • In this mode, time/date fields display in a sequence number format. A sequence number represents Coordinated Universal Time (UTC), which is calculated based on the current time zone. If you use Expert mode, Genesys recommends that you first use Standard mode to select the field and adjust the time/date values, and then go to Expert mode to display the sequence number that represents the time and date in UTC format.

  5. If you want to save the viewing filter to a file, click Save As.

  6. Click OK to save the viewing filter and return to the Properties tab.

Note: If you used the Expert mode tab and the syntax is incorrect, a warning box appears informing you of the error. Click OK in the warning box to return to the Expert mode tab and correct the error.

If you want to delete the viewing criteria, click Clear, which removes all items from the Criteria and Order by sections.


Calling Lists Operation: Dialing Sessions Tab

The Dialing Session tab displays those Dialing Sessions in which the Calling List selected from the Calling Lists drop-down list is included.


Operations on Calling Lists

The lower section of the Calling Lists view lists all of the records and their associated fields included in the respective calling lists. It also provides you with the following operations:

Insert record

Adds a record to the calling list.

In the Insert record dialog box, you have the option of using either the Standard mode or the Export mode. If using the Standard mode, specify a value for each field for this record. If using the Expert mode, enter SQL expression. When you click OK, the record is added to the Calling List.

Note: When switching from the Standard mode tab to the Expert mode tab, Genesys Administrator generates an SQL expression for the field values set in Standard tab and displays it, so that it can be used as a template for extended SQL expression or customized as required.

Delete record(s)

Deletes the selected record(s) from the Calling List.

Update record(s)

Updates field values for selected record(s) in the Calling List.

Select one or more records (consecutively or randomly) from the list, click the Update record(s) option, and change the Field values as desired. When you click OK, the changed field values for the selected records update.

Note: Do not modify records in a Calling List while a Dialing Session for a Campaign is loaded or running because data may be lost. In Outbound Contact 8.0, users receive a warning message if they attempt to modify a record in this scenario.

Delete all records

Deletes all records from the Calling List.

Modify all

Enables you to reset the values for any record, for example, record_type (to General), record_status (to Ready), and call_result (to Unknown Call Result) fields, to make records available for dialing.

When you select this option, the Modify all dialog box displays all fields in the calling lists. You can modify all records using either the Standard mode or Export more tab.

  • On the Standard mode tab, change the Field value for any of the associated fields and select the check box. When you click OK, the dialog box closes and the selected fields for all records in the list are updated.

  • In the Export mode tab, define a SQL query for modifying the records.

If you want to modify a group of records, create a viewing filter to select only those that you wish to change.

Note: Each time you set up a calling list for a campaign, you must reset these values.

Record chaining

Enables you to chain records for a customer.

Import

Imports a Calling List.

Export

Exports the Calling List.

Note: Genesys Administrator exports only those records that display after filters are applied. Use dialing and/or viewing filters to filter out records that you do not want to export. If you want to export all records in a calling list, make sure filters are not assigned.

Custom fields only

When selected, displays only user-define fields.


Importing a Calling List

You can import a Calling List from another Calling List or from a file.

To import calling lists, the source and destination files must meet all of the following requirements:

  • The source file or list and the destination Calling List have the same format.

  • The source list and destination Calling List are stored in different database tables of the same database. (This avoids creating duplicate records when two or more Calling Lists share the same database table.)

  • Database tables for both the source list and the destination Calling List can be located on different databases, but they must have the same type of Database Management Systems.

To import a Calling List from another Calling List:

  1. Click Import.

  2. In the Import calling list dialog box, select Import from a calling list.

  3. In the Calling List field, enter the name of the source Calling List or click the Browse button and select a list from the Select calling list dialog box.

  4. Select one of the following import modes:

    • Append new: Adds records from the source list into the destination list. If duplicate records are found, the imported record is dropped and the existing record remains. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the chain_id and chain_n fields).

Note: If the number of records in the source list and destination list differ, creating the possibility of records that must be imported but have the same chain_id, use the Append new (no chain merge) option.

    • Append and update: Adds records from the source list into the destination list. If duplicate records are found, the imported record overwrites the existing record. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the chain_id and chain_n fields). If no duplicate records are found, then the record from the calling list is inserted as a new record in the destination calling list.

    • Append new (no chain merge): Adds records from the source list into the destination list, ensuring that chains are not merged when the chain_id of the record in the two lists is same. If Genesys Administrator finds a duplicate, it assigns a new unique chain_id to the record before placing it into the destination list.

  5. Click OK.

To import a Calling List from a file:

  1. Click Import.

  2. In the Import Calling list dialog box, choose one of the following:

    • Import from file format 7.x (Exported by OCM 7.x)

    • Import from file format 6.x (Exported by OCM 6.x)

  3. Select one of the following import modes:

    • Append new: Adds records from the source file into the destination list. If duplicate records are found, the imported record is dropped and the existing record remains. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the chain_id and chain_n fields).

Note: If the number of records in the source list and destination list differ, creating the possibility of records that must be imported but have the same chain_id, use the Append new (no chain merge) option.

    • Append and update: Adds records from the source file into the destination list. If duplicate records are found, the imported record overwrites the existing record. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the chain_id and chain_n fields). If no duplicate records are found, then the record from the source file is inserted as a new record in the destination calling list.

    • Append new (no chain merge): Adds records from the source list into the destination list, ensuring that chains are not merged when the chain_id of the record in the two lists is same. If Genesys Administrator finds a duplicate, it assigns a new unique chain_id to the record before placing it into the destination list.

  4. In the File field, click the ellipsis button (...) to the right of the field.

  5. From the Choose file dialog box, navigate to the location of the <calling list name>.rsl and click Open.

  6. Click OK to close Import Calling list dialog box.

Notes:

  • Genesys Administrator creates a log file every time records are imported. This log file is stored in a Genesys Administrator directory. For more details, see Viewing Log Files.

  • When you use the Import option, Genesys recommends that the Genesys mandatory fields in the import data be specified with the descriptive string in the Genesys enumeration table. See "Genesys Enumeration Tables" in the Outbound Contact 8.0 Reference Manual.

  • When you are importing an ASCII file, Genesys highly recommends that you specify all fields (both mandatory and custom) in your ASCII file so that the file format matches your database exactly. For more information about importing files, see "Populating Calling Lists Overview" in the Outbound Contact 8.0 Reference Manual.

  • Make sure that you have accurately populated your Calling List based on the Genesys mandatory fields described in "Populating Calling Lists Overview" in the Outbound Contact 8.0 Reference Manual.

  • For specifying default values for fields, see "Field Object" in the Outbound Contact 8.0 Deployment Guide.

  • For information about using Time Zones in Calling Lists, see the Time Zone table in the Outbound Contact 8.0 Reference Manual.

  • Different browsers, such as Internet Explorer 7.0 and Firefox 3.5.1 for example, may have different interfaces with different dialog boxes when importing Calling Lists.


Exporting a Calling List

Genesys Administrator exports only records that display after filters are applied. Use dialing and/or viewing filters to filter out records that you do not want to export. If you want to export all records in a Calling List, make sure that both filters are unassigned.

You can export a Calling List to another Calling List or to a file.

To export the calling list to another calling list:

  1. Apply or remove dialing filters to the Calling List to display only those records that you want to export.

  2. Click Export.

  3. In the Export calling list dialog box, select Export to calling list.

  4. In the Calling List field, enter the name of the destination Calling List or click the Browse button and select a list from the Select calling list dialog box.

  5. In the lower section, select one of the following Append... export modes:

    • Append new: Adds records from the source list into the destination list. If duplicate records are found, the imported record is dropped and the existing record remains. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the Chain ID and Chain N fields).

Note: If the number of records in the source list and destination list differ, creating the possibility of records that must be exported but have the same Chain ID, use the Append new (no chain merge) option.

    • Append and update: Adds records from the source list into the destination list. If duplicate records are found, the imported record overwrites the existing record. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the Chain ID and Chain N fields). If no duplicate records are found, then the record from the calling list is inserted as a new record in the destination Calling List.

    • Append new (no chain merge): Adds records from the source list into the destination list, ensuring that chains are not merged when the Chain ID of the record in the two lists is same. If OCM finds a duplicate, it assigns a new unique Chain ID to the record before placing it into the destination list.

  6. In the same section, select one of the following, if desired:

  • Copy: Exports a copy of the selected records.

  • Move: Exports the selected records and deletes them from the source list.

  7. Click OK.

To export the Calling List to a file:

  1. Apply or remove dialing filters to the Calling List to display only those records that you want to export.

  2. Click Export.

  3. In the Export calling list dialog box, select Export to file.

  4. Click OK.

  5. In the File Download dialog box, do one of the following:

    • Click OK to display the list as an .aspx web page in your Browser.

    • Click Save and in the Save As dialog box, navigate to the location where you want to save the file.

Note: The default file name is <calling list name>.rsl.

Note: Genesys Administrator creates a log file every time records are exported. This log file is stored in a Genesys Administrator directory. For more details, see Viewing Log Files.


Time Zones

When Genesys Administrator imports or exports a calling list, it recognizes the international three-letter abbreviation that identifies a time zone. When exporting a calling list, the tz_dbid number can also be used for the time zone.

In Genesys Administrator, you can also enter the three-letter time zone abbreviation directly into a calling list.

Note: In Outbound Contact, time changes from summer to winter and winter to summer are dynamically updated in a running or loaded campaign.


Calling Lists: Viewing Log Files

Genesys Administrator creates a log file every time records are imported or exported. This log file is stored in a Genesys Administrator directory.

The file name is the same as Calling List name, with an extension of .rej. The information contained in the log file includes:

  • Total Records: the total number of records that are read from the source.

  • Records Processed: the number of records from the source that are either added, or used to replace a record with the same key in the destination file.

  • Records Rejected on Input: the number of records from the source file that are rejected, due to either a syntax error or failing database constraints.

  • Rejected by Database: the number of records from the source file that are rejected only if the following circumstances exist:

    • Records are being imported into a Calling List.

    • Insert or update operation returned a DBMS error.


Chaining List Records: Overview

Chaining records, also referred to as alternative number dialing, makes it possible to link several customer telephone numbers (home, business, and cell phone), and to dial each number until the customer is contacted. For example, if the customer does not answer at home, the software dials the business telephone, and so on. When the customer is reached at one number, all other phone numbers for that customer are excluded from dialing.

When multiple records for a single customer are chained, and a successful call is made to one phone number, each record is automatically updated with the results. This avoids duplicate calls to the same person.

There are three methods for chaining records:

  • The database administrator adds the mandatory fields to the ASCII file and sets the values for chain_id and chain_n. (This is the recommended method).

  • If your database administrator did not add the mandatory fields chain_id and chain_n, you can add them by selecting Provisioning > Calling Lists, double-clicking the desired Calling List, and configuring them through the Format tab. Then, you can chain records in your list.

  • To manually chain the chain_id and chain_n fields in every record, in Genesys Administrator, select Operations > Calling Lists, and select the desired Calling List from the drop-down list. Then select the individual records that you want to chain and click the Update record option. (This method is not recommended.)

Chained records share three characteristics:

  • A user-defined field that has a common value in all related records. This field links each record to the others when a chain is created. For example, the customer name that is entered in the customer name field is the same for that customer's home telephone number, business telephone number, and so on.

  • A system-assigned chain ID that identifies linked records in the database as belonging to the same chain.

  • A user-identified field used to order (sort) records for dialing within a chain. For example, chained records can be ordered according to a user-defined field for the customer name. Ordering determines which of the customer's phone numbers is dialed first.

All records in a calling list are assigned a chain ID and a chain number, even if there is only one record in a chain. These are unlinked records containing a unique chain ID and a chain number with any positive number, including zero. These unlinked records are not considered to be chained records.

The term chained records refers to multiple records linked to each other and assigned the same chain ID. Because each record can contain only one phone number, you can chain different phone numbers for one person. Outbound will then call one phone number in the chain, followed by the next. For example:

Phone Type | Chain ID (chain_id) | Chain # (chain_n)
James Smith (Home) | 327 | 1
James Smith (Work) | 327 | 3
James Smith (Mobile) | 327 | 2
Janet Green (Work) | 328 | 1
Janet Green (Home) | 328 | 3
Janet Green (Pager) | 328 | 2

Note: The chained record number (chain_n) can be any positive number, including zero. In the example above, the first number to be called in the chain starts with 1, the second phone number to be called begins with 2, and all subsequent phone numbers follow this numbering scheme sequentially: 1, 2, 3, 4, and so on. The numbers can be in any order, but they are processed in ascending order by default.


Chaining List Records: Creating and Sorting Chained Records

You can chain and sort records using the Record chaining option or manually.

To chain and sort records using the Record chaining option:

  1. Go to Operations > Calling Lists and select the desired Calling List from the drop-down list.

  2. Click Record chaining.

Note: To show mandatory fields, select the Show mandatory fields check box. Clear this check box to display only user-defined fields.

  3. In the "Which fields should be used for chaining?" list, select from listed fields.

  4. To sort chained records, select which field should be used for ordering from the associated drop-down list.

  5. Click OK.

Creating Chained Records Manually

You can create chained records manually. The following example describes how to add one record at a time to an existing chain that consists of one record:

  1. Select a record.

  2. Select Update record(s).

  3. In the Update record dialog box, specify the same number as the existing chain.

Note: In a chain of records, each record must have the same chain_id field number and a different chain_n field number.

  4. Select the chain_n field and enter 1 for the second phone number to be dialed. (By default, the first record in the chain_n field is 0.)

  5. Click OK.

  6. Follow the same procedure for each subsequent record in the chain, entering 2 in the chain_n field for the third phone number to be dialed, 3 for the fourth phone number, and so on.


Error Codes

The following Outbound Contact Server error codes display on the desktop as code numbers with corresponding text descriptions. For additional information about error codes, see Framework 8.0 Combined Log Events Help.

Error Code | Error Description
0 | No error
1 | Configuration not fully retrieved
2 | Unable to register client
3 | Campaign not found
4 | Campaign not loaded
5 | Campaign already loaded
6 | Campaign not started
7 | Campaign started already
8 | Group not found
9 | Campaign Group not found
10 | Invalid parameter
11 | Invalid campaign mode
12 | Invalid Campaign Sequence
13 | Campaign Sequence Not Found
14 | Invalid Campaign Sequence Mode
15 | License Violation
16 | Invalid Campaign Group Configuration
17 | Campaign group is part of active/running campaign sequence


Monitoring Your Environment: Overview

With Genesys Administrator, you can monitor your system, and monitor the objects that make up your system. You can also monitor the following Genesys solutions:

  • Outbound Contact

  • Voice Platform

You can also monitor logs and alarms generated throughout your system.

Note: For Genesys Administrator to monitor the system, Management Layer components must be deployed in the system, and Genesys Administrator must be deployed with connections to a Database Access Point for the Log Database and to the Solution Control Server. For detailed instructions, see the Framework 8.0 Deployment Guide.

System

To monitor your overall system, use the Monitoring tab, which provides the following monitoring possibilities:

  • Dashboard —A high-level summary of all operations.

  • Active Alarms —A summary of active alarms, from which you can select and investigate any that are of special interest.

  • Centralized Log —A summary of logs, from which you can select and investigate any that are of special interest.

  • Orchestration Sessions —The statistics for SCXML Applications that you have configured on Orchestration Servers.

Objects

To monitor selected objects, use the Provisioning tab. Select the type of object that you want to monitor, and the Details panel provides the State of each object. For Application, Solution, and Host objects, their status is also displayed. Open the properties of an Application or Host object, and you can view the logs and alarms generated by that particular object.


Monitoring: Required Permissions

Required Permissions

The minimum permissions required to perform a task in Genesys Administrator depend on the task.

Note: You must also be granted appropriate Role privileges to perform specific tasks on an object or group of objects.

To monitor your environment, you must have the following permissions:

  • Read—To view the details about objects and the system in general

  • Execute—To start, stop, or otherwise change the status of an object

Permissions are set on the Permissions tab of the object. Application permissions can also be defined in Application Templates.


Logs and Alarms: Overview

Note: Logs and Alarms are available only if Centralized Logging functionality is available.

Logs and alarms are important elements in monitoring your system and its components. Genesys Administrator supports four log levels of priority.

In Genesys Administrator, you can:

  • Use the Log Wizard to configure logs for Solutions, Hosts, and Applications in your configuration.

  • Use the Log Maintenance Wizard to search for log records, and to delete old or unwanted log records from the Log Database.

  • Use the Dashboard to view the most recent logs and alarms generated in your system.

  • View all alarms currently active in your system.

  • View all logs currently in the Log Database.

  • View logs and alarms generated by Applications or Hosts.

You can filter the lists to view those logs and alarms in which you are interested.

Note: The Framework 8.0 Combined Log Events Help file contains descriptions of Log Events generated by Genesys components. You can download this Help file from the Knowledge Base on the Genesys Technical Support website at: http://genesyslab.com/support/home/index/.


Log Levels: Overview

Genesys Administrator displays the information logged by four log levels:

  • Alarm

  • Standard

  • Interaction

  • Trace

You can also change the default log level of any log.


Alarm Log Level

Alarm-level logs only contain Alarm-level log records. SCS generates log events of the Alarm level on behalf of other applications when SCS receives from them log events that are configured as Detection events in Alarm Conditions.

Using the Alarm level, Solution Control Server reports the occurrence and removal of all alarms to the Log Database. This level contains the Management Layer's translations of log events from other levels into Alarms.

If you are using Management Layer alarm functionality, always enable the Alarm log level for Solution Control Server.


Standard Log Level

Genesys recommends that you permanently enable only a Standard level of logging during the operation of Solutions in regular production mode. This level reports events for significant problems and normal operations of in-service Solutions.

An event is reported at the Standard level if it satisfies one of these criteria:

  • Indicates that an attempt to perform any external operation has failed

  • Indicates that the latest attempt to perform an external operation that previously failed has succeeded

  • Indicates detection of a condition that has a negative impact on operations, actual or projected

  • Indicates that a previously detected condition, which had a negative impact on operations, no longer exists

  • Indicates a security violation of any kind

  • Indicates a high-level data exchange that cannot be recognized or does not follow the expected logical sequence

  • Indicates inability to process an external request

  • Indicates successful completion of a logical step in an initialization process

  • Indicates a transition of an Application from one operational mode to another

  • Indicates that the value of a parameter associated with a configurable threshold has exceeded that threshold

  • Indicates that the value of a parameter associated with a configurable threshold that earlier exceeded the threshold has returned to its normal range


Interaction Log Level

The Interaction-level logs report the details of an interaction process by Solution components that handle interactions. The log contains information about the processing steps for each interaction by each Solution component. Use the Interaction-level log records to analyze and troubleshoot new interaction-processing scenarios, especially when you introduce new Solutions or enable new functions within existing Solutions.

Note: Interaction-level records contain the Interaction ID attribute that helps to search for log events that are generated by various applications but related to the same interaction.

Warning! Using the Interaction level generates a higher number of logging events on the network; and that may adversely affect the performance of the DBMS, Message Servers, and interaction-processing components.

An event is reported at the Interaction level if it is a recognizable high-level data exchange with another Application about an interaction. The specific criteria depend on a particular component and its role in interaction processing.


Trace Log Level

The Trace-level logs report the details of communications between the various Solution components. The log contains information about the processing steps for each interaction by each Solution component.

Use the Trace-level log records to analyze and troubleshoot new interaction-processing scenarios, especially when you introduce new Solutions or enable new functions within existing Solutions.

Warning! Using the Trace level generates a higher number of logging events on the network; and that may adversely affect the performance of the DBMS, Message Servers, and interaction-processing components.

An event is reported at the Trace level if it satisfies one of these criteria:

  • It is a recognizable high-level data exchange with another Application.

  • It is a recognizable high-level data exchange with an external system.

  • It indicates a change in real-time state of user-level objects handled by the Application (unless such a change can be seen from the high-level data exchange).


Changing Log Levels

You can customize a log event for any 7.6 or later application by changing its log level to a value different from its default, or to a value that disables the log completely.

Warning: Use caution when making these changes in a production environment. Depending on the log configuration, changing the log level to a higher priority may cause the log event to be logged more often or to a greater number of outputs. This could affect system performance. Likewise, changing the log level to a lower priority may cause the log event to be not logged at all, or not logged to specific outputs, thereby losing important information. The same applies to any alarms associated with that log event.

Customizations are unique to the application in which they are created. For example, Application A customizes a set of log events. Application B does not customize any log events. If the feature is activated, the log events will have the customized properties of the application which generated them—if generated by application A, the log events will be customized as specified by A; if generated by application B, the log events will not be customized. If Application B was to customize the same set of log events, but with different custom definitions, the log events generated by Application B would be customized as specified by B.

To customize a log:

  1. On the Options tab of the Application object, select Advanced View (Options).

  2. Create a new section [log-extended].

  3. For each log to be customized, enter the following line:

level-reassign-<eventID>=<new log level>

where:

eventID is the log event ID of the log.

new log level is the new log level for the customized log, or none if the log is to be disabled.

Each option must be on a separate line.

For example:

[log-extended]
level-reassign-1020=none
level-reassign-2020=interaction
level-reassign-2030=interaction
level-reassign-4020=standard

You can customize logs at any time, but if you want to restore the default values (in effect, cancel the customizations) without removing the customization options from the configuration file, add the option level-reassign-disable to the [log-extended] section. When you set this option to true, all logs are restored to their original log levels. When you set this option to false, the customized options take effect and the specified logs have their log levels changed or are disabled accordingly. This option is useful for when you want to save the customizations for future use, such as for testing in a particular situation.

The following examples illustrate the use of this option.

Some logs are customized, and the changes activated:

[log-extended]
level-reassign-1020=none
level-reassign-2020=interaction
level-reassign-2030=interaction
level-reassign-4020=standard
level-reassign-disable=false

The logs are restored to their default log levels:

[log-extended]
level-reassign-1020=none
level-reassign-2020=interaction
level-reassign-2030=interaction
level-reassign-4020=standard
level-reassign-disable=true

Notes:

  • Logs can be customized only by release 7.6 or later applications.

  • When the log level of a log event is changed to any level except none, it is subject to the other settings in the [log] section at its new level. If set to none, it is not logged and therefore not subject to any log configuration.

  • Changing the log level of a log using this feature changes only its priority; it does not change how that log is treated by the system. For example, increasing the priority of a log to Alarm level does not mean that an alarm will be associated with it.

  • Each application in an HA pair can define its own unique set of log customizations, but the two sets are not synchronized with each other. This can result in different log behavior depending on which application is currently in primary mode.

  • This feature is not the same as a similar feature in Universal Routing Server, version 7.2 or later. In this Framework feature, the priority of log events are customized. In the URS feature, the priority of debug messages only are customized. Refer to the Universal Routing Reference Manual for more information about the URS feature.

  • You cannot customize any log event that is not in the unified log record format. Log events of the Alarm, Standard, Interaction, and Trace levels feature the same unified log record format.

Refer to the Framework 8.0 Configuration Options Reference Manual for more information about these options.


Logs and Alarms: Icons

Genesys uses icons to provide a visual indication of active alarms generated by Application, Solution, and Host objects, and also to indicate the level, or severity, of a given log or alarm.

Active Alarms

These icons indicate that one or more active alarms have been generated for the corresponding Application, Solution, or Host object:

 | Critical alarm
 | Non-critical alarm
<no icon> | No active alarms

Logs

These icons indicate the log level of the corresponding log event:

Alarm level log

Standard level log

Interaction level log

Trace level log

Audit logs, generated only by Applications

Alarms generated and cleared (alarm history)

Alarms

These icons indicate the severity of the corresponding alarm:

Critical alarm

Major alarm

Minor alarm


Log Wizard

You can use the Log Wizard to configure logs in your system.

To configure logs:

  1. Go to Provisioning > Environment > Applications, Hosts, or Solutions as appropriate.

  2. If necessary, navigate to the folder that contains the Applications, Hosts, or Solutions for which you want to configure the logs.

  3. Select the objects for which you want to create the logs.

  4. Do one of the following to start the Log Wizard:

    • Open the Tasks panel, if necessary, click Log Wizard in the Runtime section.

    • Right-click on any of the selected objects and from the context menu, select [image].

  5. Follow the steps as directed by the Wizard.


Log Maintenance Wizard

You can use the Log Maintenance Wizard to search for logs in your system, and to remove logs from the centralized log database.

To search for logs, and to remove them if required:

  1. Go to Provisioning > Environment > Centralized Log.

  2. In the Details panel, above the tabs, click [image] to start the Log Maintenance Wizard.

  3. Follow the steps as directed by the Wizard.


Filtering Logs and Alarms Lists

Filtering Logs and Alarms

In some situations, you can filter the lists of alarms and logs to display just those alarms that meet your filter criteria. Define the filter in one of two ways:

  • Enter one or more criteria in the filter selection boxes above the list.

  • Select a log or alarm in the list, and use one of the following buttons located above the list to set a filter based on the value of the corresponding property of the selected item:

    • Message ID —Message ID property

    • Generated —Generated property

    • Application —Application property

    • Host —Host property

Note: Not all buttons will be active in some situations.

When you have set your filter, click [image] to display only those alarms that meet the criteria.


Dashboard

The System Dashboard shows a high-level summary of the current operations of the system. It includes the following sections:

  • A summary of system status—A set of charts indicating:

    • Active Alarms—The number and severity, and the total number.

    • Hosts—The number started, stopped, unknown, and total.

    • Applications— The number started, stopped, unknown, and total.

    • Solutions— The number started, stopped, unknown, and total.

  • A list of the 10 most recent alarms generated by the Management Layer.

  • A list of the last 10 log records stored in the Centralized Log Database.

Note: The information on this page is read-only.


Active Alarms

This page contains a list of alarms currently active in the system. This list is automatically refreshed, or you can refresh it manually as required.

Note: The Expires column displays time and data information using the time/date display settings of the computer on which the browser is running.

To clear any or all of the alarms listed on this page, as follows:

  • To clear all of the alarms, click [image].

  • To clear specific alarms, select the alarms to delete and click [image].


Centralized Log

This page contains a list of generated logs. You can view:

  • All logs, by selecting the All tab.

  • All logs of a certain level, by selecting the appropriate tab.

  • All logs meeting filter criteria.


Orchestration Sessions

As part of the Orchestration Solution, you can view the following information about SCXML Applications running on your Orchestration Servers:

  • When each one Started and Ended.

  • Their current status—either Abandoned or In Process.

To view this information:

  1. Go to Monitoring > Environment > Orchestration Sessions.

  2. From the drop-down list at the top of the Details panel, select the Orchestration Server for which you want to view statistics for the SCXML Applications running on that Server.

Note: The information on this page is read-only.

Refer to the Orchestration Server 8.0 Deployment Guide for information about Orchestration sessions, and configuring Orchestration Server.


Monitoring Your Environment > Outbound Contact Solution

Monitoring the Outbound Contact Solution: Overview

To help you monitor your Outbound Contact solution, you can create the following reports in Genesys Administrator:

  • Calling List Reports

  • Campaign Reports

  • Dialing Session Reports (Prior to release 8.0, Dialing Sessions were referred to as Campaign Groups.)

Access these reports in Monitoring tab > Outbound Contact.

Reporting Options for Outbound Contact

Outbound Contact reporting makes it possible to monitor Outbound campaigns in real time, and also to generate historical reports. To monitor Campaign progress and agent availability, CC Pulse+ real-time reporting creates specific views of statistics, agents, Calling Lists, and Campaigns. CC Analyzer produces reports for tracking historical data about contacts, agents, and Campaigns.

For more information, see the Reporting Technical Reference Guide for the Genesys 8.0 Release.


Monitoring Your Environment > Outbound Contact Solution

Calling List Reports

You can generate reports for monitoring Calling Lists associated with a Campaign. For each Calling List, the report includes Total, Ready, Retrieved, and Finalized statistics.

At the top of the Details panel the information is presented is column/row format. The lower section of the Details panel provides the same information in a bar chart format.

To generate a Calling List report:

  1. Go to Monitoring tab > Outbound Contact > Calling List Reports.

  2. From the Campaign ID drop-down list, select a Campaign.

  3. If a Stat Server is not displayed in the Stat Server drop-down list, when the Stat Server connection dialog box appears, click Connect.

The Details panel lists all Calling Lists associated with the selected Campaign. The top section displays the statistics for each Calling List.

  4. From the Statistics view drop-down list, select how you want to display the statistics in the lower section of the panel.

  5. Select a calling list from the Calling List column to display the statistics in a bar chart in the lower section.

Use the page navigation buttons to move among pages of the displayed information.


Monitoring Your Environment > Outbound Contact Solution

Campaign Reports

You can generate real-time reports for monitoring a Campaign. For each Campaign, the report includes Total, Ready, Retrieved, and Finalized statistics.

At the top of the Details panel the information is presented is column/row format. The lower section of the Details panel provides the same information in a bar chart format.

To generate a Campaign report:

  1. Go to Monitoring tab > Outbound Contact > Campaign Reports.

  2. From the Stat Server drop-down list, select a Stat Server.

  3. From the Statistics view drop-down list, select how you want to display the statistics in the lower section of the panel.

  4. Select a campaign from the Campaign column to display the statistics in a bar chart in the lower section.

Use the page navigation buttons to move among pages of the displayed information.


Monitoring Your Environment > Outbound Contact Solution

Dialing Session Reports

You can generate real-time reports for monitoring a Dialing Session for a Campaign Group/Campaign. For each Dialing Session, the upper section displays Status as well as Total, Ready, Retrieved, and Finalized statistics.

At the top of the Details panel the information is presented is column/row format. The lower section of the Details panel provides the following:

  • Optimization parameter details: Overdial (for Overdial Rate), BF (for Busy Factor), AWT (Average Waiting Time), and Hit Ratio.

  • Agents: Total (the number of ) and Assigned (the number of)

  • Ports Seized: Dial (the number of ports currently used for outbound calls) and Engaged (the number of ports currently used for engaging calls)

  • Dialing Session bar chart: Displays the current value of the four statistics.

To generate a Dialing Session report:

  1. Go to Monitoring tab > Outbound Contact > Dialing Session Reports.

  2. From the Campaign ID drop-down list, select a Campaign associated with the Dialing Session.

  3. If a Stat Server is not displayed in the Stat Server drop-down list, when the Stat Server connection dialog box appears, click Connect.

The Details panel lists all Dialing Sessions associated with the selected Dialing Session. The top section displays the statistics for each Dialing Session.

  4. From the Statistics view drop-down list, select how you want to display the statistics in the lower section of the panel.

  5. Select a Dialing Session from the Dialing Session column to display the Optimization Parameters, Agents, and Port Seized for the session and also display the statistics in a bar chart in the lower section.

Use the page navigation buttons to move among pages of the displayed information.


Monitoring the Voice Platform Solution: Overview

To monitor the Voice Platform Solution, you can use any one of the following dashboards or reports, filtered appropriately. Unless otherwise stated, the dashboard and reports can be accessed from the Voice Platform section of the Monitoring tab's Navigation panel.

Dashboards

  • Call Dashboard

  • SQ Latency Dashboard

  • PSTNC Dashboard

  • SSG Dashboard

  • Fetch Dashboard

Reports

  • Active Call Browser

  • Historical Call Browser

  • IVR Profile Call Arrivals

  • IVR Profile Call Peaks

  • Component Call Arrivals

  • Component Call Peaks

  • Tenant Call Arrivals Report

  • Tenant Call Peaks Report

  • SQ Call Failures Report

  • SQ Failure Summary Report

  • SQ Latency Summary Report

  • VAR Call Completion

  • VAR IVR Action Usage

  • VAR Last IVR Action


Call Dashboard: Overview

The Call Dashboard contains the following sections:

  • IVR Profile Utilization displays real-time IVR usage information for selected IVR Profiles.

  • Component Utilization displays real-time component usage information for selected Components.

  • Tenant Utilization displays real-time tenant usage information for selected Tenants.

Display Options

To display IVR Profile, Component, or Tenant Utilization only, select the [image] button to the right of the relevant panel. This will collapse or expand the Call Dashboard display.

To set the minimum dashboard display refresh interval, enable the Refresh every check box, and enter the refresh rate in seconds or minutes that is found on the task bar of either the utilization or information panels.


Call Dashboard: IVR Profile Utilization

The IVR Profile Utilization section displays the following information for a list of selected IVR Profiles.

  • Profile Name—The name of the IVR Profile as provisioned.

  • In-Progress—The number of calls that are currently in progress. Selecting the active link for this value displays the Active Call List report showing the details.

  • This Hour—The number of calls processed during this hour including all calls processed at the last updated time shown in the tool tip [image] when hovering over the value. Selecting the active link for this value displays the Historical Call Browser report showing the details.

  • Today—The number of calls processed today including all calls processed at the last updated time. Selecting the active link for this value displays the Historical Call Browser report showing the details.

  • Daily Peak—The greatest number of calls reached during a five minute interval. Selecting the active link for this value displays the IVR Profile Peaks report showing the details.

  • Peak Time—The time for which today's peak calls registered

  • VAR % Successful—The percentage of calls with the successful VAR call result.

  • VAR % Failed—The percentage of calls with the failed VAR call result.

  • VAR % Unknown—The percentage of calls without the VAR call result.

Notes:

  • Click [image] to view usage limits and bursting levels.

  • The bursting levels are represented by color.

    • Burst level 1 is green.

    • Burst level 2 is yellow.

    • Burst level 3 is red.

  • The usage limits are represented by the progress of the color.

Selecting IVR Profiles

You can add an IVR Profile to the list, remove one or more from the list, or remove all of them.

To Add an IVR Profile:

  1. In the IVR Profile Utilization section, click Add.

  2. From the Select IVR Profiles dialog box, select one or more IVR Profiles to display on the dashboard.

You can limit the number of IVR Profiles that can be selected by configuring a maximum in the Genesys Administrator Application. For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add the IVR Profiles to the dashboard.

To Remove One or More IVR Profiles:

  1. In the IVR Profile Utilization section, select the IVR Profiles you want to remove.

  2. Click Remove.

To Remove All IVR Profiles:

  1. In the IVR Profile Utilization section, select the IVR Profiles you want to remove.

  2. Click Remove All .

This action removes all of the IVR Profiles without prompting for confirmation.


Call Dashboard: Component Utilization

The Component Utilization section of the Dashboard displays the following information for a list of selected Components.

  • Component Name—The name of the Component as provisioned.

  • In-Progress—The number of calls that are currently in progress. Selecting the active link for this value displays the Active Call List report showing the details.

  • This Hour—The number of calls processed during this hour including all calls processed at the last updated time shown in the tool tip [image] when hovering over the value. Selecting the active link for this value displays the Historical Call Browser report showing the details.

  • Today—The number of calls processed today including all calls processed at the last updated time. Selecting the active link for this value displays the Historical Call Browser report showing the details.

  • Daily Peak—The greatest number of calls reached during a five minute interval. Selecting the active link for this value displays the Component Peaks report showing the details.

  • Peak Time—The time for which today's peak calls registered

Selecting Components

You can add a Component to the list, remove one or more from the list, or remove all of them.

To Add a Component:

  1. In the Component Utilization section, click Add.

  2. From the Select Components dialog box, select one or more components to display on the dashboard.

You can limit the number of components that can be selected by configuring a maximum in the Genesys Administrator Application. For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add Components to the dashboard.

To Remove One or More Components:

  1. In the Component Utilization section, select the Components you want to remove.

  2. Click Remove.

To Remove All Components:

  1. In the Component Utilization section, select the Components you want to remove.

  2. Click Remove All .

This action removes all of the Components without prompting for confirmation.


Call Dashboard: Tenant Utilization

The Tenant Utilization section of the Dashboard displays the following information for a list of selected Tenants.

  • Tenant Name—The name of the Tenant as provisioned.

  • In-Progress —The number of calls that are currently in progress. Selecting the active link for this value displays the Active Call List report showing the details.

  • This Hour—The number of calls processed during this hour including all calls processed at the last updated time shown in the tool tip [image] when hovering over the value. Selecting the active link for this value displays the Historical Call Browser report showing the details.

  • Today—The number of calls processed today including all calls processed at the last updated time. Selecting the active link for this value displays the Historical Call Browser report showing the details.

  • Daily Peak—The greatest number of calls reached during a five minute interval. Selecting the active link for this value displays the Component Peaks report showing the details.

  • Peak Time—The time for which today's peak calls registered.

  • Current Utilization—The ratio of current in-progress calls per maximum number of provisioned ports per tenant. If there are no port provisioned, this ratio is not calculated.

  • Daily Peak Utilization—The ratio of today's peak value and the maximum number of provisioned ports per tenant. If there are no port provisioned, this ratio is not calculated.

  • Burst Level per Tenant—The burst level per tenant, flagged with the following colors for each level, or indicated in the tool tip when hovering over the in-progress call count:

    • Level 1—Green

    • Level 2—Yellow

    • Level 3—Red

  • VAR % Successful—The daily percentage of calls with the successful VAR call result.

  • VAR % Failed—The daily percentage of calls with the failed VAR call result.

  • VAR % Unknown—The daily percentage of calls without the VAR call result.

Selecting Tenants

You can add a tenant to the list, remove one or more from the list, or remove all of them.

To Add a Tenant:

  1. In the Tenant Utilization section, click Add.

  2. From the Select Tenants dialog box, enable the check boxes beside the tenants that you want to display on the dashboard.

  3. Click OK to add tenants to the dashboard.

To Remove One or More Tenants:

  1. In the Tenant Utilization section, select the tenants you want to remove.

  2. Click Remove.

To Remove All Tenants:

  1. In the Tenant Utilization section, select the tenants you want to remove.

  2. Click Remove All .

This action removes all of the tenants without prompting for confirmation.


SQ Latency Dashboard: Overview

The SQ Latency Dashboard displays the following SQ latency utilization information for a list of selected Media Control Platform components:

  • Period - The current period of time for which the aggregate latency statistics are captured, for example, this month, week, day, or hour.

  • Call Control - The latency statistics for call control latency measurements for the configured period.

  • Prompt -The latency statistics for prompt latency measurements for the configured period.

  • Response - The latency statistics for response latency measurements for the configured period.

  • Fetching -The latency statistics for fetching latency measurements for the configured period.

  • Execution - The latency statistics for execution latency measurements for the configured period.

  • MRCP - The latency statistics for MRCP latency measurements for the configured period.

For all of these categories, the latency statistics include minimum, maximum, average, and standard deviations measured in milliseconds.

Latency Chart

The latency statistics are displayed as an in-line chart, for example, [image], which displays the following information.

  • A number in front of the chart to indicate the Latency Count.

  • A light blue bar to indicate the minimum and maximum latency readings.

  • A dashed line to indicate the average latency statistic.

  • A dark blue area (around the average dashed line) indicates the standard deviation; one standard to each side of the line.

To Add a Component

  1. In the Component Utilization section, click Add.

  2. From the Select Components dialog box, enable the check boxes beside the MCP components that you want to display on the dashboard.

You can limit the number of MCP components in the Genesys Administrator application (typically default). For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add the components to the dashboard.

To Remove a Component

  1. In the Component Utilization section, select the MCP component you want to remove.

  2. Click Remove.

To Remove All Components

  1. In the Component Utilization section, select the MCP components you want to remove.

  2. Click Remove All .

This action removes all of the components without prompting for confirmation.

Display Options

To set the minimum dashboard display refresh interval, enable the Refresh every check box that is found on the task bar of the component pane. Enter the refresh rate in seconds or minutes.


Fetch Dashboard: Overview

This dashboard displays raw latencies with no exposure to thresholds, It is different from Service Quality latency data.

The Fetch Dashboard contains the following sections:

  • Fetch Performance - MCP displays near real-time statistics of the fetching tiers of the Media Control Platform.

  • Fetch Performance - CCP displays near real-time statistics of the fetching tiers of the Call Control Platform.


Fetch Dashboard: MCP

Fetch Performance: MCP

The Fetch Performance Dashboard - MCP section of the Fetch Dashboard displays the following fetch performance information for a list of selected Media Control Platform (MCP) components.

  • Component Name—The name of the Media Control Platform component as provisioned.

  • Sessions—The number of active MCP sessions.

  • Requests—The number of active fetch requests.

  • Cache Size—The current cache size in megabytes (MB).

  • HTTP Hit—The total number of HTTP cache hits.

  • File Hit—The total number of file cache hits.

  • Proxy Hit—The total number of HTTP proxy cache hits.

  • Proxy Reval.—The total number of HTTP proxy cache revalidations.

  • HTTP Failed—The total number of failed HTTP fetches.

  • File Failed—The total number of failed file fetches.

  • Avg. HTTP Resp.—The average HTTP hit response time.

  • Avg. Proxy Hit—The average HTTP proxy cache hit response time.

  • Avg. Proxy Reval.—The average HTTP proxy cache revalidation response time.

  • Avg. Server Resp.—The average HTTP Server response time.

  • Avg. Server Reval.—The average HTTP Server revalidation response time.

Selecting Components

You can add an MCP component to the list, remove one or more from the list, or remove all of them.

To Add a Component:

  1. In the Component Utilization section, click Add.

  2. From the Select Components dialog box, enable the check boxes beside the MCP components that you want to display on the dashboard.

You can limit the number of MCP components in the Genesys Administrator application (typically default). For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add the components to the dashboard.

To Remove One or More Components:

  1. In the Component Utilization section, select the MCP components you want to remove.

  2. Click Remove.

To Remove All Components:

  1. In the Component Utilization section, select the MCP components you want to remove.

  2. Click Remove All .

This action removes all of the components without prompting for confirmation.

Display Options

To set the minimum dashboard display refresh interval, enable the Refresh every check box that is found on the task bar of either one of the fetch performance panes. Enter the refresh rate in seconds or minutes.


Fetch Dashboard: CCP

Fetch Performance: CCP

The Fetch Performance Dashboard - CCP section of the Fetch Dashboard displays the following fetch performance information for a list of selected Call Control Platform (CCP) components.

  • Component Name&emdash;The name of the Call Control Platform component as provisioned.

  • Sessions&emdash;The number of active CCP sessions.

  • Requests&emdash;The number of active fetch requests.

  • Cache Size&emdash;The current cache size in megabytes (MB).

  • HTTP Hit&emdash;The total number of HTTP cache hits.

  • File Hit&emdash;The total number of file cache hits.

  • Proxy Hit—The total number of HTTP proxy cache hits.

  • Proxy Reval.&emdash;The total number of HTTP proxy cache revalidations.

  • HTTP Failed&emdash;The total number of failed HTTP fetches.

  • File Failed&emdash;The total number of failed file fetches.

  • Avg. HTTP Resp.—The average HTTP hit response time.

  • Avg. Proxy Hit—The average HTTP proxy cache hit response time.

  • Avg. Proxy Reval.—The average HTTP proxy cache revalidation response time.

  • Avg. Server Resp.—The average HTTP Server response time.

  • Avg. Server Reval.—The average HTTP Server revalidation response time.

Selecting Components

You can add an CCP component to the list, remove one or more from the list, or remove all of them.

To Add a Component:

  1. In the Component Utilization section, click Add.

  2. From the Select Components dialog box, enable the check boxes beside the CCP components that you want to display on the dashboard.

You can limit the number of CCP components in the Genesys Administrator application (typically default). For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add the components to the dashboard.

To Remove One or More Components:

  1. In the Component Utilization section, select the CCP components you want to remove.

  2. Click Remove.

To Remove All Components:

  1. In the Component Utilization section, select the CCP components you want to remove.

  2. Click Remove All .

This action removes all of the components without prompting for confirmation.

Display Options

To set the minimum dashboard display refresh interval, enable the Refresh every check box that is found on the task bar of either one of the fetch performance panes. Enter the refresh rate in seconds or minutes.


SSG Dashboard: Overview

The Supplementary Services Gateway (SSG) Dashboard contains the following sections:

  • IVR Profile Utilization displays real-time SSG usage information for selected IVR Profiles.

  • Component Utilization displays real-time SSG usage information for selected Components.

  • Tenant Utilization displays real-time SSG usage information for selected Tenants.

Display Options

To display IVR Profile, Component, or Tenant information only, select [image] to the right of the relevant panel. This will collapse or expand the Dashboard display.


SSG Dashboard: IVR Profile Utilization

The IVR Profile Utilization section displays the following SSG utilization information for a list of selected IVR Profiles.

  • IVR Profile Name&emdash;The name of the IVR Profile as provisioned.

  • Queued&emdash;The total number of queued calls.

  • Successful&emdash;The total number of successful calls processed.

  • Failed&emdash;The total number of failed calls processed.

  • Avg. Time&emdash;The average time to complete a call.

  • Avg. Attempts&emdash;The average number of attempts for each call.

Selecting IVR Profiles

You can add an IVR Profile to the list, remove one or more from the list, or remove all of them.

To Add an IVR Profile:

  1. In the IVR Profile Utilization section, click Add.

  2. From the Select IVR Profiles dialog box, enable the check boxes beside the Service Type of the items that you want to display on the dashboard.

Valid Service Types are:

    • Announcement

    • CCXML

    • Conference

    • VoiceXML

You can limit the number of IVR Profiles in the Genesys Administrator application (typically default). For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add the IVR Profiles to the dashboard.

To Remove One or More IVR Profiles:

  1. In the IVR Profile Utilization section, select the IVR Profiles you want to remove.

  2. Click Remove.

To Remove All IVR Profiles:

  1. In the IVR Profile Utilization section, select the IVR Profiles you want to remove.

  2. Click Remove All .

This action removes all of the IVR Profiles without prompting for confirmation.

Display Options

To set the minimum dashboard display refresh interval, enable the Refresh every check box, and enter the refresh rate in seconds or minutes that is found on the task bar of either one of the utilization or information panes.


SSG Dashboard: Component Utilization

The Component Utilization section of the Dashboard displays the following utilization information for a list of selected Supplementary Services Gateway components.

  • Component Name—The name of the SSG component as provisioned.

  • Queued —The total number of queued calls.

  • Successful—The total number of successful calls.

  • Failed—The total number of failed calls.

  • Active—The total number of active calls.

  • Peak—The peak number of active calls.

  • Total HTTP—The total number of HTTP requests.

  • Total HTTPS—The total number of HTTPS requests.

  • Total Rejected—The total number of rejected requests.

Selecting Components

You can add an SSG component to the list, remove one or more from the list, or remove all of them.

To Add a Component:

  1. In the Component Utilization section, click Add.

  2. From the Select Components dialog box, enable the check boxes beside the SSG components that you want to display on the dashboard.

You can limit the number of SSG components in the Genesys Administrator application (typically default). For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add the components to the dashboard.

To Remove One or More Components:

  1. In the Component Utilization section, select the SSG components you want to remove.

  2. Click Remove.

To Remove All Components:

  1. In the Component Utilization section, select the SSG components you want to remove.

  2. Click Remove All .

This action removes all of the components without prompting for confirmation.

Display Options

To set the minimum dashboard display refresh interval, enable the Refresh every check box, and enter the refresh rate in seconds or minutes that is found on the task bar of either one of the utilization or information panes.


SSG Dashboard: Tenant Utilization

The Tenant Utilization section of the Dashboard displays the following SSG utilization information for a list of selected Tenants.

  • Tenant Name—The name of the Tenant as provisioned.

  • Queued—The total number of queued calls.

  • Successful—The total number of successful calls.

  • Failed—The total number of failed calls.

Selecting Tenants

You can add a Tenant to the list, remove one or more from the list, or remove all of them.

To Add a Tenant:

  1. In the Tenant Utilization section, click Add.

  2. From the Select Tenants dialog box, enable the check boxes beside the tenants that you want to display on the dashboard.

  3. Click OK to add tenants to the dashboard.

To Remove One or More Tenants:

  1. In the Tenant Utilization section, select the tenants you want to remove.

  2. Click Remove.

To Remove All Tenants:

  1. In the Tenant Utilization section, select the tenants you want to remove.

  2. Click Remove All .

This action removes all of the tenants without prompting for confirmation.

Display Options

To set the minimum dashboard display refresh interval, enable the Refresh every check box, and enter the refresh rate in seconds or minutes that is found on the task bar of either one of the utilization or information panes.


PSTNC Dashboard: Overview

The PSTN Connector (PSTNC) Dashboard contains the following panes:

  • Component pane displays real-time metrics for the number of calls processed by the PSTN Connector components.

  • Board pane displays real-time utilization information about the Dialogic boards that are managed by the PSTN Connector components.

Selecting Components

You can add a component to the list, remove one or more from the list, or remove all of them.

To Add a Component:

  1. In the Component Utilization section, click Add.

  2. From the Select Components dialog box, enable the check boxes beside the PSTN Connector component that you want to display on the dashboard.

You can limit the number of components in the Genesys Administrator application (typically default). For more information, see the Genesys Voice Platform 8.1 User's Guide.

  3. Click OK to add Components to the dashboard.

To Remove One or More Components:

  1. In the Component Utilization section, select the components you want to remove.

  2. Click Remove.

To Remove All Components:

  1. In the Component Utilization section, select the components you want to remove.

  2. Click Remove All .

This action removes all of the components without prompting for confirmation.

Display Options

To set the minimum dashboard display refresh interval, enable the Refresh every check box on the bottom task bar, and enter the refresh rate in seconds or minutes.


PSTNC Dashboard: Component

The Component pane displays the following information for a list of selected PSTN Connector components.

  • Component Name—The name of the PSTN Connector component as provisioned.

  • Total Active Inbound Calls—The total number of active inbound calls that are currently in progress for each PSTN Connector instance.

  • Total Inbound Calls—The total number of inbound calls (active and inactive).

  • Total Outbound Calls—The total number of outbound calls (active and inactive).

  • TDM Inbound Total—The total number of inbound TDM calls (active or inactive).

  • TDM Outbound Total—The total number of outbound TDM calls (active or inactive).

  • TDM Inbound Active—The total number of active inbound TDM calls that are currently in progress for each PSTN Connector instance.

  • TDM Outbound Active—The total number of active outbound TDM calls that are currently in progress for each PSTN Connector instance.

  • SIP Inbound Total—The total number of inbound SIP calls (active or inactive).

  • SIP Outbound Total—The total number of outbound SIP calls (active or inactive).

  • SIP Inbound Active—The total number of active inbound SIP calls that are currently in progress for each PSTN Connector instance.

  • SIP Outbound Active—The total number of active outbound SIP calls that are currently in progress for each PSTN Connector instance.


PSTNC Dashboard: Board

The Board pane displays the following information for a list of selected Dialogic boards.

  • Board Name—The name of the Dialogic board that is managed by the PSTN Connector component as provisioned. The icon beside the board name indicates the status of the D-channel (green if status is up, grey x if status is down).

Board Type and Signaling Protocol information is displayed in the tool tips when hovering over the value.

  • Alarms—The red, yellow, and blue alarm icons indicate active alarms, more than one of which can appear at the same time (for example, a red and a yellow alarm at the same time).

  • Loss of Sync—The number of times that Dialogic Manager reports loss of sync on the board.

  • Framing Error—The number of times that Dialogic Manager reports a framing error on the board.

  • Bipolar Violation—The number of times that Dialogic Manager reports a bipolar violation on the board.

Viewing Port Information

Additional information for each board is displayed when the row is expanded. The status of individual ports on the board is indicated by a blue arrow icon when active and a blue arrow with a grey x when inactive. Port Type, Port Status, Inbound, Outbound, and Rejected call count is displayed when hovering over individual ports.

Resetting a Port:

To reset an individual port:

  1. Right-click on the port icon.

  2. Select Reset Port from the menu.

A confirmation dialog appears before the port is reset.

Disabling a Port:

To disable an individual port:

  1. Right-click on the port icon.

  2. Select Disable Port from the menu.

A confirmation dialog appears before the port is disabled.


Report Filters

You can filter the report data according to specific criteria. Listed below are the descriptions for each filter. For more information about the individual report filters, see the supported filters table.

Time Range

Filters the data by start date, end date, start time, and end time. You can select time intervals from a list of predefined ranges:

  • This Hour

  • Previous Hour

  • Today

  • Yesterday

  • This Week

  • Last Week

  • This Month

  • Last Month

The following Time Ranges are for the Active Call Browser report only.

  • Last Five Minutes

  • Last Fifteen Minutes

  • Last Thirty Minutes

  • Last Hour

  • Last Day

Granularity

Presents the data at various levels of aggregation:

  • Five Minutes

  • Thirty Minutes

  • Hour

  • Day

  • Week

  • Month

IVR Profile

Filters the data by IVR Profile.

Component Type

Filters that data by Component Type. The possible Components are:

  • RM&emdash;Resource Manager

  • MCP&emdash;Media Control Platform

  • CCP&emdash;Call Control Platform

Component

Filters the data by component. A component is a configured Resource Manager, Media Control Platform, or Call Control Platform application.

Call Type

Filters the data by call type according to the component. Possible call types are:

  • Inbound&emdash;for RM and MCP components.

  • Outbound&emdash;for RM and MCP components.

  • Unknown&emdash;for RM components.

  • Bridged&emdash;for MCP components.

  • New Call&emdash;for CCP components.

  • External&emdash;for CCP components.

  • Createccxml&emdash;for CCP components.

Call Length

Filters the data by the length, in milliseconds, of the call.

ID

Filters the data by the call ID. The possible IDs are:

  • Session ID&emdash;The GVP Component specific ID that is generated by the component to identify the call leg.

  • GVP GUID&emdash;The GVP Session ID that identifies a call session for a particular GVP resource.

  • Genesys UUID&emdash;The Genesys CallUUID that is generated by T-Server or SIP Server.

For more information on these IDs, see the Genesys Voice Platform 8.1 User's Guide.

Call State

Filters the data by Call States. The possible Call States are:

  • Accepted&emdash;The call has been received by Resource Manager, but has not yet landed on a VoiceXML platform, or been transferred to an agent.

  • IVR&emdash;The call has landed on a VoiceXML platform.

  • Transferring&emdash;The call is being transferred to an agent.

  • Transferred&emdash;The call was successfully completed.

Call Disposition

Filters the data according to the outcome of the call. Possible call dispositions are:

  • Completed In IVR&emdash;The call completed in self service.

  • Abandoned in Queue&emdash;The caller hung up while waiting in queue. This is available only for those call flows that include IVR Server for CTI.

  • Transferred to Agent&emdash;The call was sent to an agent.

  • Rejected&emdash;The call cannot be routed to a Media Resource.

Call End State

Filters the data by Call End States. The possible Call End States are:

  • Application End&emdash;The voice application hung up.

  • System Error&emdash;The call did not end properly.

  • Unknown&emdash;The platform did not log an end state.

  • User End&emdash;The caller hung up.

Call Result

Filters the data by Call Results. The possible Call Results are:

  • Success&emdash;The call was processed successfully.

  • Failed&emdash;A failure occurred that prevented the call from being processed properly.

  • Rejected&emdash;The platform rejected the call.

  • Unknown&emdash;Some unknown reason caused the call to end abruptly.

Remote URI

Filters the data by the full URI of the remote party involved in the session.

For example, if the call came from a desk top phone with an address of sip:abc@10.10.10.10:5050, the address is entered into the Remote URI field, and all current calls from that desk top phone are displayed in the generated report.

Local URI

Filters the data by the URI of the local service.

For example, if the call for an IVR Profile arrived at the Resource Manager with an address of sip:1234@20.20.20.20:6060, the address is entered into the Local URI field, and all current calls to that IVR Profile on that Resource Manager are displayed in the generated report.

Note: Certain filters are only available when a particular component is selected. For example, Call End State is displayed only when MCP is selected.

Supported Filters

The following table displays which filter is applicable for each report.

Legend&emdash;m:the filter is mandatory; o:the filter is optional; x:the filter is not applicable.

Filter | Reports
 | Active Call Browser | Historical Call Browser | IVR Profile Call Arrivals | IVR Profile Call Peaks | Component Call Arrivals | Component Call Peaks | VAR Call Completion | VAR IVR Action Usage | VAR Last IVR Action
Time Range | m | m | m | m | m | m | m | m | m
Granularity | x | x | m | m | m | m | m | m | m
IVR Profile | o | o | m | m | x | x | m | m | m
Component Type | m | m | x | x | m | m | x | x | x
Component | o | o | x | x | m | m | x | x | x
Call Type | o | o | x | x | x | x | x | x | x
Call Length | x | o | x | x | x | x | x | x | x
ID | x | o | x | x | x | x | x | x | x
Call State | o | x | x | x | x | x | x | x | x
Call Disposition | x | o | x | x | x | x | x | x | x
Call End State | x | o | x | x | x | x | x | x | x
Call Result | x | o | x | x | x | x | x | x | x
Remote URI | o | o | x | x | x | x | x | x | x
Local URI | o | o | x | x | x | x | x | x | x


Active Call Browser Report

The Active Call Browser report displays the list of the calls that are currently being processed by GVP. This report also includes any call that the Reporting Server has not marked as timed out. For more information about using the Active Call Browser report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the Active Call Browser report:

  1. Go to Monitoring > Voice Platform > Active Call Browser.

  2. In the Filters for Active Call Browser section, select the filter criteria as follows:

Note: The results for all IVR Profiles will be displayed if no IVR Profiles are selected in the IVR Profile filter. You must select the Media Control Platform (MCP) component if you want to see MCP data.

    • On the Time Range tab, select the appropriate time span.

    • On the Call Info tab, select the appropriate call type, and call state.

    • On the IVR Profiles tab, specify the IVR Profiles. To modify the list of IVR Profiles, do any of the following:

      • To add an IVR Profile, click Add.

      • To remove an IVR Profile, select it in the list and click Remove.

      • To remove all IVR Profiles, click Remove All.

    • On the Components tab, select the type of component. To build a list of components for which active calls are to be reported upon, as follows:

      • To add a component, click Add.

      • To remove a component, select it and click Remove.

      • To remove all components, click Remove All.

    • On the Endpoints tab, enter the Remote URI, and/or the Local URI.

    • Click Generate Report to display the filtered results in the Active Call Browser tab. Records will only be returned for those calls that are currently in progress.

    • Click Download to download the report data to a text file in CSV format.

Click the specific GVP GUID link to display all the component (RM, MCP, CCP) specific call detail records for that GVP GUID.

Note: Click Clear Filters if you want to clear the existing filters.

To see the call detail records for completed calls, see the Historical Call Browser report.


Historical Call Browser Report

The Historical Call Browser report provides the ability to query call detail records for completed calls. For more information about using the Historical Call Browser report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the Historical Call Browser report:

  1. Go to Monitoring > Voice Platform > Historical Call Browser.

  2. In the Filters for Historical Call Browser section, select the filter criteria as follows:

Note: The results for all IVR Profiles will be displayed if no IVR Profiles are selected in the IVR Profile filter. If you do not filter by component, only Resource Manager data will display. You must select the Media Control Platform (MCP) component if you want to see MCP data.

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges.

    • On the Call Info tab, select the appropriate call type, and call disposition. Enter the minimum and maximum call lengths (in milliseconds). Select the appropriate ID, and enter its value.

    • On the IVR Profiles tab, specify the IVR Profiles. To modify the list of IVR Profiles, do any of the following:

      • To add an IVR Profile, click Add.

      • To remove an IVR Profile, select it in the list and click Remove.

      • To remove all IVR Profiles, click Remove All.

    • On the Components tab, select the type of component. Build a list of components for which active calls are to be reported upon as follows:

      • To add a component, click Add.

      • To remove a component, select it and click Remove.

      • To remove all components, click Remove All.

    • On the Endpoints tab, enter the Remote URI, and/or the Local URI.

    • Click Generate Report to display the filtered results in the Historical Call Browser tab.

    • Click Download to download the report data to a text file in CSV format.

Click the specific GVP GUID link to display all the component (RM, MCP, CCP) specific call detail records for that GVP GUID.

For MCP calls, click a Session ID link to display the metrics entries for that session.

Expanding an MCP call row reveals a table of custom VAR variables associated with that call.

Note: Click Clear Filters if you want to clear the existing filters.


IVR Profile Call Arrivals Report

The IVR Profile Call Arrivals report provides a summary of call arrival data submitted by each IVR Profile over a five minute granularity range. For more information about using the IVR Profile Call Arrivals report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the IVR Profile Call Arrivals report:

  1. Go to Monitoring > Voice Platform > IVR Profile Call Arrivals.

  2. In the Filters for IVR Profile Call Arrivals section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the IVR Profiles tab, specify the IVR Profiles. To modify the list of IVR Profiles, do any of the following:

      • To add an IVR Profile, click Add.

      • To remove an IVR Profile, select it in the list and click Remove.

      • To remove all IVR Profiles, click Remove All.

    • Click Generate Report to display the filtered chart results in the IVR Profile Call Arrivals by Period section, and the tabular results in the IVR Profile Call Arrivals section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The chart represents the number of calls. The X-axis shows the time at which the call began, and the Y-axis shows the total call volume that started in the time window given by the X-axis.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.

Select the Call Date column of the required day to view the call distribution details for the next level of granularity of that selected column. For example, if you filter by week, when you select the Call Date column, you will see call distribution details for the day level.

Select the Historical Peaks link under Related Reports in the Tasks panel to view peak data for the same time interval.


IVR Profile Call Peaks Report

The IVR Profile Call Peaks report provides the peak volume of calls observed during a given period of time. For more information about using the IVR Profile Call Peaks report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the IVR Profile Call Peaks report:

  1. Go to Monitoring > Voice Platform > IVR Profile Call Peaks.

  2. In the Filters for IVR Profile Call Peaks section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the IVR Profiles tab, specify the IVR Profiles. To modify the list of IVR Profiles, do any of the following:

      • To add an IVR Profile, click Add.

      • To remove an IVR Profile, select it in the list and click Remove.

      • To remove all IVR Profiles, click Remove All.

    • Click Generate Report to display the filtered chart results in the IVR Profile Call Peaks by Period section, and the tabular results in the IVR Profile Call Peaks section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the peaks utilization. The X-axis shows the peaks date by selected granularity, and the Y-axis shows the peaks volume.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.

Select the Historical Arrivals link under Related Reports in the Tasks panel to view arrival data for the same time interval.


Component Call Arrivals Report

The Component Call Arrivals report provides a summary of call arrival data submitted by each Component over a five minute granularity range. For more information about using the Component Call Summary report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the Component Call Arrivals report:

  1. Go to the Monitoring > Voice Platform > Component Call Arrivals.

  2. In the Filters for Component Call Arrivals section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the Components tab, select the type of component. To build a list of components for which active calls are to be reported upon, as follows:

      • To add a component, click Add.

      • To remove a component, select it and click Remove.

      • To remove all components, click Remove All.

    • Click Generate Report to display the filtered chart results in the Component Call Arrivals by Period section, and the tabular results in the Component Call Arrivals section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the number of calls. The X-axis shows the time at which the call began, and the Y-axis shows the total call volume that started in the time window given by the X-axis.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.

Select the Call Date column of the required day to view the call distribution details for the next level of granularity of that selected column. For example, if you filter by week, when you select the Call Date column, you will see call distribution details for the day level.

Select the Component Peaks link under Related Reports in the Tasks panel to view peak data for the same time interval.


Component Call Peaks Report

The Component Call Peaks report provides the peak volume of calls observed during a given period of time. For more information about using the Component Call Peaks report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the Component Call Peaks report:

  1. Go to Monitoring > Voice Platform > Component Call Peaks.

  2. In the Filters for Component Call Peaks section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the Components tab, select the type of component. To build a list of components for which active calls are to be reported upon, as follows:

      • To add a component, click Add.

      • To remove a component, select it and click Remove.

      • To remove all components, click Remove All.

    • Click Generate Report to display the filtered chart results in the Component Call Peaks by Period section, and the tabular results in the Component Call Peaks section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the peaks utilization. The X-axis shows the peaks date by selected granularity, and the Y-axis shows the peaks volume.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.

Select the Historical Arrivals link under Related Reports in the Tasks panel to view arrival data for the same time interval.


Tenant Call Arrivals Report

The Tenant Call Arrivals report provides a summary of call arrival data submitted by each Tenant over a five minute granularity range. For more information about using the Tenant Call Summary report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the Tenant Call Arrivals report:

  1. Go to the Monitoring > Voice Platform > Tenant Call Arrivals.

  2. In the Filters for Tenant Call Arrivals section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the Tenants tab, build a list of components for which active calls are to be reported, as follows:

      • To add a tenant, click Add.

      • To remove a tenant, select it and click Remove.

      • To remove all tenants, click Remove All.

    • Click Generate Report to display the filtered chart results in the Tenant Call Arrivals by Period section, and the tabular results in the Tenant Call Arrivals section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the number of calls. The X-axis shows the time at which the call began, and the Y-axis shows the total call volume that started in the time window given by the X-axis.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.

Select the Call Date column of the required day to view the call distribution details for the next level of granularity of that selected column. For example, if you filter by week, when you select the Call Date column, you will see call distribution details for the day level.

Select Tenant Peaks in the Related Reports section of the Tasks panel to view peak data for the same time interval.


Tenant Call Peaks Report

The Tenant Call Peaks report provides the peak volume of calls observed during a given period of time. For more information about using the Tenant Call Peaks report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the Tenant Call Peaks report:

  1. Go to Monitoring > Voice Platform > Tenant Call Peaks.

  2. In the Filters for Tenant Call Peaks section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the Tenants tab, specify the Tenant. To modify the list of Tenants, do any of the following:

      • To add a Tenant, click Add.

      • To remove a Tenant, select it in the list and click Remove.

      • To remove all Tenants, click Remove All.

    • Click Generate Report to display the filtered chart results in the Tenant Call Peaks by Period section, and the tabular results in the Tenant Call Peaks section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the peaks utilization. The X-axis shows the peaks date by selected granularity, and the Y-axis shows the peaks volume.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.

Select Historical Arrivals in the Related Reports section of the Tasks panel to view arrival data for the same time interval.


SQ Call Failures Report

The SQ Call Failures report provides information about service quality call failures for the Media Control Platform components. For more information about using the SQ Call Failures report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the SQ Call Failures report:

  1. Go to Monitoring > Voice Platform > SQ Call Failures.

  2. In the Filters for Call Failure Browser section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges.

    • On the Call Info tab, specify the Call Failure Type.

    • On the IVR Profiles tab, specify the IVR Profiles. To modify the list of IVR Profiles, do any one of the following:

      • To add an IVR Profile, click Add.

      • To remove an IVR Profile, select it in the list and click Remove.

      • To remove all IVR Profiles, click Remove All.

    • On the Components tab, specify the Component. To modify the list of Components, do any one of the following:

        • To add a Component, click Add.

        • To remove a Component, select it in the list and click Remove.

        • To remove all Components, click Remove All.

    • Click Generate Report to display the filtered chart results in the Call Failure Browser section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the call failures. The X-axis shows the call failure date by selected granularity, and the Y-axis shows the call failure volume.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.


SQ Failure Summary Report

The SQ Failure Summary report provides service quality call summaries for the Media Control Platform components. For more information about using the SQ Failure Summary report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the SQ Failure Summary report:

  1. Go to Monitoring > Voice Platform > SQ Failure Summary.

  2. In the Filters for Service Quality Report section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the IVR Profiles tab, specify the IVR Profiles. To modify the list of IVR Profiles, do any of the following:

      • To add an IVR Profile, click Add.

      • To remove an IVR Profile, select it in the list and click Remove.

      • To remove all IVR Profiles, click Remove All.

    • On the Components tab, specify the Component. To modify the list of Components, do any one of the following:

      • To add a Component, click Add.

      • To remove a Component, select it in the list and click Remove.

      • To remove all Components, click Remove All.

    • On the Tenants tab, specify the Component. To modify the list of Tenants, do any one of the following:

      • To add a Tenant, click Add.

      • To remove a Tenant, select it in the list and click Remove.

      • To remove all Tenants, click Remove All.

    • Click Generate Report to display the filtered chart results in the All Failures section, and the tabular results in the Service Quality Report section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the call failure utilization. The X-axis shows the peaks date by selected granularity, and the Y-axis shows the call failure volume.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.


SQ Latency Summary Report

The SQ Latency Summary report provides information about service quality latency summaries for the Media Control Platform components. For more information about using the SQ Latency Summary report, see the Genesys Voice Platform 8.1 User's Guide.

To generate the SQ Latency Summary report:

  1. Go to Monitoring > Voice Platform > SQ Latency Summary.

  2. In the Filters for SQ Latency Report section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the Components tab, specify the Component by clicking Browse.

    • Click Generate Report to display the filtered chart results in the SQ Latency Report.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

The graph represents the latency for the specified component. The X-axis shows the latency date by selected granularity, and the Y-axis shows the latency volume.

The graph provides the following mobility features:

  • To zoom in, drag from left to right on a selected area.

  • To pan around the graph, right-click and drag.

  • To restore to normal view (100%), double-click the graph.


VAR Call Completion Report

The VAR Call Completion report provides total calls and percentage of calls grouped by the Call End Action data. The Call End Action displays IVR Results and the IVR Result Reasons. This report displays the usability data for applications using the VoiceXML <log> tag. This tag allows you to divide your VoiceXML applications into logical transactions.

For more information about Genesys Voice Platform specific log extensions, see the Genesys Voice Platform 8.1 Genesys VoiceXML 2.1 Help file. For more information about using the VAR Call Completion report, see the Genesys Voice Platform 8.1 User's Guide.

Note: The VAR Call Completion report displays Media Control Platform (MCP) data only.

To generate the VAR Call Completion report:

  1. Go to Monitoring > Voice Platform >VAR Call Completion.

  2. In the Filters for VAR Call Completion section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the IVR Profiles tab, click Browse to select the IVR Profile.

    • Click Generate Report to display the results in the VAR Call Completion section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

Select the VAR IVR Action Usage link under Related Reports in the Tasks panel to view statistics on individual IVR Actions used for a given IVR Profile.


VAR IVR Action Usage Report

The VAR IVR Action Usage report provides statistics on individual IVR Actions used for a given IVR Profile. This report displays the usability data for applications using the VoiceXML <log> tag. This tag allows you to divide your VoiceXML applications into logical transactions.

For more information about Genesys Voice Platform specific log extensions, see the Genesys Voice Platform 8.1 Genesys VoiceXML 2.1 Help file. For more information about using the VAR IVR Action Usage report, see the Genesys Voice Platform 8.1 User's Guide.

Note: The VAR IVR Action Usage report displays Media Control Platform (MCP) data only.

To generate the VAR IVR Action Usage report:

  1. Go to Monitoring > Voice Platform >VAR IVR Action Usage.

  2. In the Filters for VAR IVR Action Usage section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the IVR Profiles tab, specify the IVR Profiles. To modify the list of IVR Profiles, do any of the following:

      • To add an IVR Profile, click Add.

      • To remove an IVR Profile, select it in the list and click Remove.

      • To remove all IVR Profiles, click Remove All.

    • Click Generate Report to display the filtered chart results in the VAR IVR Action Usage Breakdown section, and the tabular results in the VAR IVR Action Usage section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.

Select the VAR Call Completion link under Related Reports in the Tasks panel to view statistics on total calls and percentage of calls grouped by the Call End Action data.


VAR Last IVR Action Report

The VAR Last IVR Action report provides the details of the last IVR Actions that were used during the end of a call. These reports display the usability data for applications using the VoiceXML <log> tag. This tag allows you to divide your VoiceXML applications into logical transactions.

For more information about Genesys Voice Platform specific log extensions, see the Genesys Voice Platform 8.1 Genesys VoiceXML 2.1 Help file. For more information about using the IVR Last IVR Action report, see the Genesys Voice Platform 8.1 User's Guide.

Note: The IVR Last IVR Action report displays Media Control Platform (MCP) data only.

To generate the VAR Last IVR Action report:

  1. Go to Monitoring > Voice Platform > VAR Last IVR Action.

  2. In the Filters for VAR Last IVR Action section, select the filter criteria as follows:

    • On the Time Range tab, select the appropriate start date and end date, or select the appropriate time range from the predefined time ranges. Select the granularity.

    • On the IVR Profiles tab, click Browse to select the IVR Profile.

    • Click Generate Report to display the chart results in the VAR Last IVR Action Breakdown section, and the tabular results in the VAR Last IVR Action section.

    • Click Download to download the report data to a text file in CSV format.

Note: Click Clear Filters if you want to clear the existing filters.


About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel-Lucent, is 100% focused on software for contact centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website. You can also find product documentation on the Genesys Documentation Library DVD (all non-developer documentation for releases 7.0 through 8.0), or the Genesys Developer Documentation CD (developer documentation for releases 7.0 through 8.0). The Documentation Library DVD and Developer Documentation CD are available from Genesys upon request. For more information, contact your sales representative.

Contacting Genesys

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North America and Latin America | +888-369-5555 or +506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-1276-45-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Malaysia | 1-800-814-472 or +61-7-3368-6868 | support@genesyslab.com.au
India | 1-800-407-436379 or +91-(022)-3918-0537 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see the Genesys Licensing Guide.


Disclaimers

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

About Genesys Patents

Genesys applications are covered by one or more of the following patents (and non-U.S. equivalents thereof), which are owned or licensed by Genesys Telecommunications Laboratories, Inc.:

4797911; 4977520; 5103449; 5097528; 5311577; 5402474; 5652866; 6130933;
 5802163; 5812644; 5825870; 5917817; 5915012; 5933492; 5765033; 5995614;
 5995615; 5953405; 6185292; 5963632; 6185291; 5926538; 5946387; 6201863;
 5907598; 6018578; 5940495; 6038602; 5999612; 5940496; 5970126; 6148074;
 5915011; 5905792; 5991391; 5991392; 6185287; 6205412; 5926539; 6078581;
 6064667; 6393015; 6134315; 5960073; 6181788; 6104801; 5953332; 6175563;
 6289094; 5970065; 6011792; 5940497; 6449270; 6480600; 6198739; 6359981;
 5991393; 6005931; 5960442; 6104802; 6055308; 6072864; 6128646; 6021428;
 6175564; 6373836; 6044146; 5943416; 6002760; 6047060; 6067357; 6456615;
 6201804; 6339593; 6078566; 6044368; 5991395; 6263066; 5991723; 6141724;
 6118866; 6181692; 6411615; 6230197; 6108711; 6212178; 6389007; 6138139;
 6167395; 6370508; 6170011; 6459697; 6215783; 6157655; 6122365; 6381640;
 6332154; 6076093; 6445788; 6229888; 6421329; 6421325; 6381222; 6118865;
 6389028; 6389133; 6122360; 6259786; 6496702; 6434231; 6178239; 6512763;
 6442247; 6408064; 6418146; 6449358; 6346952; 6286033; 6345305; 6259774;
 6393018; 6320951; 6298130; 6259692; 6453341; 6470080; 6337904; 6373937;
 6473787;


Printing This Help File

You can print individual topics (pages) of this Help system. However, you cannot print the entire Help system at once.

To print a Help topic:

  1. Display the topic that you want to print.

You can jump to a topic using the Contents, Index, or Search panes at left.

  2. Click anywhere in the Help text panel.

  3. Click the Print icon on your browser's toolbar, or select File > Print from the menu bar.

To print other Help topics, repeat these steps.